/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */ 
/**
 * <copyright>
 * </copyright>
 *
 * $Id: EventDefinitionType.java,v 1.1 2006/06/27 15:10:56 crmiles Exp $
 */
package com.ibm.wbimonitor.xml.model.mm;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.AbstractEnumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>Event Definition Type</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getEventDefinitionType()
 * @model
 * @generated
 */
public final class EventDefinitionType extends AbstractEnumerator {
    public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2007.";  //$NON-NLS-1$

	/**
	 * The '<em><b>Event Catalog</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #EVENT_CATALOG_LITERAL
	 * @model name="EventCatalog"
	 * @generated
	 * @ordered
	 */
	public static final int EVENT_CATALOG = 0;

	/**
	 * The '<em><b>XSD</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #XSD_LITERAL
	 * @model 
	 * @generated
	 * @ordered
	 */
	public static final int XSD = 1;

	/**
	 * The '<em><b>Event Catalog</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>Event Catalog</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @see #EVENT_CATALOG
	 * @generated
	 * @ordered
	 */
	public static final EventDefinitionType EVENT_CATALOG_LITERAL = new EventDefinitionType(EVENT_CATALOG, "EventCatalog");

	/**
	 * The '<em><b>XSD</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>XSD</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @see #XSD
	 * @generated
	 * @ordered
	 */
	public static final EventDefinitionType XSD_LITERAL = new EventDefinitionType(XSD, "XSD");

	/**
	 * An array of all the '<em><b>Event Definition Type</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final EventDefinitionType[] VALUES_ARRAY =
		new EventDefinitionType[] {
			EVENT_CATALOG_LITERAL,
			XSD_LITERAL,
		};

	/**
	 * A public read-only list of all the '<em><b>Event Definition Type</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>Event Definition Type</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static EventDefinitionType get(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			EventDefinitionType result = VALUES_ARRAY[i];
			if (result.toString().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>Event Definition Type</b></em>' literal with the specified value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static EventDefinitionType get(int value) {
		switch (value) {
			case EVENT_CATALOG: return EVENT_CATALOG_LITERAL;
			case XSD: return XSD_LITERAL;
		}
		return null;	
	}

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EventDefinitionType(int value, String name) {
		super(value, name);
	}

} //EventDefinitionType
