/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */ 
/**
 * <copyright>
 * </copyright>
 *
 * $Id: EventDeliveryOptionOneMatchType.java,v 1.1 2006/06/27 15:10:54 crmiles Exp $
 */
package com.ibm.wbimonitor.xml.model.mm;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.AbstractEnumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>Event Delivery Option One Match Type</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getEventDeliveryOptionOneMatchType()
 * @model
 * @generated
 */
public final class EventDeliveryOptionOneMatchType extends AbstractEnumerator {
    public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2007.";  //$NON-NLS-1$

	/**
	 * The '<em><b>Ignore</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #IGNORE_LITERAL
	 * @model name="ignore"
	 * @generated
	 * @ordered
	 */
	public static final int IGNORE = 0;

	/**
	 * The '<em><b>Raise Exception</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #RAISE_EXCEPTION_LITERAL
	 * @model name="raiseException"
	 * @generated
	 * @ordered
	 */
	public static final int RAISE_EXCEPTION = 1;

	/**
	 * The '<em><b>Deliver Event</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #DELIVER_EVENT_LITERAL
	 * @model name="deliverEvent"
	 * @generated
	 * @ordered
	 */
	public static final int DELIVER_EVENT = 2;

	/**
	 * The '<em><b>Ignore</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>Ignore</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @see #IGNORE
	 * @generated
	 * @ordered
	 */
	public static final EventDeliveryOptionOneMatchType IGNORE_LITERAL = new EventDeliveryOptionOneMatchType(IGNORE, "ignore", "ignore");

	/**
	 * The '<em><b>Raise Exception</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>Raise Exception</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @see #RAISE_EXCEPTION
	 * @generated
	 * @ordered
	 */
	public static final EventDeliveryOptionOneMatchType RAISE_EXCEPTION_LITERAL = new EventDeliveryOptionOneMatchType(RAISE_EXCEPTION, "raiseException", "raiseException");

	/**
	 * The '<em><b>Deliver Event</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>Deliver Event</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @see #DELIVER_EVENT
	 * @generated
	 * @ordered
	 */
	public static final EventDeliveryOptionOneMatchType DELIVER_EVENT_LITERAL = new EventDeliveryOptionOneMatchType(DELIVER_EVENT, "deliverEvent", "deliverEvent");

	/**
	 * An array of all the '<em><b>Event Delivery Option One Match Type</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final EventDeliveryOptionOneMatchType[] VALUES_ARRAY =
		new EventDeliveryOptionOneMatchType[] {
			IGNORE_LITERAL,
			RAISE_EXCEPTION_LITERAL,
			DELIVER_EVENT_LITERAL,
		};

	/**
	 * A public read-only list of all the '<em><b>Event Delivery Option One Match Type</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>Event Delivery Option One Match Type</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static EventDeliveryOptionOneMatchType get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			EventDeliveryOptionOneMatchType result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>Event Delivery Option One Match Type</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static EventDeliveryOptionOneMatchType getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			EventDeliveryOptionOneMatchType result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>Event Delivery Option One Match Type</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static EventDeliveryOptionOneMatchType get(int value) {
		switch (value) {
			case IGNORE: return IGNORE_LITERAL;
			case RAISE_EXCEPTION: return RAISE_EXCEPTION_LITERAL;
			case DELIVER_EVENT: return DELIVER_EVENT_LITERAL;
		}
		return null;	
	}

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EventDeliveryOptionOneMatchType(int value, String name, String literal) {
		super(value, name, literal);
	}

} //EventDeliveryOptionOneMatchType
