/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */ 
/**
 * <copyright>
 * </copyright>
 *
 * $Id: InboundEventType.java,v 1.1 2006/06/27 15:10:56 crmiles Exp $
 */
package com.ibm.wbimonitor.xml.model.mm;

import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EObject;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Inbound Event Type</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getEventPart <em>Event Part</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getCorrelationPredicate <em>Correlation Predicate</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getFilter <em>Filter</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getEventSequenceIDPath <em>Event Sequence ID Path</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getExtensionName <em>Extension Name</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getMultipleCorrelationMatches <em>Multiple Correlation Matches</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getNoCorrelationMatches <em>No Correlation Matches</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getOneCorrelationMatch <em>One Correlation Match</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getRootElement <em>Root Element</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#isTerminateContext <em>Terminate Context</em>}</li>
 * </ul>
 * </p>
 *
 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getInboundEventType()
 * @model extendedMetaData="name='InboundEventType' kind='elementOnly'"
 * @generated
 */
public interface InboundEventType extends NamedElementType {
    public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2007.";  //$NON-NLS-1$

	/**
	 * Returns the value of the '<em><b>Event Part</b></em>' containment reference list.
	 * The list contents are of type {@link com.ibm.wbimonitor.xml.model.mm.EventPartType}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Event Part</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Event Part</em>' containment reference list.
	 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getInboundEventType_EventPart()
	 * @model type="com.ibm.wbimonitor.xml.model.mm.EventPartType" containment="true"
	 *        extendedMetaData="kind='element' name='eventPart'"
	 * @generated
	 */
	EList getEventPart();

	/**
	 * Returns the value of the '<em><b>Correlation Predicate</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Correlation Predicate</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Correlation Predicate</em>' containment reference.
	 * @see #setCorrelationPredicate(ExpressionSpecificationType)
	 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getInboundEventType_CorrelationPredicate()
	 * @model containment="true"
	 *        extendedMetaData="kind='element' name='correlationPredicate'"
	 * @generated
	 */
	ExpressionSpecificationType getCorrelationPredicate();

	/**
	 * Sets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getCorrelationPredicate <em>Correlation Predicate</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Correlation Predicate</em>' containment reference.
	 * @see #getCorrelationPredicate()
	 * @generated
	 */
	void setCorrelationPredicate(ExpressionSpecificationType value);

	/**
	 * Returns the value of the '<em><b>Filter</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Filter</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Filter</em>' containment reference.
	 * @see #setFilter(ExpressionSpecificationType)
	 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getInboundEventType_Filter()
	 * @model containment="true"
	 *        extendedMetaData="kind='element' name='filter'"
	 * @generated
	 */
	ExpressionSpecificationType getFilter();

	/**
	 * Sets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getFilter <em>Filter</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Filter</em>' containment reference.
	 * @see #getFilter()
	 * @generated
	 */
	void setFilter(ExpressionSpecificationType value);

	/**
	 * Returns the value of the '<em><b>Event Sequence ID Path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Event Sequence ID Path</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Event Sequence ID Path</em>' attribute.
	 * @see #setEventSequenceIDPath(String)
	 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getInboundEventType_EventSequenceIDPath()
	 * @model unique="false" dataType="org.eclipse.emf.ecore.xml.type.String"
	 *        extendedMetaData="kind='attribute' name='eventSequenceIDPath'"
	 * @generated
	 */
	String getEventSequenceIDPath();

	/**
	 * Sets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getEventSequenceIDPath <em>Event Sequence ID Path</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Event Sequence ID Path</em>' attribute.
	 * @see #getEventSequenceIDPath()
	 * @generated
	 */
	void setEventSequenceIDPath(String value);

	/**
	 * Returns the value of the '<em><b>Extension Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Extension Name</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Extension Name</em>' attribute.
	 * @see #setExtensionName(String)
	 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getInboundEventType_ExtensionName()
	 * @model unique="false" dataType="org.eclipse.emf.ecore.xml.type.String"
	 *        extendedMetaData="kind='attribute' name='extensionName'"
	 * @generated
	 */
	String getExtensionName();

	/**
	 * Sets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getExtensionName <em>Extension Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Extension Name</em>' attribute.
	 * @see #getExtensionName()
	 * @generated
	 */
	void setExtensionName(String value);

	/**
	 * Returns the value of the '<em><b>Multiple Correlation Matches</b></em>' attribute.
	 * The default value is <code>"ignore"</code>.
	 * The literals are from the enumeration {@link com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionMultipleMatchesType}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Multiple Correlation Matches</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Multiple Correlation Matches</em>' attribute.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionMultipleMatchesType
	 * @see #isSetMultipleCorrelationMatches()
	 * @see #unsetMultipleCorrelationMatches()
	 * @see #setMultipleCorrelationMatches(EventDeliveryOptionMultipleMatchesType)
	 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getInboundEventType_MultipleCorrelationMatches()
	 * @model default="ignore" unique="false" unsettable="true"
	 *        extendedMetaData="kind='attribute' name='multipleCorrelationMatches'"
	 * @generated
	 */
	EventDeliveryOptionMultipleMatchesType getMultipleCorrelationMatches();

	/**
	 * Sets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getMultipleCorrelationMatches <em>Multiple Correlation Matches</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Multiple Correlation Matches</em>' attribute.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionMultipleMatchesType
	 * @see #isSetMultipleCorrelationMatches()
	 * @see #unsetMultipleCorrelationMatches()
	 * @see #getMultipleCorrelationMatches()
	 * @generated
	 */
	void setMultipleCorrelationMatches(EventDeliveryOptionMultipleMatchesType value);

	/**
	 * Unsets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getMultipleCorrelationMatches <em>Multiple Correlation Matches</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetMultipleCorrelationMatches()
	 * @see #getMultipleCorrelationMatches()
	 * @see #setMultipleCorrelationMatches(EventDeliveryOptionMultipleMatchesType)
	 * @generated
	 */
	void unsetMultipleCorrelationMatches();

	/**
	 * Returns whether the value of the '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getMultipleCorrelationMatches <em>Multiple Correlation Matches</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Multiple Correlation Matches</em>' attribute is set.
	 * @see #unsetMultipleCorrelationMatches()
	 * @see #getMultipleCorrelationMatches()
	 * @see #setMultipleCorrelationMatches(EventDeliveryOptionMultipleMatchesType)
	 * @generated
	 */
	boolean isSetMultipleCorrelationMatches();

	/**
	 * Returns the value of the '<em><b>No Correlation Matches</b></em>' attribute.
	 * The default value is <code>"ignore"</code>.
	 * The literals are from the enumeration {@link com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionNoMatchesType}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>No Correlation Matches</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>No Correlation Matches</em>' attribute.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionNoMatchesType
	 * @see #isSetNoCorrelationMatches()
	 * @see #unsetNoCorrelationMatches()
	 * @see #setNoCorrelationMatches(EventDeliveryOptionNoMatchesType)
	 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getInboundEventType_NoCorrelationMatches()
	 * @model default="ignore" unique="false" unsettable="true"
	 *        extendedMetaData="kind='attribute' name='noCorrelationMatches'"
	 * @generated
	 */
	EventDeliveryOptionNoMatchesType getNoCorrelationMatches();

	/**
	 * Sets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getNoCorrelationMatches <em>No Correlation Matches</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>No Correlation Matches</em>' attribute.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionNoMatchesType
	 * @see #isSetNoCorrelationMatches()
	 * @see #unsetNoCorrelationMatches()
	 * @see #getNoCorrelationMatches()
	 * @generated
	 */
	void setNoCorrelationMatches(EventDeliveryOptionNoMatchesType value);

	/**
	 * Unsets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getNoCorrelationMatches <em>No Correlation Matches</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetNoCorrelationMatches()
	 * @see #getNoCorrelationMatches()
	 * @see #setNoCorrelationMatches(EventDeliveryOptionNoMatchesType)
	 * @generated
	 */
	void unsetNoCorrelationMatches();

	/**
	 * Returns whether the value of the '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getNoCorrelationMatches <em>No Correlation Matches</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>No Correlation Matches</em>' attribute is set.
	 * @see #unsetNoCorrelationMatches()
	 * @see #getNoCorrelationMatches()
	 * @see #setNoCorrelationMatches(EventDeliveryOptionNoMatchesType)
	 * @generated
	 */
	boolean isSetNoCorrelationMatches();

	/**
	 * Returns the value of the '<em><b>One Correlation Match</b></em>' attribute.
	 * The default value is <code>"ignore"</code>.
	 * The literals are from the enumeration {@link com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionOneMatchType}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>One Correlation Match</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>One Correlation Match</em>' attribute.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionOneMatchType
	 * @see #isSetOneCorrelationMatch()
	 * @see #unsetOneCorrelationMatch()
	 * @see #setOneCorrelationMatch(EventDeliveryOptionOneMatchType)
	 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getInboundEventType_OneCorrelationMatch()
	 * @model default="ignore" unique="false" unsettable="true"
	 *        extendedMetaData="kind='attribute' name='oneCorrelationMatch'"
	 * @generated
	 */
	EventDeliveryOptionOneMatchType getOneCorrelationMatch();

	/**
	 * Sets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getOneCorrelationMatch <em>One Correlation Match</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>One Correlation Match</em>' attribute.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionOneMatchType
	 * @see #isSetOneCorrelationMatch()
	 * @see #unsetOneCorrelationMatch()
	 * @see #getOneCorrelationMatch()
	 * @generated
	 */
	void setOneCorrelationMatch(EventDeliveryOptionOneMatchType value);

	/**
	 * Unsets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getOneCorrelationMatch <em>One Correlation Match</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetOneCorrelationMatch()
	 * @see #getOneCorrelationMatch()
	 * @see #setOneCorrelationMatch(EventDeliveryOptionOneMatchType)
	 * @generated
	 */
	void unsetOneCorrelationMatch();

	/**
	 * Returns whether the value of the '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getOneCorrelationMatch <em>One Correlation Match</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>One Correlation Match</em>' attribute is set.
	 * @see #unsetOneCorrelationMatch()
	 * @see #getOneCorrelationMatch()
	 * @see #setOneCorrelationMatch(EventDeliveryOptionOneMatchType)
	 * @generated
	 */
	boolean isSetOneCorrelationMatch();

	/**
	 * Returns the value of the '<em><b>Root Element</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Root Element</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Root Element</em>' attribute.
	 * @see #setRootElement(Object)
	 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getInboundEventType_RootElement()
	 * @model unique="false" dataType="org.eclipse.emf.ecore.xml.type.QName" required="true"
	 *        extendedMetaData="kind='attribute' name='rootElement'"
	 * @generated
	 */
	Object getRootElement();

	/**
	 * Sets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getRootElement <em>Root Element</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Root Element</em>' attribute.
	 * @see #getRootElement()
	 * @generated
	 */
	void setRootElement(Object value);

	/**
	 * Returns the value of the '<em><b>Terminate Context</b></em>' attribute.
	 * The default value is <code>"false"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Terminate Context</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Terminate Context</em>' attribute.
	 * @see #isSetTerminateContext()
	 * @see #unsetTerminateContext()
	 * @see #setTerminateContext(boolean)
	 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getInboundEventType_TerminateContext()
	 * @model default="false" unique="false" unsettable="true" dataType="org.eclipse.emf.ecore.xml.type.Boolean"
	 *        extendedMetaData="kind='attribute' name='terminateContext'"
	 * @generated
	 */
	boolean isTerminateContext();

	/**
	 * Sets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#isTerminateContext <em>Terminate Context</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Terminate Context</em>' attribute.
	 * @see #isSetTerminateContext()
	 * @see #unsetTerminateContext()
	 * @see #isTerminateContext()
	 * @generated
	 */
	void setTerminateContext(boolean value);

	/**
	 * Unsets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#isTerminateContext <em>Terminate Context</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetTerminateContext()
	 * @see #isTerminateContext()
	 * @see #setTerminateContext(boolean)
	 * @generated
	 */
	void unsetTerminateContext();

	/**
	 * Returns whether the value of the '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#isTerminateContext <em>Terminate Context</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Terminate Context</em>' attribute is set.
	 * @see #unsetTerminateContext()
	 * @see #isTerminateContext()
	 * @see #setTerminateContext(boolean)
	 * @generated
	 */
	boolean isSetTerminateContext();

	/**
	 * This method determines whether this InboundEventType is referencing a 6.0.2-style .CBE event definition
	 * or a set of 6.1+ style XSD event definitions 
	 */
	public boolean hasCBEDefinition();
	
	/**
	 * This method provides access to the CBE event type object referenced by this InboundEventType.  This method 
	 * attempts to resolve the path to the actual event definition in its external file, if possible.  Note that if 
	 * this inbound event does not refer to a .CBE-style event, null is returned.
	 * 
	 * NOTE: This method requires that the InboundEventType object be associated to a Resource and ResourceSet indirectly
	 * via its containment hierarchy.
	 * 
	 * @deprecated Use getCbeEventObject() instead
	 * 
	 * @return The event type object or null if the inbound event is not a .CBE style, or cannot be resolved
	 */
	public EObject getEventTypeObject();
	
	/**
	 * This method provides access to the CBE event type object referenced by this InboundEventType.  This method 
	 * attempts to resolve the path to the actual event definition in its external file, if possible.  Note that if 
	 * this inbound event does not refer to a .CBE-style event, null is returned.
	 * 
	 * NOTE: This method requires that the InboundEventType object be associated to a Resource and ResourceSet indirectly
	 * via its containment hierarchy. 
	 * 
	 * @return The event type object or null if the inbound event is not a .CBE style, or cannot be resolved
	 */
	public com.ibm.wbimonitor.xml.model.eventdefinition501.EventDefinitionType getCbeEventObject();

} // InboundEventType
