/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */ 
/**
 * <copyright>
 * </copyright>
 *
 * $Id: MetricType.java,v 1.1 2006/06/27 15:10:53 crmiles Exp $
 */
package com.ibm.wbimonitor.xml.model.mm;

import java.math.BigInteger;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Metric Type</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.MetricType#getMap <em>Map</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.MetricType#getDefaultValue <em>Default Value</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.MetricType#isIsMultiByte <em>Is Multi Byte</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.MetricType#isIsPartOfKey <em>Is Part Of Key</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.MetricType#getMaxStringLength <em>Max String Length</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.MetricType#isValueRequired <em>Value Required</em>}</li>
 * </ul>
 * </p>
 *
 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getMetricType()
 * @model extendedMetaData="name='MetricType' kind='elementOnly'"
 * @generated
 */
public interface MetricType extends BaseMetricType {
    public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2007.";  //$NON-NLS-1$

	/**
	 * Returns the value of the '<em><b>Map</b></em>' containment reference list.
	 * The list contents are of type {@link com.ibm.wbimonitor.xml.model.mm.MapType}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Map</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Map</em>' containment reference list.
	 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getMetricType_Map()
	 * @model type="com.ibm.wbimonitor.xml.model.mm.MapType" containment="true"
	 *        extendedMetaData="kind='element' name='map'"
	 * @generated
	 */
	EList getMap();

	/**
	 * Returns the value of the '<em><b>Default Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Default Value</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Default Value</em>' containment reference.
	 * @see #setDefaultValue(ValueSpecificationType)
	 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getMetricType_DefaultValue()
	 * @model containment="true"
	 *        extendedMetaData="kind='element' name='defaultValue'"
	 * @generated
	 */
	ValueSpecificationType getDefaultValue();

	/**
	 * Sets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#getDefaultValue <em>Default Value</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Default Value</em>' containment reference.
	 * @see #getDefaultValue()
	 * @generated
	 */
	void setDefaultValue(ValueSpecificationType value);

	/**
	 * Returns the value of the '<em><b>Is Multi Byte</b></em>' attribute.
	 * The default value is <code>"false"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Is Multi Byte</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Is Multi Byte</em>' attribute.
	 * @see #isSetIsMultiByte()
	 * @see #unsetIsMultiByte()
	 * @see #setIsMultiByte(boolean)
	 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getMetricType_IsMultiByte()
	 * @model default="false" unique="false" unsettable="true" dataType="org.eclipse.emf.ecore.xml.type.Boolean"
	 *        extendedMetaData="kind='attribute' name='isMultiByte'"
	 * @generated
	 */
	boolean isIsMultiByte();

	/**
	 * Sets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#isIsMultiByte <em>Is Multi Byte</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Is Multi Byte</em>' attribute.
	 * @see #isSetIsMultiByte()
	 * @see #unsetIsMultiByte()
	 * @see #isIsMultiByte()
	 * @generated
	 */
	void setIsMultiByte(boolean value);

	/**
	 * Unsets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#isIsMultiByte <em>Is Multi Byte</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetIsMultiByte()
	 * @see #isIsMultiByte()
	 * @see #setIsMultiByte(boolean)
	 * @generated
	 */
	void unsetIsMultiByte();

	/**
	 * Returns whether the value of the '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#isIsMultiByte <em>Is Multi Byte</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Is Multi Byte</em>' attribute is set.
	 * @see #unsetIsMultiByte()
	 * @see #isIsMultiByte()
	 * @see #setIsMultiByte(boolean)
	 * @generated
	 */
	boolean isSetIsMultiByte();

	/**
	 * Returns the value of the '<em><b>Is Part Of Key</b></em>' attribute.
	 * The default value is <code>"false"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Is Part Of Key</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Is Part Of Key</em>' attribute.
	 * @see #isSetIsPartOfKey()
	 * @see #unsetIsPartOfKey()
	 * @see #setIsPartOfKey(boolean)
	 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getMetricType_IsPartOfKey()
	 * @model default="false" unique="false" unsettable="true" dataType="org.eclipse.emf.ecore.xml.type.Boolean"
	 *        extendedMetaData="kind='attribute' name='isPartOfKey'"
	 * @generated
	 */
	boolean isIsPartOfKey();

	/**
	 * Sets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#isIsPartOfKey <em>Is Part Of Key</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Is Part Of Key</em>' attribute.
	 * @see #isSetIsPartOfKey()
	 * @see #unsetIsPartOfKey()
	 * @see #isIsPartOfKey()
	 * @generated
	 */
	void setIsPartOfKey(boolean value);

	/**
	 * Unsets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#isIsPartOfKey <em>Is Part Of Key</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetIsPartOfKey()
	 * @see #isIsPartOfKey()
	 * @see #setIsPartOfKey(boolean)
	 * @generated
	 */
	void unsetIsPartOfKey();

	/**
	 * Returns whether the value of the '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#isIsPartOfKey <em>Is Part Of Key</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Is Part Of Key</em>' attribute is set.
	 * @see #unsetIsPartOfKey()
	 * @see #isIsPartOfKey()
	 * @see #setIsPartOfKey(boolean)
	 * @generated
	 */
	boolean isSetIsPartOfKey();

	/**
	 * Returns the value of the '<em><b>Max String Length</b></em>' attribute.
	 * The default value is <code>"256"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Max String Length</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Max String Length</em>' attribute.
	 * @see #isSetMaxStringLength()
	 * @see #unsetMaxStringLength()
	 * @see #setMaxStringLength(BigInteger)
	 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getMetricType_MaxStringLength()
	 * @model default="256" unique="false" unsettable="true" dataType="org.eclipse.emf.ecore.xml.type.Integer"
	 *        extendedMetaData="kind='attribute' name='maxStringLength'"
	 * @generated
	 */
	BigInteger getMaxStringLength();

	/**
	 * Sets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#getMaxStringLength <em>Max String Length</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Max String Length</em>' attribute.
	 * @see #isSetMaxStringLength()
	 * @see #unsetMaxStringLength()
	 * @see #getMaxStringLength()
	 * @generated
	 */
	void setMaxStringLength(BigInteger value);

	/**
	 * Unsets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#getMaxStringLength <em>Max String Length</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetMaxStringLength()
	 * @see #getMaxStringLength()
	 * @see #setMaxStringLength(BigInteger)
	 * @generated
	 */
	void unsetMaxStringLength();

	/**
	 * Returns whether the value of the '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#getMaxStringLength <em>Max String Length</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Max String Length</em>' attribute is set.
	 * @see #unsetMaxStringLength()
	 * @see #getMaxStringLength()
	 * @see #setMaxStringLength(BigInteger)
	 * @generated
	 */
	boolean isSetMaxStringLength();

	/**
	 * Returns the value of the '<em><b>Value Required</b></em>' attribute.
	 * The default value is <code>"false"</code>.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Value Required</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Value Required</em>' attribute.
	 * @see #isSetValueRequired()
	 * @see #unsetValueRequired()
	 * @see #setValueRequired(boolean)
	 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getMetricType_ValueRequired()
	 * @model default="false" unique="false" unsettable="true" dataType="org.eclipse.emf.ecore.xml.type.Boolean"
	 *        extendedMetaData="kind='attribute' name='valueRequired'"
	 * @generated
	 */
	boolean isValueRequired();

	/**
	 * Sets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#isValueRequired <em>Value Required</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Value Required</em>' attribute.
	 * @see #isSetValueRequired()
	 * @see #unsetValueRequired()
	 * @see #isValueRequired()
	 * @generated
	 */
	void setValueRequired(boolean value);

	/**
	 * Unsets the value of the '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#isValueRequired <em>Value Required</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetValueRequired()
	 * @see #isValueRequired()
	 * @see #setValueRequired(boolean)
	 * @generated
	 */
	void unsetValueRequired();

	/**
	 * Returns whether the value of the '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#isValueRequired <em>Value Required</em>}' attribute is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Value Required</em>' attribute is set.
	 * @see #unsetValueRequired()
	 * @see #isValueRequired()
	 * @see #setValueRequired(boolean)
	 * @generated
	 */
	boolean isSetValueRequired();

} // MetricType
