/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */ 
/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.ibm.wbimonitor.xml.model.mm;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.AbstractEnumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>Period Basis Type</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getPeriodBasisType()
 * @model
 * @generated
 */
public final class PeriodBasisType extends AbstractEnumerator {
    public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2007.";  //$NON-NLS-1$

	/**
	 * The '<em><b>Previous Period</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #PREVIOUS_PERIOD_LITERAL
	 * @model name="previousPeriod"
	 * @generated
	 * @ordered
	 */
	public static final int PREVIOUS_PERIOD = 0;

	/**
	 * The '<em><b>Period In Progress</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #PERIOD_IN_PROGRESS_LITERAL
	 * @model name="periodInProgress"
	 * @generated
	 * @ordered
	 */
	public static final int PERIOD_IN_PROGRESS = 1;

	/**
	 * The '<em><b>Previous Period</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>Previous Period</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @see #PREVIOUS_PERIOD
	 * @generated
	 * @ordered
	 */
	public static final PeriodBasisType PREVIOUS_PERIOD_LITERAL = new PeriodBasisType(PREVIOUS_PERIOD, "previousPeriod", "previousPeriod");

	/**
	 * The '<em><b>Period In Progress</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>Period In Progress</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @see #PERIOD_IN_PROGRESS
	 * @generated
	 * @ordered
	 */
	public static final PeriodBasisType PERIOD_IN_PROGRESS_LITERAL = new PeriodBasisType(PERIOD_IN_PROGRESS, "periodInProgress", "periodInProgress");

	/**
	 * An array of all the '<em><b>Period Basis Type</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final PeriodBasisType[] VALUES_ARRAY =
		new PeriodBasisType[] {
			PREVIOUS_PERIOD_LITERAL,
			PERIOD_IN_PROGRESS_LITERAL,
		};

	/**
	 * A public read-only list of all the '<em><b>Period Basis Type</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>Period Basis Type</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static PeriodBasisType get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			PeriodBasisType result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>Period Basis Type</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static PeriodBasisType getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			PeriodBasisType result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>Period Basis Type</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static PeriodBasisType get(int value) {
		switch (value) {
			case PREVIOUS_PERIOD: return PREVIOUS_PERIOD_LITERAL;
			case PERIOD_IN_PROGRESS: return PERIOD_IN_PROGRESS_LITERAL;
		}
		return null;	
	}

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private PeriodBasisType(int value, String name, String literal) {
		super(value, name, literal);
	}

} //PeriodBasisType
