/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */ 
/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.ibm.wbimonitor.xml.model.mm;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.AbstractEnumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>Version Aggregation Type</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#getVersionAggregationType()
 * @model
 * @generated
 */
public final class VersionAggregationType extends AbstractEnumerator {
    public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2007.";  //$NON-NLS-1$

	/**
	 * The '<em><b>Single Version</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>Single Version</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @see #SINGLE_VERSION_LITERAL
	 * @model name="singleVersion"
	 * @generated
	 * @ordered
	 */
	public static final int SINGLE_VERSION = 0;

	/**
	 * The '<em><b>All Versions</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>All Versions</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @see #ALL_VERSIONS_LITERAL
	 * @model name="allVersions"
	 * @generated
	 * @ordered
	 */
	public static final int ALL_VERSIONS = 1;

	/**
	 * The '<em><b>Single Version</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #SINGLE_VERSION
	 * @generated
	 * @ordered
	 */
	public static final VersionAggregationType SINGLE_VERSION_LITERAL = new VersionAggregationType(SINGLE_VERSION, "singleVersion", "singleVersion");

	/**
	 * The '<em><b>All Versions</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #ALL_VERSIONS
	 * @generated
	 * @ordered
	 */
	public static final VersionAggregationType ALL_VERSIONS_LITERAL = new VersionAggregationType(ALL_VERSIONS, "allVersions", "allVersions");

	/**
	 * An array of all the '<em><b>Version Aggregation Type</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final VersionAggregationType[] VALUES_ARRAY =
		new VersionAggregationType[] {
			SINGLE_VERSION_LITERAL,
			ALL_VERSIONS_LITERAL,
		};

	/**
	 * A public read-only list of all the '<em><b>Version Aggregation Type</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>Version Aggregation Type</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static VersionAggregationType get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			VersionAggregationType result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>Version Aggregation Type</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static VersionAggregationType getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			VersionAggregationType result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>Version Aggregation Type</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static VersionAggregationType get(int value) {
		switch (value) {
			case SINGLE_VERSION: return SINGLE_VERSION_LITERAL;
			case ALL_VERSIONS: return ALL_VERSIONS_LITERAL;
		}
		return null;	
	}

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private VersionAggregationType(int value, String name, String literal) {
		super(value, name, literal);
	}

} //VersionAggregationType
