/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */ 
/**
 * <copyright>
 * </copyright>
 *
 * $Id: MmFactoryImpl.java,v 1.1 2006/06/27 15:10:42 crmiles Exp $
 */
package com.ibm.wbimonitor.xml.model.mm.impl;

import com.ibm.wbimonitor.xml.model.mm.*;

import java.util.List;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IConfigurationElement;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Platform;
import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.impl.EFactoryImpl;
import org.eclipse.emf.ecore.plugin.EcorePlugin;
import org.eclipse.emf.ecore.xml.type.XMLTypeFactory;
import org.eclipse.emf.ecore.xml.type.XMLTypePackage;

import com.ibm.wbimonitor.xml.model.mm.ActionType;
import com.ibm.wbimonitor.xml.model.mm.ActionsType;
import com.ibm.wbimonitor.xml.model.mm.AggregationType;
import com.ibm.wbimonitor.xml.model.mm.AssignmentListSpecificationType;
import com.ibm.wbimonitor.xml.model.mm.AssignmentSpecificationType;
import com.ibm.wbimonitor.xml.model.mm.BaseMetricType;
import com.ibm.wbimonitor.xml.model.mm.ContextType;
import com.ibm.wbimonitor.xml.model.mm.CounterType;
import com.ibm.wbimonitor.xml.model.mm.CubeType;
import com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionFixedPeriodType;
import com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRepeatingPeriodType;
import com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRollingPeriodType;
import com.ibm.wbimonitor.xml.model.mm.DimensionAttributeType;
import com.ibm.wbimonitor.xml.model.mm.DimensionType;
import com.ibm.wbimonitor.xml.model.mm.DocumentRoot;
import com.ibm.wbimonitor.xml.model.mm.EndNamedElementType;
import com.ibm.wbimonitor.xml.model.mm.EndValueNamedElementType;
import com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionMultipleMatchesType;
import com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionNoMatchesType;
import com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionOneMatchType;
import com.ibm.wbimonitor.xml.model.mm.EventModelNamedElementType;
import com.ibm.wbimonitor.xml.model.mm.EventModelType;
import com.ibm.wbimonitor.xml.model.mm.EventPartType;
import com.ibm.wbimonitor.xml.model.mm.ExpressionSpecificationType;
import com.ibm.wbimonitor.xml.model.mm.HideShapesType;
import com.ibm.wbimonitor.xml.model.mm.ImportType;
import com.ibm.wbimonitor.xml.model.mm.InboundEventType;
import com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType;
import com.ibm.wbimonitor.xml.model.mm.KPICalculatedDefinitionType;
import com.ibm.wbimonitor.xml.model.mm.KPIContextType;
import com.ibm.wbimonitor.xml.model.mm.KPIDateTimeMetricFilterRefType;
import com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterOperatorType;
import com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterRefType;
import com.ibm.wbimonitor.xml.model.mm.KPIModelNamedElementType;
import com.ibm.wbimonitor.xml.model.mm.KPIModelType;
import com.ibm.wbimonitor.xml.model.mm.KPIType;
import com.ibm.wbimonitor.xml.model.mm.MapType;
import com.ibm.wbimonitor.xml.model.mm.MeasureType;
import com.ibm.wbimonitor.xml.model.mm.MetricType;
import com.ibm.wbimonitor.xml.model.mm.MmFactory;
import com.ibm.wbimonitor.xml.model.mm.MmPackage;
import com.ibm.wbimonitor.xml.model.mm.MonitorDetailsModelNamedElementType;
import com.ibm.wbimonitor.xml.model.mm.MonitorDetailsModelType;
import com.ibm.wbimonitor.xml.model.mm.MonitorType;
import com.ibm.wbimonitor.xml.model.mm.MonitoringContextType;
import com.ibm.wbimonitor.xml.model.mm.NamedElementType;
import com.ibm.wbimonitor.xml.model.mm.OutboundEventType;
import com.ibm.wbimonitor.xml.model.mm.PeriodBasisType;
import com.ibm.wbimonitor.xml.model.mm.PositionType;
import com.ibm.wbimonitor.xml.model.mm.RangeType;
import com.ibm.wbimonitor.xml.model.mm.RangeTypeType;
import com.ibm.wbimonitor.xml.model.mm.ReferenceType;
import com.ibm.wbimonitor.xml.model.mm.RepeatingPeriodTypeType;
import com.ibm.wbimonitor.xml.model.mm.RollingPeriodTypeType;
import com.ibm.wbimonitor.xml.model.mm.SetColorType;
import com.ibm.wbimonitor.xml.model.mm.SetDiagramLinkType;
import com.ibm.wbimonitor.xml.model.mm.SetTextType;
import com.ibm.wbimonitor.xml.model.mm.ShapeSetRefType;
import com.ibm.wbimonitor.xml.model.mm.ShapeSetType;
import com.ibm.wbimonitor.xml.model.mm.ShapeSetsType;
import com.ibm.wbimonitor.xml.model.mm.StartNamedElementType;
import com.ibm.wbimonitor.xml.model.mm.StartValueNamedElementType;
import com.ibm.wbimonitor.xml.model.mm.StopwatchType;
import com.ibm.wbimonitor.xml.model.mm.SvgDocumentType;
import com.ibm.wbimonitor.xml.model.mm.TargetValueType;
import com.ibm.wbimonitor.xml.model.mm.TimeIntervalsType;
import com.ibm.wbimonitor.xml.model.mm.TriggerType;
import com.ibm.wbimonitor.xml.model.mm.ValueSpecificationType;
import com.ibm.wbimonitor.xml.model.mm.VersionAggregationType;
import com.ibm.wbimonitor.xml.model.mm.VisualModelNamedElementType;
import com.ibm.wbimonitor.xml.model.mm.VisualModelType;
import com.ibm.wbimonitor.xml.model.mm.VisualizationType;
import com.ibm.wbimonitor.xml.model.mm.XPathFunctionsType;
import com.ibm.wbimonitor.xml.model.util.Logger;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class MmFactoryImpl extends EFactoryImpl implements MmFactory {
    public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2007.";  //$NON-NLS-1$

	/**
	 * Creates the default factory implementation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static MmFactory init() {
		try {
			MmFactory theMmFactory = (MmFactory)EPackage.Registry.INSTANCE.getEFactory("http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm"); 
			if (theMmFactory != null) {
				return theMmFactory;
			}
		}
		catch (Exception exception) {
			EcorePlugin.INSTANCE.log(exception);
		}
		return new MmFactoryImpl();
	}

	/**
	 * Creates an instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MmFactoryImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EObject create(EClass eClass) {
		switch (eClass.getClassifierID()) {
			case MmPackage.ACTIONS_TYPE: return createActionsType();
			case MmPackage.ACTION_TYPE: return createActionType();
			case MmPackage.ASSIGNMENT_LIST_SPECIFICATION_TYPE: return createAssignmentListSpecificationType();
			case MmPackage.ASSIGNMENT_SPECIFICATION_TYPE: return createAssignmentSpecificationType();
			case MmPackage.BASE_METRIC_TYPE: return createBaseMetricType();
			case MmPackage.CONTEXT_TYPE: return createContextType();
			case MmPackage.COUNTER_TYPE: return createCounterType();
			case MmPackage.CUBE_TYPE: return createCubeType();
			case MmPackage.DATE_TIME_DIMENSION_FIXED_PERIOD_TYPE: return createDateTimeDimensionFixedPeriodType();
			case MmPackage.DATE_TIME_DIMENSION_REPEATING_PERIOD_TYPE: return createDateTimeDimensionRepeatingPeriodType();
			case MmPackage.DATE_TIME_DIMENSION_ROLLING_PERIOD_TYPE: return createDateTimeDimensionRollingPeriodType();
			case MmPackage.DIMENSIONAL_MODEL_NAMED_ELEMENT_TYPE: return createDimensionalModelNamedElementType();
			case MmPackage.DIMENSIONAL_MODEL_TYPE: return createDimensionalModelType();
			case MmPackage.DIMENSION_ATTRIBUTE_TYPE: return createDimensionAttributeType();
			case MmPackage.DIMENSION_TYPE: return createDimensionType();
			case MmPackage.DOCUMENT_ROOT: return createDocumentRoot();
			case MmPackage.END_NAMED_ELEMENT_TYPE: return createEndNamedElementType();
			case MmPackage.END_VALUE_NAMED_ELEMENT_TYPE: return createEndValueNamedElementType();
			case MmPackage.EVENT_MODEL_NAMED_ELEMENT_TYPE: return createEventModelNamedElementType();
			case MmPackage.EVENT_MODEL_TYPE: return createEventModelType();
			case MmPackage.EVENT_PART_TYPE: return createEventPartType();
			case MmPackage.EXPRESSION_SPECIFICATION_TYPE: return createExpressionSpecificationType();
			case MmPackage.HIDE_SHAPES_TYPE: return createHideShapesType();
			case MmPackage.IMPORT_TYPE: return createImportType();
			case MmPackage.INBOUND_EVENT_TYPE: return createInboundEventType();
			case MmPackage.KPI_AGGREGATED_DEFINITION_TYPE: return createKPIAggregatedDefinitionType();
			case MmPackage.KPI_CALCULATED_DEFINITION_TYPE: return createKPICalculatedDefinitionType();
			case MmPackage.KPI_CONTEXT_TYPE: return createKPIContextType();
			case MmPackage.KPI_DATE_TIME_METRIC_FILTER_REF_TYPE: return createKPIDateTimeMetricFilterRefType();
			case MmPackage.KPI_METRIC_FILTER_REF_TYPE: return createKPIMetricFilterRefType();
			case MmPackage.KPI_MODEL_NAMED_ELEMENT_TYPE: return createKPIModelNamedElementType();
			case MmPackage.KPI_MODEL_TYPE: return createKPIModelType();
			case MmPackage.KPI_TYPE: return createKPIType();
			case MmPackage.MAP_TYPE: return createMapType();
			case MmPackage.MEASURE_TYPE: return createMeasureType();
			case MmPackage.METRIC_TYPE: return createMetricType();
			case MmPackage.MONITOR_DETAILS_MODEL_NAMED_ELEMENT_TYPE: return createMonitorDetailsModelNamedElementType();
			case MmPackage.MONITOR_DETAILS_MODEL_TYPE: return createMonitorDetailsModelType();
			case MmPackage.MONITORING_CONTEXT_TYPE: return createMonitoringContextType();
			case MmPackage.MONITOR_TYPE: return createMonitorType();
			case MmPackage.NAMED_ELEMENT_TYPE: return createNamedElementType();
			case MmPackage.OUTBOUND_EVENT_TYPE: return createOutboundEventType();
			case MmPackage.POSITION_TYPE: return createPositionType();
			case MmPackage.RANGE_TYPE: return createRangeType();
			case MmPackage.REFERENCE_TYPE: return createReferenceType();
			case MmPackage.SET_COLOR_TYPE: return createSetColorType();
			case MmPackage.SET_DIAGRAM_LINK_TYPE: return createSetDiagramLinkType();
			case MmPackage.SET_TEXT_TYPE: return createSetTextType();
			case MmPackage.SHAPE_SET_REF_TYPE: return createShapeSetRefType();
			case MmPackage.SHAPE_SETS_TYPE: return createShapeSetsType();
			case MmPackage.SHAPE_SET_TYPE: return createShapeSetType();
			case MmPackage.START_NAMED_ELEMENT_TYPE: return createStartNamedElementType();
			case MmPackage.START_VALUE_NAMED_ELEMENT_TYPE: return createStartValueNamedElementType();
			case MmPackage.STOPWATCH_TYPE: return createStopwatchType();
			case MmPackage.SVG_DOCUMENT_TYPE: return createSvgDocumentType();
			case MmPackage.TARGET_VALUE_TYPE: return createTargetValueType();
			case MmPackage.TIME_INTERVALS_TYPE: return createTimeIntervalsType();
			case MmPackage.TRIGGER_TYPE: return createTriggerType();
			case MmPackage.VALUE_SPECIFICATION_TYPE: return createValueSpecificationType();
			case MmPackage.VISUALIZATION_TYPE: return createVisualizationType();
			case MmPackage.VISUAL_MODEL_NAMED_ELEMENT_TYPE: return createVisualModelNamedElementType();
			case MmPackage.VISUAL_MODEL_TYPE: return createVisualModelType();
			case MmPackage.XPATH_FUNCTIONS_TYPE: return createXPathFunctionsType();
			default:
				throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Object createFromString(EDataType eDataType, String initialValue) {
		switch (eDataType.getClassifierID()) {
			case MmPackage.AGGREGATION_TYPE:
				return createAggregationTypeFromString(eDataType, initialValue);
			case MmPackage.EVENT_DELIVERY_OPTION_MULTIPLE_MATCHES_TYPE:
				return createEventDeliveryOptionMultipleMatchesTypeFromString(eDataType, initialValue);
			case MmPackage.EVENT_DELIVERY_OPTION_NO_MATCHES_TYPE:
				return createEventDeliveryOptionNoMatchesTypeFromString(eDataType, initialValue);
			case MmPackage.EVENT_DELIVERY_OPTION_ONE_MATCH_TYPE:
				return createEventDeliveryOptionOneMatchTypeFromString(eDataType, initialValue);
			case MmPackage.KPI_METRIC_FILTER_OPERATOR_TYPE:
				return createKPIMetricFilterOperatorTypeFromString(eDataType, initialValue);
			case MmPackage.PERIOD_BASIS_TYPE:
				return createPeriodBasisTypeFromString(eDataType, initialValue);
			case MmPackage.RANGE_TYPE_TYPE:
				return createRangeTypeTypeFromString(eDataType, initialValue);
			case MmPackage.REPEATING_PERIOD_TYPE_TYPE:
				return createRepeatingPeriodTypeTypeFromString(eDataType, initialValue);
			case MmPackage.ROLLING_PERIOD_TYPE_TYPE:
				return createRollingPeriodTypeTypeFromString(eDataType, initialValue);
			case MmPackage.VERSION_AGGREGATION_TYPE:
				return createVersionAggregationTypeFromString(eDataType, initialValue);
			case MmPackage.AGGREGATION_TYPE_OBJECT:
				return createAggregationTypeObjectFromString(eDataType, initialValue);
			case MmPackage.EVENT_DELIVERY_OPTION_MULTIPLE_MATCHES_TYPE_OBJECT:
				return createEventDeliveryOptionMultipleMatchesTypeObjectFromString(eDataType, initialValue);
			case MmPackage.EVENT_DELIVERY_OPTION_NO_MATCHES_TYPE_OBJECT:
				return createEventDeliveryOptionNoMatchesTypeObjectFromString(eDataType, initialValue);
			case MmPackage.EVENT_DELIVERY_OPTION_ONE_MATCH_TYPE_OBJECT:
				return createEventDeliveryOptionOneMatchTypeObjectFromString(eDataType, initialValue);
			case MmPackage.KPI_METRIC_FILTER_OPERATOR_TYPE_OBJECT:
				return createKPIMetricFilterOperatorTypeObjectFromString(eDataType, initialValue);
			case MmPackage.NAME_TYPE:
				return createNameTypeFromString(eDataType, initialValue);
			case MmPackage.PERIOD_BASIS_TYPE_OBJECT:
				return createPeriodBasisTypeObjectFromString(eDataType, initialValue);
			case MmPackage.RANGE_TYPE_TYPE_OBJECT:
				return createRangeTypeTypeObjectFromString(eDataType, initialValue);
			case MmPackage.REPEATING_PERIOD_TYPE_TYPE_OBJECT:
				return createRepeatingPeriodTypeTypeObjectFromString(eDataType, initialValue);
			case MmPackage.ROLLING_PERIOD_TYPE_TYPE_OBJECT:
				return createRollingPeriodTypeTypeObjectFromString(eDataType, initialValue);
			case MmPackage.SHAPES_LIST_TYPE:
				return createShapesListTypeFromString(eDataType, initialValue);
			case MmPackage.VERSION_AGGREGATION_TYPE_OBJECT:
				return createVersionAggregationTypeObjectFromString(eDataType, initialValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertToString(EDataType eDataType, Object instanceValue) {
		switch (eDataType.getClassifierID()) {
			case MmPackage.AGGREGATION_TYPE:
				return convertAggregationTypeToString(eDataType, instanceValue);
			case MmPackage.EVENT_DELIVERY_OPTION_MULTIPLE_MATCHES_TYPE:
				return convertEventDeliveryOptionMultipleMatchesTypeToString(eDataType, instanceValue);
			case MmPackage.EVENT_DELIVERY_OPTION_NO_MATCHES_TYPE:
				return convertEventDeliveryOptionNoMatchesTypeToString(eDataType, instanceValue);
			case MmPackage.EVENT_DELIVERY_OPTION_ONE_MATCH_TYPE:
				return convertEventDeliveryOptionOneMatchTypeToString(eDataType, instanceValue);
			case MmPackage.KPI_METRIC_FILTER_OPERATOR_TYPE:
				return convertKPIMetricFilterOperatorTypeToString(eDataType, instanceValue);
			case MmPackage.PERIOD_BASIS_TYPE:
				return convertPeriodBasisTypeToString(eDataType, instanceValue);
			case MmPackage.RANGE_TYPE_TYPE:
				return convertRangeTypeTypeToString(eDataType, instanceValue);
			case MmPackage.REPEATING_PERIOD_TYPE_TYPE:
				return convertRepeatingPeriodTypeTypeToString(eDataType, instanceValue);
			case MmPackage.ROLLING_PERIOD_TYPE_TYPE:
				return convertRollingPeriodTypeTypeToString(eDataType, instanceValue);
			case MmPackage.VERSION_AGGREGATION_TYPE:
				return convertVersionAggregationTypeToString(eDataType, instanceValue);
			case MmPackage.AGGREGATION_TYPE_OBJECT:
				return convertAggregationTypeObjectToString(eDataType, instanceValue);
			case MmPackage.EVENT_DELIVERY_OPTION_MULTIPLE_MATCHES_TYPE_OBJECT:
				return convertEventDeliveryOptionMultipleMatchesTypeObjectToString(eDataType, instanceValue);
			case MmPackage.EVENT_DELIVERY_OPTION_NO_MATCHES_TYPE_OBJECT:
				return convertEventDeliveryOptionNoMatchesTypeObjectToString(eDataType, instanceValue);
			case MmPackage.EVENT_DELIVERY_OPTION_ONE_MATCH_TYPE_OBJECT:
				return convertEventDeliveryOptionOneMatchTypeObjectToString(eDataType, instanceValue);
			case MmPackage.KPI_METRIC_FILTER_OPERATOR_TYPE_OBJECT:
				return convertKPIMetricFilterOperatorTypeObjectToString(eDataType, instanceValue);
			case MmPackage.NAME_TYPE:
				return convertNameTypeToString(eDataType, instanceValue);
			case MmPackage.PERIOD_BASIS_TYPE_OBJECT:
				return convertPeriodBasisTypeObjectToString(eDataType, instanceValue);
			case MmPackage.RANGE_TYPE_TYPE_OBJECT:
				return convertRangeTypeTypeObjectToString(eDataType, instanceValue);
			case MmPackage.REPEATING_PERIOD_TYPE_TYPE_OBJECT:
				return convertRepeatingPeriodTypeTypeObjectToString(eDataType, instanceValue);
			case MmPackage.ROLLING_PERIOD_TYPE_TYPE_OBJECT:
				return convertRollingPeriodTypeTypeObjectToString(eDataType, instanceValue);
			case MmPackage.SHAPES_LIST_TYPE:
				return convertShapesListTypeToString(eDataType, instanceValue);
			case MmPackage.VERSION_AGGREGATION_TYPE_OBJECT:
				return convertVersionAggregationTypeObjectToString(eDataType, instanceValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ActionsType createActionsType() {
		ActionsTypeImpl actionsType = new ActionsTypeImpl();
		return actionsType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ActionType createActionType() {
		ActionTypeImpl actionType = new ActionTypeImpl();
		return actionType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AssignmentListSpecificationType createAssignmentListSpecificationType() {
		AssignmentListSpecificationTypeImpl assignmentListSpecificationType = new AssignmentListSpecificationTypeImpl();
		return assignmentListSpecificationType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AssignmentSpecificationType createAssignmentSpecificationType() {
		AssignmentSpecificationTypeImpl assignmentSpecificationType = new AssignmentSpecificationTypeImpl();
		return assignmentSpecificationType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BaseMetricType createBaseMetricType() {
		BaseMetricTypeImpl baseMetricType = new BaseMetricTypeImpl();
		return baseMetricType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContextType createContextType() {
		ContextTypeImpl contextType = new ContextTypeImpl();
		return contextType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CounterType createCounterType() {
		CounterTypeImpl counterType = new CounterTypeImpl();
		return counterType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CubeType createCubeType() {
		CubeTypeImpl cubeType = new CubeTypeImpl();
		return cubeType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DateTimeDimensionFixedPeriodType createDateTimeDimensionFixedPeriodType() {
		DateTimeDimensionFixedPeriodTypeImpl dateTimeDimensionFixedPeriodType = new DateTimeDimensionFixedPeriodTypeImpl();
		return dateTimeDimensionFixedPeriodType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DateTimeDimensionRepeatingPeriodType createDateTimeDimensionRepeatingPeriodType() {
		DateTimeDimensionRepeatingPeriodTypeImpl dateTimeDimensionRepeatingPeriodType = new DateTimeDimensionRepeatingPeriodTypeImpl();
		return dateTimeDimensionRepeatingPeriodType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DateTimeDimensionRollingPeriodType createDateTimeDimensionRollingPeriodType() {
		DateTimeDimensionRollingPeriodTypeImpl dateTimeDimensionRollingPeriodType = new DateTimeDimensionRollingPeriodTypeImpl();
		return dateTimeDimensionRollingPeriodType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DimensionalModelNamedElementType createDimensionalModelNamedElementType() {
		DimensionalModelNamedElementTypeImpl dimensionalModelNamedElementType = new DimensionalModelNamedElementTypeImpl();
		return dimensionalModelNamedElementType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DimensionalModelType createDimensionalModelType() {
		DimensionalModelTypeImpl dimensionalModelType = new DimensionalModelTypeImpl();
		return dimensionalModelType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DimensionAttributeType createDimensionAttributeType() {
		DimensionAttributeTypeImpl dimensionAttributeType = new DimensionAttributeTypeImpl();
		return dimensionAttributeType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DimensionType createDimensionType() {
		DimensionTypeImpl dimensionType = new DimensionTypeImpl();
		return dimensionType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DocumentRoot createDocumentRoot() {
		DocumentRootImpl documentRoot = new DocumentRootImpl();
		return documentRoot;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EndNamedElementType createEndNamedElementType() {
		EndNamedElementTypeImpl endNamedElementType = new EndNamedElementTypeImpl();
		return endNamedElementType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EndValueNamedElementType createEndValueNamedElementType() {
		EndValueNamedElementTypeImpl endValueNamedElementType = new EndValueNamedElementTypeImpl();
		return endValueNamedElementType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EventModelNamedElementType createEventModelNamedElementType() {
		EventModelNamedElementTypeImpl eventModelNamedElementType = new EventModelNamedElementTypeImpl();
		return eventModelNamedElementType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EventModelType createEventModelType() {
		EventModelTypeImpl eventModelType = new EventModelTypeImpl();
		return eventModelType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EventPartType createEventPartType() {
		EventPartTypeImpl eventPartType = new EventPartTypeImpl();
		return eventPartType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ExpressionSpecificationType createExpressionSpecificationType() {
		ExpressionSpecificationTypeImpl expressionSpecificationType = new ExpressionSpecificationTypeImpl();
		return expressionSpecificationType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public HideShapesType createHideShapesType() {
		HideShapesTypeImpl hideShapesType = new HideShapesTypeImpl();
		return hideShapesType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ImportType createImportType() {
		ImportTypeImpl importType = new ImportTypeImpl();
		return importType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public InboundEventType createInboundEventType() {
		InboundEventTypeImpl inboundEventType = new InboundEventTypeImpl();
		return inboundEventType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KPIAggregatedDefinitionType createKPIAggregatedDefinitionType() {
		KPIAggregatedDefinitionTypeImpl kpiAggregatedDefinitionType = new KPIAggregatedDefinitionTypeImpl();
		return kpiAggregatedDefinitionType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KPICalculatedDefinitionType createKPICalculatedDefinitionType() {
		KPICalculatedDefinitionTypeImpl kpiCalculatedDefinitionType = new KPICalculatedDefinitionTypeImpl();
		return kpiCalculatedDefinitionType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KPIContextType createKPIContextType() {
		KPIContextTypeImpl kpiContextType = new KPIContextTypeImpl();
		return kpiContextType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KPIDateTimeMetricFilterRefType createKPIDateTimeMetricFilterRefType() {
		KPIDateTimeMetricFilterRefTypeImpl kpiDateTimeMetricFilterRefType = new KPIDateTimeMetricFilterRefTypeImpl();
		return kpiDateTimeMetricFilterRefType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KPIMetricFilterRefType createKPIMetricFilterRefType() {
		KPIMetricFilterRefTypeImpl kpiMetricFilterRefType = new KPIMetricFilterRefTypeImpl();
		return kpiMetricFilterRefType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KPIModelNamedElementType createKPIModelNamedElementType() {
		KPIModelNamedElementTypeImpl kpiModelNamedElementType = new KPIModelNamedElementTypeImpl();
		return kpiModelNamedElementType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KPIModelType createKPIModelType() {
		KPIModelTypeImpl kpiModelType = new KPIModelTypeImpl();
		return kpiModelType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KPIType createKPIType() {
		KPITypeImpl kpiType = new KPITypeImpl();
		return kpiType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MapType createMapType() {
		MapTypeImpl mapType = new MapTypeImpl();
		return mapType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MeasureType createMeasureType() {
		MeasureTypeImpl measureType = new MeasureTypeImpl();
		return measureType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MetricType createMetricType() {
		MetricTypeImpl metricType = new MetricTypeImpl();
		return metricType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MonitorDetailsModelNamedElementType createMonitorDetailsModelNamedElementType() {
		MonitorDetailsModelNamedElementTypeImpl monitorDetailsModelNamedElementType = new MonitorDetailsModelNamedElementTypeImpl();
		return monitorDetailsModelNamedElementType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MonitorDetailsModelType createMonitorDetailsModelType() {
		MonitorDetailsModelTypeImpl monitorDetailsModelType = new MonitorDetailsModelTypeImpl();
		return monitorDetailsModelType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MonitoringContextType createMonitoringContextType() {
		MonitoringContextTypeImpl monitoringContextType = new MonitoringContextTypeImpl();
		return monitoringContextType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 */
	public MonitorType createMonitorType() {
		MonitorTypeImpl monitorType = new MonitorTypeImpl();
		
		// XXX The default NamespaceAdapter has a bug preventing removal of namespaces
		// We register our own namespace adapter on the monitor type that fixes this bug.  
		if (Platform.getExtensionRegistry() != null){
			IConfigurationElement[] namespaceAdapterExtensions = Platform.getExtensionRegistry().getConfigurationElementsFor("com.ibm.wbimonitor.xml.model.namespaceAdapterExtension");
			if(namespaceAdapterExtensions != null && namespaceAdapterExtensions.length > 0){
				try{
					Object namespaceAdapterExtension = namespaceAdapterExtensions[0].createExecutableExtension("class");
					if(namespaceAdapterExtension instanceof Adapter){
						monitorType.eAdapters().add(namespaceAdapterExtension);
					}
				}
				catch(CoreException e){
					Logger.log(IStatus.ERROR, "Failed to create namespace adapter extension", e);
				}
			}
		}
		return monitorType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NamedElementType createNamedElementType() {
		NamedElementTypeImpl namedElementType = new NamedElementTypeImpl();
		return namedElementType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OutboundEventType createOutboundEventType() {
		OutboundEventTypeImpl outboundEventType = new OutboundEventTypeImpl();
		return outboundEventType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PositionType createPositionType() {
		PositionTypeImpl positionType = new PositionTypeImpl();
		return positionType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RangeType createRangeType() {
		RangeTypeImpl rangeType = new RangeTypeImpl();
		return rangeType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReferenceType createReferenceType() {
		ReferenceTypeImpl referenceType = new ReferenceTypeImpl();
		return referenceType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SetColorType createSetColorType() {
		SetColorTypeImpl setColorType = new SetColorTypeImpl();
		return setColorType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SetDiagramLinkType createSetDiagramLinkType() {
		SetDiagramLinkTypeImpl setDiagramLinkType = new SetDiagramLinkTypeImpl();
		return setDiagramLinkType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SetTextType createSetTextType() {
		SetTextTypeImpl setTextType = new SetTextTypeImpl();
		return setTextType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ShapeSetRefType createShapeSetRefType() {
		ShapeSetRefTypeImpl shapeSetRefType = new ShapeSetRefTypeImpl();
		return shapeSetRefType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ShapeSetsType createShapeSetsType() {
		ShapeSetsTypeImpl shapeSetsType = new ShapeSetsTypeImpl();
		return shapeSetsType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ShapeSetType createShapeSetType() {
		ShapeSetTypeImpl shapeSetType = new ShapeSetTypeImpl();
		return shapeSetType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StartNamedElementType createStartNamedElementType() {
		StartNamedElementTypeImpl startNamedElementType = new StartNamedElementTypeImpl();
		return startNamedElementType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StartValueNamedElementType createStartValueNamedElementType() {
		StartValueNamedElementTypeImpl startValueNamedElementType = new StartValueNamedElementTypeImpl();
		return startValueNamedElementType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StopwatchType createStopwatchType() {
		StopwatchTypeImpl stopwatchType = new StopwatchTypeImpl();
		return stopwatchType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SvgDocumentType createSvgDocumentType() {
		SvgDocumentTypeImpl svgDocumentType = new SvgDocumentTypeImpl();
		return svgDocumentType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TargetValueType createTargetValueType() {
		TargetValueTypeImpl targetValueType = new TargetValueTypeImpl();
		return targetValueType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TimeIntervalsType createTimeIntervalsType() {
		TimeIntervalsTypeImpl timeIntervalsType = new TimeIntervalsTypeImpl();
		return timeIntervalsType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TriggerType createTriggerType() {
		TriggerTypeImpl triggerType = new TriggerTypeImpl();
		return triggerType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ValueSpecificationType createValueSpecificationType() {
		ValueSpecificationTypeImpl valueSpecificationType = new ValueSpecificationTypeImpl();
		return valueSpecificationType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VisualizationType createVisualizationType() {
		VisualizationTypeImpl visualizationType = new VisualizationTypeImpl();
		return visualizationType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VisualModelNamedElementType createVisualModelNamedElementType() {
		VisualModelNamedElementTypeImpl visualModelNamedElementType = new VisualModelNamedElementTypeImpl();
		return visualModelNamedElementType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VisualModelType createVisualModelType() {
		VisualModelTypeImpl visualModelType = new VisualModelTypeImpl();
		return visualModelType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XPathFunctionsType createXPathFunctionsType() {
		XPathFunctionsTypeImpl xPathFunctionsType = new XPathFunctionsTypeImpl();
		return xPathFunctionsType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AggregationType createAggregationTypeFromString(EDataType eDataType, String initialValue) {
		AggregationType result = AggregationType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertAggregationTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EventDeliveryOptionMultipleMatchesType createEventDeliveryOptionMultipleMatchesTypeFromString(EDataType eDataType, String initialValue) {
		EventDeliveryOptionMultipleMatchesType result = EventDeliveryOptionMultipleMatchesType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertEventDeliveryOptionMultipleMatchesTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EventDeliveryOptionNoMatchesType createEventDeliveryOptionNoMatchesTypeFromString(EDataType eDataType, String initialValue) {
		EventDeliveryOptionNoMatchesType result = EventDeliveryOptionNoMatchesType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertEventDeliveryOptionNoMatchesTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EventDeliveryOptionOneMatchType createEventDeliveryOptionOneMatchTypeFromString(EDataType eDataType, String initialValue) {
		EventDeliveryOptionOneMatchType result = EventDeliveryOptionOneMatchType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertEventDeliveryOptionOneMatchTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KPIMetricFilterOperatorType createKPIMetricFilterOperatorTypeFromString(EDataType eDataType, String initialValue) {
		KPIMetricFilterOperatorType result = KPIMetricFilterOperatorType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertKPIMetricFilterOperatorTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PeriodBasisType createPeriodBasisTypeFromString(EDataType eDataType, String initialValue) {
		PeriodBasisType result = PeriodBasisType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertPeriodBasisTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RangeTypeType createRangeTypeTypeFromString(EDataType eDataType, String initialValue) {
		RangeTypeType result = RangeTypeType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertRangeTypeTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RepeatingPeriodTypeType createRepeatingPeriodTypeTypeFromString(EDataType eDataType, String initialValue) {
		RepeatingPeriodTypeType result = RepeatingPeriodTypeType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertRepeatingPeriodTypeTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RollingPeriodTypeType createRollingPeriodTypeTypeFromString(EDataType eDataType, String initialValue) {
		RollingPeriodTypeType result = RollingPeriodTypeType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertRollingPeriodTypeTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VersionAggregationType createVersionAggregationTypeFromString(EDataType eDataType, String initialValue) {
		VersionAggregationType result = VersionAggregationType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertVersionAggregationTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AggregationType createAggregationTypeObjectFromString(EDataType eDataType, String initialValue) {
		return (AggregationType)createAggregationTypeFromString(MmPackage.Literals.AGGREGATION_TYPE, initialValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertAggregationTypeObjectToString(EDataType eDataType, Object instanceValue) {
		return convertAggregationTypeToString(MmPackage.Literals.AGGREGATION_TYPE, instanceValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EventDeliveryOptionMultipleMatchesType createEventDeliveryOptionMultipleMatchesTypeObjectFromString(EDataType eDataType, String initialValue) {
		return (EventDeliveryOptionMultipleMatchesType)createEventDeliveryOptionMultipleMatchesTypeFromString(MmPackage.Literals.EVENT_DELIVERY_OPTION_MULTIPLE_MATCHES_TYPE, initialValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertEventDeliveryOptionMultipleMatchesTypeObjectToString(EDataType eDataType, Object instanceValue) {
		return convertEventDeliveryOptionMultipleMatchesTypeToString(MmPackage.Literals.EVENT_DELIVERY_OPTION_MULTIPLE_MATCHES_TYPE, instanceValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EventDeliveryOptionNoMatchesType createEventDeliveryOptionNoMatchesTypeObjectFromString(EDataType eDataType, String initialValue) {
		return (EventDeliveryOptionNoMatchesType)createEventDeliveryOptionNoMatchesTypeFromString(MmPackage.Literals.EVENT_DELIVERY_OPTION_NO_MATCHES_TYPE, initialValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertEventDeliveryOptionNoMatchesTypeObjectToString(EDataType eDataType, Object instanceValue) {
		return convertEventDeliveryOptionNoMatchesTypeToString(MmPackage.Literals.EVENT_DELIVERY_OPTION_NO_MATCHES_TYPE, instanceValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EventDeliveryOptionOneMatchType createEventDeliveryOptionOneMatchTypeObjectFromString(EDataType eDataType, String initialValue) {
		return (EventDeliveryOptionOneMatchType)createEventDeliveryOptionOneMatchTypeFromString(MmPackage.Literals.EVENT_DELIVERY_OPTION_ONE_MATCH_TYPE, initialValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertEventDeliveryOptionOneMatchTypeObjectToString(EDataType eDataType, Object instanceValue) {
		return convertEventDeliveryOptionOneMatchTypeToString(MmPackage.Literals.EVENT_DELIVERY_OPTION_ONE_MATCH_TYPE, instanceValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public KPIMetricFilterOperatorType createKPIMetricFilterOperatorTypeObjectFromString(EDataType eDataType, String initialValue) {
		return (KPIMetricFilterOperatorType)createKPIMetricFilterOperatorTypeFromString(MmPackage.Literals.KPI_METRIC_FILTER_OPERATOR_TYPE, initialValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertKPIMetricFilterOperatorTypeObjectToString(EDataType eDataType, Object instanceValue) {
		return convertKPIMetricFilterOperatorTypeToString(MmPackage.Literals.KPI_METRIC_FILTER_OPERATOR_TYPE, instanceValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String createNameTypeFromString(EDataType eDataType, String initialValue) {
		return (String)XMLTypeFactory.eINSTANCE.createFromString(XMLTypePackage.Literals.STRING, initialValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertNameTypeToString(EDataType eDataType, Object instanceValue) {
		return XMLTypeFactory.eINSTANCE.convertToString(XMLTypePackage.Literals.STRING, instanceValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PeriodBasisType createPeriodBasisTypeObjectFromString(EDataType eDataType, String initialValue) {
		return (PeriodBasisType)createPeriodBasisTypeFromString(MmPackage.Literals.PERIOD_BASIS_TYPE, initialValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertPeriodBasisTypeObjectToString(EDataType eDataType, Object instanceValue) {
		return convertPeriodBasisTypeToString(MmPackage.Literals.PERIOD_BASIS_TYPE, instanceValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RangeTypeType createRangeTypeTypeObjectFromString(EDataType eDataType, String initialValue) {
		return (RangeTypeType)createRangeTypeTypeFromString(MmPackage.Literals.RANGE_TYPE_TYPE, initialValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertRangeTypeTypeObjectToString(EDataType eDataType, Object instanceValue) {
		return convertRangeTypeTypeToString(MmPackage.Literals.RANGE_TYPE_TYPE, instanceValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RepeatingPeriodTypeType createRepeatingPeriodTypeTypeObjectFromString(EDataType eDataType, String initialValue) {
		return (RepeatingPeriodTypeType)createRepeatingPeriodTypeTypeFromString(MmPackage.Literals.REPEATING_PERIOD_TYPE_TYPE, initialValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertRepeatingPeriodTypeTypeObjectToString(EDataType eDataType, Object instanceValue) {
		return convertRepeatingPeriodTypeTypeToString(MmPackage.Literals.REPEATING_PERIOD_TYPE_TYPE, instanceValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RollingPeriodTypeType createRollingPeriodTypeTypeObjectFromString(EDataType eDataType, String initialValue) {
		return (RollingPeriodTypeType)createRollingPeriodTypeTypeFromString(MmPackage.Literals.ROLLING_PERIOD_TYPE_TYPE, initialValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertRollingPeriodTypeTypeObjectToString(EDataType eDataType, Object instanceValue) {
		return convertRollingPeriodTypeTypeToString(MmPackage.Literals.ROLLING_PERIOD_TYPE_TYPE, instanceValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public List createShapesListTypeFromString(EDataType eDataType, String initialValue) {
		return (List)XMLTypeFactory.eINSTANCE.createFromString(XMLTypePackage.Literals.NMTOKENS, initialValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertShapesListTypeToString(EDataType eDataType, Object instanceValue) {
		return XMLTypeFactory.eINSTANCE.convertToString(XMLTypePackage.Literals.NMTOKENS, instanceValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VersionAggregationType createVersionAggregationTypeObjectFromString(EDataType eDataType, String initialValue) {
		return (VersionAggregationType)createVersionAggregationTypeFromString(MmPackage.Literals.VERSION_AGGREGATION_TYPE, initialValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertVersionAggregationTypeObjectToString(EDataType eDataType, Object instanceValue) {
		return convertVersionAggregationTypeToString(MmPackage.Literals.VERSION_AGGREGATION_TYPE, instanceValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MmPackage getMmPackage() {
		return (MmPackage)getEPackage();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated
	 * @generated
	 */
	public static MmPackage getPackage() {
		return MmPackage.eINSTANCE;
	}

} //MmFactoryImpl
