/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */ 
/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.ibm.wbimonitor.xml.model.mm.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

import com.ibm.wbimonitor.xml.model.mm.ContextType;
import com.ibm.wbimonitor.xml.model.mm.MmPackage;
import com.ibm.wbimonitor.xml.model.mm.SetDiagramLinkType;
import com.ibm.wbimonitor.xml.model.mm.ShapeSetRefType;
import com.ibm.wbimonitor.xml.model.util.ModelContextResolver;
import com.ibm.wbimonitor.xml.model.util.ModelContextResolverProvider;
import com.ibm.wbimonitor.xml.model.util.PathExpressionUtil;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Set Diagram Link Type</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.impl.SetDiagramLinkTypeImpl#getShapeSet <em>Shape Set</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.impl.SetDiagramLinkTypeImpl#getTargetContext <em>Target Context</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class SetDiagramLinkTypeImpl extends ActionTypeImpl implements SetDiagramLinkType {
    public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2007.";  //$NON-NLS-1$

	/**
	 * The cached value of the '{@link #getShapeSet() <em>Shape Set</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getShapeSet()
	 * @generated
	 * @ordered
	 */
	protected EList shapeSet = null;

	/**
	 * The default value of the '{@link #getTargetContext() <em>Target Context</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTargetContext()
	 * @generated
	 * @ordered
	 */
	protected static final String TARGET_CONTEXT_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getTargetContext() <em>Target Context</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTargetContext()
	 * @generated
	 * @ordered
	 */
	protected String targetContext = TARGET_CONTEXT_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected SetDiagramLinkTypeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected EClass eStaticClass() {
		return MmPackage.Literals.SET_DIAGRAM_LINK_TYPE;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList getShapeSet() {
		if (shapeSet == null) {
			shapeSet = new EObjectContainmentEList(ShapeSetRefType.class, this, MmPackage.SET_DIAGRAM_LINK_TYPE__SHAPE_SET);
		}
		return shapeSet;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getTargetContext() {
		return targetContext;
	}

	public ContextType getTargetContextObject(){
		
		/* The ref string contains the XPath expression (possibly relative) to the object.  Resolve it */
		if (getTargetContext() == null || getTargetContext().equals("")){
			return null;
		} else {
			ModelContextResolver resolver = ModelContextResolverProvider.getResolver(this, null);
			EObject eObj = PathExpressionUtil.evaluatePathExpression(resolver, this, getTargetContext());
			return eObj instanceof ContextType ? (ContextType)eObj: null;
		} 
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTargetContext(String newTargetContext) {
		String oldTargetContext = targetContext;
		targetContext = newTargetContext;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, MmPackage.SET_DIAGRAM_LINK_TYPE__TARGET_CONTEXT, oldTargetContext, targetContext));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case MmPackage.SET_DIAGRAM_LINK_TYPE__SHAPE_SET:
				return ((InternalEList)getShapeSet()).basicRemove(otherEnd, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case MmPackage.SET_DIAGRAM_LINK_TYPE__SHAPE_SET:
				return getShapeSet();
			case MmPackage.SET_DIAGRAM_LINK_TYPE__TARGET_CONTEXT:
				return getTargetContext();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case MmPackage.SET_DIAGRAM_LINK_TYPE__SHAPE_SET:
				getShapeSet().clear();
				getShapeSet().addAll((Collection)newValue);
				return;
			case MmPackage.SET_DIAGRAM_LINK_TYPE__TARGET_CONTEXT:
				setTargetContext((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void eUnset(int featureID) {
		switch (featureID) {
			case MmPackage.SET_DIAGRAM_LINK_TYPE__SHAPE_SET:
				getShapeSet().clear();
				return;
			case MmPackage.SET_DIAGRAM_LINK_TYPE__TARGET_CONTEXT:
				setTargetContext(TARGET_CONTEXT_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case MmPackage.SET_DIAGRAM_LINK_TYPE__SHAPE_SET:
				return shapeSet != null && !shapeSet.isEmpty();
			case MmPackage.SET_DIAGRAM_LINK_TYPE__TARGET_CONTEXT:
				return TARGET_CONTEXT_EDEFAULT == null ? targetContext != null : !TARGET_CONTEXT_EDEFAULT.equals(targetContext);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (targetContext: ");
		result.append(targetContext);
		result.append(')');
		return result.toString();
	}

} //SetDiagramLinkTypeImpl


