/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */ 
/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package com.ibm.wbimonitor.xml.model.mm.impl;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import com.ibm.wbimonitor.xml.model.mm.ActionsType;
import com.ibm.wbimonitor.xml.model.mm.ContextType;
import com.ibm.wbimonitor.xml.model.mm.MmPackage;
import com.ibm.wbimonitor.xml.model.mm.NamedElementType;
import com.ibm.wbimonitor.xml.model.mm.ShapeSetsType;
import com.ibm.wbimonitor.xml.model.mm.SvgDocumentType;
import com.ibm.wbimonitor.xml.model.mm.VisualizationType;
import com.ibm.wbimonitor.xml.model.util.ModelContextResolver;
import com.ibm.wbimonitor.xml.model.util.ModelContextResolverProvider;
import com.ibm.wbimonitor.xml.model.util.MonitoringModelContextResolver;
import com.ibm.wbimonitor.xml.model.util.PathExpressionUtil;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Visualization Type</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.impl.VisualizationTypeImpl#getShapeSets <em>Shape Sets</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.impl.VisualizationTypeImpl#getActions <em>Actions</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.impl.VisualizationTypeImpl#getSvgDocument <em>Svg Document</em>}</li>
 *   <li>{@link com.ibm.wbimonitor.xml.model.mm.impl.VisualizationTypeImpl#getContext <em>Context</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class VisualizationTypeImpl extends EObjectImpl implements VisualizationType {
    public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2007.";  //$NON-NLS-1$

	
	/* The context resolver */
	private ModelContextResolver fResolver = MonitoringModelContextResolver.getInstance();

	/**
	 * The cached value of the '{@link #getShapeSets() <em>Shape Sets</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getShapeSets()
	 * @generated
	 * @ordered
	 */
	protected ShapeSetsType shapeSets = null;

	/**
	 * The cached value of the '{@link #getActions() <em>Actions</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getActions()
	 * @generated
	 * @ordered
	 */
	protected ActionsType actions = null;

	/**
	 * The cached value of the '{@link #getSvgDocument() <em>Svg Document</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSvgDocument()
	 * @generated
	 * @ordered
	 */
	protected SvgDocumentType svgDocument = null;

	/**
	 * The default value of the '{@link #getContext() <em>Context</em>}' attribute.
	 * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
	 * @see #getContext()
	 * @generated
	 * @ordered
	 */
  protected static final String CONTEXT_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getContext() <em>Context</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getContext()
	 * @generated
	 * @ordered
	 */
	protected String context = CONTEXT_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected VisualizationTypeImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected EClass eStaticClass() {
		return MmPackage.Literals.VISUALIZATION_TYPE;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ShapeSetsType getShapeSets() {
		return shapeSets;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetShapeSets(ShapeSetsType newShapeSets, NotificationChain msgs) {
		ShapeSetsType oldShapeSets = shapeSets;
		shapeSets = newShapeSets;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, MmPackage.VISUALIZATION_TYPE__SHAPE_SETS, oldShapeSets, newShapeSets);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setShapeSets(ShapeSetsType newShapeSets) {
		if (newShapeSets != shapeSets) {
			NotificationChain msgs = null;
			if (shapeSets != null)
				msgs = ((InternalEObject)shapeSets).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - MmPackage.VISUALIZATION_TYPE__SHAPE_SETS, null, msgs);
			if (newShapeSets != null)
				msgs = ((InternalEObject)newShapeSets).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - MmPackage.VISUALIZATION_TYPE__SHAPE_SETS, null, msgs);
			msgs = basicSetShapeSets(newShapeSets, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, MmPackage.VISUALIZATION_TYPE__SHAPE_SETS, newShapeSets, newShapeSets));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ActionsType getActions() {
		return actions;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetActions(ActionsType newActions, NotificationChain msgs) {
		ActionsType oldActions = actions;
		actions = newActions;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, MmPackage.VISUALIZATION_TYPE__ACTIONS, oldActions, newActions);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setActions(ActionsType newActions) {
		if (newActions != actions) {
			NotificationChain msgs = null;
			if (actions != null)
				msgs = ((InternalEObject)actions).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - MmPackage.VISUALIZATION_TYPE__ACTIONS, null, msgs);
			if (newActions != null)
				msgs = ((InternalEObject)newActions).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - MmPackage.VISUALIZATION_TYPE__ACTIONS, null, msgs);
			msgs = basicSetActions(newActions, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, MmPackage.VISUALIZATION_TYPE__ACTIONS, newActions, newActions));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SvgDocumentType getSvgDocument() {
		return svgDocument;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetSvgDocument(SvgDocumentType newSvgDocument, NotificationChain msgs) {
		SvgDocumentType oldSvgDocument = svgDocument;
		svgDocument = newSvgDocument;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, MmPackage.VISUALIZATION_TYPE__SVG_DOCUMENT, oldSvgDocument, newSvgDocument);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSvgDocument(SvgDocumentType newSvgDocument) {
		if (newSvgDocument != svgDocument) {
			NotificationChain msgs = null;
			if (svgDocument != null)
				msgs = ((InternalEObject)svgDocument).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - MmPackage.VISUALIZATION_TYPE__SVG_DOCUMENT, null, msgs);
			if (newSvgDocument != null)
				msgs = ((InternalEObject)newSvgDocument).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - MmPackage.VISUALIZATION_TYPE__SVG_DOCUMENT, null, msgs);
			msgs = basicSetSvgDocument(newSvgDocument, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, MmPackage.VISUALIZATION_TYPE__SVG_DOCUMENT, newSvgDocument, newSvgDocument));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getContext() {
		return context;
	}

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * 
   * Remove the 'generated' flag because we need to clear the cached object upon set()
   */
  public void setContext(String newContext)
  {
    String oldContext = context;
    context = newContext;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, MmPackage.VISUALIZATION_TYPE__CONTEXT, oldContext, context));
  }

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case MmPackage.VISUALIZATION_TYPE__SHAPE_SETS:
				return basicSetShapeSets(null, msgs);
			case MmPackage.VISUALIZATION_TYPE__ACTIONS:
				return basicSetActions(null, msgs);
			case MmPackage.VISUALIZATION_TYPE__SVG_DOCUMENT:
				return basicSetSvgDocument(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case MmPackage.VISUALIZATION_TYPE__SHAPE_SETS:
				return getShapeSets();
			case MmPackage.VISUALIZATION_TYPE__ACTIONS:
				return getActions();
			case MmPackage.VISUALIZATION_TYPE__SVG_DOCUMENT:
				return getSvgDocument();
			case MmPackage.VISUALIZATION_TYPE__CONTEXT:
				return getContext();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case MmPackage.VISUALIZATION_TYPE__SHAPE_SETS:
				setShapeSets((ShapeSetsType)newValue);
				return;
			case MmPackage.VISUALIZATION_TYPE__ACTIONS:
				setActions((ActionsType)newValue);
				return;
			case MmPackage.VISUALIZATION_TYPE__SVG_DOCUMENT:
				setSvgDocument((SvgDocumentType)newValue);
				return;
			case MmPackage.VISUALIZATION_TYPE__CONTEXT:
				setContext((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void eUnset(int featureID) {
		switch (featureID) {
			case MmPackage.VISUALIZATION_TYPE__SHAPE_SETS:
				setShapeSets((ShapeSetsType)null);
				return;
			case MmPackage.VISUALIZATION_TYPE__ACTIONS:
				setActions((ActionsType)null);
				return;
			case MmPackage.VISUALIZATION_TYPE__SVG_DOCUMENT:
				setSvgDocument((SvgDocumentType)null);
				return;
			case MmPackage.VISUALIZATION_TYPE__CONTEXT:
				setContext(CONTEXT_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case MmPackage.VISUALIZATION_TYPE__SHAPE_SETS:
				return shapeSets != null;
			case MmPackage.VISUALIZATION_TYPE__ACTIONS:
				return actions != null;
			case MmPackage.VISUALIZATION_TYPE__SVG_DOCUMENT:
				return svgDocument != null;
			case MmPackage.VISUALIZATION_TYPE__CONTEXT:
				return CONTEXT_EDEFAULT == null ? context != null : !CONTEXT_EDEFAULT.equals(context);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
	 * @generated
	 */
  public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (context: ");
		result.append(context);
		result.append(')');
		return result.toString();
	}

  public ContextType getContextObject(){
  	/* The ref string contains the XPath expression (possibly relative) to the object.  Resolve it */
  	if (getContext() == null || getContext().equals("")){
  		return null;
  	} else {
  		ModelContextResolver resolver = ModelContextResolverProvider.getResolver(this, null);
  		/* We don't resolve from the ReferenceType itself, but from it's container (e.g. KPIDimensionAttributeRefType) */
  		EObject eObj = PathExpressionUtil.evaluatePathExpression(resolver, this, getContext());
		return eObj instanceof ContextType ? (ContextType)eObj: null;
  	} 
  }
  
  public void setContextObject(ContextType contextType){
  	String xPath = ((NamedElementType)eContainer()).getPathToObject(contextType);
 	
  	setContext(xPath);
  }

} //VisualizationTypeImpl
