/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */ 
/**
 * <copyright>
 * </copyright>
 *
 * $Id: MmAdapterFactory.java,v 1.1 2006/06/27 15:11:02 crmiles Exp $
 */
package com.ibm.wbimonitor.xml.model.mm.util;

import com.ibm.wbimonitor.xml.model.mm.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage
 * @generated
 */
public class MmAdapterFactory extends AdapterFactoryImpl {
    public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2007.";  //$NON-NLS-1$

	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static MmPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MmAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = MmPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch the delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected MmSwitch modelSwitch =
		new MmSwitch() {
			public Object caseActionsType(ActionsType object) {
				return createActionsTypeAdapter();
			}
			public Object caseActionType(ActionType object) {
				return createActionTypeAdapter();
			}
			public Object caseAssignmentListSpecificationType(AssignmentListSpecificationType object) {
				return createAssignmentListSpecificationTypeAdapter();
			}
			public Object caseAssignmentSpecificationType(AssignmentSpecificationType object) {
				return createAssignmentSpecificationTypeAdapter();
			}
			public Object caseBaseMetricType(BaseMetricType object) {
				return createBaseMetricTypeAdapter();
			}
			public Object caseContextType(ContextType object) {
				return createContextTypeAdapter();
			}
			public Object caseCounterType(CounterType object) {
				return createCounterTypeAdapter();
			}
			public Object caseCubeType(CubeType object) {
				return createCubeTypeAdapter();
			}
			public Object caseDateTimeDimensionFixedPeriodType(DateTimeDimensionFixedPeriodType object) {
				return createDateTimeDimensionFixedPeriodTypeAdapter();
			}
			public Object caseDateTimeDimensionRepeatingPeriodType(DateTimeDimensionRepeatingPeriodType object) {
				return createDateTimeDimensionRepeatingPeriodTypeAdapter();
			}
			public Object caseDateTimeDimensionRollingPeriodType(DateTimeDimensionRollingPeriodType object) {
				return createDateTimeDimensionRollingPeriodTypeAdapter();
			}
			public Object caseDescribableElementType(DescribableElementType object) {
				return createDescribableElementTypeAdapter();
			}
			public Object caseDimensionalModelNamedElementType(DimensionalModelNamedElementType object) {
				return createDimensionalModelNamedElementTypeAdapter();
			}
			public Object caseDimensionalModelType(DimensionalModelType object) {
				return createDimensionalModelTypeAdapter();
			}
			public Object caseDimensionAttributeType(DimensionAttributeType object) {
				return createDimensionAttributeTypeAdapter();
			}
			public Object caseDimensionType(DimensionType object) {
				return createDimensionTypeAdapter();
			}
			public Object caseDocumentRoot(DocumentRoot object) {
				return createDocumentRootAdapter();
			}
			public Object caseEndNamedElementType(EndNamedElementType object) {
				return createEndNamedElementTypeAdapter();
			}
			public Object caseEndValueNamedElementType(EndValueNamedElementType object) {
				return createEndValueNamedElementTypeAdapter();
			}
			public Object caseEventModelNamedElementType(EventModelNamedElementType object) {
				return createEventModelNamedElementTypeAdapter();
			}
			public Object caseEventModelType(EventModelType object) {
				return createEventModelTypeAdapter();
			}
			public Object caseEventPartType(EventPartType object) {
				return createEventPartTypeAdapter();
			}
			public Object caseExpressionSpecificationType(ExpressionSpecificationType object) {
				return createExpressionSpecificationTypeAdapter();
			}
			public Object caseHideShapesType(HideShapesType object) {
				return createHideShapesTypeAdapter();
			}
			public Object caseImportType(ImportType object) {
				return createImportTypeAdapter();
			}
			public Object caseInboundEventType(InboundEventType object) {
				return createInboundEventTypeAdapter();
			}
			public Object caseKPIAggregatedDefinitionType(KPIAggregatedDefinitionType object) {
				return createKPIAggregatedDefinitionTypeAdapter();
			}
			public Object caseKPICalculatedDefinitionType(KPICalculatedDefinitionType object) {
				return createKPICalculatedDefinitionTypeAdapter();
			}
			public Object caseKPIContextType(KPIContextType object) {
				return createKPIContextTypeAdapter();
			}
			public Object caseKPIDateTimeMetricFilterRefType(KPIDateTimeMetricFilterRefType object) {
				return createKPIDateTimeMetricFilterRefTypeAdapter();
			}
			public Object caseKPIMetricFilterRefType(KPIMetricFilterRefType object) {
				return createKPIMetricFilterRefTypeAdapter();
			}
			public Object caseKPIModelNamedElementType(KPIModelNamedElementType object) {
				return createKPIModelNamedElementTypeAdapter();
			}
			public Object caseKPIModelType(KPIModelType object) {
				return createKPIModelTypeAdapter();
			}
			public Object caseKPIType(KPIType object) {
				return createKPITypeAdapter();
			}
			public Object caseMapType(MapType object) {
				return createMapTypeAdapter();
			}
			public Object caseMeasureType(MeasureType object) {
				return createMeasureTypeAdapter();
			}
			public Object caseMetricType(MetricType object) {
				return createMetricTypeAdapter();
			}
			public Object caseMonitorDetailsModelNamedElementType(MonitorDetailsModelNamedElementType object) {
				return createMonitorDetailsModelNamedElementTypeAdapter();
			}
			public Object caseMonitorDetailsModelType(MonitorDetailsModelType object) {
				return createMonitorDetailsModelTypeAdapter();
			}
			public Object caseMonitoringContextType(MonitoringContextType object) {
				return createMonitoringContextTypeAdapter();
			}
			public Object caseMonitorType(MonitorType object) {
				return createMonitorTypeAdapter();
			}
			public Object caseNamedElementType(NamedElementType object) {
				return createNamedElementTypeAdapter();
			}
			public Object caseOutboundEventType(OutboundEventType object) {
				return createOutboundEventTypeAdapter();
			}
			public Object casePositionType(PositionType object) {
				return createPositionTypeAdapter();
			}
			public Object caseRangeType(RangeType object) {
				return createRangeTypeAdapter();
			}
			public Object caseReferenceType(ReferenceType object) {
				return createReferenceTypeAdapter();
			}
			public Object caseSetColorType(SetColorType object) {
				return createSetColorTypeAdapter();
			}
			public Object caseSetDiagramLinkType(SetDiagramLinkType object) {
				return createSetDiagramLinkTypeAdapter();
			}
			public Object caseSetTextType(SetTextType object) {
				return createSetTextTypeAdapter();
			}
			public Object caseShapeSetRefType(ShapeSetRefType object) {
				return createShapeSetRefTypeAdapter();
			}
			public Object caseShapeSetsType(ShapeSetsType object) {
				return createShapeSetsTypeAdapter();
			}
			public Object caseShapeSetType(ShapeSetType object) {
				return createShapeSetTypeAdapter();
			}
			public Object caseStartNamedElementType(StartNamedElementType object) {
				return createStartNamedElementTypeAdapter();
			}
			public Object caseStartValueNamedElementType(StartValueNamedElementType object) {
				return createStartValueNamedElementTypeAdapter();
			}
			public Object caseStopwatchType(StopwatchType object) {
				return createStopwatchTypeAdapter();
			}
			public Object caseSvgDocumentType(SvgDocumentType object) {
				return createSvgDocumentTypeAdapter();
			}
			public Object caseTargetValueType(TargetValueType object) {
				return createTargetValueTypeAdapter();
			}
			public Object caseTimeIntervalsType(TimeIntervalsType object) {
				return createTimeIntervalsTypeAdapter();
			}
			public Object caseTriggerType(TriggerType object) {
				return createTriggerTypeAdapter();
			}
			public Object caseValueSpecificationType(ValueSpecificationType object) {
				return createValueSpecificationTypeAdapter();
			}
			public Object caseVisualizationType(VisualizationType object) {
				return createVisualizationTypeAdapter();
			}
			public Object caseVisualModelNamedElementType(VisualModelNamedElementType object) {
				return createVisualModelNamedElementTypeAdapter();
			}
			public Object caseVisualModelType(VisualModelType object) {
				return createVisualModelTypeAdapter();
			}
			public Object caseXPathFunctionsType(XPathFunctionsType object) {
				return createXPathFunctionsTypeAdapter();
			}
			public Object defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	public Adapter createAdapter(Notifier target) {
		return (Adapter)modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.ActionsType <em>Actions Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.ActionsType
	 * @generated
	 */
	public Adapter createActionsTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.ActionType <em>Action Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.ActionType
	 * @generated
	 */
	public Adapter createActionTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.AssignmentListSpecificationType <em>Assignment List Specification Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.AssignmentListSpecificationType
	 * @generated
	 */
	public Adapter createAssignmentListSpecificationTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.AssignmentSpecificationType <em>Assignment Specification Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.AssignmentSpecificationType
	 * @generated
	 */
	public Adapter createAssignmentSpecificationTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.BaseMetricType <em>Base Metric Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.BaseMetricType
	 * @generated
	 */
	public Adapter createBaseMetricTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.ContextType <em>Context Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.ContextType
	 * @generated
	 */
	public Adapter createContextTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.CounterType <em>Counter Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.CounterType
	 * @generated
	 */
	public Adapter createCounterTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.CubeType <em>Cube Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.CubeType
	 * @generated
	 */
	public Adapter createCubeTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionFixedPeriodType <em>Date Time Dimension Fixed Period Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionFixedPeriodType
	 * @generated
	 */
	public Adapter createDateTimeDimensionFixedPeriodTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRepeatingPeriodType <em>Date Time Dimension Repeating Period Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRepeatingPeriodType
	 * @generated
	 */
	public Adapter createDateTimeDimensionRepeatingPeriodTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRollingPeriodType <em>Date Time Dimension Rolling Period Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRollingPeriodType
	 * @generated
	 */
	public Adapter createDateTimeDimensionRollingPeriodTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.DescribableElementType <em>Describable Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.DescribableElementType
	 * @generated
	 */
	public Adapter createDescribableElementTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.DimensionalModelNamedElementType <em>Dimensional Model Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.DimensionalModelNamedElementType
	 * @generated
	 */
	public Adapter createDimensionalModelNamedElementTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.DimensionalModelType <em>Dimensional Model Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.DimensionalModelType
	 * @generated
	 */
	public Adapter createDimensionalModelTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.DimensionAttributeType <em>Dimension Attribute Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.DimensionAttributeType
	 * @generated
	 */
	public Adapter createDimensionAttributeTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.DimensionType <em>Dimension Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.DimensionType
	 * @generated
	 */
	public Adapter createDimensionTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.DocumentRoot <em>Document Root</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.DocumentRoot
	 * @generated
	 */
	public Adapter createDocumentRootAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.EndNamedElementType <em>End Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.EndNamedElementType
	 * @generated
	 */
	public Adapter createEndNamedElementTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.EndValueNamedElementType <em>End Value Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.EndValueNamedElementType
	 * @generated
	 */
	public Adapter createEndValueNamedElementTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.EventModelNamedElementType <em>Event Model Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventModelNamedElementType
	 * @generated
	 */
	public Adapter createEventModelNamedElementTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.EventModelType <em>Event Model Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventModelType
	 * @generated
	 */
	public Adapter createEventModelTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.EventPartType <em>Event Part Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventPartType
	 * @generated
	 */
	public Adapter createEventPartTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.ExpressionSpecificationType <em>Expression Specification Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.ExpressionSpecificationType
	 * @generated
	 */
	public Adapter createExpressionSpecificationTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.HideShapesType <em>Hide Shapes Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.HideShapesType
	 * @generated
	 */
	public Adapter createHideShapesTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.ImportType <em>Import Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.ImportType
	 * @generated
	 */
	public Adapter createImportTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType <em>Inbound Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.InboundEventType
	 * @generated
	 */
	public Adapter createInboundEventTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType <em>KPI Aggregated Definition Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType
	 * @generated
	 */
	public Adapter createKPIAggregatedDefinitionTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.KPICalculatedDefinitionType <em>KPI Calculated Definition Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPICalculatedDefinitionType
	 * @generated
	 */
	public Adapter createKPICalculatedDefinitionTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.KPIContextType <em>KPI Context Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIContextType
	 * @generated
	 */
	public Adapter createKPIContextTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.KPIDateTimeMetricFilterRefType <em>KPI Date Time Metric Filter Ref Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIDateTimeMetricFilterRefType
	 * @generated
	 */
	public Adapter createKPIDateTimeMetricFilterRefTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterRefType <em>KPI Metric Filter Ref Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterRefType
	 * @generated
	 */
	public Adapter createKPIMetricFilterRefTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.KPIModelNamedElementType <em>KPI Model Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIModelNamedElementType
	 * @generated
	 */
	public Adapter createKPIModelNamedElementTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.KPIModelType <em>KPI Model Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIModelType
	 * @generated
	 */
	public Adapter createKPIModelTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.KPIType <em>KPI Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIType
	 * @generated
	 */
	public Adapter createKPITypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.MapType <em>Map Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.MapType
	 * @generated
	 */
	public Adapter createMapTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.MeasureType <em>Measure Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.MeasureType
	 * @generated
	 */
	public Adapter createMeasureTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.MetricType <em>Metric Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.MetricType
	 * @generated
	 */
	public Adapter createMetricTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.MonitorDetailsModelNamedElementType <em>Monitor Details Model Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitorDetailsModelNamedElementType
	 * @generated
	 */
	public Adapter createMonitorDetailsModelNamedElementTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.MonitorDetailsModelType <em>Monitor Details Model Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitorDetailsModelType
	 * @generated
	 */
	public Adapter createMonitorDetailsModelTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.MonitoringContextType <em>Monitoring Context Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitoringContextType
	 * @generated
	 */
	public Adapter createMonitoringContextTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.MonitorType <em>Monitor Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitorType
	 * @generated
	 */
	public Adapter createMonitorTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.NamedElementType <em>Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.NamedElementType
	 * @generated
	 */
	public Adapter createNamedElementTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.OutboundEventType <em>Outbound Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.OutboundEventType
	 * @generated
	 */
	public Adapter createOutboundEventTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.PositionType <em>Position Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.PositionType
	 * @generated
	 */
	public Adapter createPositionTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.RangeType <em>Range Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.RangeType
	 * @generated
	 */
	public Adapter createRangeTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.ReferenceType <em>Reference Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.ReferenceType
	 * @generated
	 */
	public Adapter createReferenceTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.SetColorType <em>Set Color Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.SetColorType
	 * @generated
	 */
	public Adapter createSetColorTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.SetDiagramLinkType <em>Set Diagram Link Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.SetDiagramLinkType
	 * @generated
	 */
	public Adapter createSetDiagramLinkTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.SetTextType <em>Set Text Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.SetTextType
	 * @generated
	 */
	public Adapter createSetTextTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.ShapeSetRefType <em>Shape Set Ref Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.ShapeSetRefType
	 * @generated
	 */
	public Adapter createShapeSetRefTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.ShapeSetsType <em>Shape Sets Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.ShapeSetsType
	 * @generated
	 */
	public Adapter createShapeSetsTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.ShapeSetType <em>Shape Set Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.ShapeSetType
	 * @generated
	 */
	public Adapter createShapeSetTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.StartNamedElementType <em>Start Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.StartNamedElementType
	 * @generated
	 */
	public Adapter createStartNamedElementTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.StartValueNamedElementType <em>Start Value Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.StartValueNamedElementType
	 * @generated
	 */
	public Adapter createStartValueNamedElementTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.StopwatchType <em>Stopwatch Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.StopwatchType
	 * @generated
	 */
	public Adapter createStopwatchTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.SvgDocumentType <em>Svg Document Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.SvgDocumentType
	 * @generated
	 */
	public Adapter createSvgDocumentTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.TargetValueType <em>Target Value Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.TargetValueType
	 * @generated
	 */
	public Adapter createTargetValueTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.TimeIntervalsType <em>Time Intervals Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.TimeIntervalsType
	 * @generated
	 */
	public Adapter createTimeIntervalsTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.TriggerType <em>Trigger Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.TriggerType
	 * @generated
	 */
	public Adapter createTriggerTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.ValueSpecificationType <em>Value Specification Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.ValueSpecificationType
	 * @generated
	 */
	public Adapter createValueSpecificationTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.VisualizationType <em>Visualization Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.VisualizationType
	 * @generated
	 */
	public Adapter createVisualizationTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.VisualModelNamedElementType <em>Visual Model Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.VisualModelNamedElementType
	 * @generated
	 */
	public Adapter createVisualModelNamedElementTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.VisualModelType <em>Visual Model Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.VisualModelType
	 * @generated
	 */
	public Adapter createVisualModelTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.ibm.wbimonitor.xml.model.mm.XPathFunctionsType <em>XPath Functions Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.ibm.wbimonitor.xml.model.mm.XPathFunctionsType
	 * @generated
	 */
	public Adapter createXPathFunctionsTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //MmAdapterFactory
