/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */ 
/**
 * <copyright>
 * </copyright>
 *
 * $Id: MmResourceImpl.java,v 1.1 2006/06/27 15:11:04 crmiles Exp $
 */
package com.ibm.wbimonitor.xml.model.mm.util;

import java.io.IOException;
import java.io.InputStream;
import java.util.HashMap;
import java.util.Map;

import org.eclipse.emf.common.util.URI;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.xmi.XMLLoad;
import org.eclipse.emf.ecore.xmi.XMLSave;
import org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl;


/**
 * <!-- begin-user-doc -->
 * The <b>Resource </b> associated with the package.
 * <!-- end-user-doc -->
 * @see com.ibm.wbimonitor.xml.model.mm.util.MmResourceFactoryImpl
 * @generated
 */
public class MmResourceImpl extends XMLResourceImpl {
    public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2007.";  //$NON-NLS-1$

	
	private Map lineNumbers = null;
	
	/**
	 * Creates an instance of the resource.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param uri the URI of the new resource.
	 */
	public MmResourceImpl(URI uri) {
		super(uri);
		lineNumbers = new HashMap();
	}

	protected XMLLoad createXMLLoad() {
	    return new MmXMLLoadImpl(new MmXMLHelperImpl(this));
	}	
	
	/* (non-Javadoc)
	 * @see org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl#createXMLSave()
	 */
	protected XMLSave createXMLSave() {
		return new MmXMLSaveImpl(createXMLHelper());
	}
	
	/**
	 * Returns the line number where the given object is located in the XML document.
	 * @param object An EObject.
	 * @return A line number that must be greater than 0 if the given object is found;
	 * otherwise -1 is returned. 
	 */
	public int getLineNumber(EObject object) {
		int result = -1;
		Object lineNumber = lineNumbers.get(object);
		if (lineNumber instanceof Integer) {
			result = ((Integer) lineNumber).intValue();
		}
		
		return result;
	}
	
	/**
	 * Regsiter line number for a given EObject
	 * @param object An EObject.
	 * @param lineNumber A line number that must be greater than 0.
	 */
	protected void registerLineNumebr(EObject object, int lineNumber) {
		if (object != null && lineNumber > 0) {
			lineNumbers.put(object, new Integer(lineNumber));
		}
	}

	
	/* (non-Javadoc)
	 * @see org.eclipse.emf.ecore.resource.impl.ResourceImpl#doLoad(java.io.InputStream, java.util.Map)
	 */
	public void doLoad(InputStream inputStream, Map options) throws IOException {
		
		// Clear all cached line numbers before loading.
		lineNumbers.clear();
		
		super.doLoad(inputStream, options);
	}
} //MmResourceFactoryImpl
