/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */ 
/**
 * <copyright>
 * </copyright>
 *
 * $Id: MmSwitch.java,v 1.1 2006/06/27 15:11:03 crmiles Exp $
 */
package com.ibm.wbimonitor.xml.model.mm.util;

import com.ibm.wbimonitor.xml.model.mm.*;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage
 * @generated
 */
public class MmSwitch {
    public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2007.";  //$NON-NLS-1$

	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static MmPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MmSwitch() {
		if (modelPackage == null) {
			modelPackage = MmPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public Object doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch((EClass)eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case MmPackage.ACTIONS_TYPE: {
				ActionsType actionsType = (ActionsType)theEObject;
				Object result = caseActionsType(actionsType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.ACTION_TYPE: {
				ActionType actionType = (ActionType)theEObject;
				Object result = caseActionType(actionType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.ASSIGNMENT_LIST_SPECIFICATION_TYPE: {
				AssignmentListSpecificationType assignmentListSpecificationType = (AssignmentListSpecificationType)theEObject;
				Object result = caseAssignmentListSpecificationType(assignmentListSpecificationType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.ASSIGNMENT_SPECIFICATION_TYPE: {
				AssignmentSpecificationType assignmentSpecificationType = (AssignmentSpecificationType)theEObject;
				Object result = caseAssignmentSpecificationType(assignmentSpecificationType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.BASE_METRIC_TYPE: {
				BaseMetricType baseMetricType = (BaseMetricType)theEObject;
				Object result = caseBaseMetricType(baseMetricType);
				if (result == null) result = caseNamedElementType(baseMetricType);
				if (result == null) result = caseDescribableElementType(baseMetricType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.CONTEXT_TYPE: {
				ContextType contextType = (ContextType)theEObject;
				Object result = caseContextType(contextType);
				if (result == null) result = caseNamedElementType(contextType);
				if (result == null) result = caseDescribableElementType(contextType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.COUNTER_TYPE: {
				CounterType counterType = (CounterType)theEObject;
				Object result = caseCounterType(counterType);
				if (result == null) result = caseBaseMetricType(counterType);
				if (result == null) result = caseNamedElementType(counterType);
				if (result == null) result = caseDescribableElementType(counterType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.CUBE_TYPE: {
				CubeType cubeType = (CubeType)theEObject;
				Object result = caseCubeType(cubeType);
				if (result == null) result = caseNamedElementType(cubeType);
				if (result == null) result = caseDescribableElementType(cubeType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.DATE_TIME_DIMENSION_FIXED_PERIOD_TYPE: {
				DateTimeDimensionFixedPeriodType dateTimeDimensionFixedPeriodType = (DateTimeDimensionFixedPeriodType)theEObject;
				Object result = caseDateTimeDimensionFixedPeriodType(dateTimeDimensionFixedPeriodType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.DATE_TIME_DIMENSION_REPEATING_PERIOD_TYPE: {
				DateTimeDimensionRepeatingPeriodType dateTimeDimensionRepeatingPeriodType = (DateTimeDimensionRepeatingPeriodType)theEObject;
				Object result = caseDateTimeDimensionRepeatingPeriodType(dateTimeDimensionRepeatingPeriodType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.DATE_TIME_DIMENSION_ROLLING_PERIOD_TYPE: {
				DateTimeDimensionRollingPeriodType dateTimeDimensionRollingPeriodType = (DateTimeDimensionRollingPeriodType)theEObject;
				Object result = caseDateTimeDimensionRollingPeriodType(dateTimeDimensionRollingPeriodType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.DESCRIBABLE_ELEMENT_TYPE: {
				DescribableElementType describableElementType = (DescribableElementType)theEObject;
				Object result = caseDescribableElementType(describableElementType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.DIMENSIONAL_MODEL_NAMED_ELEMENT_TYPE: {
				DimensionalModelNamedElementType dimensionalModelNamedElementType = (DimensionalModelNamedElementType)theEObject;
				Object result = caseDimensionalModelNamedElementType(dimensionalModelNamedElementType);
				if (result == null) result = caseNamedElementType(dimensionalModelNamedElementType);
				if (result == null) result = caseDescribableElementType(dimensionalModelNamedElementType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.DIMENSIONAL_MODEL_TYPE: {
				DimensionalModelType dimensionalModelType = (DimensionalModelType)theEObject;
				Object result = caseDimensionalModelType(dimensionalModelType);
				if (result == null) result = caseDimensionalModelNamedElementType(dimensionalModelType);
				if (result == null) result = caseNamedElementType(dimensionalModelType);
				if (result == null) result = caseDescribableElementType(dimensionalModelType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.DIMENSION_ATTRIBUTE_TYPE: {
				DimensionAttributeType dimensionAttributeType = (DimensionAttributeType)theEObject;
				Object result = caseDimensionAttributeType(dimensionAttributeType);
				if (result == null) result = caseNamedElementType(dimensionAttributeType);
				if (result == null) result = caseDescribableElementType(dimensionAttributeType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.DIMENSION_TYPE: {
				DimensionType dimensionType = (DimensionType)theEObject;
				Object result = caseDimensionType(dimensionType);
				if (result == null) result = caseNamedElementType(dimensionType);
				if (result == null) result = caseDescribableElementType(dimensionType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.DOCUMENT_ROOT: {
				DocumentRoot documentRoot = (DocumentRoot)theEObject;
				Object result = caseDocumentRoot(documentRoot);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.END_NAMED_ELEMENT_TYPE: {
				EndNamedElementType endNamedElementType = (EndNamedElementType)theEObject;
				Object result = caseEndNamedElementType(endNamedElementType);
				if (result == null) result = caseNamedElementType(endNamedElementType);
				if (result == null) result = caseDescribableElementType(endNamedElementType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.END_VALUE_NAMED_ELEMENT_TYPE: {
				EndValueNamedElementType endValueNamedElementType = (EndValueNamedElementType)theEObject;
				Object result = caseEndValueNamedElementType(endValueNamedElementType);
				if (result == null) result = caseEndNamedElementType(endValueNamedElementType);
				if (result == null) result = caseNamedElementType(endValueNamedElementType);
				if (result == null) result = caseDescribableElementType(endValueNamedElementType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.EVENT_MODEL_NAMED_ELEMENT_TYPE: {
				EventModelNamedElementType eventModelNamedElementType = (EventModelNamedElementType)theEObject;
				Object result = caseEventModelNamedElementType(eventModelNamedElementType);
				if (result == null) result = caseNamedElementType(eventModelNamedElementType);
				if (result == null) result = caseDescribableElementType(eventModelNamedElementType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.EVENT_MODEL_TYPE: {
				EventModelType eventModelType = (EventModelType)theEObject;
				Object result = caseEventModelType(eventModelType);
				if (result == null) result = caseEventModelNamedElementType(eventModelType);
				if (result == null) result = caseNamedElementType(eventModelType);
				if (result == null) result = caseDescribableElementType(eventModelType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.EVENT_PART_TYPE: {
				EventPartType eventPartType = (EventPartType)theEObject;
				Object result = caseEventPartType(eventPartType);
				if (result == null) result = caseNamedElementType(eventPartType);
				if (result == null) result = caseDescribableElementType(eventPartType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.EXPRESSION_SPECIFICATION_TYPE: {
				ExpressionSpecificationType expressionSpecificationType = (ExpressionSpecificationType)theEObject;
				Object result = caseExpressionSpecificationType(expressionSpecificationType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.HIDE_SHAPES_TYPE: {
				HideShapesType hideShapesType = (HideShapesType)theEObject;
				Object result = caseHideShapesType(hideShapesType);
				if (result == null) result = caseActionType(hideShapesType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.IMPORT_TYPE: {
				ImportType importType = (ImportType)theEObject;
				Object result = caseImportType(importType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.INBOUND_EVENT_TYPE: {
				InboundEventType inboundEventType = (InboundEventType)theEObject;
				Object result = caseInboundEventType(inboundEventType);
				if (result == null) result = caseNamedElementType(inboundEventType);
				if (result == null) result = caseDescribableElementType(inboundEventType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.KPI_AGGREGATED_DEFINITION_TYPE: {
				KPIAggregatedDefinitionType kpiAggregatedDefinitionType = (KPIAggregatedDefinitionType)theEObject;
				Object result = caseKPIAggregatedDefinitionType(kpiAggregatedDefinitionType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.KPI_CALCULATED_DEFINITION_TYPE: {
				KPICalculatedDefinitionType kpiCalculatedDefinitionType = (KPICalculatedDefinitionType)theEObject;
				Object result = caseKPICalculatedDefinitionType(kpiCalculatedDefinitionType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.KPI_CONTEXT_TYPE: {
				KPIContextType kpiContextType = (KPIContextType)theEObject;
				Object result = caseKPIContextType(kpiContextType);
				if (result == null) result = caseContextType(kpiContextType);
				if (result == null) result = caseNamedElementType(kpiContextType);
				if (result == null) result = caseDescribableElementType(kpiContextType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.KPI_DATE_TIME_METRIC_FILTER_REF_TYPE: {
				KPIDateTimeMetricFilterRefType kpiDateTimeMetricFilterRefType = (KPIDateTimeMetricFilterRefType)theEObject;
				Object result = caseKPIDateTimeMetricFilterRefType(kpiDateTimeMetricFilterRefType);
				if (result == null) result = caseReferenceType(kpiDateTimeMetricFilterRefType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.KPI_METRIC_FILTER_REF_TYPE: {
				KPIMetricFilterRefType kpiMetricFilterRefType = (KPIMetricFilterRefType)theEObject;
				Object result = caseKPIMetricFilterRefType(kpiMetricFilterRefType);
				if (result == null) result = caseReferenceType(kpiMetricFilterRefType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.KPI_MODEL_NAMED_ELEMENT_TYPE: {
				KPIModelNamedElementType kpiModelNamedElementType = (KPIModelNamedElementType)theEObject;
				Object result = caseKPIModelNamedElementType(kpiModelNamedElementType);
				if (result == null) result = caseNamedElementType(kpiModelNamedElementType);
				if (result == null) result = caseDescribableElementType(kpiModelNamedElementType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.KPI_MODEL_TYPE: {
				KPIModelType kpiModelType = (KPIModelType)theEObject;
				Object result = caseKPIModelType(kpiModelType);
				if (result == null) result = caseKPIModelNamedElementType(kpiModelType);
				if (result == null) result = caseNamedElementType(kpiModelType);
				if (result == null) result = caseDescribableElementType(kpiModelType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.KPI_TYPE: {
				KPIType kpiType = (KPIType)theEObject;
				Object result = caseKPIType(kpiType);
				if (result == null) result = caseNamedElementType(kpiType);
				if (result == null) result = caseDescribableElementType(kpiType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.MAP_TYPE: {
				MapType mapType = (MapType)theEObject;
				Object result = caseMapType(mapType);
				if (result == null) result = caseDescribableElementType(mapType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.MEASURE_TYPE: {
				MeasureType measureType = (MeasureType)theEObject;
				Object result = caseMeasureType(measureType);
				if (result == null) result = caseNamedElementType(measureType);
				if (result == null) result = caseDescribableElementType(measureType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.METRIC_TYPE: {
				MetricType metricType = (MetricType)theEObject;
				Object result = caseMetricType(metricType);
				if (result == null) result = caseBaseMetricType(metricType);
				if (result == null) result = caseNamedElementType(metricType);
				if (result == null) result = caseDescribableElementType(metricType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.MONITOR_DETAILS_MODEL_NAMED_ELEMENT_TYPE: {
				MonitorDetailsModelNamedElementType monitorDetailsModelNamedElementType = (MonitorDetailsModelNamedElementType)theEObject;
				Object result = caseMonitorDetailsModelNamedElementType(monitorDetailsModelNamedElementType);
				if (result == null) result = caseNamedElementType(monitorDetailsModelNamedElementType);
				if (result == null) result = caseDescribableElementType(monitorDetailsModelNamedElementType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.MONITOR_DETAILS_MODEL_TYPE: {
				MonitorDetailsModelType monitorDetailsModelType = (MonitorDetailsModelType)theEObject;
				Object result = caseMonitorDetailsModelType(monitorDetailsModelType);
				if (result == null) result = caseMonitorDetailsModelNamedElementType(monitorDetailsModelType);
				if (result == null) result = caseNamedElementType(monitorDetailsModelType);
				if (result == null) result = caseDescribableElementType(monitorDetailsModelType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.MONITORING_CONTEXT_TYPE: {
				MonitoringContextType monitoringContextType = (MonitoringContextType)theEObject;
				Object result = caseMonitoringContextType(monitoringContextType);
				if (result == null) result = caseContextType(monitoringContextType);
				if (result == null) result = caseNamedElementType(monitoringContextType);
				if (result == null) result = caseDescribableElementType(monitoringContextType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.MONITOR_TYPE: {
				MonitorType monitorType = (MonitorType)theEObject;
				Object result = caseMonitorType(monitorType);
				if (result == null) result = caseNamedElementType(monitorType);
				if (result == null) result = caseDescribableElementType(monitorType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.NAMED_ELEMENT_TYPE: {
				NamedElementType namedElementType = (NamedElementType)theEObject;
				Object result = caseNamedElementType(namedElementType);
				if (result == null) result = caseDescribableElementType(namedElementType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.OUTBOUND_EVENT_TYPE: {
				OutboundEventType outboundEventType = (OutboundEventType)theEObject;
				Object result = caseOutboundEventType(outboundEventType);
				if (result == null) result = caseNamedElementType(outboundEventType);
				if (result == null) result = caseDescribableElementType(outboundEventType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.POSITION_TYPE: {
				PositionType positionType = (PositionType)theEObject;
				Object result = casePositionType(positionType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.RANGE_TYPE: {
				RangeType rangeType = (RangeType)theEObject;
				Object result = caseRangeType(rangeType);
				if (result == null) result = caseNamedElementType(rangeType);
				if (result == null) result = caseDescribableElementType(rangeType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.REFERENCE_TYPE: {
				ReferenceType referenceType = (ReferenceType)theEObject;
				Object result = caseReferenceType(referenceType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.SET_COLOR_TYPE: {
				SetColorType setColorType = (SetColorType)theEObject;
				Object result = caseSetColorType(setColorType);
				if (result == null) result = caseActionType(setColorType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.SET_DIAGRAM_LINK_TYPE: {
				SetDiagramLinkType setDiagramLinkType = (SetDiagramLinkType)theEObject;
				Object result = caseSetDiagramLinkType(setDiagramLinkType);
				if (result == null) result = caseActionType(setDiagramLinkType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.SET_TEXT_TYPE: {
				SetTextType setTextType = (SetTextType)theEObject;
				Object result = caseSetTextType(setTextType);
				if (result == null) result = caseActionType(setTextType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.SHAPE_SET_REF_TYPE: {
				ShapeSetRefType shapeSetRefType = (ShapeSetRefType)theEObject;
				Object result = caseShapeSetRefType(shapeSetRefType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.SHAPE_SETS_TYPE: {
				ShapeSetsType shapeSetsType = (ShapeSetsType)theEObject;
				Object result = caseShapeSetsType(shapeSetsType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.SHAPE_SET_TYPE: {
				ShapeSetType shapeSetType = (ShapeSetType)theEObject;
				Object result = caseShapeSetType(shapeSetType);
				if (result == null) result = caseNamedElementType(shapeSetType);
				if (result == null) result = caseDescribableElementType(shapeSetType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.START_NAMED_ELEMENT_TYPE: {
				StartNamedElementType startNamedElementType = (StartNamedElementType)theEObject;
				Object result = caseStartNamedElementType(startNamedElementType);
				if (result == null) result = caseNamedElementType(startNamedElementType);
				if (result == null) result = caseDescribableElementType(startNamedElementType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.START_VALUE_NAMED_ELEMENT_TYPE: {
				StartValueNamedElementType startValueNamedElementType = (StartValueNamedElementType)theEObject;
				Object result = caseStartValueNamedElementType(startValueNamedElementType);
				if (result == null) result = caseStartNamedElementType(startValueNamedElementType);
				if (result == null) result = caseNamedElementType(startValueNamedElementType);
				if (result == null) result = caseDescribableElementType(startValueNamedElementType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.STOPWATCH_TYPE: {
				StopwatchType stopwatchType = (StopwatchType)theEObject;
				Object result = caseStopwatchType(stopwatchType);
				if (result == null) result = caseBaseMetricType(stopwatchType);
				if (result == null) result = caseNamedElementType(stopwatchType);
				if (result == null) result = caseDescribableElementType(stopwatchType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.SVG_DOCUMENT_TYPE: {
				SvgDocumentType svgDocumentType = (SvgDocumentType)theEObject;
				Object result = caseSvgDocumentType(svgDocumentType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.TARGET_VALUE_TYPE: {
				TargetValueType targetValueType = (TargetValueType)theEObject;
				Object result = caseTargetValueType(targetValueType);
				if (result == null) result = caseNamedElementType(targetValueType);
				if (result == null) result = caseDescribableElementType(targetValueType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.TIME_INTERVALS_TYPE: {
				TimeIntervalsType timeIntervalsType = (TimeIntervalsType)theEObject;
				Object result = caseTimeIntervalsType(timeIntervalsType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.TRIGGER_TYPE: {
				TriggerType triggerType = (TriggerType)theEObject;
				Object result = caseTriggerType(triggerType);
				if (result == null) result = caseNamedElementType(triggerType);
				if (result == null) result = caseDescribableElementType(triggerType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.VALUE_SPECIFICATION_TYPE: {
				ValueSpecificationType valueSpecificationType = (ValueSpecificationType)theEObject;
				Object result = caseValueSpecificationType(valueSpecificationType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.VISUALIZATION_TYPE: {
				VisualizationType visualizationType = (VisualizationType)theEObject;
				Object result = caseVisualizationType(visualizationType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.VISUAL_MODEL_NAMED_ELEMENT_TYPE: {
				VisualModelNamedElementType visualModelNamedElementType = (VisualModelNamedElementType)theEObject;
				Object result = caseVisualModelNamedElementType(visualModelNamedElementType);
				if (result == null) result = caseNamedElementType(visualModelNamedElementType);
				if (result == null) result = caseDescribableElementType(visualModelNamedElementType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.VISUAL_MODEL_TYPE: {
				VisualModelType visualModelType = (VisualModelType)theEObject;
				Object result = caseVisualModelType(visualModelType);
				if (result == null) result = caseVisualModelNamedElementType(visualModelType);
				if (result == null) result = caseNamedElementType(visualModelType);
				if (result == null) result = caseDescribableElementType(visualModelType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case MmPackage.XPATH_FUNCTIONS_TYPE: {
				XPathFunctionsType xPathFunctionsType = (XPathFunctionsType)theEObject;
				Object result = caseXPathFunctionsType(xPathFunctionsType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Actions Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Actions Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseActionsType(ActionsType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Action Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Action Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseActionType(ActionType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Assignment List Specification Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Assignment List Specification Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAssignmentListSpecificationType(AssignmentListSpecificationType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Assignment Specification Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Assignment Specification Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseAssignmentSpecificationType(AssignmentSpecificationType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Base Metric Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Base Metric Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseBaseMetricType(BaseMetricType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Context Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Context Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseContextType(ContextType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Counter Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Counter Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCounterType(CounterType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Cube Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Cube Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCubeType(CubeType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Date Time Dimension Fixed Period Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Date Time Dimension Fixed Period Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDateTimeDimensionFixedPeriodType(DateTimeDimensionFixedPeriodType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Date Time Dimension Repeating Period Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Date Time Dimension Repeating Period Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDateTimeDimensionRepeatingPeriodType(DateTimeDimensionRepeatingPeriodType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Date Time Dimension Rolling Period Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Date Time Dimension Rolling Period Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDateTimeDimensionRollingPeriodType(DateTimeDimensionRollingPeriodType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Describable Element Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Describable Element Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDescribableElementType(DescribableElementType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Dimensional Model Named Element Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Dimensional Model Named Element Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDimensionalModelNamedElementType(DimensionalModelNamedElementType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Dimensional Model Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Dimensional Model Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDimensionalModelType(DimensionalModelType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Dimension Attribute Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Dimension Attribute Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDimensionAttributeType(DimensionAttributeType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Dimension Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Dimension Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDimensionType(DimensionType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Document Root</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Document Root</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseDocumentRoot(DocumentRoot object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>End Named Element Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>End Named Element Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEndNamedElementType(EndNamedElementType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>End Value Named Element Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>End Value Named Element Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEndValueNamedElementType(EndValueNamedElementType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Event Model Named Element Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Event Model Named Element Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEventModelNamedElementType(EventModelNamedElementType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Event Model Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Event Model Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEventModelType(EventModelType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Event Part Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Event Part Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseEventPartType(EventPartType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Expression Specification Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Expression Specification Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseExpressionSpecificationType(ExpressionSpecificationType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Hide Shapes Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Hide Shapes Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseHideShapesType(HideShapesType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Import Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Import Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseImportType(ImportType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Inbound Event Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Inbound Event Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseInboundEventType(InboundEventType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>KPI Aggregated Definition Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>KPI Aggregated Definition Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseKPIAggregatedDefinitionType(KPIAggregatedDefinitionType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>KPI Calculated Definition Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>KPI Calculated Definition Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseKPICalculatedDefinitionType(KPICalculatedDefinitionType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>KPI Context Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>KPI Context Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseKPIContextType(KPIContextType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>KPI Date Time Metric Filter Ref Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>KPI Date Time Metric Filter Ref Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseKPIDateTimeMetricFilterRefType(KPIDateTimeMetricFilterRefType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>KPI Metric Filter Ref Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>KPI Metric Filter Ref Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseKPIMetricFilterRefType(KPIMetricFilterRefType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>KPI Model Named Element Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>KPI Model Named Element Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseKPIModelNamedElementType(KPIModelNamedElementType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>KPI Model Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>KPI Model Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseKPIModelType(KPIModelType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>KPI Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>KPI Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseKPIType(KPIType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Map Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Map Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseMapType(MapType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Measure Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Measure Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseMeasureType(MeasureType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Metric Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Metric Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseMetricType(MetricType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Monitor Details Model Named Element Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Monitor Details Model Named Element Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseMonitorDetailsModelNamedElementType(MonitorDetailsModelNamedElementType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Monitor Details Model Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Monitor Details Model Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseMonitorDetailsModelType(MonitorDetailsModelType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Monitoring Context Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Monitoring Context Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseMonitoringContextType(MonitoringContextType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Monitor Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Monitor Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseMonitorType(MonitorType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Named Element Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Named Element Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseNamedElementType(NamedElementType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Outbound Event Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Outbound Event Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseOutboundEventType(OutboundEventType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Position Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Position Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object casePositionType(PositionType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Range Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Range Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseRangeType(RangeType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Reference Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Reference Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseReferenceType(ReferenceType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Set Color Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Set Color Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSetColorType(SetColorType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Set Diagram Link Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Set Diagram Link Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSetDiagramLinkType(SetDiagramLinkType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Set Text Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Set Text Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSetTextType(SetTextType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Shape Set Ref Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Shape Set Ref Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseShapeSetRefType(ShapeSetRefType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Shape Sets Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Shape Sets Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseShapeSetsType(ShapeSetsType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Shape Set Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Shape Set Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseShapeSetType(ShapeSetType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Start Named Element Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Start Named Element Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseStartNamedElementType(StartNamedElementType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Start Value Named Element Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Start Value Named Element Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseStartValueNamedElementType(StartValueNamedElementType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Stopwatch Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Stopwatch Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseStopwatchType(StopwatchType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Svg Document Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Svg Document Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseSvgDocumentType(SvgDocumentType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Target Value Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Target Value Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseTargetValueType(TargetValueType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Time Intervals Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Time Intervals Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseTimeIntervalsType(TimeIntervalsType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Trigger Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Trigger Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseTriggerType(TriggerType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Value Specification Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Value Specification Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseValueSpecificationType(ValueSpecificationType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Visualization Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Visualization Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseVisualizationType(VisualizationType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Visual Model Named Element Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Visual Model Named Element Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseVisualModelNamedElementType(VisualModelNamedElementType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Visual Model Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Visual Model Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseVisualModelType(VisualModelType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>XPath Functions Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>XPath Functions Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseXPathFunctionsType(XPathFunctionsType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public Object defaultCase(EObject object) {
		return null;
	}

} //MmSwitch
