/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2006, 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */
/*
 * Created on 14-Jun-2006
 *
 * TODO To change the template for this generated file go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
package com.ibm.wbimonitor.xml.model.mm.util;

import java.util.Map;

import org.eclipse.emf.common.util.URI;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.emf.ecore.impl.EObjectImpl;
import org.eclipse.emf.ecore.resource.Resource;
import org.eclipse.emf.ecore.util.InternalEList;
import org.eclipse.emf.ecore.xmi.XMLHelper;
import org.eclipse.emf.ecore.xmi.XMLResource;
import org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl;

/**
 * @author andyfu
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class MmXMLSaveImpl extends XMLSaveImpl {
public static final String COPYRIGHT="(C) Copyright IBM Corporation 2006, 2007.";  //$NON-NLS-1$


	/**
	 * @param helper
	 */
	public MmXMLSaveImpl(XMLHelper helper) {
		super(helper);
		// TODO Auto-generated constructor stub
	}

	/**
	 * @param options
	 * @param helper
	 * @param encoding
	 */
	public MmXMLSaveImpl(Map options, XMLHelper helper, String encoding) {
		super(options, helper, encoding);
		// TODO Auto-generated constructor stub
	}

	
	/* (non-Javadoc)
	 * @see org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl#saveHRefMany(org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature)
	 */
	protected void saveHRefMany(EObject o, EStructuralFeature f) {
		
	    InternalEList values = (InternalEList) helper.getValue(o, f);
		int size = values.size();
		boolean sameResource = true;
		for (int i = 0; i < size; i++) {
			EObject child = (EObject) values.basicGet(i);
			if (!isSameResource(child)) {
				sameResource = false;
			}
		}
		if (sameResource) {
			if (!values.isEmpty()) {
				String name = helper.getQName(f);
				StringBuffer ids = new StringBuffer(values.size() * 10);
				for (int i = 0; i < size; i++) {
					EObject child = (EObject) values.basicGet(i);
					String id = null;
					if (child.eIsProxy()) {
						// Is proxy. use fragment in proxy URI as id.
						id = ((EObjectImpl) child).eProxyURI().fragment();
					} else {
						// Use URI frament.
						id = helper.getIDREF(child);
					}
					ids.append(id);
				}
				doc.addAttribute(name, ids.toString());
			}
		} else {
			// Save as HREF.
			super.saveHRefMany(o, f);
		}

		
	}
	
	private boolean isSameResource(EObject remote) {
	    if (remote != null) {
			if (remote.eIsProxy()) {
				URI uri = ((EObjectImpl) remote).eProxyURI();
				if (uri.trimFragment().equals(helper.getResource().getURI())) {
				      return true;
				}
			} else {
				Resource resource = remote.eResource();
				if (resource != null) {
					URI uri = resource.getURI();
					if (uri.equals(helper.getResource().getURI())) {
						return true;
					}
				}
			}
	    }
	    return false;
	}
	
	
	/* (non-Javadoc)
	 * @see org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl#saveHRefSingle(org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature)
	 */
	protected void saveHRefSingle(EObject o, EStructuralFeature f) {
	    EObject remote = (EObject)helper.getValue(o, f);
	    if (isSameResource(remote))
	    {
			if (remote.eIsProxy()) {
				URI uri = ((EObjectImpl) remote).eProxyURI();
				String name = helper.getQName(f);
				String id = uri.fragment();
			    doc.addAttribute(name, id);
			    return;
			}		
	    }

		super.saveHRefSingle(o, f);
	}
	
	@Override
	protected void init(XMLResource resource, Map options) {
		super.init(resource, options);
		/* Need to override this behaviour so that the 'xsi' namespace mapping is saved in the monitor
		 * model.  Otherwise, EMF does not save it by default unless there is a need to use it, but if we're
		 * using it in an expression, there is no QName defined in the model and it doesn't get saved. */
		declareXSI = true;
	}
}
