/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2006, 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */
/*
 * Created on 8-Aug-2006
 *
 * TODO To change the template for this generated file go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
package com.ibm.wbimonitor.xml.model.util;

import java.io.IOException;
import java.io.InputStream;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.emf.common.util.URI;
import org.eclipse.emf.ecore.resource.Resource;
import org.eclipse.emf.ecore.resource.ResourceSet;

import com.ibm.wbimonitor.xml.model.ModelPlugin;

/**
 * A utility to load the predefined base event resource.
 */
public class BaseEventDefinitionUtil {
public static final String COPYRIGHT="(C) Copyright IBM Corporation 2006, 2007.";  //$NON-NLS-1$

	
	public static final String BASE_EVENT_DEFINITION_NAME = "event";
	public static final String BASE_EVENT_DEFINITION_LOCATION = "event.cbe";
	public static final URI BASE_EVENT_DEFINITION_URI = URI.createURI(BASE_EVENT_DEFINITION_LOCATION);
	
	public static Resource getBaseEventDefinitionResource(ResourceSet resourceSet) {
		Resource resource = null;
		if (resourceSet != null) {
			URI uri = getBaseEventDefinitionURI();
			resource = resourceSet.getResource(uri, false);
			if (resource != null) {
				// Already loaded.
				return resource;
			}
			resource = resourceSet.createResource(uri);
			InputStream is = ModelResourceUtil.getBaseEventDefinition();
			try {
				resource.load(is, null);
			} catch (IOException cause) {
				ModelPlugin.getDefault().getLog().log(new Status(IStatus.ERROR, ModelPlugin.getDefault().getBundle().getSymbolicName(), 1, cause.getLocalizedMessage(), cause));
			}
		}
		return resource;
	}
	
	public static URI getBaseEventDefinitionURI() {
		
		return BASE_EVENT_DEFINITION_URI;
	}

}
