/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */ 
package com.ibm.wbimonitor.xml.model.util;

import java.util.List;
import java.util.Map;

import org.eclipse.emf.common.util.URI;

import com.ibm.wbimonitor.xml.model.mm.MonitorType;

public interface IXPathFunctionLocationResolver {
    public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2007.";  //$NON-NLS-1$

	
	/**
	 * This class returns a map of URIs to a (possibly empty) list of Java class names.  The URI represents the 
	 * location of a given JAR file and the list of class names identifies the classes within that JAR file
	 * that contain implementations of user defined XPath functions for use within the Monitor model.  All of the 
	 * JAR file URIs are within the scope of the given monitor model provided as input.
	 * 
	 * If the map value list is empty, it indicates that although there are no user defined function definitions
	 * within the given JAR file, the user has indicated that the JAR file is required on the classpath
	 * of other JAR files identified in the Map for purposes of execution.
	 * 
	 * @param monitor The monitor model that defines the JAR file search scope
	 * @return A map of JAR file URIs to the (possibly empty) list of java class names that implement 
	 * user defined XPath functions for use in a monitor model.
	 */
	public Map<URI, List<String>> resolveJars(MonitorType monitor);

}