/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */ 
package com.ibm.wbimonitor.xml.model.util;

import org.eclipse.emf.ecore.EObject;

import com.ibm.wbimonitor.xml.model.mm.DocumentRoot;
import com.ibm.wbimonitor.xml.model.mm.EventModelType;
import com.ibm.wbimonitor.xml.model.mm.MonitorType;
import com.ibm.wbimonitor.xml.model.mm.NamedElementType;

public class MMHelper {
    public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2007.";  //$NON-NLS-1$


	
	/**
	 * Returns the root MonitorType object for the MM that contains 'o'
	 * @param o Some arbitrary object in the MM
	 * @return The root MonitorType object
	 */
	public static MonitorType getMonitorType(EObject o){
		
		if (o instanceof DocumentRoot){
			return ((DocumentRoot)o).getMonitor();
		} else {
			while (!(o instanceof MonitorType) && o != null){
				o = o.eContainer();
			}
			
			return (MonitorType)o;
		}
	}
	
	/**
	 * Returns the model that contains the given element 
	 * @param o The element to return the containing model for
	 * @return The containing model, either MonitorDetailsModelType, KPIModelType, DimensionalModelType, EventModelType or VisualModelType
	 */
	public static NamedElementType getContainingModel(EObject o){
		while (o != null){
			if (o.eContainer() instanceof MonitorType) {
				return (NamedElementType)o;
			} else {
				o = o.eContainer();
			}
		}
		
		return null;
	}
	

}
