/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2006, 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */
/*
 * Created on Aug 14, 2006
 *
 * XXX To change the template for this generated file go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
package com.ibm.wbimonitor.xml.model.util;

import org.eclipse.emf.ecore.EObject;

import com.ibm.wbimonitor.xml.model.mm.MonitorType;

/**
 * @author crmiles
 *
 * XXX To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public abstract class ModelContextResolver {
public static final String COPYRIGHT="(C) Copyright IBM Corporation 2006, 2007.";  //$NON-NLS-1$

	
	/**
	 * This method returns the relative context root for the given source object.
	 * Subclasses should implement this method based on commonalities of relative
	 * context roots.
	 * 
	 * @param source The EObject from which a relative path starts 
	 * 
	 * @return The context root EObject
	 */
	public abstract EObject getContextObject(EObject source);
	
	/**
	 * Returns the root object of the source object.  This is the object from which
	 * all absolute paths start.
	 * 
	 * @param source The source object for which the absolute context root is required
	 *  
	 * @return The absolute context root EObject.  For the MonitorModel, this is always
	 * the DocumentRoot object.
	 */
	public EObject getAbsolutePathContextObject(EObject source){
		return PathExpressionHelper.getAbsolutePathContextRoot(source);
	}
	public EObject getContextObject(EObject source, EObject target){
		/* The default rule is to return the model that contains the target, 
		 * if source and target are in different 'models' (e.g. the monitoring model 
		 * and the dataMart model) */
		EObject srcModel = getModel(source);
		EObject trgModel = getModel(target);
		if (srcModel != trgModel){
			if (trgModel != null){
				return trgModel;
			} else {
				/* Returning null for the context object will cause it to use the root object as the context */
				return null;
			}
//			if (srcModel != null){
//				return getAbsolutePathContextObject(source);
//			} else {
//				return getAbsolutePathContextObject(target);				
//			}
		} else {
			return getContextObject(source);
		}
	}
	
	protected EObject getModel(EObject o){
		EObject p = o.eContainer();
		EObject pOld = o;
		while (p != null && !(p instanceof MonitorType)){
			pOld = p;
			p = p.eContainer();
		}
		
		if (p instanceof MonitorType){
			/* If p is the MonitorType, then o must be the Model */
			return pOld;
		}
		
		return null;
	}
	
}
