/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2006, 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */
package com.ibm.wbimonitor.xml.model.util;

import org.eclipse.emf.ecore.EObject;

import com.ibm.wbimonitor.xml.model.mm.ContextType;

public class MonitoringModelContextResolver extends ModelContextResolver {
public static final String COPYRIGHT="(C) Copyright IBM Corporation 2006, 2007.";  //$NON-NLS-1$

	
	private static MonitoringModelContextResolver sInstance;
	
	private MonitoringModelContextResolver(){
	}
	
	public static MonitoringModelContextResolver getInstance(){
		if (sInstance == null){
			sInstance = new MonitoringModelContextResolver();
		}
		return sInstance;
	}
	
	/**
	 * This implementation of the getContextObject() method takes advantage
	 * of the fact that all references from objects inside the MonitoringModel
	 * have the enclosing Context as their source object, be it a Monitoring Context
	 * or a KPI Context.
	 */
	public EObject getContextObject(EObject source){
		
		EObject parent = source;
		while (parent != null && !(parent instanceof ContextType)){
			parent = parent.eContainer();
		}
		
		if (parent instanceof ContextType){
			return (ContextType)parent;
		}
		
		return null;
		
	}	
	
}
