/* 
  Licensed Materials - Property of IBM
  5655-FLW (C) Copyright IBM Corporation 2008. All Rights Reserved.
  US Government Users Restricted Rights- Use, duplication or disclosure
*/

var wshShell = WScript.createobject("WScript.Shell");
var fileObject = WScript.createobject("Scripting.FileSystemObject");
var startMenuLocation = wshShell.SpecialFolders("Programs");

var forReading = 1;
var tristateUseDefault = -2;

// Get the Start Menu item counter from the file at txtFilePath. 
var txtFilePath = "${WASROOT}/properties/version/install.wbm/config/install/productShortCut2StartMenuWBM.txt";
var f = fileObject.GetFile(txtFilePath);
var ts = f.OpenAsTextStream(forReading, tristateUseDefault);
var icounter = ts.ReadLine();
ts.Close();

var scounter;
if (icounter == 0)
    scounter = "";
else
    scounter = " (" + icounter + ")";

// Get OS version. Ver 6 = Win Vista
var env = wshShell.Environment;
var osid = env("PROCESSOR_IDENTIFIER");
var osver = osid.charAt(osid.indexOf("Family") + 7);
WScript.StdOut.WriteLine("OS ID = " + osid + " ==> ver = " + osver);
      
// Get path to IE. Vista has different registry path
var key = "HKEY_LOCAL_MACHINE\\";
var iePath = "";
if (osver == 6)
	iePath = wshShell.RegRead(key + "SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\App Paths\\IEXPLORE.EXE\\");
else
    iePath = wshShell.RegRead(key + "SOFTWARE\\Microsoft\\IE Setup\\Setup\\Path") + "\\IEXPLORE.EXE";
    
WScript.StdOut.WriteLine("IE Path = " + iePath);

// Generate path to start menu based on the menu counter obtained from the file at txtFilePath
var path = startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter ;
WScript.StdOut.WriteLine("expected path to folder: '" + path + "'");

/* If the folder exists, then fix it */
if ( fileObject.FolderExists(path) )
{
    WScript.StdOut.WriteLine("folder found at: '" + path + "'");

    /* If the link we created in the 6.1 still exists, then delete it. We will create it back with the correct language later */
    if ( fileObject.FileExists(path+"\\Information center.lnk") )
        fileObject.DeleteFile(path+"\\Information center.lnk", true);

    if ( fileObject.FileExists(path+"\\Online support.lnk") )
        fileObject.DeleteFile(path+"\\Online support.lnk", true);

    if ( fileObject.FileExists(path+"\\Profile Management Tool.lnk") )
        fileObject.DeleteFile(path+"\\Profile Management Tool.lnk", true);

    if ( fileObject.FileExists(path+"\\First steps.lnk") )
        fileObject.DeleteFile(path+"\\First steps.lnk", true);

    /* get handles to the lnk files */
    WScript.StdOut.WriteLine("getting handles to each of the 4 links");
    var objShellLinkInfoCenter = wshShell.CreateShortcut(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${INFOCENTER}.lnk");
    var objShellLinkOnlineSupport = wshShell.CreateShortcut(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${ONLINESUPPORT}.lnk");
    var objShellLinkPCAT = wshShell.CreateShortcut(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILECREATION}.lnk");
    var objShellLinkFirstSteps = wshShell.CreateShortcut(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${FIRSTSTEPS}.lnk");

    /* recreate the links, but this time with the correct language for the text and description */
    WScript.StdOut.WriteLine("recreating links");
    objShellLinkInfoCenter.IconLocation = "${WASROOT}\\bin\\icons\\infocenter.ico";
    objShellLinkInfoCenter.TargetPath = iePath;
    objShellLinkInfoCenter.Description = "${INFOCENTER}";
    objShellLinkInfoCenter.Arguments = "http://publib.boulder.ibm.com/infocenter/dmndhelp/v6rxmx/index.jsp";
    objShellLinkInfoCenter.Save(); //commit change

    objShellLinkOnlineSupport.IconLocation = "${WASROOT}\\bin\\icons\\support.ico";
    objShellLinkOnlineSupport.TargetPath = iePath;
    objShellLinkOnlineSupport.Description = "${ONLINESUPPORT}";
    objShellLinkOnlineSupport.Arguments = "http://www.ibm.com/software/integration/wbimonitor/support/";
    objShellLinkOnlineSupport.Save(); //commit change

    var pmtCmd = "pmt.sh";
    if ((fileObject.FileExists("${WASROOT}" + "\\bin\\ProfileManagement\\pmt.bat")))
    	pmtCmd = "pmt.bat";
    	
    objShellLinkPCAT.IconLocation = "${WASROOT}\\bin\\icons\\profile_creation_icon.ico";
    objShellLinkPCAT.TargetPath = "${WASROOT}\\bin\\ProfileManagement\\" + pmtCmd; 
    objShellLinkPCAT.WorkingDirectory = "${WASROOT}\\bin\\ProfileManagement";
    objShellLinkPCAT.Description = "${PROFILECREATION}";
    objShellLinkPCAT.Save(); //commit change

    objShellLinkFirstSteps.IconLocation = "${WASROOT}\\bin\\icons\\firststeps.ico";
    objShellLinkFirstSteps.TargetPath = "${WASROOT}\\firststeps.wbm\\firststeps.bat";
    objShellLinkFirstSteps.WorkingDirectory = "${WASROOT}\\firststeps.wbm";
    objShellLinkFirstSteps.Description = "${FIRSTSTEPS}";
    objShellLinkFirstSteps.Save(); //commit change
}
else {
    WScript.StdOut.WriteLine("folder NOT found at: '" + path + "'");
}

WScript.StdOut.WriteLine("done.");

