CREATE TABLE "$SCHEMA"."HIERARCHY"(
"HI_KEY" INTEGER NOT NULL,
"HI_FULL_MQWF_NAME" VARCHAR(254) NOT NULL,
"HI_SOURCE_TYPE" CHAR(1) NOT NULL,
"HI_PROCESS_PTID" CHAR(16) FOR BIT DATA,
CONSTRAINT "HI_PK" PRIMARY KEY ("HI_KEY")
) 
;

ALTER TABLE "$SCHEMA"."ACTIVITY_INST" 
ADD COLUMN "AI_MCI_MCIID" BIGINT   
ADD COLUMN "AI_PARENT_MCI_MCIID" BIGINT
ADD COLUMN "AI_HI_KEY" INTEGER  
;

ALTER TABLE "$SCHEMA"."PROCESS_INST" 
ADD COLUMN "PI_MCI_MCIID" BIGINT  
ADD COLUMN "PI_PARENT_MCI_MCIID" BIGINT  
ADD COLUMN "PI_HI_KEY" INTEGER 
;

CREATE SEQUENCE "$SCHEMA"."MCI_SEQ" 
START WITH -1
INCREMENT BY -1
NO MAXVALUE
;

CREATE SEQUENCE "$SCHEMA"."HIERARCHY_SEQ" 
START WITH 1
INCREMENT BY 1
NO MAXVALUE
;

CREATE INDEX "$SCHEMA".MIG_PI_MCIID ON "$SCHEMA".PROCESS_INST(PI_MCI_MCIID, PI_PIID);
CREATE INDEX "$SCHEMA".MIG_PI_HI_KEY ON "$SCHEMA".PROCESS_INST(PI_HI_KEY);
CREATE INDEX "$SCHEMA".MIG_PI_PRNT_MCIID ON "$SCHEMA".PROCESS_INST(PI_PARENT_MCI_MCIID);
CREATE INDEX "$SCHEMA".MIG_PI_MCIID_CT ON "$SCHEMA".PROCESS_INST(PI_MCI_MCIID, PI_COMPLETE_TIME);
CREATE INDEX "$SCHEMA".MIG_PI_CT_PTID_MC ON "$SCHEMA".PROCESS_INST(PI_PIID, PI_HI_KEY,PI_COMPLETE_TIME, PI_PROCESS_PTID, PI_PARENT_MCI_MCIID, PI_MCI_MCIID, PI_PARENT_AIID);
CREATE INDEX "$SCHEMA".MIG_PI_TOP ON "$SCHEMA".PROCESS_INST(PI_PIID,PI_TOP_LVL_PI);
-- CREATE INDEX "$SCHEMA".MIG_PI_MC_HI_PTID ON "$SCHEMA".PROCESS_INST(PI_MCI_MCIID, PI_HI_KEY, PI_PROCESS_PTID);

CREATE INDEX "$SCHEMA".MIG_AI_PRNT_ID_CMP ON "$SCHEMA".ACTIVITY_INST(AI_MCI_MCIID, AI_COMPLETE_TIME,AI_PARENT_PIID);
CREATE INDEX "$SCHEMA".MIG_AI_PRNT_MCIID ON "$SCHEMA".ACTIVITY_INST(AI_PARENT_MCI_MCIID);
CREATE INDEX "$SCHEMA".MIG_AI_MCIID ON "$SCHEMA".ACTIVITY_INST(AI_MCI_MCIID);
CREATE INDEX "$SCHEMA".MIG_AI_AIID_NAME ON "$SCHEMA".ACTIVITY_INST(AI_AIID, AI_INSTANCE_NAME);
CREATE INDEX "$SCHEMA".MIG_AI_CT ON "$SCHEMA".ACTIVITY_INST(AI_COMPLETE_TIME);

CREATE INDEX "$SCHEMA".MIG_HI_NAME ON "$SCHEMA".HIERARCHY(HI_FULL_MQWF_NAME);

RUNSTATS ON TABLE "$SCHEMA".PROCESS_INST AND INDEXES ALL;
RUNSTATS ON TABLE "$SCHEMA".ACTIVITY_INST AND INDEXES ALL;
RUNSTATS ON TABLE "$SCHEMA".HIERARCHY AND INDEXES ALL;

CREATE TABLE "$SCHEMA"."DDLOK"("OK" INTEGER);
INSERT INTO "$SCHEMA"."DDLOK"("OK") VALUES (1);
COMMIT;