CREATE TABLE "$SCHEMA"."HIERARCHY"(
"HI_KEY" INTEGER NOT NULL,
"HI_FULL_MQWF_NAME" VARCHAR2(254) NOT NULL,
"HI_SOURCE_TYPE" CHAR(1) NOT NULL,
"HI_PROCESS_PTID" RAW(16),
CONSTRAINT "HI_PK" PRIMARY KEY ("HI_KEY")
) 
;

ALTER TABLE "$SCHEMA"."ACTIVITY_INST" 
ADD "AI_MCI_MCIID" DECIMAL(16,0) 
ADD "AI_PARENT_MCI_MCIID" DECIMAL(16,0) 
ADD "AI_HI_KEY" INTEGER 
;

ALTER TABLE "$SCHEMA"."PROCESS_INST" 
ADD "PI_MCI_MCIID" DECIMAL(16,0)  
ADD "PI_PARENT_MCI_MCIID" DECIMAL(16,0)  
ADD "PI_HI_KEY" INTEGER 
;

CREATE SEQUENCE "$SCHEMA"."MCI_SEQ" 
START WITH -1
INCREMENT BY -1
NOMAXVALUE
;

CREATE SEQUENCE "$SCHEMA"."HIERARCHY_SEQ" 
START WITH 1
INCREMENT BY 1
NOMAXVALUE
;

CREATE INDEX "$SCHEMA".MIG_PI_MCIID ON "$SCHEMA".PROCESS_INST(PI_MCI_MCIID, PI_PIID);
CREATE INDEX "$SCHEMA".MIG_PI_HI_KEY ON "$SCHEMA".PROCESS_INST(PI_HI_KEY);
CREATE INDEX "$SCHEMA".MIG_PI_PRNT_MCIID ON "$SCHEMA".PROCESS_INST(PI_PARENT_MCI_MCIID);
CREATE INDEX "$SCHEMA".MIG_PI_MCIID_CT ON "$SCHEMA".PROCESS_INST(PI_MCI_MCIID, PI_COMPLETE_TIME);
CREATE INDEX "$SCHEMA".MIG_PI_CT_PTID_MC ON "$SCHEMA".PROCESS_INST(PI_PIID, PI_HI_KEY,PI_COMPLETE_TIME, PI_PROCESS_PTID, PI_PARENT_MCI_MCIID, PI_MCI_MCIID, PI_PARENT_AIID);
CREATE INDEX "$SCHEMA".MIG_PI_TOP ON "$SCHEMA".PROCESS_INST(PI_PIID,PI_TOP_LVL_PI);

CREATE INDEX "$SCHEMA".MIG_AI_PRNT_ID_CMP ON "$SCHEMA".ACTIVITY_INST(AI_MCI_MCIID, AI_COMPLETE_TIME,AI_PARENT_PIID);
CREATE INDEX "$SCHEMA".MIG_AI_PRNT_MCIID ON "$SCHEMA".ACTIVITY_INST(AI_PARENT_MCI_MCIID);
CREATE INDEX "$SCHEMA".MIG_AI_MCIID ON "$SCHEMA".ACTIVITY_INST(AI_MCI_MCIID);
CREATE INDEX "$SCHEMA".MIG_AI_AIID_NAME ON "$SCHEMA".ACTIVITY_INST(AI_AIID, AI_INSTANCE_NAME);
CREATE INDEX "$SCHEMA".MIG_AI_CT ON "$SCHEMA".ACTIVITY_INST(AI_COMPLETE_TIME);

CREATE INDEX "$SCHEMA".MIG_HI_NAME ON "$SCHEMA".HIERARCHY(HI_FULL_MQWF_NAME);

ANALYZE TABLE "$SCHEMA".PROCESS_INST COMPUTE STATISTICS;
ANALYZE TABLE "$SCHEMA".ACTIVITY_INST COMPUTE STATISTICS;
ANALYZE TABLE "$SCHEMA".HIERARCHY COMPUTE STATISTICS;

CREATE TABLE "$SCHEMA"."DDLOK"("OK" INTEGER);
INSERT INTO "$SCHEMA"."DDLOK"("OK") VALUES (1);
COMMIT;
