/* 
**********************************************************************
* IBM Confidential
* OCO Source Materials
* 5724-M24
* (C) Copyright IBM Corporation 2007
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
***********************************************************************
*/
WScript.StdOut.WriteLine(">> starting profileShortCut2StartMenuABXWBMServer.js");

var wshShell = WScript.createobject("WScript.Shell");
var fileObject = WScript.createobject("Scripting.FileSystemObject");

var startMenuLocation = wshShell.SpecialFolders("Programs");
WScript.StdOut.WriteLine("StartMenu Location = " + startMenuLocation);

var forReading = 1;
var tristateUseDefault = -2;
var txtFilePath = "${WASROOT}\\properties\\version\\install.wbm\\config\\install\\productShortCut2StartMenuWBM.txt";
WScript.StdOut.WriteLine("Getting start menu instance id at = " + txtFilePath);
var f = fileObject.GetFile(txtFilePath);
var ts = f.OpenAsTextStream(forReading, tristateUseDefault);
var icounter = ts.ReadLine();
ts.Close();

var scounter;
if (icounter == 0)
      scounter = "";
else
      scounter = " (" + icounter + ")";

// Get OS version. Ver 6 = Win Vista
var env = wshShell.Environment;
var osid = env("PROCESSOR_IDENTIFIER");
var osver = osid.charAt(osid.indexOf("Family") + 7);
WScript.StdOut.WriteLine("OS ID = " + osid + " ==> ver = " + osver);
      
// Get path to IE. Vista has different registry path
var key = "HKEY_LOCAL_MACHINE\\";
var iePath = "";
if (osver == 6)
	iePath = wshShell.RegRead(key + "SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\App Paths\\IEXPLORE.EXE\\");
else
    iePath = wshShell.RegRead(key + "SOFTWARE\\Microsoft\\IE Setup\\Setup\\Path") + "\\IEXPLORE.EXE";
    
WScript.StdOut.WriteLine("IE Path = " + iePath);

//Get the Win path
var winDir = env("WINDIR");
WScript.Echo(winDir);

if (!(fileObject.FolderExists(startMenuLocation + "\\IBM WebSphere")))
      fileObject.CreateFolder(startMenuLocation + "\\IBM WebSphere");

if (!(fileObject.FolderExists(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter)))
      fileObject.CreateFolder(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter);

if (!(fileObject.FolderExists(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}")))
      fileObject.CreateFolder(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}");
            
if (!(fileObject.FolderExists(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}\\${PROFILENAME}")))
      fileObject.CreateFolder(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}\\${PROFILENAME}");

if (!(fileObject.FolderExists(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}\\${PROFILENAME}\\${ABXPRODNAME}")))
      fileObject.CreateFolder(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}\\${PROFILENAME}\\${ABXPRODNAME}");

if (!(fileObject.FolderExists(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}\\${PROFILENAME}\\${ABXPRODNAME}\\${ABXUTILITIES}")))
      fileObject.CreateFolder(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}\\${PROFILENAME}\\${ABXPRODNAME}\\${ABXUTILITIES}");

var objShellLinkABXConsole = wshShell.CreateShortcut(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}\\${PROFILENAME}\\${ABXPRODNAME}\\${ABXCONSOLE}.lnk");      
var objShellLinkABXAdmin = wshShell.CreateShortcut(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}\\${PROFILENAME}\\${ABXPRODNAME}\\${ABXADMIN}.lnk");
var objShellLinkABXInstall = wshShell.CreateShortcut(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}\\${PROFILENAME}\\${ABXPRODNAME}\\${ABXINSTALL}.lnk");
var objShellLinkABXRepository = wshShell.CreateShortcut(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}\\${PROFILENAME}\\${ABXPRODNAME}\\${ABXUTILITIES}\\${ABXREPOSITORY}.lnk");

//1: Activates and displays a window. If the window is minimized or maximized, the system restores it to its original size and position. 
//3: Activates the window and displays it as a maximized window.  
//7: Minimizes the window and activates the next top-level window. 
objShellLinkABXConsole.WindowStyle = 1;
objShellLinkABXAdmin.WindowStyle = 1;
objShellLinkABXInstall.WindowStyle = 1;
objShellLinkABXRepository.WindowStyle = 1;

objShellLinkABXConsole.IconLocation = winDir+"\\system32\\telnet.exe";
objShellLinkABXConsole.TargetPath = winDir+"\\system32\\telnet.exe";
objShellLinkABXConsole.Arguments = "localhost ${ABXTELNETPORT}";
objShellLinkABXConsole.Save(); //commit change

objShellLinkABXAdmin.IconLocation = iePath;
objShellLinkABXAdmin.TargetPath = "${ABXPATH}\\system\\AdministrativePages.html";
objShellLinkABXAdmin.WorkingDirectory = "${ABXPATH}\\system";
objShellLinkABXAdmin.Save(); //commit change

objShellLinkABXInstall.IconLocation = iePath;
objShellLinkABXInstall.TargetPath = "${ABXPATH}\\system\\InstallLog.html";
objShellLinkABXInstall.WorkingDirectory = "${ABXPATH}\\system";
objShellLinkABXInstall.Save(); //commit change

objShellLinkABXRepository.IconLocation = "${ABXPATH}\\tools\\convert\\ConvertRepository.exe";
objShellLinkABXRepository.TargetPath = "${ABXPATH}\\tools\\convert\\ConvertRepository.exe";
objShellLinkABXRepository.WorkingDirectory = "${ABXPATH}\\tools\\convert";
objShellLinkABXRepository.Save(); //commit change
WScript.StdOut.WriteLine("<< ending profileShortCut2StartMenuABXWBMServer.js");
