/* 
  Licensed Materials - Property of IBM
  5655-FLW (C) Copyright IBM Corporation 2007. All Rights Reserved.
  US Government Users Restricted Rights- Use, duplication or disclosure
*/
WScript.StdOut.WriteLine(">> starting profileShortCut2StartMenuDmgrWBMServer.js");

var wshShell = WScript.createobject("WScript.Shell");
var fileObject = WScript.createobject("Scripting.FileSystemObject");

var startMenuLocation = wshShell.SpecialFolders("Programs");
WScript.StdOut.WriteLine("StartMenu Location = " + startMenuLocation);

var forReading = 1;
var tristateUseDefault = -2;
var txtFilePath = "${WASROOT}\\properties\\version\\install.wbm\\config\\install\\productShortCut2StartMenuWBM.txt";
var f = fileObject.GetFile(txtFilePath);
var ts = f.OpenAsTextStream(forReading, tristateUseDefault);
var icounter = ts.ReadLine();
ts.Close();

var scounter;
if (icounter == 0)
      scounter = "";
else
      scounter = " (" + icounter + ")";

WScript.StdOut.WriteLine("counter value = '" + scounter + "'");
      
// Get OS version. Ver 6 = Win Vista
var env = wshShell.Environment;
var osid = env("PROCESSOR_IDENTIFIER");
var osver = osid.charAt(osid.indexOf("Family") + 7);
WScript.StdOut.WriteLine("OS ID = " + osid + " ==> ver = " + osver);
      
// Get path to IE. Vista has different registry path
var key = "HKEY_LOCAL_MACHINE\\";
var iePath = "";
if (osver == 6)
	iePath = wshShell.RegRead(key + "SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\App Paths\\IEXPLORE.EXE\\");
else
    iePath = wshShell.RegRead(key + "SOFTWARE\\Microsoft\\IE Setup\\Setup\\Path") + "\\IEXPLORE.EXE";
    
WScript.StdOut.WriteLine("IE Path = " + iePath);

if (!(fileObject.FolderExists(startMenuLocation + "\\IBM WebSphere")))
      fileObject.CreateFolder(startMenuLocation + "\\IBM WebSphere");

if (!(fileObject.FolderExists(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter)))
      fileObject.CreateFolder(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter);      

if (!(fileObject.FolderExists(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}")))      
      fileObject.CreateFolder(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}");
            
if (!(fileObject.FolderExists(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}\\${PROFILENAME}")))
      fileObject.CreateFolder(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}\\${PROFILENAME}");

var objShellLinkAdministrativeConsole = wshShell.CreateShortcut(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}\\${PROFILENAME}\\${ADMINCONSOLE}.lnk");      
var objShellLinkFirstSteps = wshShell.CreateShortcut(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}\\${PROFILENAME}\\${FIRSTSTEPS}.lnk");            
var objShellLinkStartServer = wshShell.CreateShortcut(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}\\${PROFILENAME}\\${STARTMANAGER}.lnk");
var objShellLinkStopServer = wshShell.CreateShortcut(startMenuLocation + "\\IBM WebSphere\\Business Monitor 6.1" + scounter + "\\${PROFILES}\\${PROFILENAME}\\${STOPMANAGER}.lnk");

//1: Activates and displays a window. If the window is minimized or maximized, the system restores it to its original size and position. 
//3: Activates the window and displays it as a maximized window.  
//7: Minimizes the window and activates the next top-level window. 
objShellLinkAdministrativeConsole.WindowStyle = 1;
objShellLinkFirstSteps.WindowStyle = 7;
objShellLinkStartServer.WindowStyle = 1;
objShellLinkStopServer.WindowStyle = 1;

objShellLinkAdministrativeConsole.IconLocation = "${WASROOT}\\bin\\icons\\console.ico";
objShellLinkAdministrativeConsole.TargetPath = iePath;
objShellLinkAdministrativeConsole.Arguments = "http://localhost:${CONSOLEPORT}/ibm/console";
objShellLinkAdministrativeConsole.Description = "${ADMINCONSOLE}";
objShellLinkAdministrativeConsole.Save(); //commit change

objShellLinkFirstSteps.IconLocation = "${WASROOT}\\bin\\icons\\firststeps.ico";
objShellLinkFirstSteps.TargetPath = "${PROFILEROOT}\\firststeps.wbm\\firststeps.bat";
objShellLinkFirstSteps.WorkingDirectory = "${PROFILEROOT}\\firststeps.wbm";
objShellLinkFirstSteps.Description = "${FIRSTSTEPS}";
objShellLinkFirstSteps.Save(); //commit change

objShellLinkStartServer.IconLocation = "${WASROOT}\\bin\\icons\\start_server.ico";
objShellLinkStartServer.TargetPath = "${PROFILEROOT}\\bin\\startserver.bat";
objShellLinkStartServer.Arguments = "dmgr";
objShellLinkStartServer.WorkingDirectory = "${PROFILEROOT}\\bin";
objShellLinkStartServer.Description = "${STARTMANAGER}";
objShellLinkStartServer.Save(); //commit change

objShellLinkStopServer.IconLocation = "${WASROOT}\\bin\\icons\\server_stopped.ico";
objShellLinkStopServer.TargetPath = "${PROFILEROOT}\\bin\\stopserver.bat";
objShellLinkStopServer.Arguments = "dmgr";
objShellLinkStopServer.WorkingDirectory = "${PROFILEROOT}\\bin";
objShellLinkStopServer.Description = "${STOPMANAGER}";
objShellLinkStopServer.Save(); //commit change

WScript.StdOut.WriteLine("<< ending profileShortCut2StartMenuDmgrWBMServer.js");
