/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */ 
/**
 * <copyright>
 * </copyright>
 *
 * $Id: MmPackage.java,v 1.1 2006/06/27 15:10:48 crmiles Exp $
 */
package com.ibm.wbimonitor.xml.model.mm;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see com.ibm.wbimonitor.xml.model.mm.MmFactory
 * @model kind="package"
 * @generated
 */
public interface MmPackage extends EPackage {
    public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2007.";  //$NON-NLS-1$

	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "mm";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "mm";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	MmPackage eINSTANCE = com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl.init();

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ActionsTypeImpl <em>Actions Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.ActionsTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getActionsType()
	 * @generated
	 */
	int ACTIONS_TYPE = 0;

	/**
	 * The feature id for the '<em><b>Group</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIONS_TYPE__GROUP = 0;

	/**
	 * The feature id for the '<em><b>Set Color</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIONS_TYPE__SET_COLOR = 1;

	/**
	 * The feature id for the '<em><b>Set Text</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIONS_TYPE__SET_TEXT = 2;

	/**
	 * The feature id for the '<em><b>Hide Shapes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIONS_TYPE__HIDE_SHAPES = 3;

	/**
	 * The feature id for the '<em><b>Set Diagram Link</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIONS_TYPE__SET_DIAGRAM_LINK = 4;

	/**
	 * The number of structural features of the '<em>Actions Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTIONS_TYPE_FEATURE_COUNT = 5;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ActionTypeImpl <em>Action Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.ActionTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getActionType()
	 * @generated
	 */
	int ACTION_TYPE = 1;

	/**
	 * The feature id for the '<em><b>Condition</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE__CONDITION = 0;

	/**
	 * The number of structural features of the '<em>Action Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACTION_TYPE_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DescribableElementTypeImpl <em>Describable Element Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.DescribableElementTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDescribableElementType()
	 * @generated
	 */
	int DESCRIBABLE_ELEMENT_TYPE = 11;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.NamedElementTypeImpl <em>Named Element Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.NamedElementTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getNamedElementType()
	 * @generated
	 */
	int NAMED_ELEMENT_TYPE = 41;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.AssignmentListSpecificationTypeImpl <em>Assignment List Specification Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.AssignmentListSpecificationTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getAssignmentListSpecificationType()
	 * @generated
	 */
	int ASSIGNMENT_LIST_SPECIFICATION_TYPE = 2;

	/**
	 * The feature id for the '<em><b>Assignment</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ASSIGNMENT_LIST_SPECIFICATION_TYPE__ASSIGNMENT = 0;

	/**
	 * The number of structural features of the '<em>Assignment List Specification Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ASSIGNMENT_LIST_SPECIFICATION_TYPE_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.AssignmentSpecificationTypeImpl <em>Assignment Specification Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.AssignmentSpecificationTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getAssignmentSpecificationType()
	 * @generated
	 */
	int ASSIGNMENT_SPECIFICATION_TYPE = 3;

	/**
	 * The feature id for the '<em><b>Left Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ASSIGNMENT_SPECIFICATION_TYPE__LEFT_VALUE = 0;

	/**
	 * The feature id for the '<em><b>Right Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ASSIGNMENT_SPECIFICATION_TYPE__RIGHT_VALUE = 1;

	/**
	 * The number of structural features of the '<em>Assignment Specification Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ASSIGNMENT_SPECIFICATION_TYPE_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DESCRIBABLE_ELEMENT_TYPE__DESCRIPTION = 0;

	/**
	 * The number of structural features of the '<em>Describable Element Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DESCRIBABLE_ELEMENT_TYPE_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMED_ELEMENT_TYPE__DESCRIPTION = DESCRIBABLE_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMED_ELEMENT_TYPE__DISPLAY_NAME = DESCRIBABLE_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMED_ELEMENT_TYPE__ID = DESCRIBABLE_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Named Element Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NAMED_ELEMENT_TYPE_FEATURE_COUNT = DESCRIBABLE_ELEMENT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.BaseMetricTypeImpl <em>Base Metric Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.BaseMetricTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getBaseMetricType()
	 * @generated
	 */
	int BASE_METRIC_TYPE = 4;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_METRIC_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_METRIC_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_METRIC_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Is Sortable</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_METRIC_TYPE__IS_SORTABLE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_METRIC_TYPE__TYPE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Base Metric Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASE_METRIC_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ContextTypeImpl <em>Context Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.ContextTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getContextType()
	 * @generated
	 */
	int CONTEXT_TYPE = 5;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTEXT_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTEXT_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTEXT_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Group</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTEXT_TYPE__GROUP = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Trigger</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTEXT_TYPE__TRIGGER = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Inbound Event</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTEXT_TYPE__INBOUND_EVENT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Outbound Event</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTEXT_TYPE__OUTBOUND_EVENT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Event Sequence ID Path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTEXT_TYPE__EVENT_SEQUENCE_ID_PATH = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Context Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTEXT_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 5;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.CounterTypeImpl <em>Counter Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.CounterTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getCounterType()
	 * @generated
	 */
	int COUNTER_TYPE = 6;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNTER_TYPE__DESCRIPTION = BASE_METRIC_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNTER_TYPE__DISPLAY_NAME = BASE_METRIC_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNTER_TYPE__ID = BASE_METRIC_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Is Sortable</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNTER_TYPE__IS_SORTABLE = BASE_METRIC_TYPE__IS_SORTABLE;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNTER_TYPE__TYPE = BASE_METRIC_TYPE__TYPE;

	/**
	 * The feature id for the '<em><b>Group</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNTER_TYPE__GROUP = BASE_METRIC_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Incremented When</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNTER_TYPE__INCREMENTED_WHEN = BASE_METRIC_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Decremented When</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNTER_TYPE__DECREMENTED_WHEN = BASE_METRIC_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Set To Zero When</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNTER_TYPE__SET_TO_ZERO_WHEN = BASE_METRIC_TYPE_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Counter Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COUNTER_TYPE_FEATURE_COUNT = BASE_METRIC_TYPE_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.CubeTypeImpl <em>Cube Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.CubeTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getCubeType()
	 * @generated
	 */
	int CUBE_TYPE = 7;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUBE_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUBE_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUBE_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Measure</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUBE_TYPE__MEASURE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Dimension</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUBE_TYPE__DIMENSION = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Monitoring Context</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUBE_TYPE__MONITORING_CONTEXT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Cube Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUBE_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DateTimeDimensionFixedPeriodTypeImpl <em>Date Time Dimension Fixed Period Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.DateTimeDimensionFixedPeriodTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDateTimeDimensionFixedPeriodType()
	 * @generated
	 */
	int DATE_TIME_DIMENSION_FIXED_PERIOD_TYPE = 8;

	/**
	 * The feature id for the '<em><b>End Date</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATE_TIME_DIMENSION_FIXED_PERIOD_TYPE__END_DATE = 0;

	/**
	 * The feature id for the '<em><b>Start Date</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATE_TIME_DIMENSION_FIXED_PERIOD_TYPE__START_DATE = 1;

	/**
	 * The feature id for the '<em><b>Timezone</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATE_TIME_DIMENSION_FIXED_PERIOD_TYPE__TIMEZONE = 2;

	/**
	 * The number of structural features of the '<em>Date Time Dimension Fixed Period Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATE_TIME_DIMENSION_FIXED_PERIOD_TYPE_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DateTimeDimensionRepeatingPeriodTypeImpl <em>Date Time Dimension Repeating Period Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.DateTimeDimensionRepeatingPeriodTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDateTimeDimensionRepeatingPeriodType()
	 * @generated
	 */
	int DATE_TIME_DIMENSION_REPEATING_PERIOD_TYPE = 9;

	/**
	 * The feature id for the '<em><b>Period Basis</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATE_TIME_DIMENSION_REPEATING_PERIOD_TYPE__PERIOD_BASIS = 0;

	/**
	 * The feature id for the '<em><b>Period Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATE_TIME_DIMENSION_REPEATING_PERIOD_TYPE__PERIOD_TYPE = 1;

	/**
	 * The feature id for the '<em><b>Timezone</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATE_TIME_DIMENSION_REPEATING_PERIOD_TYPE__TIMEZONE = 2;

	/**
	 * The number of structural features of the '<em>Date Time Dimension Repeating Period Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATE_TIME_DIMENSION_REPEATING_PERIOD_TYPE_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DateTimeDimensionRollingPeriodTypeImpl <em>Date Time Dimension Rolling Period Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.DateTimeDimensionRollingPeriodTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDateTimeDimensionRollingPeriodType()
	 * @generated
	 */
	int DATE_TIME_DIMENSION_ROLLING_PERIOD_TYPE = 10;

	/**
	 * The feature id for the '<em><b>Num Periods</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATE_TIME_DIMENSION_ROLLING_PERIOD_TYPE__NUM_PERIODS = 0;

	/**
	 * The feature id for the '<em><b>Period Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATE_TIME_DIMENSION_ROLLING_PERIOD_TYPE__PERIOD_TYPE = 1;

	/**
	 * The number of structural features of the '<em>Date Time Dimension Rolling Period Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATE_TIME_DIMENSION_ROLLING_PERIOD_TYPE_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DimensionalModelNamedElementTypeImpl <em>Dimensional Model Named Element Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.DimensionalModelNamedElementTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDimensionalModelNamedElementType()
	 * @generated
	 */
	int DIMENSIONAL_MODEL_NAMED_ELEMENT_TYPE = 12;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSIONAL_MODEL_NAMED_ELEMENT_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSIONAL_MODEL_NAMED_ELEMENT_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSIONAL_MODEL_NAMED_ELEMENT_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The number of structural features of the '<em>Dimensional Model Named Element Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSIONAL_MODEL_NAMED_ELEMENT_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DimensionalModelTypeImpl <em>Dimensional Model Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.DimensionalModelTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDimensionalModelType()
	 * @generated
	 */
	int DIMENSIONAL_MODEL_TYPE = 13;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSIONAL_MODEL_TYPE__DESCRIPTION = DIMENSIONAL_MODEL_NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSIONAL_MODEL_TYPE__DISPLAY_NAME = DIMENSIONAL_MODEL_NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSIONAL_MODEL_TYPE__ID = DIMENSIONAL_MODEL_NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Cube</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSIONAL_MODEL_TYPE__CUBE = DIMENSIONAL_MODEL_NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Dimensional Model Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSIONAL_MODEL_TYPE_FEATURE_COUNT = DIMENSIONAL_MODEL_NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DimensionAttributeTypeImpl <em>Dimension Attribute Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.DimensionAttributeTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDimensionAttributeType()
	 * @generated
	 */
	int DIMENSION_ATTRIBUTE_TYPE = 14;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSION_ATTRIBUTE_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSION_ATTRIBUTE_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSION_ATTRIBUTE_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Attribute Source</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSION_ATTRIBUTE_TYPE__ATTRIBUTE_SOURCE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Level</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSION_ATTRIBUTE_TYPE__LEVEL = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Dimension Attribute Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSION_ATTRIBUTE_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DimensionTypeImpl <em>Dimension Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.DimensionTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDimensionType()
	 * @generated
	 */
	int DIMENSION_TYPE = 15;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSION_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSION_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSION_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Attribute</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSION_TYPE__ATTRIBUTE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Dimension Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DIMENSION_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DocumentRootImpl <em>Document Root</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.DocumentRootImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDocumentRoot()
	 * @generated
	 */
	int DOCUMENT_ROOT = 16;

	/**
	 * The feature id for the '<em><b>Mixed</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__MIXED = 0;

	/**
	 * The feature id for the '<em><b>XMLNS Prefix Map</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__XMLNS_PREFIX_MAP = 1;

	/**
	 * The feature id for the '<em><b>XSI Schema Location</b></em>' map.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__XSI_SCHEMA_LOCATION = 2;

	/**
	 * The feature id for the '<em><b>Monitor</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT__MONITOR = 3;

	/**
	 * The number of structural features of the '<em>Document Root</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_ROOT_FEATURE_COUNT = 4;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.EndNamedElementTypeImpl <em>End Named Element Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.EndNamedElementTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEndNamedElementType()
	 * @generated
	 */
	int END_NAMED_ELEMENT_TYPE = 17;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int END_NAMED_ELEMENT_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int END_NAMED_ELEMENT_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int END_NAMED_ELEMENT_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The number of structural features of the '<em>End Named Element Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int END_NAMED_ELEMENT_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.EndValueNamedElementTypeImpl <em>End Value Named Element Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.EndValueNamedElementTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEndValueNamedElementType()
	 * @generated
	 */
	int END_VALUE_NAMED_ELEMENT_TYPE = 18;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int END_VALUE_NAMED_ELEMENT_TYPE__DESCRIPTION = END_NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int END_VALUE_NAMED_ELEMENT_TYPE__DISPLAY_NAME = END_NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int END_VALUE_NAMED_ELEMENT_TYPE__ID = END_NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int END_VALUE_NAMED_ELEMENT_TYPE__VALUE = END_NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>End Value Named Element Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int END_VALUE_NAMED_ELEMENT_TYPE_FEATURE_COUNT = END_NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ImportTypeImpl <em>Import Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.ImportTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getImportType()
	 * @generated
	 */
	int IMPORT_TYPE = 24;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.EventModelNamedElementTypeImpl <em>Event Model Named Element Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.EventModelNamedElementTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventModelNamedElementType()
	 * @generated
	 */
	int EVENT_MODEL_NAMED_ELEMENT_TYPE = 19;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MODEL_NAMED_ELEMENT_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MODEL_NAMED_ELEMENT_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MODEL_NAMED_ELEMENT_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The number of structural features of the '<em>Event Model Named Element Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MODEL_NAMED_ELEMENT_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.EventModelTypeImpl <em>Event Model Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.EventModelTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventModelType()
	 * @generated
	 */
	int EVENT_MODEL_TYPE = 20;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MODEL_TYPE__DESCRIPTION = EVENT_MODEL_NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MODEL_TYPE__DISPLAY_NAME = EVENT_MODEL_NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MODEL_TYPE__ID = EVENT_MODEL_NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Import</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MODEL_TYPE__IMPORT = EVENT_MODEL_NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Event Model Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MODEL_TYPE_FEATURE_COUNT = EVENT_MODEL_NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.EventPartTypeImpl <em>Event Part Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.EventPartTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventPartType()
	 * @generated
	 */
	int EVENT_PART_TYPE = 21;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_PART_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_PART_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_PART_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_PART_TYPE__PATH = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_PART_TYPE__TYPE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Event Part Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_PART_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ExpressionSpecificationTypeImpl <em>Expression Specification Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.ExpressionSpecificationTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getExpressionSpecificationType()
	 * @generated
	 */
	int EXPRESSION_SPECIFICATION_TYPE = 22;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXPRESSION_SPECIFICATION_TYPE__EXPRESSION = 0;

	/**
	 * The number of structural features of the '<em>Expression Specification Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EXPRESSION_SPECIFICATION_TYPE_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.HideShapesTypeImpl <em>Hide Shapes Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.HideShapesTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getHideShapesType()
	 * @generated
	 */
	int HIDE_SHAPES_TYPE = 23;

	/**
	 * The feature id for the '<em><b>Condition</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HIDE_SHAPES_TYPE__CONDITION = ACTION_TYPE__CONDITION;

	/**
	 * The feature id for the '<em><b>Shape Set</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HIDE_SHAPES_TYPE__SHAPE_SET = ACTION_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Hide Shapes Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int HIDE_SHAPES_TYPE_FEATURE_COUNT = ACTION_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Location</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMPORT_TYPE__LOCATION = 0;

	/**
	 * The feature id for the '<em><b>Namespace</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMPORT_TYPE__NAMESPACE = 1;

	/**
	 * The number of structural features of the '<em>Import Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMPORT_TYPE_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.InboundEventTypeImpl <em>Inbound Event Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.InboundEventTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getInboundEventType()
	 * @generated
	 */
	int INBOUND_EVENT_TYPE = 25;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INBOUND_EVENT_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INBOUND_EVENT_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INBOUND_EVENT_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Event Part</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INBOUND_EVENT_TYPE__EVENT_PART = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Correlation Predicate</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INBOUND_EVENT_TYPE__CORRELATION_PREDICATE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INBOUND_EVENT_TYPE__FILTER = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Event Sequence ID Path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INBOUND_EVENT_TYPE__EVENT_SEQUENCE_ID_PATH = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Extension Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INBOUND_EVENT_TYPE__EXTENSION_NAME = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Multiple Correlation Matches</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INBOUND_EVENT_TYPE__MULTIPLE_CORRELATION_MATCHES = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>No Correlation Matches</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INBOUND_EVENT_TYPE__NO_CORRELATION_MATCHES = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>One Correlation Match</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INBOUND_EVENT_TYPE__ONE_CORRELATION_MATCH = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Root Element</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INBOUND_EVENT_TYPE__ROOT_ELEMENT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Terminate Context</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INBOUND_EVENT_TYPE__TERMINATE_CONTEXT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 9;

	/**
	 * The number of structural features of the '<em>Inbound Event Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INBOUND_EVENT_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 10;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.KPIAggregatedDefinitionTypeImpl <em>KPI Aggregated Definition Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.KPIAggregatedDefinitionTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIAggregatedDefinitionType()
	 * @generated
	 */
	int KPI_AGGREGATED_DEFINITION_TYPE = 26;

	/**
	 * The feature id for the '<em><b>Monitoring Context</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_AGGREGATED_DEFINITION_TYPE__MONITORING_CONTEXT = 0;

	/**
	 * The feature id for the '<em><b>Metric</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_AGGREGATED_DEFINITION_TYPE__METRIC = 1;

	/**
	 * The feature id for the '<em><b>Metric Filter</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_AGGREGATED_DEFINITION_TYPE__METRIC_FILTER = 2;

	/**
	 * The feature id for the '<em><b>Date Time Metric Filter</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_AGGREGATED_DEFINITION_TYPE__DATE_TIME_METRIC_FILTER = 3;

	/**
	 * The feature id for the '<em><b>Aggregation Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_AGGREGATED_DEFINITION_TYPE__AGGREGATION_TYPE = 4;

	/**
	 * The feature id for the '<em><b>Version Aggregation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_AGGREGATED_DEFINITION_TYPE__VERSION_AGGREGATION = 5;

	/**
	 * The number of structural features of the '<em>KPI Aggregated Definition Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_AGGREGATED_DEFINITION_TYPE_FEATURE_COUNT = 6;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.KPICalculatedDefinitionTypeImpl <em>KPI Calculated Definition Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.KPICalculatedDefinitionTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPICalculatedDefinitionType()
	 * @generated
	 */
	int KPI_CALCULATED_DEFINITION_TYPE = 27;

	/**
	 * The feature id for the '<em><b>Kpi Calculation</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_CALCULATED_DEFINITION_TYPE__KPI_CALCULATION = 0;

	/**
	 * The number of structural features of the '<em>KPI Calculated Definition Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_CALCULATED_DEFINITION_TYPE_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.KPIContextTypeImpl <em>KPI Context Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.KPIContextTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIContextType()
	 * @generated
	 */
	int KPI_CONTEXT_TYPE = 28;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_CONTEXT_TYPE__DESCRIPTION = CONTEXT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_CONTEXT_TYPE__DISPLAY_NAME = CONTEXT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_CONTEXT_TYPE__ID = CONTEXT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Group</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_CONTEXT_TYPE__GROUP = CONTEXT_TYPE__GROUP;

	/**
	 * The feature id for the '<em><b>Trigger</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_CONTEXT_TYPE__TRIGGER = CONTEXT_TYPE__TRIGGER;

	/**
	 * The feature id for the '<em><b>Inbound Event</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_CONTEXT_TYPE__INBOUND_EVENT = CONTEXT_TYPE__INBOUND_EVENT;

	/**
	 * The feature id for the '<em><b>Outbound Event</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_CONTEXT_TYPE__OUTBOUND_EVENT = CONTEXT_TYPE__OUTBOUND_EVENT;

	/**
	 * The feature id for the '<em><b>Event Sequence ID Path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_CONTEXT_TYPE__EVENT_SEQUENCE_ID_PATH = CONTEXT_TYPE__EVENT_SEQUENCE_ID_PATH;

	/**
	 * The feature id for the '<em><b>Group1</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_CONTEXT_TYPE__GROUP1 = CONTEXT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Kpi</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_CONTEXT_TYPE__KPI = CONTEXT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>KPI Context Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_CONTEXT_TYPE_FEATURE_COUNT = CONTEXT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ReferenceTypeImpl <em>Reference Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.ReferenceTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getReferenceType()
	 * @generated
	 */
	int REFERENCE_TYPE = 45;

	/**
	 * The feature id for the '<em><b>Ref</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCE_TYPE__REF = 0;

	/**
	 * The number of structural features of the '<em>Reference Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCE_TYPE_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.KPIDateTimeMetricFilterRefTypeImpl <em>KPI Date Time Metric Filter Ref Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.KPIDateTimeMetricFilterRefTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIDateTimeMetricFilterRefType()
	 * @generated
	 */
	int KPI_DATE_TIME_METRIC_FILTER_REF_TYPE = 29;

	/**
	 * The feature id for the '<em><b>Ref</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_DATE_TIME_METRIC_FILTER_REF_TYPE__REF = REFERENCE_TYPE__REF;

	/**
	 * The feature id for the '<em><b>Repeating Period</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_DATE_TIME_METRIC_FILTER_REF_TYPE__REPEATING_PERIOD = REFERENCE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Rolling Period</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_DATE_TIME_METRIC_FILTER_REF_TYPE__ROLLING_PERIOD = REFERENCE_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Fixed Period</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_DATE_TIME_METRIC_FILTER_REF_TYPE__FIXED_PERIOD = REFERENCE_TYPE_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>KPI Date Time Metric Filter Ref Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_DATE_TIME_METRIC_FILTER_REF_TYPE_FEATURE_COUNT = REFERENCE_TYPE_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.KPIMetricFilterRefTypeImpl <em>KPI Metric Filter Ref Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.KPIMetricFilterRefTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIMetricFilterRefType()
	 * @generated
	 */
	int KPI_METRIC_FILTER_REF_TYPE = 30;

	/**
	 * The feature id for the '<em><b>Ref</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_METRIC_FILTER_REF_TYPE__REF = REFERENCE_TYPE__REF;

	/**
	 * The feature id for the '<em><b>Value</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_METRIC_FILTER_REF_TYPE__VALUE = REFERENCE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Is Case Sensitive</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_METRIC_FILTER_REF_TYPE__IS_CASE_SENSITIVE = REFERENCE_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Operator</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_METRIC_FILTER_REF_TYPE__OPERATOR = REFERENCE_TYPE_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>KPI Metric Filter Ref Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_METRIC_FILTER_REF_TYPE_FEATURE_COUNT = REFERENCE_TYPE_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.KPIModelNamedElementTypeImpl <em>KPI Model Named Element Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.KPIModelNamedElementTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIModelNamedElementType()
	 * @generated
	 */
	int KPI_MODEL_NAMED_ELEMENT_TYPE = 31;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_MODEL_NAMED_ELEMENT_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_MODEL_NAMED_ELEMENT_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_MODEL_NAMED_ELEMENT_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The number of structural features of the '<em>KPI Model Named Element Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_MODEL_NAMED_ELEMENT_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.KPIModelTypeImpl <em>KPI Model Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.KPIModelTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIModelType()
	 * @generated
	 */
	int KPI_MODEL_TYPE = 32;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_MODEL_TYPE__DESCRIPTION = KPI_MODEL_NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_MODEL_TYPE__DISPLAY_NAME = KPI_MODEL_NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_MODEL_TYPE__ID = KPI_MODEL_NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Group</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_MODEL_TYPE__GROUP = KPI_MODEL_NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Kpi Context</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_MODEL_TYPE__KPI_CONTEXT = KPI_MODEL_NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>KPI Model Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_MODEL_TYPE_FEATURE_COUNT = KPI_MODEL_NAMED_ELEMENT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.KPITypeImpl <em>KPI Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.KPITypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIType()
	 * @generated
	 */
	int KPI_TYPE = 33;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Aggregated Definition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_TYPE__AGGREGATED_DEFINITION = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Calculated Definition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_TYPE__CALCULATED_DEFINITION = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Target</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_TYPE__TARGET = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Range</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_TYPE__RANGE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Range Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_TYPE__RANGE_TYPE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_TYPE__TYPE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>KPI Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int KPI_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 6;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.MapTypeImpl <em>Map Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MapTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getMapType()
	 * @generated
	 */
	int MAP_TYPE = 34;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAP_TYPE__DESCRIPTION = DESCRIBABLE_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Trigger</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAP_TYPE__TRIGGER = DESCRIBABLE_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Output Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAP_TYPE__OUTPUT_VALUE = DESCRIBABLE_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Map Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MAP_TYPE_FEATURE_COUNT = DESCRIBABLE_ELEMENT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.MeasureTypeImpl <em>Measure Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MeasureTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getMeasureType()
	 * @generated
	 */
	int MEASURE_TYPE = 35;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEASURE_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEASURE_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEASURE_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Aggregation Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEASURE_TYPE__AGGREGATION_TYPE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Source</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEASURE_TYPE__SOURCE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tracking Key</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEASURE_TYPE__TRACKING_KEY = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Measure Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MEASURE_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.MetricTypeImpl <em>Metric Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MetricTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getMetricType()
	 * @generated
	 */
	int METRIC_TYPE = 36;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METRIC_TYPE__DESCRIPTION = BASE_METRIC_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METRIC_TYPE__DISPLAY_NAME = BASE_METRIC_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METRIC_TYPE__ID = BASE_METRIC_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Is Sortable</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METRIC_TYPE__IS_SORTABLE = BASE_METRIC_TYPE__IS_SORTABLE;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METRIC_TYPE__TYPE = BASE_METRIC_TYPE__TYPE;

	/**
	 * The feature id for the '<em><b>Map</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METRIC_TYPE__MAP = BASE_METRIC_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Default Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METRIC_TYPE__DEFAULT_VALUE = BASE_METRIC_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Is Multi Byte</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METRIC_TYPE__IS_MULTI_BYTE = BASE_METRIC_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Is Part Of Key</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METRIC_TYPE__IS_PART_OF_KEY = BASE_METRIC_TYPE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Max String Length</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METRIC_TYPE__MAX_STRING_LENGTH = BASE_METRIC_TYPE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Value Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METRIC_TYPE__VALUE_REQUIRED = BASE_METRIC_TYPE_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Metric Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int METRIC_TYPE_FEATURE_COUNT = BASE_METRIC_TYPE_FEATURE_COUNT + 6;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.MonitorDetailsModelNamedElementTypeImpl <em>Monitor Details Model Named Element Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MonitorDetailsModelNamedElementTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getMonitorDetailsModelNamedElementType()
	 * @generated
	 */
	int MONITOR_DETAILS_MODEL_NAMED_ELEMENT_TYPE = 37;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_DETAILS_MODEL_NAMED_ELEMENT_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_DETAILS_MODEL_NAMED_ELEMENT_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_DETAILS_MODEL_NAMED_ELEMENT_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The number of structural features of the '<em>Monitor Details Model Named Element Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_DETAILS_MODEL_NAMED_ELEMENT_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.MonitorDetailsModelTypeImpl <em>Monitor Details Model Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MonitorDetailsModelTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getMonitorDetailsModelType()
	 * @generated
	 */
	int MONITOR_DETAILS_MODEL_TYPE = 38;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_DETAILS_MODEL_TYPE__DESCRIPTION = MONITOR_DETAILS_MODEL_NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_DETAILS_MODEL_TYPE__DISPLAY_NAME = MONITOR_DETAILS_MODEL_NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_DETAILS_MODEL_TYPE__ID = MONITOR_DETAILS_MODEL_NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Group</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_DETAILS_MODEL_TYPE__GROUP = MONITOR_DETAILS_MODEL_NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Monitoring Context</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_DETAILS_MODEL_TYPE__MONITORING_CONTEXT = MONITOR_DETAILS_MODEL_NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Monitor Details Model Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_DETAILS_MODEL_TYPE_FEATURE_COUNT = MONITOR_DETAILS_MODEL_NAMED_ELEMENT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.MonitoringContextTypeImpl <em>Monitoring Context Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MonitoringContextTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getMonitoringContextType()
	 * @generated
	 */
	int MONITORING_CONTEXT_TYPE = 39;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITORING_CONTEXT_TYPE__DESCRIPTION = CONTEXT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITORING_CONTEXT_TYPE__DISPLAY_NAME = CONTEXT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITORING_CONTEXT_TYPE__ID = CONTEXT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Group</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITORING_CONTEXT_TYPE__GROUP = CONTEXT_TYPE__GROUP;

	/**
	 * The feature id for the '<em><b>Trigger</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITORING_CONTEXT_TYPE__TRIGGER = CONTEXT_TYPE__TRIGGER;

	/**
	 * The feature id for the '<em><b>Inbound Event</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITORING_CONTEXT_TYPE__INBOUND_EVENT = CONTEXT_TYPE__INBOUND_EVENT;

	/**
	 * The feature id for the '<em><b>Outbound Event</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITORING_CONTEXT_TYPE__OUTBOUND_EVENT = CONTEXT_TYPE__OUTBOUND_EVENT;

	/**
	 * The feature id for the '<em><b>Event Sequence ID Path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITORING_CONTEXT_TYPE__EVENT_SEQUENCE_ID_PATH = CONTEXT_TYPE__EVENT_SEQUENCE_ID_PATH;

	/**
	 * The feature id for the '<em><b>Group1</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITORING_CONTEXT_TYPE__GROUP1 = CONTEXT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Metric</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITORING_CONTEXT_TYPE__METRIC = CONTEXT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Counter</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITORING_CONTEXT_TYPE__COUNTER = CONTEXT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Stopwatch</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITORING_CONTEXT_TYPE__STOPWATCH = CONTEXT_TYPE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Monitoring Context</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITORING_CONTEXT_TYPE__MONITORING_CONTEXT = CONTEXT_TYPE_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Monitoring Context Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITORING_CONTEXT_TYPE_FEATURE_COUNT = CONTEXT_TYPE_FEATURE_COUNT + 5;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.MonitorTypeImpl <em>Monitor Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MonitorTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getMonitorType()
	 * @generated
	 */
	int MONITOR_TYPE = 40;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Xpath Functions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_TYPE__XPATH_FUNCTIONS = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Monitor Details Model</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_TYPE__MONITOR_DETAILS_MODEL = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Kpi Model</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_TYPE__KPI_MODEL = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Dimensional Model</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_TYPE__DIMENSIONAL_MODEL = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Visual Model</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_TYPE__VISUAL_MODEL = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Event Model</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_TYPE__EVENT_MODEL = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Target Namespace</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_TYPE__TARGET_NAMESPACE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Timestamp</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_TYPE__TIMESTAMP = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>Monitor Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MONITOR_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 8;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.OutboundEventTypeImpl <em>Outbound Event Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.OutboundEventTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getOutboundEventType()
	 * @generated
	 */
	int OUTBOUND_EVENT_TYPE = 42;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OUTBOUND_EVENT_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OUTBOUND_EVENT_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OUTBOUND_EVENT_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Event Part</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OUTBOUND_EVENT_TYPE__EVENT_PART = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Map</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OUTBOUND_EVENT_TYPE__MAP = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OUTBOUND_EVENT_TYPE__FILTER = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Extension Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OUTBOUND_EVENT_TYPE__EXTENSION_NAME = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Root Element</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OUTBOUND_EVENT_TYPE__ROOT_ELEMENT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Outbound Event Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OUTBOUND_EVENT_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 5;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.PositionTypeImpl <em>Position Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.PositionTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getPositionType()
	 * @generated
	 */
	int POSITION_TYPE = 43;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POSITION_TYPE__X = 0;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POSITION_TYPE__Y = 1;

	/**
	 * The number of structural features of the '<em>Position Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int POSITION_TYPE_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.RangeTypeImpl <em>Range Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.RangeTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getRangeType()
	 * @generated
	 */
	int RANGE_TYPE = 44;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RANGE_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RANGE_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RANGE_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Start Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RANGE_TYPE__START_VALUE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>End Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RANGE_TYPE__END_VALUE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Range Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RANGE_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.SetColorTypeImpl <em>Set Color Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.SetColorTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getSetColorType()
	 * @generated
	 */
	int SET_COLOR_TYPE = 46;

	/**
	 * The feature id for the '<em><b>Condition</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_COLOR_TYPE__CONDITION = ACTION_TYPE__CONDITION;

	/**
	 * The feature id for the '<em><b>Shape Set</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_COLOR_TYPE__SHAPE_SET = ACTION_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Fill Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_COLOR_TYPE__FILL_COLOR = ACTION_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Outline Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_COLOR_TYPE__OUTLINE_COLOR = ACTION_TYPE_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Set Color Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_COLOR_TYPE_FEATURE_COUNT = ACTION_TYPE_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.SetDiagramLinkTypeImpl <em>Set Diagram Link Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.SetDiagramLinkTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getSetDiagramLinkType()
	 * @generated
	 */
	int SET_DIAGRAM_LINK_TYPE = 47;

	/**
	 * The feature id for the '<em><b>Condition</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_DIAGRAM_LINK_TYPE__CONDITION = ACTION_TYPE__CONDITION;

	/**
	 * The feature id for the '<em><b>Shape Set</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_DIAGRAM_LINK_TYPE__SHAPE_SET = ACTION_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Target Context</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_DIAGRAM_LINK_TYPE__TARGET_CONTEXT = ACTION_TYPE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Set Diagram Link Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_DIAGRAM_LINK_TYPE_FEATURE_COUNT = ACTION_TYPE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.SetTextTypeImpl <em>Set Text Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.SetTextTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getSetTextType()
	 * @generated
	 */
	int SET_TEXT_TYPE = 48;

	/**
	 * The feature id for the '<em><b>Condition</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_TEXT_TYPE__CONDITION = ACTION_TYPE__CONDITION;

	/**
	 * The feature id for the '<em><b>Shape Set</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_TEXT_TYPE__SHAPE_SET = ACTION_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Text Position</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_TEXT_TYPE__TEXT_POSITION = ACTION_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Text Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_TEXT_TYPE__TEXT_COLOR = ACTION_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Text Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_TEXT_TYPE__TEXT_VALUE = ACTION_TYPE_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Set Text Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_TEXT_TYPE_FEATURE_COUNT = ACTION_TYPE_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ShapeSetRefTypeImpl <em>Shape Set Ref Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.ShapeSetRefTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getShapeSetRefType()
	 * @generated
	 */
	int SHAPE_SET_REF_TYPE = 49;

	/**
	 * The feature id for the '<em><b>Ref</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SHAPE_SET_REF_TYPE__REF = 0;

	/**
	 * The number of structural features of the '<em>Shape Set Ref Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SHAPE_SET_REF_TYPE_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ShapeSetsTypeImpl <em>Shape Sets Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.ShapeSetsTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getShapeSetsType()
	 * @generated
	 */
	int SHAPE_SETS_TYPE = 50;

	/**
	 * The feature id for the '<em><b>Shape Set</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SHAPE_SETS_TYPE__SHAPE_SET = 0;

	/**
	 * The number of structural features of the '<em>Shape Sets Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SHAPE_SETS_TYPE_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ShapeSetTypeImpl <em>Shape Set Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.ShapeSetTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getShapeSetType()
	 * @generated
	 */
	int SHAPE_SET_TYPE = 51;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SHAPE_SET_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SHAPE_SET_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SHAPE_SET_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Shapes</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SHAPE_SET_TYPE__SHAPES = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Shape Set Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SHAPE_SET_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.StartNamedElementTypeImpl <em>Start Named Element Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.StartNamedElementTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getStartNamedElementType()
	 * @generated
	 */
	int START_NAMED_ELEMENT_TYPE = 52;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int START_NAMED_ELEMENT_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int START_NAMED_ELEMENT_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int START_NAMED_ELEMENT_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The number of structural features of the '<em>Start Named Element Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int START_NAMED_ELEMENT_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.StartValueNamedElementTypeImpl <em>Start Value Named Element Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.StartValueNamedElementTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getStartValueNamedElementType()
	 * @generated
	 */
	int START_VALUE_NAMED_ELEMENT_TYPE = 53;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int START_VALUE_NAMED_ELEMENT_TYPE__DESCRIPTION = START_NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int START_VALUE_NAMED_ELEMENT_TYPE__DISPLAY_NAME = START_NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int START_VALUE_NAMED_ELEMENT_TYPE__ID = START_NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int START_VALUE_NAMED_ELEMENT_TYPE__VALUE = START_NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Start Value Named Element Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int START_VALUE_NAMED_ELEMENT_TYPE_FEATURE_COUNT = START_NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.StopwatchTypeImpl <em>Stopwatch Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.StopwatchTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getStopwatchType()
	 * @generated
	 */
	int STOPWATCH_TYPE = 54;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STOPWATCH_TYPE__DESCRIPTION = BASE_METRIC_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STOPWATCH_TYPE__DISPLAY_NAME = BASE_METRIC_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STOPWATCH_TYPE__ID = BASE_METRIC_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Is Sortable</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STOPWATCH_TYPE__IS_SORTABLE = BASE_METRIC_TYPE__IS_SORTABLE;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STOPWATCH_TYPE__TYPE = BASE_METRIC_TYPE__TYPE;

	/**
	 * The feature id for the '<em><b>Group</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STOPWATCH_TYPE__GROUP = BASE_METRIC_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Started When</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STOPWATCH_TYPE__STARTED_WHEN = BASE_METRIC_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Stopped When</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STOPWATCH_TYPE__STOPPED_WHEN = BASE_METRIC_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Reset When</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STOPWATCH_TYPE__RESET_WHEN = BASE_METRIC_TYPE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Is Accumulated</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STOPWATCH_TYPE__IS_ACCUMULATED = BASE_METRIC_TYPE_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Stopwatch Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STOPWATCH_TYPE_FEATURE_COUNT = BASE_METRIC_TYPE_FEATURE_COUNT + 5;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.SvgDocumentTypeImpl <em>Svg Document Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.SvgDocumentTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getSvgDocumentType()
	 * @generated
	 */
	int SVG_DOCUMENT_TYPE = 55;

	/**
	 * The feature id for the '<em><b>Import</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DOCUMENT_TYPE__IMPORT = 0;

	/**
	 * The number of structural features of the '<em>Svg Document Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DOCUMENT_TYPE_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.TargetValueTypeImpl <em>Target Value Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.TargetValueTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getTargetValueType()
	 * @generated
	 */
	int TARGET_VALUE_TYPE = 56;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TARGET_VALUE_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TARGET_VALUE_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TARGET_VALUE_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TARGET_VALUE_TYPE__VALUE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Target Value Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TARGET_VALUE_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.TimeIntervalsTypeImpl <em>Time Intervals Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.TimeIntervalsTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getTimeIntervalsType()
	 * @generated
	 */
	int TIME_INTERVALS_TYPE = 57;

	/**
	 * The feature id for the '<em><b>Days</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_INTERVALS_TYPE__DAYS = 0;

	/**
	 * The feature id for the '<em><b>Hours</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_INTERVALS_TYPE__HOURS = 1;

	/**
	 * The feature id for the '<em><b>Minutes</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_INTERVALS_TYPE__MINUTES = 2;

	/**
	 * The number of structural features of the '<em>Time Intervals Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_INTERVALS_TYPE_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.TriggerTypeImpl <em>Trigger Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.TriggerTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getTriggerType()
	 * @generated
	 */
	int TRIGGER_TYPE = 58;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Group</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_TYPE__GROUP = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>On Trigger</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_TYPE__ON_TRIGGER = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Evaluation Time</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_TYPE__EVALUATION_TIME = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>On Value Change</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_TYPE__ON_VALUE_CHANGE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>On Event</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_TYPE__ON_EVENT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Gating Condition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_TYPE__GATING_CONDITION = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Is Repeatable</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_TYPE__IS_REPEATABLE = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Terminate Context</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_TYPE__TERMINATE_CONTEXT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>Trigger Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRIGGER_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 8;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ValueSpecificationTypeImpl <em>Value Specification Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.ValueSpecificationTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getValueSpecificationType()
	 * @generated
	 */
	int VALUE_SPECIFICATION_TYPE = 59;

	/**
	 * The feature id for the '<em><b>Single Value</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALUE_SPECIFICATION_TYPE__SINGLE_VALUE = 0;

	/**
	 * The feature id for the '<em><b>Assignments</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALUE_SPECIFICATION_TYPE__ASSIGNMENTS = 1;

	/**
	 * The number of structural features of the '<em>Value Specification Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALUE_SPECIFICATION_TYPE_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.VisualizationTypeImpl <em>Visualization Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.VisualizationTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getVisualizationType()
	 * @generated
	 */
	int VISUALIZATION_TYPE = 60;

	/**
	 * The feature id for the '<em><b>Shape Sets</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUALIZATION_TYPE__SHAPE_SETS = 0;

	/**
	 * The feature id for the '<em><b>Actions</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUALIZATION_TYPE__ACTIONS = 1;

	/**
	 * The feature id for the '<em><b>Svg Document</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUALIZATION_TYPE__SVG_DOCUMENT = 2;

	/**
	 * The feature id for the '<em><b>Context</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUALIZATION_TYPE__CONTEXT = 3;

	/**
	 * The number of structural features of the '<em>Visualization Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUALIZATION_TYPE_FEATURE_COUNT = 4;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.VisualModelNamedElementTypeImpl <em>Visual Model Named Element Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.VisualModelNamedElementTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getVisualModelNamedElementType()
	 * @generated
	 */
	int VISUAL_MODEL_NAMED_ELEMENT_TYPE = 61;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUAL_MODEL_NAMED_ELEMENT_TYPE__DESCRIPTION = NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUAL_MODEL_NAMED_ELEMENT_TYPE__DISPLAY_NAME = NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUAL_MODEL_NAMED_ELEMENT_TYPE__ID = NAMED_ELEMENT_TYPE__ID;

	/**
	 * The number of structural features of the '<em>Visual Model Named Element Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUAL_MODEL_NAMED_ELEMENT_TYPE_FEATURE_COUNT = NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.VisualModelTypeImpl <em>Visual Model Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.VisualModelTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getVisualModelType()
	 * @generated
	 */
	int VISUAL_MODEL_TYPE = 62;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUAL_MODEL_TYPE__DESCRIPTION = VISUAL_MODEL_NAMED_ELEMENT_TYPE__DESCRIPTION;

	/**
	 * The feature id for the '<em><b>Display Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUAL_MODEL_TYPE__DISPLAY_NAME = VISUAL_MODEL_NAMED_ELEMENT_TYPE__DISPLAY_NAME;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUAL_MODEL_TYPE__ID = VISUAL_MODEL_NAMED_ELEMENT_TYPE__ID;

	/**
	 * The feature id for the '<em><b>Visualization</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUAL_MODEL_TYPE__VISUALIZATION = VISUAL_MODEL_NAMED_ELEMENT_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Visual Model Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISUAL_MODEL_TYPE_FEATURE_COUNT = VISUAL_MODEL_NAMED_ELEMENT_TYPE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.XPathFunctionsTypeImpl <em>XPath Functions Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.XPathFunctionsTypeImpl
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getXPathFunctionsType()
	 * @generated
	 */
	int XPATH_FUNCTIONS_TYPE = 63;

	/**
	 * The feature id for the '<em><b>Import</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XPATH_FUNCTIONS_TYPE__IMPORT = 0;

	/**
	 * The number of structural features of the '<em>XPath Functions Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XPATH_FUNCTIONS_TYPE_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.AggregationType <em>Aggregation Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.AggregationType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getAggregationType()
	 * @generated
	 */
	int AGGREGATION_TYPE = 64;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionMultipleMatchesType <em>Event Delivery Option Multiple Matches Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionMultipleMatchesType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventDeliveryOptionMultipleMatchesType()
	 * @generated
	 */
	int EVENT_DELIVERY_OPTION_MULTIPLE_MATCHES_TYPE = 65;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionNoMatchesType <em>Event Delivery Option No Matches Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionNoMatchesType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventDeliveryOptionNoMatchesType()
	 * @generated
	 */
	int EVENT_DELIVERY_OPTION_NO_MATCHES_TYPE = 66;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionOneMatchType <em>Event Delivery Option One Match Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionOneMatchType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventDeliveryOptionOneMatchType()
	 * @generated
	 */
	int EVENT_DELIVERY_OPTION_ONE_MATCH_TYPE = 67;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterOperatorType <em>KPI Metric Filter Operator Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterOperatorType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIMetricFilterOperatorType()
	 * @generated
	 */
	int KPI_METRIC_FILTER_OPERATOR_TYPE = 68;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.PeriodBasisType <em>Period Basis Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.PeriodBasisType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getPeriodBasisType()
	 * @generated
	 */
	int PERIOD_BASIS_TYPE = 69;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.RangeTypeType <em>Range Type Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.RangeTypeType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getRangeTypeType()
	 * @generated
	 */
	int RANGE_TYPE_TYPE = 70;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.RepeatingPeriodTypeType <em>Repeating Period Type Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.RepeatingPeriodTypeType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getRepeatingPeriodTypeType()
	 * @generated
	 */
	int REPEATING_PERIOD_TYPE_TYPE = 71;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.RollingPeriodTypeType <em>Rolling Period Type Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.RollingPeriodTypeType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getRollingPeriodTypeType()
	 * @generated
	 */
	int ROLLING_PERIOD_TYPE_TYPE = 72;

	/**
	 * The meta object id for the '{@link com.ibm.wbimonitor.xml.model.mm.VersionAggregationType <em>Version Aggregation Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.VersionAggregationType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getVersionAggregationType()
	 * @generated
	 */
	int VERSION_AGGREGATION_TYPE = 73;

	/**
	 * The meta object id for the '<em>Aggregation Type Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.AggregationType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getAggregationTypeObject()
	 * @generated
	 */
	int AGGREGATION_TYPE_OBJECT = 74;

	/**
	 * The meta object id for the '<em>Event Delivery Option Multiple Matches Type Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionMultipleMatchesType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventDeliveryOptionMultipleMatchesTypeObject()
	 * @generated
	 */
	int EVENT_DELIVERY_OPTION_MULTIPLE_MATCHES_TYPE_OBJECT = 75;

	/**
	 * The meta object id for the '<em>Event Delivery Option No Matches Type Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionNoMatchesType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventDeliveryOptionNoMatchesTypeObject()
	 * @generated
	 */
	int EVENT_DELIVERY_OPTION_NO_MATCHES_TYPE_OBJECT = 76;

	/**
	 * The meta object id for the '<em>Event Delivery Option One Match Type Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionOneMatchType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventDeliveryOptionOneMatchTypeObject()
	 * @generated
	 */
	int EVENT_DELIVERY_OPTION_ONE_MATCH_TYPE_OBJECT = 77;

	/**
	 * The meta object id for the '<em>KPI Metric Filter Operator Type Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterOperatorType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIMetricFilterOperatorTypeObject()
	 * @generated
	 */
	int KPI_METRIC_FILTER_OPERATOR_TYPE_OBJECT = 78;

	/**
	 * The meta object id for the '<em>Name Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getNameType()
	 * @generated
	 */
	int NAME_TYPE = 79;


	/**
	 * The meta object id for the '<em>Period Basis Type Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.PeriodBasisType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getPeriodBasisTypeObject()
	 * @generated
	 */
	int PERIOD_BASIS_TYPE_OBJECT = 80;

	/**
	 * The meta object id for the '<em>Range Type Type Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.RangeTypeType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getRangeTypeTypeObject()
	 * @generated
	 */
	int RANGE_TYPE_TYPE_OBJECT = 81;

	/**
	 * The meta object id for the '<em>Repeating Period Type Type Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.RepeatingPeriodTypeType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getRepeatingPeriodTypeTypeObject()
	 * @generated
	 */
	int REPEATING_PERIOD_TYPE_TYPE_OBJECT = 82;

	/**
	 * The meta object id for the '<em>Rolling Period Type Type Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.RollingPeriodTypeType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getRollingPeriodTypeTypeObject()
	 * @generated
	 */
	int ROLLING_PERIOD_TYPE_TYPE_OBJECT = 83;

	/**
	 * The meta object id for the '<em>Shapes List Type</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.util.List
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getShapesListType()
	 * @generated
	 */
	int SHAPES_LIST_TYPE = 84;


	/**
	 * The meta object id for the '<em>Version Aggregation Type Object</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see com.ibm.wbimonitor.xml.model.mm.VersionAggregationType
	 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getVersionAggregationTypeObject()
	 * @generated
	 */
	int VERSION_AGGREGATION_TYPE_OBJECT = 85;


	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.ActionsType <em>Actions Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Actions Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ActionsType
	 * @generated
	 */
	EClass getActionsType();

	/**
	 * Returns the meta object for the attribute list '{@link com.ibm.wbimonitor.xml.model.mm.ActionsType#getGroup <em>Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Group</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ActionsType#getGroup()
	 * @see #getActionsType()
	 * @generated
	 */
	EAttribute getActionsType_Group();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.ActionsType#getSetColor <em>Set Color</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Set Color</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ActionsType#getSetColor()
	 * @see #getActionsType()
	 * @generated
	 */
	EReference getActionsType_SetColor();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.ActionsType#getSetText <em>Set Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Set Text</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ActionsType#getSetText()
	 * @see #getActionsType()
	 * @generated
	 */
	EReference getActionsType_SetText();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.ActionsType#getHideShapes <em>Hide Shapes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Hide Shapes</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ActionsType#getHideShapes()
	 * @see #getActionsType()
	 * @generated
	 */
	EReference getActionsType_HideShapes();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.ActionsType#getSetDiagramLink <em>Set Diagram Link</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Set Diagram Link</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ActionsType#getSetDiagramLink()
	 * @see #getActionsType()
	 * @generated
	 */
	EReference getActionsType_SetDiagramLink();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.ActionType <em>Action Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Action Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ActionType
	 * @generated
	 */
	EClass getActionType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.ActionType#getCondition <em>Condition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Condition</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ActionType#getCondition()
	 * @see #getActionType()
	 * @generated
	 */
	EAttribute getActionType_Condition();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.AssignmentListSpecificationType <em>Assignment List Specification Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Assignment List Specification Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.AssignmentListSpecificationType
	 * @generated
	 */
	EClass getAssignmentListSpecificationType();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.AssignmentListSpecificationType#getAssignment <em>Assignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Assignment</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.AssignmentListSpecificationType#getAssignment()
	 * @see #getAssignmentListSpecificationType()
	 * @generated
	 */
	EReference getAssignmentListSpecificationType_Assignment();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.AssignmentSpecificationType <em>Assignment Specification Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Assignment Specification Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.AssignmentSpecificationType
	 * @generated
	 */
	EClass getAssignmentSpecificationType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.AssignmentSpecificationType#getLeftValue <em>Left Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Left Value</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.AssignmentSpecificationType#getLeftValue()
	 * @see #getAssignmentSpecificationType()
	 * @generated
	 */
	EAttribute getAssignmentSpecificationType_LeftValue();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.AssignmentSpecificationType#getRightValue <em>Right Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Right Value</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.AssignmentSpecificationType#getRightValue()
	 * @see #getAssignmentSpecificationType()
	 * @generated
	 */
	EAttribute getAssignmentSpecificationType_RightValue();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.BaseMetricType <em>Base Metric Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Base Metric Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.BaseMetricType
	 * @generated
	 */
	EClass getBaseMetricType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.BaseMetricType#isIsSortable <em>Is Sortable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Sortable</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.BaseMetricType#isIsSortable()
	 * @see #getBaseMetricType()
	 * @generated
	 */
	EAttribute getBaseMetricType_IsSortable();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.BaseMetricType#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.BaseMetricType#getType()
	 * @see #getBaseMetricType()
	 * @generated
	 */
	EAttribute getBaseMetricType_Type();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.ContextType <em>Context Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Context Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ContextType
	 * @generated
	 */
	EClass getContextType();

	/**
	 * Returns the meta object for the attribute list '{@link com.ibm.wbimonitor.xml.model.mm.ContextType#getGroup <em>Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Group</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ContextType#getGroup()
	 * @see #getContextType()
	 * @generated
	 */
	EAttribute getContextType_Group();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.ContextType#getTrigger <em>Trigger</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Trigger</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ContextType#getTrigger()
	 * @see #getContextType()
	 * @generated
	 */
	EReference getContextType_Trigger();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.ContextType#getInboundEvent <em>Inbound Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Inbound Event</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ContextType#getInboundEvent()
	 * @see #getContextType()
	 * @generated
	 */
	EReference getContextType_InboundEvent();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.ContextType#getOutboundEvent <em>Outbound Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Outbound Event</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ContextType#getOutboundEvent()
	 * @see #getContextType()
	 * @generated
	 */
	EReference getContextType_OutboundEvent();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.ContextType#getEventSequenceIDPath <em>Event Sequence ID Path</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Event Sequence ID Path</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ContextType#getEventSequenceIDPath()
	 * @see #getContextType()
	 * @generated
	 */
	EAttribute getContextType_EventSequenceIDPath();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.CounterType <em>Counter Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Counter Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.CounterType
	 * @generated
	 */
	EClass getCounterType();

	/**
	 * Returns the meta object for the attribute list '{@link com.ibm.wbimonitor.xml.model.mm.CounterType#getGroup <em>Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Group</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.CounterType#getGroup()
	 * @see #getCounterType()
	 * @generated
	 */
	EAttribute getCounterType_Group();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.CounterType#getIncrementedWhen <em>Incremented When</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Incremented When</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.CounterType#getIncrementedWhen()
	 * @see #getCounterType()
	 * @generated
	 */
	EReference getCounterType_IncrementedWhen();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.CounterType#getDecrementedWhen <em>Decremented When</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Decremented When</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.CounterType#getDecrementedWhen()
	 * @see #getCounterType()
	 * @generated
	 */
	EReference getCounterType_DecrementedWhen();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.CounterType#getSetToZeroWhen <em>Set To Zero When</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Set To Zero When</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.CounterType#getSetToZeroWhen()
	 * @see #getCounterType()
	 * @generated
	 */
	EReference getCounterType_SetToZeroWhen();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.CubeType <em>Cube Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Cube Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.CubeType
	 * @generated
	 */
	EClass getCubeType();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.CubeType#getMeasure <em>Measure</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Measure</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.CubeType#getMeasure()
	 * @see #getCubeType()
	 * @generated
	 */
	EReference getCubeType_Measure();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.CubeType#getDimension <em>Dimension</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Dimension</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.CubeType#getDimension()
	 * @see #getCubeType()
	 * @generated
	 */
	EReference getCubeType_Dimension();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.CubeType#getMonitoringContext <em>Monitoring Context</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Monitoring Context</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.CubeType#getMonitoringContext()
	 * @see #getCubeType()
	 * @generated
	 */
	EAttribute getCubeType_MonitoringContext();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionFixedPeriodType <em>Date Time Dimension Fixed Period Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Date Time Dimension Fixed Period Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionFixedPeriodType
	 * @generated
	 */
	EClass getDateTimeDimensionFixedPeriodType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionFixedPeriodType#getEndDate <em>End Date</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>End Date</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionFixedPeriodType#getEndDate()
	 * @see #getDateTimeDimensionFixedPeriodType()
	 * @generated
	 */
	EAttribute getDateTimeDimensionFixedPeriodType_EndDate();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionFixedPeriodType#getStartDate <em>Start Date</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Start Date</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionFixedPeriodType#getStartDate()
	 * @see #getDateTimeDimensionFixedPeriodType()
	 * @generated
	 */
	EAttribute getDateTimeDimensionFixedPeriodType_StartDate();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionFixedPeriodType#getTimezone <em>Timezone</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Timezone</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionFixedPeriodType#getTimezone()
	 * @see #getDateTimeDimensionFixedPeriodType()
	 * @generated
	 */
	EAttribute getDateTimeDimensionFixedPeriodType_Timezone();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRepeatingPeriodType <em>Date Time Dimension Repeating Period Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Date Time Dimension Repeating Period Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRepeatingPeriodType
	 * @generated
	 */
	EClass getDateTimeDimensionRepeatingPeriodType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRepeatingPeriodType#getPeriodBasis <em>Period Basis</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Period Basis</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRepeatingPeriodType#getPeriodBasis()
	 * @see #getDateTimeDimensionRepeatingPeriodType()
	 * @generated
	 */
	EAttribute getDateTimeDimensionRepeatingPeriodType_PeriodBasis();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRepeatingPeriodType#getPeriodType <em>Period Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Period Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRepeatingPeriodType#getPeriodType()
	 * @see #getDateTimeDimensionRepeatingPeriodType()
	 * @generated
	 */
	EAttribute getDateTimeDimensionRepeatingPeriodType_PeriodType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRepeatingPeriodType#getTimezone <em>Timezone</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Timezone</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRepeatingPeriodType#getTimezone()
	 * @see #getDateTimeDimensionRepeatingPeriodType()
	 * @generated
	 */
	EAttribute getDateTimeDimensionRepeatingPeriodType_Timezone();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRollingPeriodType <em>Date Time Dimension Rolling Period Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Date Time Dimension Rolling Period Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRollingPeriodType
	 * @generated
	 */
	EClass getDateTimeDimensionRollingPeriodType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRollingPeriodType#getNumPeriods <em>Num Periods</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Num Periods</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRollingPeriodType#getNumPeriods()
	 * @see #getDateTimeDimensionRollingPeriodType()
	 * @generated
	 */
	EAttribute getDateTimeDimensionRollingPeriodType_NumPeriods();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRollingPeriodType#getPeriodType <em>Period Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Period Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRollingPeriodType#getPeriodType()
	 * @see #getDateTimeDimensionRollingPeriodType()
	 * @generated
	 */
	EAttribute getDateTimeDimensionRollingPeriodType_PeriodType();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.DescribableElementType <em>Describable Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Describable Element Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DescribableElementType
	 * @generated
	 */
	EClass getDescribableElementType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.DescribableElementType#getDescription <em>Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Description</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DescribableElementType#getDescription()
	 * @see #getDescribableElementType()
	 * @generated
	 */
	EAttribute getDescribableElementType_Description();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.DimensionalModelNamedElementType <em>Dimensional Model Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Dimensional Model Named Element Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DimensionalModelNamedElementType
	 * @generated
	 */
	EClass getDimensionalModelNamedElementType();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.DimensionalModelType <em>Dimensional Model Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Dimensional Model Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DimensionalModelType
	 * @generated
	 */
	EClass getDimensionalModelType();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.DimensionalModelType#getCube <em>Cube</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Cube</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DimensionalModelType#getCube()
	 * @see #getDimensionalModelType()
	 * @generated
	 */
	EReference getDimensionalModelType_Cube();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.DimensionAttributeType <em>Dimension Attribute Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Dimension Attribute Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DimensionAttributeType
	 * @generated
	 */
	EClass getDimensionAttributeType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.DimensionAttributeType#getAttributeSource <em>Attribute Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Attribute Source</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DimensionAttributeType#getAttributeSource()
	 * @see #getDimensionAttributeType()
	 * @generated
	 */
	EAttribute getDimensionAttributeType_AttributeSource();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.DimensionAttributeType#getLevel <em>Level</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Level</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DimensionAttributeType#getLevel()
	 * @see #getDimensionAttributeType()
	 * @generated
	 */
	EAttribute getDimensionAttributeType_Level();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.DimensionType <em>Dimension Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Dimension Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DimensionType
	 * @generated
	 */
	EClass getDimensionType();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.DimensionType#getAttribute <em>Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Attribute</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DimensionType#getAttribute()
	 * @see #getDimensionType()
	 * @generated
	 */
	EReference getDimensionType_Attribute();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.DocumentRoot <em>Document Root</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Document Root</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DocumentRoot
	 * @generated
	 */
	EClass getDocumentRoot();

	/**
	 * Returns the meta object for the attribute list '{@link com.ibm.wbimonitor.xml.model.mm.DocumentRoot#getMixed <em>Mixed</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Mixed</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DocumentRoot#getMixed()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EAttribute getDocumentRoot_Mixed();

	/**
	 * Returns the meta object for the map '{@link com.ibm.wbimonitor.xml.model.mm.DocumentRoot#getXMLNSPrefixMap <em>XMLNS Prefix Map</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the map '<em>XMLNS Prefix Map</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DocumentRoot#getXMLNSPrefixMap()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EReference getDocumentRoot_XMLNSPrefixMap();

	/**
	 * Returns the meta object for the map '{@link com.ibm.wbimonitor.xml.model.mm.DocumentRoot#getXSISchemaLocation <em>XSI Schema Location</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the map '<em>XSI Schema Location</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DocumentRoot#getXSISchemaLocation()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EReference getDocumentRoot_XSISchemaLocation();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.DocumentRoot#getMonitor <em>Monitor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Monitor</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.DocumentRoot#getMonitor()
	 * @see #getDocumentRoot()
	 * @generated
	 */
	EReference getDocumentRoot_Monitor();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.EndNamedElementType <em>End Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>End Named Element Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.EndNamedElementType
	 * @generated
	 */
	EClass getEndNamedElementType();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.EndValueNamedElementType <em>End Value Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>End Value Named Element Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.EndValueNamedElementType
	 * @generated
	 */
	EClass getEndValueNamedElementType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.EndValueNamedElementType#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.EndValueNamedElementType#getValue()
	 * @see #getEndValueNamedElementType()
	 * @generated
	 */
	EAttribute getEndValueNamedElementType_Value();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.EventModelNamedElementType <em>Event Model Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Model Named Element Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventModelNamedElementType
	 * @generated
	 */
	EClass getEventModelNamedElementType();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.EventModelType <em>Event Model Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Model Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventModelType
	 * @generated
	 */
	EClass getEventModelType();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.EventModelType#getImport <em>Import</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Import</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventModelType#getImport()
	 * @see #getEventModelType()
	 * @generated
	 */
	EReference getEventModelType_Import();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.EventPartType <em>Event Part Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Part Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventPartType
	 * @generated
	 */
	EClass getEventPartType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.EventPartType#getPath <em>Path</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Path</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventPartType#getPath()
	 * @see #getEventPartType()
	 * @generated
	 */
	EAttribute getEventPartType_Path();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.EventPartType#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventPartType#getType()
	 * @see #getEventPartType()
	 * @generated
	 */
	EAttribute getEventPartType_Type();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.ExpressionSpecificationType <em>Expression Specification Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Expression Specification Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ExpressionSpecificationType
	 * @generated
	 */
	EClass getExpressionSpecificationType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.ExpressionSpecificationType#getExpression <em>Expression</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Expression</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ExpressionSpecificationType#getExpression()
	 * @see #getExpressionSpecificationType()
	 * @generated
	 */
	EAttribute getExpressionSpecificationType_Expression();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.HideShapesType <em>Hide Shapes Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Hide Shapes Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.HideShapesType
	 * @generated
	 */
	EClass getHideShapesType();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.HideShapesType#getShapeSet <em>Shape Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Shape Set</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.HideShapesType#getShapeSet()
	 * @see #getHideShapesType()
	 * @generated
	 */
	EReference getHideShapesType_ShapeSet();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.ImportType <em>Import Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Import Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ImportType
	 * @generated
	 */
	EClass getImportType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.ImportType#getLocation <em>Location</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Location</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ImportType#getLocation()
	 * @see #getImportType()
	 * @generated
	 */
	EAttribute getImportType_Location();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.ImportType#getNamespace <em>Namespace</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Namespace</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ImportType#getNamespace()
	 * @see #getImportType()
	 * @generated
	 */
	EAttribute getImportType_Namespace();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType <em>Inbound Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Inbound Event Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.InboundEventType
	 * @generated
	 */
	EClass getInboundEventType();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getEventPart <em>Event Part</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Event Part</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.InboundEventType#getEventPart()
	 * @see #getInboundEventType()
	 * @generated
	 */
	EReference getInboundEventType_EventPart();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getCorrelationPredicate <em>Correlation Predicate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Correlation Predicate</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.InboundEventType#getCorrelationPredicate()
	 * @see #getInboundEventType()
	 * @generated
	 */
	EReference getInboundEventType_CorrelationPredicate();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getFilter <em>Filter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Filter</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.InboundEventType#getFilter()
	 * @see #getInboundEventType()
	 * @generated
	 */
	EReference getInboundEventType_Filter();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getEventSequenceIDPath <em>Event Sequence ID Path</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Event Sequence ID Path</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.InboundEventType#getEventSequenceIDPath()
	 * @see #getInboundEventType()
	 * @generated
	 */
	EAttribute getInboundEventType_EventSequenceIDPath();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getExtensionName <em>Extension Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Extension Name</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.InboundEventType#getExtensionName()
	 * @see #getInboundEventType()
	 * @generated
	 */
	EAttribute getInboundEventType_ExtensionName();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getMultipleCorrelationMatches <em>Multiple Correlation Matches</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Multiple Correlation Matches</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.InboundEventType#getMultipleCorrelationMatches()
	 * @see #getInboundEventType()
	 * @generated
	 */
	EAttribute getInboundEventType_MultipleCorrelationMatches();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getNoCorrelationMatches <em>No Correlation Matches</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>No Correlation Matches</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.InboundEventType#getNoCorrelationMatches()
	 * @see #getInboundEventType()
	 * @generated
	 */
	EAttribute getInboundEventType_NoCorrelationMatches();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getOneCorrelationMatch <em>One Correlation Match</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>One Correlation Match</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.InboundEventType#getOneCorrelationMatch()
	 * @see #getInboundEventType()
	 * @generated
	 */
	EAttribute getInboundEventType_OneCorrelationMatch();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#getRootElement <em>Root Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Root Element</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.InboundEventType#getRootElement()
	 * @see #getInboundEventType()
	 * @generated
	 */
	EAttribute getInboundEventType_RootElement();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.InboundEventType#isTerminateContext <em>Terminate Context</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Terminate Context</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.InboundEventType#isTerminateContext()
	 * @see #getInboundEventType()
	 * @generated
	 */
	EAttribute getInboundEventType_TerminateContext();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType <em>KPI Aggregated Definition Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>KPI Aggregated Definition Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType
	 * @generated
	 */
	EClass getKPIAggregatedDefinitionType();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType#getMonitoringContext <em>Monitoring Context</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Monitoring Context</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType#getMonitoringContext()
	 * @see #getKPIAggregatedDefinitionType()
	 * @generated
	 */
	EReference getKPIAggregatedDefinitionType_MonitoringContext();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType#getMetric <em>Metric</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Metric</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType#getMetric()
	 * @see #getKPIAggregatedDefinitionType()
	 * @generated
	 */
	EReference getKPIAggregatedDefinitionType_Metric();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType#getMetricFilter <em>Metric Filter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Metric Filter</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType#getMetricFilter()
	 * @see #getKPIAggregatedDefinitionType()
	 * @generated
	 */
	EReference getKPIAggregatedDefinitionType_MetricFilter();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType#getDateTimeMetricFilter <em>Date Time Metric Filter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Date Time Metric Filter</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType#getDateTimeMetricFilter()
	 * @see #getKPIAggregatedDefinitionType()
	 * @generated
	 */
	EReference getKPIAggregatedDefinitionType_DateTimeMetricFilter();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType#getAggregationType <em>Aggregation Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Aggregation Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType#getAggregationType()
	 * @see #getKPIAggregatedDefinitionType()
	 * @generated
	 */
	EAttribute getKPIAggregatedDefinitionType_AggregationType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType#getVersionAggregation <em>Version Aggregation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Version Aggregation</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType#getVersionAggregation()
	 * @see #getKPIAggregatedDefinitionType()
	 * @generated
	 */
	EAttribute getKPIAggregatedDefinitionType_VersionAggregation();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.KPICalculatedDefinitionType <em>KPI Calculated Definition Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>KPI Calculated Definition Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPICalculatedDefinitionType
	 * @generated
	 */
	EClass getKPICalculatedDefinitionType();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.KPICalculatedDefinitionType#getKpiCalculation <em>Kpi Calculation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Kpi Calculation</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPICalculatedDefinitionType#getKpiCalculation()
	 * @see #getKPICalculatedDefinitionType()
	 * @generated
	 */
	EReference getKPICalculatedDefinitionType_KpiCalculation();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.KPIContextType <em>KPI Context Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>KPI Context Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIContextType
	 * @generated
	 */
	EClass getKPIContextType();

	/**
	 * Returns the meta object for the attribute list '{@link com.ibm.wbimonitor.xml.model.mm.KPIContextType#getGroup1 <em>Group1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Group1</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIContextType#getGroup1()
	 * @see #getKPIContextType()
	 * @generated
	 */
	EAttribute getKPIContextType_Group1();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.KPIContextType#getKpi <em>Kpi</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Kpi</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIContextType#getKpi()
	 * @see #getKPIContextType()
	 * @generated
	 */
	EReference getKPIContextType_Kpi();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.KPIDateTimeMetricFilterRefType <em>KPI Date Time Metric Filter Ref Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>KPI Date Time Metric Filter Ref Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIDateTimeMetricFilterRefType
	 * @generated
	 */
	EClass getKPIDateTimeMetricFilterRefType();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.KPIDateTimeMetricFilterRefType#getRepeatingPeriod <em>Repeating Period</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Repeating Period</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIDateTimeMetricFilterRefType#getRepeatingPeriod()
	 * @see #getKPIDateTimeMetricFilterRefType()
	 * @generated
	 */
	EReference getKPIDateTimeMetricFilterRefType_RepeatingPeriod();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.KPIDateTimeMetricFilterRefType#getRollingPeriod <em>Rolling Period</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Rolling Period</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIDateTimeMetricFilterRefType#getRollingPeriod()
	 * @see #getKPIDateTimeMetricFilterRefType()
	 * @generated
	 */
	EReference getKPIDateTimeMetricFilterRefType_RollingPeriod();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.KPIDateTimeMetricFilterRefType#getFixedPeriod <em>Fixed Period</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Fixed Period</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIDateTimeMetricFilterRefType#getFixedPeriod()
	 * @see #getKPIDateTimeMetricFilterRefType()
	 * @generated
	 */
	EReference getKPIDateTimeMetricFilterRefType_FixedPeriod();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterRefType <em>KPI Metric Filter Ref Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>KPI Metric Filter Ref Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterRefType
	 * @generated
	 */
	EClass getKPIMetricFilterRefType();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterRefType#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Value</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterRefType#getValue()
	 * @see #getKPIMetricFilterRefType()
	 * @generated
	 */
	EReference getKPIMetricFilterRefType_Value();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterRefType#isIsCaseSensitive <em>Is Case Sensitive</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Case Sensitive</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterRefType#isIsCaseSensitive()
	 * @see #getKPIMetricFilterRefType()
	 * @generated
	 */
	EAttribute getKPIMetricFilterRefType_IsCaseSensitive();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterRefType#getOperator <em>Operator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Operator</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterRefType#getOperator()
	 * @see #getKPIMetricFilterRefType()
	 * @generated
	 */
	EAttribute getKPIMetricFilterRefType_Operator();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.KPIModelNamedElementType <em>KPI Model Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>KPI Model Named Element Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIModelNamedElementType
	 * @generated
	 */
	EClass getKPIModelNamedElementType();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.KPIModelType <em>KPI Model Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>KPI Model Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIModelType
	 * @generated
	 */
	EClass getKPIModelType();

	/**
	 * Returns the meta object for the attribute list '{@link com.ibm.wbimonitor.xml.model.mm.KPIModelType#getGroup <em>Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Group</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIModelType#getGroup()
	 * @see #getKPIModelType()
	 * @generated
	 */
	EAttribute getKPIModelType_Group();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.KPIModelType#getKpiContext <em>Kpi Context</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Kpi Context</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIModelType#getKpiContext()
	 * @see #getKPIModelType()
	 * @generated
	 */
	EReference getKPIModelType_KpiContext();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.KPIType <em>KPI Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>KPI Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIType
	 * @generated
	 */
	EClass getKPIType();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.KPIType#getAggregatedDefinition <em>Aggregated Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Aggregated Definition</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIType#getAggregatedDefinition()
	 * @see #getKPIType()
	 * @generated
	 */
	EReference getKPIType_AggregatedDefinition();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.KPIType#getCalculatedDefinition <em>Calculated Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Calculated Definition</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIType#getCalculatedDefinition()
	 * @see #getKPIType()
	 * @generated
	 */
	EReference getKPIType_CalculatedDefinition();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.KPIType#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Target</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIType#getTarget()
	 * @see #getKPIType()
	 * @generated
	 */
	EReference getKPIType_Target();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.KPIType#getRange <em>Range</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Range</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIType#getRange()
	 * @see #getKPIType()
	 * @generated
	 */
	EReference getKPIType_Range();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.KPIType#getRangeType <em>Range Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Range Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIType#getRangeType()
	 * @see #getKPIType()
	 * @generated
	 */
	EAttribute getKPIType_RangeType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.KPIType#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIType#getType()
	 * @see #getKPIType()
	 * @generated
	 */
	EAttribute getKPIType_Type();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.MapType <em>Map Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Map Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MapType
	 * @generated
	 */
	EClass getMapType();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.MapType#getTrigger <em>Trigger</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Trigger</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MapType#getTrigger()
	 * @see #getMapType()
	 * @generated
	 */
	EReference getMapType_Trigger();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.MapType#getOutputValue <em>Output Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Output Value</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MapType#getOutputValue()
	 * @see #getMapType()
	 * @generated
	 */
	EReference getMapType_OutputValue();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.MeasureType <em>Measure Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Measure Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MeasureType
	 * @generated
	 */
	EClass getMeasureType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.MeasureType#getAggregationType <em>Aggregation Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Aggregation Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MeasureType#getAggregationType()
	 * @see #getMeasureType()
	 * @generated
	 */
	EAttribute getMeasureType_AggregationType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.MeasureType#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Source</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MeasureType#getSource()
	 * @see #getMeasureType()
	 * @generated
	 */
	EAttribute getMeasureType_Source();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.MeasureType#getTrackingKey <em>Tracking Key</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Tracking Key</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MeasureType#getTrackingKey()
	 * @see #getMeasureType()
	 * @generated
	 */
	EAttribute getMeasureType_TrackingKey();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.MetricType <em>Metric Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Metric Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MetricType
	 * @generated
	 */
	EClass getMetricType();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#getMap <em>Map</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Map</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MetricType#getMap()
	 * @see #getMetricType()
	 * @generated
	 */
	EReference getMetricType_Map();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#getDefaultValue <em>Default Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Default Value</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MetricType#getDefaultValue()
	 * @see #getMetricType()
	 * @generated
	 */
	EReference getMetricType_DefaultValue();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#isIsMultiByte <em>Is Multi Byte</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Multi Byte</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MetricType#isIsMultiByte()
	 * @see #getMetricType()
	 * @generated
	 */
	EAttribute getMetricType_IsMultiByte();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#isIsPartOfKey <em>Is Part Of Key</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Part Of Key</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MetricType#isIsPartOfKey()
	 * @see #getMetricType()
	 * @generated
	 */
	EAttribute getMetricType_IsPartOfKey();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#getMaxStringLength <em>Max String Length</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Max String Length</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MetricType#getMaxStringLength()
	 * @see #getMetricType()
	 * @generated
	 */
	EAttribute getMetricType_MaxStringLength();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.MetricType#isValueRequired <em>Value Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value Required</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MetricType#isValueRequired()
	 * @see #getMetricType()
	 * @generated
	 */
	EAttribute getMetricType_ValueRequired();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.MonitorDetailsModelNamedElementType <em>Monitor Details Model Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Monitor Details Model Named Element Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitorDetailsModelNamedElementType
	 * @generated
	 */
	EClass getMonitorDetailsModelNamedElementType();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.MonitorDetailsModelType <em>Monitor Details Model Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Monitor Details Model Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitorDetailsModelType
	 * @generated
	 */
	EClass getMonitorDetailsModelType();

	/**
	 * Returns the meta object for the attribute list '{@link com.ibm.wbimonitor.xml.model.mm.MonitorDetailsModelType#getGroup <em>Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Group</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitorDetailsModelType#getGroup()
	 * @see #getMonitorDetailsModelType()
	 * @generated
	 */
	EAttribute getMonitorDetailsModelType_Group();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.MonitorDetailsModelType#getMonitoringContext <em>Monitoring Context</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Monitoring Context</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitorDetailsModelType#getMonitoringContext()
	 * @see #getMonitorDetailsModelType()
	 * @generated
	 */
	EReference getMonitorDetailsModelType_MonitoringContext();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.MonitoringContextType <em>Monitoring Context Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Monitoring Context Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitoringContextType
	 * @generated
	 */
	EClass getMonitoringContextType();

	/**
	 * Returns the meta object for the attribute list '{@link com.ibm.wbimonitor.xml.model.mm.MonitoringContextType#getGroup1 <em>Group1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Group1</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitoringContextType#getGroup1()
	 * @see #getMonitoringContextType()
	 * @generated
	 */
	EAttribute getMonitoringContextType_Group1();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.MonitoringContextType#getMetric <em>Metric</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Metric</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitoringContextType#getMetric()
	 * @see #getMonitoringContextType()
	 * @generated
	 */
	EReference getMonitoringContextType_Metric();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.MonitoringContextType#getCounter <em>Counter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Counter</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitoringContextType#getCounter()
	 * @see #getMonitoringContextType()
	 * @generated
	 */
	EReference getMonitoringContextType_Counter();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.MonitoringContextType#getStopwatch <em>Stopwatch</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Stopwatch</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitoringContextType#getStopwatch()
	 * @see #getMonitoringContextType()
	 * @generated
	 */
	EReference getMonitoringContextType_Stopwatch();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.MonitoringContextType#getMonitoringContext <em>Monitoring Context</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Monitoring Context</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitoringContextType#getMonitoringContext()
	 * @see #getMonitoringContextType()
	 * @generated
	 */
	EReference getMonitoringContextType_MonitoringContext();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.MonitorType <em>Monitor Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Monitor Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitorType
	 * @generated
	 */
	EClass getMonitorType();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.MonitorType#getXpathFunctions <em>Xpath Functions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Xpath Functions</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitorType#getXpathFunctions()
	 * @see #getMonitorType()
	 * @generated
	 */
	EReference getMonitorType_XpathFunctions();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.MonitorType#getMonitorDetailsModel <em>Monitor Details Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Monitor Details Model</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitorType#getMonitorDetailsModel()
	 * @see #getMonitorType()
	 * @generated
	 */
	EReference getMonitorType_MonitorDetailsModel();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.MonitorType#getKpiModel <em>Kpi Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Kpi Model</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitorType#getKpiModel()
	 * @see #getMonitorType()
	 * @generated
	 */
	EReference getMonitorType_KpiModel();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.MonitorType#getDimensionalModel <em>Dimensional Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Dimensional Model</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitorType#getDimensionalModel()
	 * @see #getMonitorType()
	 * @generated
	 */
	EReference getMonitorType_DimensionalModel();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.MonitorType#getVisualModel <em>Visual Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Visual Model</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitorType#getVisualModel()
	 * @see #getMonitorType()
	 * @generated
	 */
	EReference getMonitorType_VisualModel();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.MonitorType#getEventModel <em>Event Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Event Model</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitorType#getEventModel()
	 * @see #getMonitorType()
	 * @generated
	 */
	EReference getMonitorType_EventModel();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.MonitorType#getTargetNamespace <em>Target Namespace</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Target Namespace</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitorType#getTargetNamespace()
	 * @see #getMonitorType()
	 * @generated
	 */
	EAttribute getMonitorType_TargetNamespace();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.MonitorType#getTimestamp <em>Timestamp</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Timestamp</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.MonitorType#getTimestamp()
	 * @see #getMonitorType()
	 * @generated
	 */
	EAttribute getMonitorType_Timestamp();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.NamedElementType <em>Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Named Element Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.NamedElementType
	 * @generated
	 */
	EClass getNamedElementType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.NamedElementType#getDisplayName <em>Display Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Display Name</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.NamedElementType#getDisplayName()
	 * @see #getNamedElementType()
	 * @generated
	 */
	EAttribute getNamedElementType_DisplayName();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.NamedElementType#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.NamedElementType#getId()
	 * @see #getNamedElementType()
	 * @generated
	 */
	EAttribute getNamedElementType_Id();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.OutboundEventType <em>Outbound Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Outbound Event Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.OutboundEventType
	 * @generated
	 */
	EClass getOutboundEventType();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.OutboundEventType#getEventPart <em>Event Part</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Event Part</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.OutboundEventType#getEventPart()
	 * @see #getOutboundEventType()
	 * @generated
	 */
	EReference getOutboundEventType_EventPart();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.OutboundEventType#getMap <em>Map</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Map</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.OutboundEventType#getMap()
	 * @see #getOutboundEventType()
	 * @generated
	 */
	EReference getOutboundEventType_Map();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.OutboundEventType#getFilter <em>Filter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Filter</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.OutboundEventType#getFilter()
	 * @see #getOutboundEventType()
	 * @generated
	 */
	EReference getOutboundEventType_Filter();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.OutboundEventType#getExtensionName <em>Extension Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Extension Name</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.OutboundEventType#getExtensionName()
	 * @see #getOutboundEventType()
	 * @generated
	 */
	EAttribute getOutboundEventType_ExtensionName();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.OutboundEventType#getRootElement <em>Root Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Root Element</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.OutboundEventType#getRootElement()
	 * @see #getOutboundEventType()
	 * @generated
	 */
	EAttribute getOutboundEventType_RootElement();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.PositionType <em>Position Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Position Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.PositionType
	 * @generated
	 */
	EClass getPositionType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.PositionType#getX <em>X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.PositionType#getX()
	 * @see #getPositionType()
	 * @generated
	 */
	EAttribute getPositionType_X();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.PositionType#getY <em>Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.PositionType#getY()
	 * @see #getPositionType()
	 * @generated
	 */
	EAttribute getPositionType_Y();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.RangeType <em>Range Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Range Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.RangeType
	 * @generated
	 */
	EClass getRangeType();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.RangeType#getStartValue <em>Start Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Start Value</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.RangeType#getStartValue()
	 * @see #getRangeType()
	 * @generated
	 */
	EReference getRangeType_StartValue();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.RangeType#getEndValue <em>End Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>End Value</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.RangeType#getEndValue()
	 * @see #getRangeType()
	 * @generated
	 */
	EReference getRangeType_EndValue();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.ReferenceType <em>Reference Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Reference Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ReferenceType
	 * @generated
	 */
	EClass getReferenceType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.ReferenceType#getRef <em>Ref</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Ref</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ReferenceType#getRef()
	 * @see #getReferenceType()
	 * @generated
	 */
	EAttribute getReferenceType_Ref();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.SetColorType <em>Set Color Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Set Color Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.SetColorType
	 * @generated
	 */
	EClass getSetColorType();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.SetColorType#getShapeSet <em>Shape Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Shape Set</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.SetColorType#getShapeSet()
	 * @see #getSetColorType()
	 * @generated
	 */
	EReference getSetColorType_ShapeSet();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.SetColorType#getFillColor <em>Fill Color</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Fill Color</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.SetColorType#getFillColor()
	 * @see #getSetColorType()
	 * @generated
	 */
	EAttribute getSetColorType_FillColor();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.SetColorType#getOutlineColor <em>Outline Color</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Outline Color</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.SetColorType#getOutlineColor()
	 * @see #getSetColorType()
	 * @generated
	 */
	EAttribute getSetColorType_OutlineColor();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.SetDiagramLinkType <em>Set Diagram Link Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Set Diagram Link Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.SetDiagramLinkType
	 * @generated
	 */
	EClass getSetDiagramLinkType();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.SetDiagramLinkType#getShapeSet <em>Shape Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Shape Set</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.SetDiagramLinkType#getShapeSet()
	 * @see #getSetDiagramLinkType()
	 * @generated
	 */
	EReference getSetDiagramLinkType_ShapeSet();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.SetDiagramLinkType#getTargetContext <em>Target Context</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Target Context</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.SetDiagramLinkType#getTargetContext()
	 * @see #getSetDiagramLinkType()
	 * @generated
	 */
	EAttribute getSetDiagramLinkType_TargetContext();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.SetTextType <em>Set Text Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Set Text Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.SetTextType
	 * @generated
	 */
	EClass getSetTextType();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.SetTextType#getShapeSet <em>Shape Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Shape Set</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.SetTextType#getShapeSet()
	 * @see #getSetTextType()
	 * @generated
	 */
	EReference getSetTextType_ShapeSet();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.SetTextType#getTextPosition <em>Text Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Text Position</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.SetTextType#getTextPosition()
	 * @see #getSetTextType()
	 * @generated
	 */
	EReference getSetTextType_TextPosition();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.SetTextType#getTextColor <em>Text Color</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Text Color</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.SetTextType#getTextColor()
	 * @see #getSetTextType()
	 * @generated
	 */
	EAttribute getSetTextType_TextColor();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.SetTextType#getTextValue <em>Text Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Text Value</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.SetTextType#getTextValue()
	 * @see #getSetTextType()
	 * @generated
	 */
	EAttribute getSetTextType_TextValue();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.ShapeSetRefType <em>Shape Set Ref Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Shape Set Ref Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ShapeSetRefType
	 * @generated
	 */
	EClass getShapeSetRefType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.ShapeSetRefType#getRef <em>Ref</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Ref</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ShapeSetRefType#getRef()
	 * @see #getShapeSetRefType()
	 * @generated
	 */
	EAttribute getShapeSetRefType_Ref();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.ShapeSetsType <em>Shape Sets Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Shape Sets Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ShapeSetsType
	 * @generated
	 */
	EClass getShapeSetsType();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.ShapeSetsType#getShapeSet <em>Shape Set</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Shape Set</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ShapeSetsType#getShapeSet()
	 * @see #getShapeSetsType()
	 * @generated
	 */
	EReference getShapeSetsType_ShapeSet();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.ShapeSetType <em>Shape Set Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Shape Set Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ShapeSetType
	 * @generated
	 */
	EClass getShapeSetType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.ShapeSetType#getShapes <em>Shapes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Shapes</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ShapeSetType#getShapes()
	 * @see #getShapeSetType()
	 * @generated
	 */
	EAttribute getShapeSetType_Shapes();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.StartNamedElementType <em>Start Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Start Named Element Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.StartNamedElementType
	 * @generated
	 */
	EClass getStartNamedElementType();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.StartValueNamedElementType <em>Start Value Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Start Value Named Element Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.StartValueNamedElementType
	 * @generated
	 */
	EClass getStartValueNamedElementType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.StartValueNamedElementType#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.StartValueNamedElementType#getValue()
	 * @see #getStartValueNamedElementType()
	 * @generated
	 */
	EAttribute getStartValueNamedElementType_Value();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.StopwatchType <em>Stopwatch Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Stopwatch Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.StopwatchType
	 * @generated
	 */
	EClass getStopwatchType();

	/**
	 * Returns the meta object for the attribute list '{@link com.ibm.wbimonitor.xml.model.mm.StopwatchType#getGroup <em>Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Group</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.StopwatchType#getGroup()
	 * @see #getStopwatchType()
	 * @generated
	 */
	EAttribute getStopwatchType_Group();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.StopwatchType#getStartedWhen <em>Started When</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Started When</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.StopwatchType#getStartedWhen()
	 * @see #getStopwatchType()
	 * @generated
	 */
	EReference getStopwatchType_StartedWhen();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.StopwatchType#getStoppedWhen <em>Stopped When</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Stopped When</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.StopwatchType#getStoppedWhen()
	 * @see #getStopwatchType()
	 * @generated
	 */
	EReference getStopwatchType_StoppedWhen();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.StopwatchType#getResetWhen <em>Reset When</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Reset When</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.StopwatchType#getResetWhen()
	 * @see #getStopwatchType()
	 * @generated
	 */
	EReference getStopwatchType_ResetWhen();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.StopwatchType#isIsAccumulated <em>Is Accumulated</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Accumulated</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.StopwatchType#isIsAccumulated()
	 * @see #getStopwatchType()
	 * @generated
	 */
	EAttribute getStopwatchType_IsAccumulated();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.SvgDocumentType <em>Svg Document Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Svg Document Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.SvgDocumentType
	 * @generated
	 */
	EClass getSvgDocumentType();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.SvgDocumentType#getImport <em>Import</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Import</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.SvgDocumentType#getImport()
	 * @see #getSvgDocumentType()
	 * @generated
	 */
	EReference getSvgDocumentType_Import();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.TargetValueType <em>Target Value Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Target Value Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.TargetValueType
	 * @generated
	 */
	EClass getTargetValueType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.TargetValueType#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.TargetValueType#getValue()
	 * @see #getTargetValueType()
	 * @generated
	 */
	EAttribute getTargetValueType_Value();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.TimeIntervalsType <em>Time Intervals Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Time Intervals Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.TimeIntervalsType
	 * @generated
	 */
	EClass getTimeIntervalsType();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.TimeIntervalsType#getDays <em>Days</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Days</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.TimeIntervalsType#getDays()
	 * @see #getTimeIntervalsType()
	 * @generated
	 */
	EAttribute getTimeIntervalsType_Days();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.TimeIntervalsType#getHours <em>Hours</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Hours</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.TimeIntervalsType#getHours()
	 * @see #getTimeIntervalsType()
	 * @generated
	 */
	EAttribute getTimeIntervalsType_Hours();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.TimeIntervalsType#getMinutes <em>Minutes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Minutes</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.TimeIntervalsType#getMinutes()
	 * @see #getTimeIntervalsType()
	 * @generated
	 */
	EAttribute getTimeIntervalsType_Minutes();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.TriggerType <em>Trigger Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Trigger Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.TriggerType
	 * @generated
	 */
	EClass getTriggerType();

	/**
	 * Returns the meta object for the attribute list '{@link com.ibm.wbimonitor.xml.model.mm.TriggerType#getGroup <em>Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Group</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.TriggerType#getGroup()
	 * @see #getTriggerType()
	 * @generated
	 */
	EAttribute getTriggerType_Group();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.TriggerType#getOnTrigger <em>On Trigger</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>On Trigger</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.TriggerType#getOnTrigger()
	 * @see #getTriggerType()
	 * @generated
	 */
	EReference getTriggerType_OnTrigger();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.TriggerType#getEvaluationTime <em>Evaluation Time</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Evaluation Time</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.TriggerType#getEvaluationTime()
	 * @see #getTriggerType()
	 * @generated
	 */
	EReference getTriggerType_EvaluationTime();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.TriggerType#getOnValueChange <em>On Value Change</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>On Value Change</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.TriggerType#getOnValueChange()
	 * @see #getTriggerType()
	 * @generated
	 */
	EReference getTriggerType_OnValueChange();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.TriggerType#getOnEvent <em>On Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>On Event</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.TriggerType#getOnEvent()
	 * @see #getTriggerType()
	 * @generated
	 */
	EReference getTriggerType_OnEvent();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.TriggerType#getGatingCondition <em>Gating Condition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Gating Condition</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.TriggerType#getGatingCondition()
	 * @see #getTriggerType()
	 * @generated
	 */
	EReference getTriggerType_GatingCondition();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.TriggerType#isIsRepeatable <em>Is Repeatable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Repeatable</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.TriggerType#isIsRepeatable()
	 * @see #getTriggerType()
	 * @generated
	 */
	EAttribute getTriggerType_IsRepeatable();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.TriggerType#isTerminateContext <em>Terminate Context</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Terminate Context</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.TriggerType#isTerminateContext()
	 * @see #getTriggerType()
	 * @generated
	 */
	EAttribute getTriggerType_TerminateContext();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.ValueSpecificationType <em>Value Specification Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Value Specification Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ValueSpecificationType
	 * @generated
	 */
	EClass getValueSpecificationType();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.ValueSpecificationType#getSingleValue <em>Single Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Single Value</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ValueSpecificationType#getSingleValue()
	 * @see #getValueSpecificationType()
	 * @generated
	 */
	EReference getValueSpecificationType_SingleValue();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.ValueSpecificationType#getAssignments <em>Assignments</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Assignments</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.ValueSpecificationType#getAssignments()
	 * @see #getValueSpecificationType()
	 * @generated
	 */
	EReference getValueSpecificationType_Assignments();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.VisualizationType <em>Visualization Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Visualization Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.VisualizationType
	 * @generated
	 */
	EClass getVisualizationType();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.VisualizationType#getShapeSets <em>Shape Sets</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Shape Sets</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.VisualizationType#getShapeSets()
	 * @see #getVisualizationType()
	 * @generated
	 */
	EReference getVisualizationType_ShapeSets();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.VisualizationType#getActions <em>Actions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Actions</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.VisualizationType#getActions()
	 * @see #getVisualizationType()
	 * @generated
	 */
	EReference getVisualizationType_Actions();

	/**
	 * Returns the meta object for the containment reference '{@link com.ibm.wbimonitor.xml.model.mm.VisualizationType#getSvgDocument <em>Svg Document</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Svg Document</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.VisualizationType#getSvgDocument()
	 * @see #getVisualizationType()
	 * @generated
	 */
	EReference getVisualizationType_SvgDocument();

	/**
	 * Returns the meta object for the attribute '{@link com.ibm.wbimonitor.xml.model.mm.VisualizationType#getContext <em>Context</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Context</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.VisualizationType#getContext()
	 * @see #getVisualizationType()
	 * @generated
	 */
	EAttribute getVisualizationType_Context();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.VisualModelNamedElementType <em>Visual Model Named Element Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Visual Model Named Element Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.VisualModelNamedElementType
	 * @generated
	 */
	EClass getVisualModelNamedElementType();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.VisualModelType <em>Visual Model Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Visual Model Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.VisualModelType
	 * @generated
	 */
	EClass getVisualModelType();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.VisualModelType#getVisualization <em>Visualization</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Visualization</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.VisualModelType#getVisualization()
	 * @see #getVisualModelType()
	 * @generated
	 */
	EReference getVisualModelType_Visualization();

	/**
	 * Returns the meta object for class '{@link com.ibm.wbimonitor.xml.model.mm.XPathFunctionsType <em>XPath Functions Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>XPath Functions Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.XPathFunctionsType
	 * @generated
	 */
	EClass getXPathFunctionsType();

	/**
	 * Returns the meta object for the containment reference list '{@link com.ibm.wbimonitor.xml.model.mm.XPathFunctionsType#getImport <em>Import</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Import</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.XPathFunctionsType#getImport()
	 * @see #getXPathFunctionsType()
	 * @generated
	 */
	EReference getXPathFunctionsType_Import();

	/**
	 * Returns the meta object for enum '{@link com.ibm.wbimonitor.xml.model.mm.AggregationType <em>Aggregation Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Aggregation Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.AggregationType
	 * @generated
	 */
	EEnum getAggregationType();

	/**
	 * Returns the meta object for enum '{@link com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionMultipleMatchesType <em>Event Delivery Option Multiple Matches Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Event Delivery Option Multiple Matches Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionMultipleMatchesType
	 * @generated
	 */
	EEnum getEventDeliveryOptionMultipleMatchesType();

	/**
	 * Returns the meta object for enum '{@link com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionNoMatchesType <em>Event Delivery Option No Matches Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Event Delivery Option No Matches Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionNoMatchesType
	 * @generated
	 */
	EEnum getEventDeliveryOptionNoMatchesType();

	/**
	 * Returns the meta object for enum '{@link com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionOneMatchType <em>Event Delivery Option One Match Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Event Delivery Option One Match Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionOneMatchType
	 * @generated
	 */
	EEnum getEventDeliveryOptionOneMatchType();

	/**
	 * Returns the meta object for enum '{@link com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterOperatorType <em>KPI Metric Filter Operator Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>KPI Metric Filter Operator Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterOperatorType
	 * @generated
	 */
	EEnum getKPIMetricFilterOperatorType();

	/**
	 * Returns the meta object for enum '{@link com.ibm.wbimonitor.xml.model.mm.PeriodBasisType <em>Period Basis Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Period Basis Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.PeriodBasisType
	 * @generated
	 */
	EEnum getPeriodBasisType();

	/**
	 * Returns the meta object for enum '{@link com.ibm.wbimonitor.xml.model.mm.RangeTypeType <em>Range Type Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Range Type Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.RangeTypeType
	 * @generated
	 */
	EEnum getRangeTypeType();

	/**
	 * Returns the meta object for enum '{@link com.ibm.wbimonitor.xml.model.mm.RepeatingPeriodTypeType <em>Repeating Period Type Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Repeating Period Type Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.RepeatingPeriodTypeType
	 * @generated
	 */
	EEnum getRepeatingPeriodTypeType();

	/**
	 * Returns the meta object for enum '{@link com.ibm.wbimonitor.xml.model.mm.RollingPeriodTypeType <em>Rolling Period Type Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Rolling Period Type Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.RollingPeriodTypeType
	 * @generated
	 */
	EEnum getRollingPeriodTypeType();

	/**
	 * Returns the meta object for enum '{@link com.ibm.wbimonitor.xml.model.mm.VersionAggregationType <em>Version Aggregation Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Version Aggregation Type</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.VersionAggregationType
	 * @generated
	 */
	EEnum getVersionAggregationType();

	/**
	 * Returns the meta object for data type '{@link com.ibm.wbimonitor.xml.model.mm.AggregationType <em>Aggregation Type Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Aggregation Type Object</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.AggregationType
	 * @model instanceClass="com.ibm.wbimonitor.xml.model.mm.AggregationType"
	 *        extendedMetaData="name='AggregationType:Object' baseType='AggregationType'" 
	 * @generated
	 */
	EDataType getAggregationTypeObject();

	/**
	 * Returns the meta object for data type '{@link com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionMultipleMatchesType <em>Event Delivery Option Multiple Matches Type Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Event Delivery Option Multiple Matches Type Object</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionMultipleMatchesType
	 * @model instanceClass="com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionMultipleMatchesType"
	 *        extendedMetaData="name='EventDeliveryOptionMultipleMatchesType:Object' baseType='EventDeliveryOptionMultipleMatchesType'" 
	 * @generated
	 */
	EDataType getEventDeliveryOptionMultipleMatchesTypeObject();

	/**
	 * Returns the meta object for data type '{@link com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionNoMatchesType <em>Event Delivery Option No Matches Type Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Event Delivery Option No Matches Type Object</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionNoMatchesType
	 * @model instanceClass="com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionNoMatchesType"
	 *        extendedMetaData="name='EventDeliveryOptionNoMatchesType:Object' baseType='EventDeliveryOptionNoMatchesType'" 
	 * @generated
	 */
	EDataType getEventDeliveryOptionNoMatchesTypeObject();

	/**
	 * Returns the meta object for data type '{@link com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionOneMatchType <em>Event Delivery Option One Match Type Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Event Delivery Option One Match Type Object</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionOneMatchType
	 * @model instanceClass="com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionOneMatchType"
	 *        extendedMetaData="name='EventDeliveryOptionOneMatchType:Object' baseType='EventDeliveryOptionOneMatchType'" 
	 * @generated
	 */
	EDataType getEventDeliveryOptionOneMatchTypeObject();

	/**
	 * Returns the meta object for data type '{@link com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterOperatorType <em>KPI Metric Filter Operator Type Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>KPI Metric Filter Operator Type Object</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterOperatorType
	 * @model instanceClass="com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterOperatorType"
	 *        extendedMetaData="name='KPIMetricFilterOperatorType:Object' baseType='KPIMetricFilterOperatorType'" 
	 * @generated
	 */
	EDataType getKPIMetricFilterOperatorTypeObject();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Name Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Name Type</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 *        extendedMetaData="name='NameType' baseType='http://www.eclipse.org/emf/2003/XMLType#string' maxLength='256'" 
	 * @generated
	 */
	EDataType getNameType();

	/**
	 * Returns the meta object for data type '{@link com.ibm.wbimonitor.xml.model.mm.PeriodBasisType <em>Period Basis Type Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Period Basis Type Object</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.PeriodBasisType
	 * @model instanceClass="com.ibm.wbimonitor.xml.model.mm.PeriodBasisType"
	 *        extendedMetaData="name='PeriodBasisType:Object' baseType='PeriodBasisType'" 
	 * @generated
	 */
	EDataType getPeriodBasisTypeObject();

	/**
	 * Returns the meta object for data type '{@link com.ibm.wbimonitor.xml.model.mm.RangeTypeType <em>Range Type Type Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Range Type Type Object</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.RangeTypeType
	 * @model instanceClass="com.ibm.wbimonitor.xml.model.mm.RangeTypeType"
	 *        extendedMetaData="name='RangeTypeType:Object' baseType='RangeTypeType'" 
	 * @generated
	 */
	EDataType getRangeTypeTypeObject();

	/**
	 * Returns the meta object for data type '{@link com.ibm.wbimonitor.xml.model.mm.RepeatingPeriodTypeType <em>Repeating Period Type Type Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Repeating Period Type Type Object</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.RepeatingPeriodTypeType
	 * @model instanceClass="com.ibm.wbimonitor.xml.model.mm.RepeatingPeriodTypeType"
	 *        extendedMetaData="name='RepeatingPeriodTypeType:Object' baseType='RepeatingPeriodTypeType'" 
	 * @generated
	 */
	EDataType getRepeatingPeriodTypeTypeObject();

	/**
	 * Returns the meta object for data type '{@link com.ibm.wbimonitor.xml.model.mm.RollingPeriodTypeType <em>Rolling Period Type Type Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Rolling Period Type Type Object</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.RollingPeriodTypeType
	 * @model instanceClass="com.ibm.wbimonitor.xml.model.mm.RollingPeriodTypeType"
	 *        extendedMetaData="name='RollingPeriodTypeType:Object' baseType='RollingPeriodTypeType'" 
	 * @generated
	 */
	EDataType getRollingPeriodTypeTypeObject();

	/**
	 * Returns the meta object for data type '{@link java.util.List <em>Shapes List Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Shapes List Type</em>'.
	 * @see java.util.List
	 * @model instanceClass="java.util.List"
	 *        extendedMetaData="name='ShapesListType' baseType='http://www.eclipse.org/emf/2003/XMLType#NMTOKENS' minLength='1'" 
	 * @generated
	 */
	EDataType getShapesListType();

	/**
	 * Returns the meta object for data type '{@link com.ibm.wbimonitor.xml.model.mm.VersionAggregationType <em>Version Aggregation Type Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Version Aggregation Type Object</em>'.
	 * @see com.ibm.wbimonitor.xml.model.mm.VersionAggregationType
	 * @model instanceClass="com.ibm.wbimonitor.xml.model.mm.VersionAggregationType"
	 *        extendedMetaData="name='VersionAggregationType:Object' baseType='VersionAggregationType'" 
	 * @generated
	 */
	EDataType getVersionAggregationTypeObject();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	MmFactory getMmFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals  {
		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ActionsTypeImpl <em>Actions Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.ActionsTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getActionsType()
		 * @generated
		 */
		EClass ACTIONS_TYPE = eINSTANCE.getActionsType();

		/**
		 * The meta object literal for the '<em><b>Group</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ACTIONS_TYPE__GROUP = eINSTANCE.getActionsType_Group();

		/**
		 * The meta object literal for the '<em><b>Set Color</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ACTIONS_TYPE__SET_COLOR = eINSTANCE.getActionsType_SetColor();

		/**
		 * The meta object literal for the '<em><b>Set Text</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ACTIONS_TYPE__SET_TEXT = eINSTANCE.getActionsType_SetText();

		/**
		 * The meta object literal for the '<em><b>Hide Shapes</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ACTIONS_TYPE__HIDE_SHAPES = eINSTANCE.getActionsType_HideShapes();

		/**
		 * The meta object literal for the '<em><b>Set Diagram Link</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ACTIONS_TYPE__SET_DIAGRAM_LINK = eINSTANCE.getActionsType_SetDiagramLink();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ActionTypeImpl <em>Action Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.ActionTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getActionType()
		 * @generated
		 */
		EClass ACTION_TYPE = eINSTANCE.getActionType();

		/**
		 * The meta object literal for the '<em><b>Condition</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ACTION_TYPE__CONDITION = eINSTANCE.getActionType_Condition();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.AssignmentListSpecificationTypeImpl <em>Assignment List Specification Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.AssignmentListSpecificationTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getAssignmentListSpecificationType()
		 * @generated
		 */
		EClass ASSIGNMENT_LIST_SPECIFICATION_TYPE = eINSTANCE.getAssignmentListSpecificationType();

		/**
		 * The meta object literal for the '<em><b>Assignment</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ASSIGNMENT_LIST_SPECIFICATION_TYPE__ASSIGNMENT = eINSTANCE.getAssignmentListSpecificationType_Assignment();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.AssignmentSpecificationTypeImpl <em>Assignment Specification Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.AssignmentSpecificationTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getAssignmentSpecificationType()
		 * @generated
		 */
		EClass ASSIGNMENT_SPECIFICATION_TYPE = eINSTANCE.getAssignmentSpecificationType();

		/**
		 * The meta object literal for the '<em><b>Left Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ASSIGNMENT_SPECIFICATION_TYPE__LEFT_VALUE = eINSTANCE.getAssignmentSpecificationType_LeftValue();

		/**
		 * The meta object literal for the '<em><b>Right Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ASSIGNMENT_SPECIFICATION_TYPE__RIGHT_VALUE = eINSTANCE.getAssignmentSpecificationType_RightValue();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.BaseMetricTypeImpl <em>Base Metric Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.BaseMetricTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getBaseMetricType()
		 * @generated
		 */
		EClass BASE_METRIC_TYPE = eINSTANCE.getBaseMetricType();

		/**
		 * The meta object literal for the '<em><b>Is Sortable</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BASE_METRIC_TYPE__IS_SORTABLE = eINSTANCE.getBaseMetricType_IsSortable();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BASE_METRIC_TYPE__TYPE = eINSTANCE.getBaseMetricType_Type();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ContextTypeImpl <em>Context Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.ContextTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getContextType()
		 * @generated
		 */
		EClass CONTEXT_TYPE = eINSTANCE.getContextType();

		/**
		 * The meta object literal for the '<em><b>Group</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONTEXT_TYPE__GROUP = eINSTANCE.getContextType_Group();

		/**
		 * The meta object literal for the '<em><b>Trigger</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTEXT_TYPE__TRIGGER = eINSTANCE.getContextType_Trigger();

		/**
		 * The meta object literal for the '<em><b>Inbound Event</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTEXT_TYPE__INBOUND_EVENT = eINSTANCE.getContextType_InboundEvent();

		/**
		 * The meta object literal for the '<em><b>Outbound Event</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTEXT_TYPE__OUTBOUND_EVENT = eINSTANCE.getContextType_OutboundEvent();

		/**
		 * The meta object literal for the '<em><b>Event Sequence ID Path</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONTEXT_TYPE__EVENT_SEQUENCE_ID_PATH = eINSTANCE.getContextType_EventSequenceIDPath();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.CounterTypeImpl <em>Counter Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.CounterTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getCounterType()
		 * @generated
		 */
		EClass COUNTER_TYPE = eINSTANCE.getCounterType();

		/**
		 * The meta object literal for the '<em><b>Group</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COUNTER_TYPE__GROUP = eINSTANCE.getCounterType_Group();

		/**
		 * The meta object literal for the '<em><b>Incremented When</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COUNTER_TYPE__INCREMENTED_WHEN = eINSTANCE.getCounterType_IncrementedWhen();

		/**
		 * The meta object literal for the '<em><b>Decremented When</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COUNTER_TYPE__DECREMENTED_WHEN = eINSTANCE.getCounterType_DecrementedWhen();

		/**
		 * The meta object literal for the '<em><b>Set To Zero When</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COUNTER_TYPE__SET_TO_ZERO_WHEN = eINSTANCE.getCounterType_SetToZeroWhen();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.CubeTypeImpl <em>Cube Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.CubeTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getCubeType()
		 * @generated
		 */
		EClass CUBE_TYPE = eINSTANCE.getCubeType();

		/**
		 * The meta object literal for the '<em><b>Measure</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUBE_TYPE__MEASURE = eINSTANCE.getCubeType_Measure();

		/**
		 * The meta object literal for the '<em><b>Dimension</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CUBE_TYPE__DIMENSION = eINSTANCE.getCubeType_Dimension();

		/**
		 * The meta object literal for the '<em><b>Monitoring Context</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CUBE_TYPE__MONITORING_CONTEXT = eINSTANCE.getCubeType_MonitoringContext();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DateTimeDimensionFixedPeriodTypeImpl <em>Date Time Dimension Fixed Period Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.DateTimeDimensionFixedPeriodTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDateTimeDimensionFixedPeriodType()
		 * @generated
		 */
		EClass DATE_TIME_DIMENSION_FIXED_PERIOD_TYPE = eINSTANCE.getDateTimeDimensionFixedPeriodType();

		/**
		 * The meta object literal for the '<em><b>End Date</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DATE_TIME_DIMENSION_FIXED_PERIOD_TYPE__END_DATE = eINSTANCE.getDateTimeDimensionFixedPeriodType_EndDate();

		/**
		 * The meta object literal for the '<em><b>Start Date</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DATE_TIME_DIMENSION_FIXED_PERIOD_TYPE__START_DATE = eINSTANCE.getDateTimeDimensionFixedPeriodType_StartDate();

		/**
		 * The meta object literal for the '<em><b>Timezone</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DATE_TIME_DIMENSION_FIXED_PERIOD_TYPE__TIMEZONE = eINSTANCE.getDateTimeDimensionFixedPeriodType_Timezone();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DateTimeDimensionRepeatingPeriodTypeImpl <em>Date Time Dimension Repeating Period Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.DateTimeDimensionRepeatingPeriodTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDateTimeDimensionRepeatingPeriodType()
		 * @generated
		 */
		EClass DATE_TIME_DIMENSION_REPEATING_PERIOD_TYPE = eINSTANCE.getDateTimeDimensionRepeatingPeriodType();

		/**
		 * The meta object literal for the '<em><b>Period Basis</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DATE_TIME_DIMENSION_REPEATING_PERIOD_TYPE__PERIOD_BASIS = eINSTANCE.getDateTimeDimensionRepeatingPeriodType_PeriodBasis();

		/**
		 * The meta object literal for the '<em><b>Period Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DATE_TIME_DIMENSION_REPEATING_PERIOD_TYPE__PERIOD_TYPE = eINSTANCE.getDateTimeDimensionRepeatingPeriodType_PeriodType();

		/**
		 * The meta object literal for the '<em><b>Timezone</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DATE_TIME_DIMENSION_REPEATING_PERIOD_TYPE__TIMEZONE = eINSTANCE.getDateTimeDimensionRepeatingPeriodType_Timezone();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DateTimeDimensionRollingPeriodTypeImpl <em>Date Time Dimension Rolling Period Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.DateTimeDimensionRollingPeriodTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDateTimeDimensionRollingPeriodType()
		 * @generated
		 */
		EClass DATE_TIME_DIMENSION_ROLLING_PERIOD_TYPE = eINSTANCE.getDateTimeDimensionRollingPeriodType();

		/**
		 * The meta object literal for the '<em><b>Num Periods</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DATE_TIME_DIMENSION_ROLLING_PERIOD_TYPE__NUM_PERIODS = eINSTANCE.getDateTimeDimensionRollingPeriodType_NumPeriods();

		/**
		 * The meta object literal for the '<em><b>Period Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DATE_TIME_DIMENSION_ROLLING_PERIOD_TYPE__PERIOD_TYPE = eINSTANCE.getDateTimeDimensionRollingPeriodType_PeriodType();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DescribableElementTypeImpl <em>Describable Element Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.DescribableElementTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDescribableElementType()
		 * @generated
		 */
		EClass DESCRIBABLE_ELEMENT_TYPE = eINSTANCE.getDescribableElementType();

		/**
		 * The meta object literal for the '<em><b>Description</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DESCRIBABLE_ELEMENT_TYPE__DESCRIPTION = eINSTANCE.getDescribableElementType_Description();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DimensionalModelNamedElementTypeImpl <em>Dimensional Model Named Element Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.DimensionalModelNamedElementTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDimensionalModelNamedElementType()
		 * @generated
		 */
		EClass DIMENSIONAL_MODEL_NAMED_ELEMENT_TYPE = eINSTANCE.getDimensionalModelNamedElementType();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DimensionalModelTypeImpl <em>Dimensional Model Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.DimensionalModelTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDimensionalModelType()
		 * @generated
		 */
		EClass DIMENSIONAL_MODEL_TYPE = eINSTANCE.getDimensionalModelType();

		/**
		 * The meta object literal for the '<em><b>Cube</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DIMENSIONAL_MODEL_TYPE__CUBE = eINSTANCE.getDimensionalModelType_Cube();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DimensionAttributeTypeImpl <em>Dimension Attribute Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.DimensionAttributeTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDimensionAttributeType()
		 * @generated
		 */
		EClass DIMENSION_ATTRIBUTE_TYPE = eINSTANCE.getDimensionAttributeType();

		/**
		 * The meta object literal for the '<em><b>Attribute Source</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DIMENSION_ATTRIBUTE_TYPE__ATTRIBUTE_SOURCE = eINSTANCE.getDimensionAttributeType_AttributeSource();

		/**
		 * The meta object literal for the '<em><b>Level</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DIMENSION_ATTRIBUTE_TYPE__LEVEL = eINSTANCE.getDimensionAttributeType_Level();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DimensionTypeImpl <em>Dimension Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.DimensionTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDimensionType()
		 * @generated
		 */
		EClass DIMENSION_TYPE = eINSTANCE.getDimensionType();

		/**
		 * The meta object literal for the '<em><b>Attribute</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DIMENSION_TYPE__ATTRIBUTE = eINSTANCE.getDimensionType_Attribute();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.DocumentRootImpl <em>Document Root</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.DocumentRootImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getDocumentRoot()
		 * @generated
		 */
		EClass DOCUMENT_ROOT = eINSTANCE.getDocumentRoot();

		/**
		 * The meta object literal for the '<em><b>Mixed</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DOCUMENT_ROOT__MIXED = eINSTANCE.getDocumentRoot_Mixed();

		/**
		 * The meta object literal for the '<em><b>XMLNS Prefix Map</b></em>' map feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DOCUMENT_ROOT__XMLNS_PREFIX_MAP = eINSTANCE.getDocumentRoot_XMLNSPrefixMap();

		/**
		 * The meta object literal for the '<em><b>XSI Schema Location</b></em>' map feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DOCUMENT_ROOT__XSI_SCHEMA_LOCATION = eINSTANCE.getDocumentRoot_XSISchemaLocation();

		/**
		 * The meta object literal for the '<em><b>Monitor</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DOCUMENT_ROOT__MONITOR = eINSTANCE.getDocumentRoot_Monitor();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.EndNamedElementTypeImpl <em>End Named Element Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.EndNamedElementTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEndNamedElementType()
		 * @generated
		 */
		EClass END_NAMED_ELEMENT_TYPE = eINSTANCE.getEndNamedElementType();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.EndValueNamedElementTypeImpl <em>End Value Named Element Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.EndValueNamedElementTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEndValueNamedElementType()
		 * @generated
		 */
		EClass END_VALUE_NAMED_ELEMENT_TYPE = eINSTANCE.getEndValueNamedElementType();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute END_VALUE_NAMED_ELEMENT_TYPE__VALUE = eINSTANCE.getEndValueNamedElementType_Value();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.EventModelNamedElementTypeImpl <em>Event Model Named Element Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.EventModelNamedElementTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventModelNamedElementType()
		 * @generated
		 */
		EClass EVENT_MODEL_NAMED_ELEMENT_TYPE = eINSTANCE.getEventModelNamedElementType();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.EventModelTypeImpl <em>Event Model Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.EventModelTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventModelType()
		 * @generated
		 */
		EClass EVENT_MODEL_TYPE = eINSTANCE.getEventModelType();

		/**
		 * The meta object literal for the '<em><b>Import</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EVENT_MODEL_TYPE__IMPORT = eINSTANCE.getEventModelType_Import();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.EventPartTypeImpl <em>Event Part Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.EventPartTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventPartType()
		 * @generated
		 */
		EClass EVENT_PART_TYPE = eINSTANCE.getEventPartType();

		/**
		 * The meta object literal for the '<em><b>Path</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute EVENT_PART_TYPE__PATH = eINSTANCE.getEventPartType_Path();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute EVENT_PART_TYPE__TYPE = eINSTANCE.getEventPartType_Type();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ExpressionSpecificationTypeImpl <em>Expression Specification Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.ExpressionSpecificationTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getExpressionSpecificationType()
		 * @generated
		 */
		EClass EXPRESSION_SPECIFICATION_TYPE = eINSTANCE.getExpressionSpecificationType();

		/**
		 * The meta object literal for the '<em><b>Expression</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute EXPRESSION_SPECIFICATION_TYPE__EXPRESSION = eINSTANCE.getExpressionSpecificationType_Expression();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.HideShapesTypeImpl <em>Hide Shapes Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.HideShapesTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getHideShapesType()
		 * @generated
		 */
		EClass HIDE_SHAPES_TYPE = eINSTANCE.getHideShapesType();

		/**
		 * The meta object literal for the '<em><b>Shape Set</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference HIDE_SHAPES_TYPE__SHAPE_SET = eINSTANCE.getHideShapesType_ShapeSet();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ImportTypeImpl <em>Import Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.ImportTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getImportType()
		 * @generated
		 */
		EClass IMPORT_TYPE = eINSTANCE.getImportType();

		/**
		 * The meta object literal for the '<em><b>Location</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IMPORT_TYPE__LOCATION = eINSTANCE.getImportType_Location();

		/**
		 * The meta object literal for the '<em><b>Namespace</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IMPORT_TYPE__NAMESPACE = eINSTANCE.getImportType_Namespace();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.InboundEventTypeImpl <em>Inbound Event Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.InboundEventTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getInboundEventType()
		 * @generated
		 */
		EClass INBOUND_EVENT_TYPE = eINSTANCE.getInboundEventType();

		/**
		 * The meta object literal for the '<em><b>Event Part</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INBOUND_EVENT_TYPE__EVENT_PART = eINSTANCE.getInboundEventType_EventPart();

		/**
		 * The meta object literal for the '<em><b>Correlation Predicate</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INBOUND_EVENT_TYPE__CORRELATION_PREDICATE = eINSTANCE.getInboundEventType_CorrelationPredicate();

		/**
		 * The meta object literal for the '<em><b>Filter</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INBOUND_EVENT_TYPE__FILTER = eINSTANCE.getInboundEventType_Filter();

		/**
		 * The meta object literal for the '<em><b>Event Sequence ID Path</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INBOUND_EVENT_TYPE__EVENT_SEQUENCE_ID_PATH = eINSTANCE.getInboundEventType_EventSequenceIDPath();

		/**
		 * The meta object literal for the '<em><b>Extension Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INBOUND_EVENT_TYPE__EXTENSION_NAME = eINSTANCE.getInboundEventType_ExtensionName();

		/**
		 * The meta object literal for the '<em><b>Multiple Correlation Matches</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INBOUND_EVENT_TYPE__MULTIPLE_CORRELATION_MATCHES = eINSTANCE.getInboundEventType_MultipleCorrelationMatches();

		/**
		 * The meta object literal for the '<em><b>No Correlation Matches</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INBOUND_EVENT_TYPE__NO_CORRELATION_MATCHES = eINSTANCE.getInboundEventType_NoCorrelationMatches();

		/**
		 * The meta object literal for the '<em><b>One Correlation Match</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INBOUND_EVENT_TYPE__ONE_CORRELATION_MATCH = eINSTANCE.getInboundEventType_OneCorrelationMatch();

		/**
		 * The meta object literal for the '<em><b>Root Element</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INBOUND_EVENT_TYPE__ROOT_ELEMENT = eINSTANCE.getInboundEventType_RootElement();

		/**
		 * The meta object literal for the '<em><b>Terminate Context</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INBOUND_EVENT_TYPE__TERMINATE_CONTEXT = eINSTANCE.getInboundEventType_TerminateContext();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.KPIAggregatedDefinitionTypeImpl <em>KPI Aggregated Definition Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.KPIAggregatedDefinitionTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIAggregatedDefinitionType()
		 * @generated
		 */
		EClass KPI_AGGREGATED_DEFINITION_TYPE = eINSTANCE.getKPIAggregatedDefinitionType();

		/**
		 * The meta object literal for the '<em><b>Monitoring Context</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KPI_AGGREGATED_DEFINITION_TYPE__MONITORING_CONTEXT = eINSTANCE.getKPIAggregatedDefinitionType_MonitoringContext();

		/**
		 * The meta object literal for the '<em><b>Metric</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KPI_AGGREGATED_DEFINITION_TYPE__METRIC = eINSTANCE.getKPIAggregatedDefinitionType_Metric();

		/**
		 * The meta object literal for the '<em><b>Metric Filter</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KPI_AGGREGATED_DEFINITION_TYPE__METRIC_FILTER = eINSTANCE.getKPIAggregatedDefinitionType_MetricFilter();

		/**
		 * The meta object literal for the '<em><b>Date Time Metric Filter</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KPI_AGGREGATED_DEFINITION_TYPE__DATE_TIME_METRIC_FILTER = eINSTANCE.getKPIAggregatedDefinitionType_DateTimeMetricFilter();

		/**
		 * The meta object literal for the '<em><b>Aggregation Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute KPI_AGGREGATED_DEFINITION_TYPE__AGGREGATION_TYPE = eINSTANCE.getKPIAggregatedDefinitionType_AggregationType();

		/**
		 * The meta object literal for the '<em><b>Version Aggregation</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute KPI_AGGREGATED_DEFINITION_TYPE__VERSION_AGGREGATION = eINSTANCE.getKPIAggregatedDefinitionType_VersionAggregation();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.KPICalculatedDefinitionTypeImpl <em>KPI Calculated Definition Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.KPICalculatedDefinitionTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPICalculatedDefinitionType()
		 * @generated
		 */
		EClass KPI_CALCULATED_DEFINITION_TYPE = eINSTANCE.getKPICalculatedDefinitionType();

		/**
		 * The meta object literal for the '<em><b>Kpi Calculation</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KPI_CALCULATED_DEFINITION_TYPE__KPI_CALCULATION = eINSTANCE.getKPICalculatedDefinitionType_KpiCalculation();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.KPIContextTypeImpl <em>KPI Context Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.KPIContextTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIContextType()
		 * @generated
		 */
		EClass KPI_CONTEXT_TYPE = eINSTANCE.getKPIContextType();

		/**
		 * The meta object literal for the '<em><b>Group1</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute KPI_CONTEXT_TYPE__GROUP1 = eINSTANCE.getKPIContextType_Group1();

		/**
		 * The meta object literal for the '<em><b>Kpi</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KPI_CONTEXT_TYPE__KPI = eINSTANCE.getKPIContextType_Kpi();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.KPIDateTimeMetricFilterRefTypeImpl <em>KPI Date Time Metric Filter Ref Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.KPIDateTimeMetricFilterRefTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIDateTimeMetricFilterRefType()
		 * @generated
		 */
		EClass KPI_DATE_TIME_METRIC_FILTER_REF_TYPE = eINSTANCE.getKPIDateTimeMetricFilterRefType();

		/**
		 * The meta object literal for the '<em><b>Repeating Period</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KPI_DATE_TIME_METRIC_FILTER_REF_TYPE__REPEATING_PERIOD = eINSTANCE.getKPIDateTimeMetricFilterRefType_RepeatingPeriod();

		/**
		 * The meta object literal for the '<em><b>Rolling Period</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KPI_DATE_TIME_METRIC_FILTER_REF_TYPE__ROLLING_PERIOD = eINSTANCE.getKPIDateTimeMetricFilterRefType_RollingPeriod();

		/**
		 * The meta object literal for the '<em><b>Fixed Period</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KPI_DATE_TIME_METRIC_FILTER_REF_TYPE__FIXED_PERIOD = eINSTANCE.getKPIDateTimeMetricFilterRefType_FixedPeriod();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.KPIMetricFilterRefTypeImpl <em>KPI Metric Filter Ref Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.KPIMetricFilterRefTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIMetricFilterRefType()
		 * @generated
		 */
		EClass KPI_METRIC_FILTER_REF_TYPE = eINSTANCE.getKPIMetricFilterRefType();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KPI_METRIC_FILTER_REF_TYPE__VALUE = eINSTANCE.getKPIMetricFilterRefType_Value();

		/**
		 * The meta object literal for the '<em><b>Is Case Sensitive</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute KPI_METRIC_FILTER_REF_TYPE__IS_CASE_SENSITIVE = eINSTANCE.getKPIMetricFilterRefType_IsCaseSensitive();

		/**
		 * The meta object literal for the '<em><b>Operator</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute KPI_METRIC_FILTER_REF_TYPE__OPERATOR = eINSTANCE.getKPIMetricFilterRefType_Operator();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.KPIModelNamedElementTypeImpl <em>KPI Model Named Element Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.KPIModelNamedElementTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIModelNamedElementType()
		 * @generated
		 */
		EClass KPI_MODEL_NAMED_ELEMENT_TYPE = eINSTANCE.getKPIModelNamedElementType();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.KPIModelTypeImpl <em>KPI Model Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.KPIModelTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIModelType()
		 * @generated
		 */
		EClass KPI_MODEL_TYPE = eINSTANCE.getKPIModelType();

		/**
		 * The meta object literal for the '<em><b>Group</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute KPI_MODEL_TYPE__GROUP = eINSTANCE.getKPIModelType_Group();

		/**
		 * The meta object literal for the '<em><b>Kpi Context</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KPI_MODEL_TYPE__KPI_CONTEXT = eINSTANCE.getKPIModelType_KpiContext();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.KPITypeImpl <em>KPI Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.KPITypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIType()
		 * @generated
		 */
		EClass KPI_TYPE = eINSTANCE.getKPIType();

		/**
		 * The meta object literal for the '<em><b>Aggregated Definition</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KPI_TYPE__AGGREGATED_DEFINITION = eINSTANCE.getKPIType_AggregatedDefinition();

		/**
		 * The meta object literal for the '<em><b>Calculated Definition</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KPI_TYPE__CALCULATED_DEFINITION = eINSTANCE.getKPIType_CalculatedDefinition();

		/**
		 * The meta object literal for the '<em><b>Target</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KPI_TYPE__TARGET = eINSTANCE.getKPIType_Target();

		/**
		 * The meta object literal for the '<em><b>Range</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference KPI_TYPE__RANGE = eINSTANCE.getKPIType_Range();

		/**
		 * The meta object literal for the '<em><b>Range Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute KPI_TYPE__RANGE_TYPE = eINSTANCE.getKPIType_RangeType();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute KPI_TYPE__TYPE = eINSTANCE.getKPIType_Type();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.MapTypeImpl <em>Map Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MapTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getMapType()
		 * @generated
		 */
		EClass MAP_TYPE = eINSTANCE.getMapType();

		/**
		 * The meta object literal for the '<em><b>Trigger</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MAP_TYPE__TRIGGER = eINSTANCE.getMapType_Trigger();

		/**
		 * The meta object literal for the '<em><b>Output Value</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MAP_TYPE__OUTPUT_VALUE = eINSTANCE.getMapType_OutputValue();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.MeasureTypeImpl <em>Measure Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MeasureTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getMeasureType()
		 * @generated
		 */
		EClass MEASURE_TYPE = eINSTANCE.getMeasureType();

		/**
		 * The meta object literal for the '<em><b>Aggregation Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MEASURE_TYPE__AGGREGATION_TYPE = eINSTANCE.getMeasureType_AggregationType();

		/**
		 * The meta object literal for the '<em><b>Source</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MEASURE_TYPE__SOURCE = eINSTANCE.getMeasureType_Source();

		/**
		 * The meta object literal for the '<em><b>Tracking Key</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MEASURE_TYPE__TRACKING_KEY = eINSTANCE.getMeasureType_TrackingKey();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.MetricTypeImpl <em>Metric Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MetricTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getMetricType()
		 * @generated
		 */
		EClass METRIC_TYPE = eINSTANCE.getMetricType();

		/**
		 * The meta object literal for the '<em><b>Map</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference METRIC_TYPE__MAP = eINSTANCE.getMetricType_Map();

		/**
		 * The meta object literal for the '<em><b>Default Value</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference METRIC_TYPE__DEFAULT_VALUE = eINSTANCE.getMetricType_DefaultValue();

		/**
		 * The meta object literal for the '<em><b>Is Multi Byte</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute METRIC_TYPE__IS_MULTI_BYTE = eINSTANCE.getMetricType_IsMultiByte();

		/**
		 * The meta object literal for the '<em><b>Is Part Of Key</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute METRIC_TYPE__IS_PART_OF_KEY = eINSTANCE.getMetricType_IsPartOfKey();

		/**
		 * The meta object literal for the '<em><b>Max String Length</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute METRIC_TYPE__MAX_STRING_LENGTH = eINSTANCE.getMetricType_MaxStringLength();

		/**
		 * The meta object literal for the '<em><b>Value Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute METRIC_TYPE__VALUE_REQUIRED = eINSTANCE.getMetricType_ValueRequired();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.MonitorDetailsModelNamedElementTypeImpl <em>Monitor Details Model Named Element Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MonitorDetailsModelNamedElementTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getMonitorDetailsModelNamedElementType()
		 * @generated
		 */
		EClass MONITOR_DETAILS_MODEL_NAMED_ELEMENT_TYPE = eINSTANCE.getMonitorDetailsModelNamedElementType();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.MonitorDetailsModelTypeImpl <em>Monitor Details Model Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MonitorDetailsModelTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getMonitorDetailsModelType()
		 * @generated
		 */
		EClass MONITOR_DETAILS_MODEL_TYPE = eINSTANCE.getMonitorDetailsModelType();

		/**
		 * The meta object literal for the '<em><b>Group</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MONITOR_DETAILS_MODEL_TYPE__GROUP = eINSTANCE.getMonitorDetailsModelType_Group();

		/**
		 * The meta object literal for the '<em><b>Monitoring Context</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MONITOR_DETAILS_MODEL_TYPE__MONITORING_CONTEXT = eINSTANCE.getMonitorDetailsModelType_MonitoringContext();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.MonitoringContextTypeImpl <em>Monitoring Context Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MonitoringContextTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getMonitoringContextType()
		 * @generated
		 */
		EClass MONITORING_CONTEXT_TYPE = eINSTANCE.getMonitoringContextType();

		/**
		 * The meta object literal for the '<em><b>Group1</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MONITORING_CONTEXT_TYPE__GROUP1 = eINSTANCE.getMonitoringContextType_Group1();

		/**
		 * The meta object literal for the '<em><b>Metric</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MONITORING_CONTEXT_TYPE__METRIC = eINSTANCE.getMonitoringContextType_Metric();

		/**
		 * The meta object literal for the '<em><b>Counter</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MONITORING_CONTEXT_TYPE__COUNTER = eINSTANCE.getMonitoringContextType_Counter();

		/**
		 * The meta object literal for the '<em><b>Stopwatch</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MONITORING_CONTEXT_TYPE__STOPWATCH = eINSTANCE.getMonitoringContextType_Stopwatch();

		/**
		 * The meta object literal for the '<em><b>Monitoring Context</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MONITORING_CONTEXT_TYPE__MONITORING_CONTEXT = eINSTANCE.getMonitoringContextType_MonitoringContext();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.MonitorTypeImpl <em>Monitor Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MonitorTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getMonitorType()
		 * @generated
		 */
		EClass MONITOR_TYPE = eINSTANCE.getMonitorType();

		/**
		 * The meta object literal for the '<em><b>Xpath Functions</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MONITOR_TYPE__XPATH_FUNCTIONS = eINSTANCE.getMonitorType_XpathFunctions();

		/**
		 * The meta object literal for the '<em><b>Monitor Details Model</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MONITOR_TYPE__MONITOR_DETAILS_MODEL = eINSTANCE.getMonitorType_MonitorDetailsModel();

		/**
		 * The meta object literal for the '<em><b>Kpi Model</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MONITOR_TYPE__KPI_MODEL = eINSTANCE.getMonitorType_KpiModel();

		/**
		 * The meta object literal for the '<em><b>Dimensional Model</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MONITOR_TYPE__DIMENSIONAL_MODEL = eINSTANCE.getMonitorType_DimensionalModel();

		/**
		 * The meta object literal for the '<em><b>Visual Model</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MONITOR_TYPE__VISUAL_MODEL = eINSTANCE.getMonitorType_VisualModel();

		/**
		 * The meta object literal for the '<em><b>Event Model</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MONITOR_TYPE__EVENT_MODEL = eINSTANCE.getMonitorType_EventModel();

		/**
		 * The meta object literal for the '<em><b>Target Namespace</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MONITOR_TYPE__TARGET_NAMESPACE = eINSTANCE.getMonitorType_TargetNamespace();

		/**
		 * The meta object literal for the '<em><b>Timestamp</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MONITOR_TYPE__TIMESTAMP = eINSTANCE.getMonitorType_Timestamp();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.NamedElementTypeImpl <em>Named Element Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.NamedElementTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getNamedElementType()
		 * @generated
		 */
		EClass NAMED_ELEMENT_TYPE = eINSTANCE.getNamedElementType();

		/**
		 * The meta object literal for the '<em><b>Display Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute NAMED_ELEMENT_TYPE__DISPLAY_NAME = eINSTANCE.getNamedElementType_DisplayName();

		/**
		 * The meta object literal for the '<em><b>Id</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute NAMED_ELEMENT_TYPE__ID = eINSTANCE.getNamedElementType_Id();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.OutboundEventTypeImpl <em>Outbound Event Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.OutboundEventTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getOutboundEventType()
		 * @generated
		 */
		EClass OUTBOUND_EVENT_TYPE = eINSTANCE.getOutboundEventType();

		/**
		 * The meta object literal for the '<em><b>Event Part</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OUTBOUND_EVENT_TYPE__EVENT_PART = eINSTANCE.getOutboundEventType_EventPart();

		/**
		 * The meta object literal for the '<em><b>Map</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OUTBOUND_EVENT_TYPE__MAP = eINSTANCE.getOutboundEventType_Map();

		/**
		 * The meta object literal for the '<em><b>Filter</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OUTBOUND_EVENT_TYPE__FILTER = eINSTANCE.getOutboundEventType_Filter();

		/**
		 * The meta object literal for the '<em><b>Extension Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OUTBOUND_EVENT_TYPE__EXTENSION_NAME = eINSTANCE.getOutboundEventType_ExtensionName();

		/**
		 * The meta object literal for the '<em><b>Root Element</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OUTBOUND_EVENT_TYPE__ROOT_ELEMENT = eINSTANCE.getOutboundEventType_RootElement();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.PositionTypeImpl <em>Position Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.PositionTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getPositionType()
		 * @generated
		 */
		EClass POSITION_TYPE = eINSTANCE.getPositionType();

		/**
		 * The meta object literal for the '<em><b>X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute POSITION_TYPE__X = eINSTANCE.getPositionType_X();

		/**
		 * The meta object literal for the '<em><b>Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute POSITION_TYPE__Y = eINSTANCE.getPositionType_Y();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.RangeTypeImpl <em>Range Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.RangeTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getRangeType()
		 * @generated
		 */
		EClass RANGE_TYPE = eINSTANCE.getRangeType();

		/**
		 * The meta object literal for the '<em><b>Start Value</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference RANGE_TYPE__START_VALUE = eINSTANCE.getRangeType_StartValue();

		/**
		 * The meta object literal for the '<em><b>End Value</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference RANGE_TYPE__END_VALUE = eINSTANCE.getRangeType_EndValue();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ReferenceTypeImpl <em>Reference Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.ReferenceTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getReferenceType()
		 * @generated
		 */
		EClass REFERENCE_TYPE = eINSTANCE.getReferenceType();

		/**
		 * The meta object literal for the '<em><b>Ref</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute REFERENCE_TYPE__REF = eINSTANCE.getReferenceType_Ref();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.SetColorTypeImpl <em>Set Color Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.SetColorTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getSetColorType()
		 * @generated
		 */
		EClass SET_COLOR_TYPE = eINSTANCE.getSetColorType();

		/**
		 * The meta object literal for the '<em><b>Shape Set</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SET_COLOR_TYPE__SHAPE_SET = eINSTANCE.getSetColorType_ShapeSet();

		/**
		 * The meta object literal for the '<em><b>Fill Color</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SET_COLOR_TYPE__FILL_COLOR = eINSTANCE.getSetColorType_FillColor();

		/**
		 * The meta object literal for the '<em><b>Outline Color</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SET_COLOR_TYPE__OUTLINE_COLOR = eINSTANCE.getSetColorType_OutlineColor();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.SetDiagramLinkTypeImpl <em>Set Diagram Link Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.SetDiagramLinkTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getSetDiagramLinkType()
		 * @generated
		 */
		EClass SET_DIAGRAM_LINK_TYPE = eINSTANCE.getSetDiagramLinkType();

		/**
		 * The meta object literal for the '<em><b>Shape Set</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SET_DIAGRAM_LINK_TYPE__SHAPE_SET = eINSTANCE.getSetDiagramLinkType_ShapeSet();

		/**
		 * The meta object literal for the '<em><b>Target Context</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SET_DIAGRAM_LINK_TYPE__TARGET_CONTEXT = eINSTANCE.getSetDiagramLinkType_TargetContext();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.SetTextTypeImpl <em>Set Text Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.SetTextTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getSetTextType()
		 * @generated
		 */
		EClass SET_TEXT_TYPE = eINSTANCE.getSetTextType();

		/**
		 * The meta object literal for the '<em><b>Shape Set</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SET_TEXT_TYPE__SHAPE_SET = eINSTANCE.getSetTextType_ShapeSet();

		/**
		 * The meta object literal for the '<em><b>Text Position</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SET_TEXT_TYPE__TEXT_POSITION = eINSTANCE.getSetTextType_TextPosition();

		/**
		 * The meta object literal for the '<em><b>Text Color</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SET_TEXT_TYPE__TEXT_COLOR = eINSTANCE.getSetTextType_TextColor();

		/**
		 * The meta object literal for the '<em><b>Text Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SET_TEXT_TYPE__TEXT_VALUE = eINSTANCE.getSetTextType_TextValue();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ShapeSetRefTypeImpl <em>Shape Set Ref Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.ShapeSetRefTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getShapeSetRefType()
		 * @generated
		 */
		EClass SHAPE_SET_REF_TYPE = eINSTANCE.getShapeSetRefType();

		/**
		 * The meta object literal for the '<em><b>Ref</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SHAPE_SET_REF_TYPE__REF = eINSTANCE.getShapeSetRefType_Ref();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ShapeSetsTypeImpl <em>Shape Sets Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.ShapeSetsTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getShapeSetsType()
		 * @generated
		 */
		EClass SHAPE_SETS_TYPE = eINSTANCE.getShapeSetsType();

		/**
		 * The meta object literal for the '<em><b>Shape Set</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SHAPE_SETS_TYPE__SHAPE_SET = eINSTANCE.getShapeSetsType_ShapeSet();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ShapeSetTypeImpl <em>Shape Set Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.ShapeSetTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getShapeSetType()
		 * @generated
		 */
		EClass SHAPE_SET_TYPE = eINSTANCE.getShapeSetType();

		/**
		 * The meta object literal for the '<em><b>Shapes</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SHAPE_SET_TYPE__SHAPES = eINSTANCE.getShapeSetType_Shapes();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.StartNamedElementTypeImpl <em>Start Named Element Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.StartNamedElementTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getStartNamedElementType()
		 * @generated
		 */
		EClass START_NAMED_ELEMENT_TYPE = eINSTANCE.getStartNamedElementType();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.StartValueNamedElementTypeImpl <em>Start Value Named Element Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.StartValueNamedElementTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getStartValueNamedElementType()
		 * @generated
		 */
		EClass START_VALUE_NAMED_ELEMENT_TYPE = eINSTANCE.getStartValueNamedElementType();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute START_VALUE_NAMED_ELEMENT_TYPE__VALUE = eINSTANCE.getStartValueNamedElementType_Value();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.StopwatchTypeImpl <em>Stopwatch Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.StopwatchTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getStopwatchType()
		 * @generated
		 */
		EClass STOPWATCH_TYPE = eINSTANCE.getStopwatchType();

		/**
		 * The meta object literal for the '<em><b>Group</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STOPWATCH_TYPE__GROUP = eINSTANCE.getStopwatchType_Group();

		/**
		 * The meta object literal for the '<em><b>Started When</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STOPWATCH_TYPE__STARTED_WHEN = eINSTANCE.getStopwatchType_StartedWhen();

		/**
		 * The meta object literal for the '<em><b>Stopped When</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STOPWATCH_TYPE__STOPPED_WHEN = eINSTANCE.getStopwatchType_StoppedWhen();

		/**
		 * The meta object literal for the '<em><b>Reset When</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STOPWATCH_TYPE__RESET_WHEN = eINSTANCE.getStopwatchType_ResetWhen();

		/**
		 * The meta object literal for the '<em><b>Is Accumulated</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STOPWATCH_TYPE__IS_ACCUMULATED = eINSTANCE.getStopwatchType_IsAccumulated();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.SvgDocumentTypeImpl <em>Svg Document Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.SvgDocumentTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getSvgDocumentType()
		 * @generated
		 */
		EClass SVG_DOCUMENT_TYPE = eINSTANCE.getSvgDocumentType();

		/**
		 * The meta object literal for the '<em><b>Import</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SVG_DOCUMENT_TYPE__IMPORT = eINSTANCE.getSvgDocumentType_Import();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.TargetValueTypeImpl <em>Target Value Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.TargetValueTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getTargetValueType()
		 * @generated
		 */
		EClass TARGET_VALUE_TYPE = eINSTANCE.getTargetValueType();

		/**
		 * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TARGET_VALUE_TYPE__VALUE = eINSTANCE.getTargetValueType_Value();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.TimeIntervalsTypeImpl <em>Time Intervals Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.TimeIntervalsTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getTimeIntervalsType()
		 * @generated
		 */
		EClass TIME_INTERVALS_TYPE = eINSTANCE.getTimeIntervalsType();

		/**
		 * The meta object literal for the '<em><b>Days</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TIME_INTERVALS_TYPE__DAYS = eINSTANCE.getTimeIntervalsType_Days();

		/**
		 * The meta object literal for the '<em><b>Hours</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TIME_INTERVALS_TYPE__HOURS = eINSTANCE.getTimeIntervalsType_Hours();

		/**
		 * The meta object literal for the '<em><b>Minutes</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TIME_INTERVALS_TYPE__MINUTES = eINSTANCE.getTimeIntervalsType_Minutes();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.TriggerTypeImpl <em>Trigger Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.TriggerTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getTriggerType()
		 * @generated
		 */
		EClass TRIGGER_TYPE = eINSTANCE.getTriggerType();

		/**
		 * The meta object literal for the '<em><b>Group</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TRIGGER_TYPE__GROUP = eINSTANCE.getTriggerType_Group();

		/**
		 * The meta object literal for the '<em><b>On Trigger</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TRIGGER_TYPE__ON_TRIGGER = eINSTANCE.getTriggerType_OnTrigger();

		/**
		 * The meta object literal for the '<em><b>Evaluation Time</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TRIGGER_TYPE__EVALUATION_TIME = eINSTANCE.getTriggerType_EvaluationTime();

		/**
		 * The meta object literal for the '<em><b>On Value Change</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TRIGGER_TYPE__ON_VALUE_CHANGE = eINSTANCE.getTriggerType_OnValueChange();

		/**
		 * The meta object literal for the '<em><b>On Event</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TRIGGER_TYPE__ON_EVENT = eINSTANCE.getTriggerType_OnEvent();

		/**
		 * The meta object literal for the '<em><b>Gating Condition</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TRIGGER_TYPE__GATING_CONDITION = eINSTANCE.getTriggerType_GatingCondition();

		/**
		 * The meta object literal for the '<em><b>Is Repeatable</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TRIGGER_TYPE__IS_REPEATABLE = eINSTANCE.getTriggerType_IsRepeatable();

		/**
		 * The meta object literal for the '<em><b>Terminate Context</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TRIGGER_TYPE__TERMINATE_CONTEXT = eINSTANCE.getTriggerType_TerminateContext();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.ValueSpecificationTypeImpl <em>Value Specification Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.ValueSpecificationTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getValueSpecificationType()
		 * @generated
		 */
		EClass VALUE_SPECIFICATION_TYPE = eINSTANCE.getValueSpecificationType();

		/**
		 * The meta object literal for the '<em><b>Single Value</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference VALUE_SPECIFICATION_TYPE__SINGLE_VALUE = eINSTANCE.getValueSpecificationType_SingleValue();

		/**
		 * The meta object literal for the '<em><b>Assignments</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference VALUE_SPECIFICATION_TYPE__ASSIGNMENTS = eINSTANCE.getValueSpecificationType_Assignments();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.VisualizationTypeImpl <em>Visualization Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.VisualizationTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getVisualizationType()
		 * @generated
		 */
		EClass VISUALIZATION_TYPE = eINSTANCE.getVisualizationType();

		/**
		 * The meta object literal for the '<em><b>Shape Sets</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference VISUALIZATION_TYPE__SHAPE_SETS = eINSTANCE.getVisualizationType_ShapeSets();

		/**
		 * The meta object literal for the '<em><b>Actions</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference VISUALIZATION_TYPE__ACTIONS = eINSTANCE.getVisualizationType_Actions();

		/**
		 * The meta object literal for the '<em><b>Svg Document</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference VISUALIZATION_TYPE__SVG_DOCUMENT = eINSTANCE.getVisualizationType_SvgDocument();

		/**
		 * The meta object literal for the '<em><b>Context</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute VISUALIZATION_TYPE__CONTEXT = eINSTANCE.getVisualizationType_Context();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.VisualModelNamedElementTypeImpl <em>Visual Model Named Element Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.VisualModelNamedElementTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getVisualModelNamedElementType()
		 * @generated
		 */
		EClass VISUAL_MODEL_NAMED_ELEMENT_TYPE = eINSTANCE.getVisualModelNamedElementType();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.VisualModelTypeImpl <em>Visual Model Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.VisualModelTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getVisualModelType()
		 * @generated
		 */
		EClass VISUAL_MODEL_TYPE = eINSTANCE.getVisualModelType();

		/**
		 * The meta object literal for the '<em><b>Visualization</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference VISUAL_MODEL_TYPE__VISUALIZATION = eINSTANCE.getVisualModelType_Visualization();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.impl.XPathFunctionsTypeImpl <em>XPath Functions Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.XPathFunctionsTypeImpl
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getXPathFunctionsType()
		 * @generated
		 */
		EClass XPATH_FUNCTIONS_TYPE = eINSTANCE.getXPathFunctionsType();

		/**
		 * The meta object literal for the '<em><b>Import</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XPATH_FUNCTIONS_TYPE__IMPORT = eINSTANCE.getXPathFunctionsType_Import();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.AggregationType <em>Aggregation Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.AggregationType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getAggregationType()
		 * @generated
		 */
		EEnum AGGREGATION_TYPE = eINSTANCE.getAggregationType();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionMultipleMatchesType <em>Event Delivery Option Multiple Matches Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionMultipleMatchesType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventDeliveryOptionMultipleMatchesType()
		 * @generated
		 */
		EEnum EVENT_DELIVERY_OPTION_MULTIPLE_MATCHES_TYPE = eINSTANCE.getEventDeliveryOptionMultipleMatchesType();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionNoMatchesType <em>Event Delivery Option No Matches Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionNoMatchesType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventDeliveryOptionNoMatchesType()
		 * @generated
		 */
		EEnum EVENT_DELIVERY_OPTION_NO_MATCHES_TYPE = eINSTANCE.getEventDeliveryOptionNoMatchesType();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionOneMatchType <em>Event Delivery Option One Match Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionOneMatchType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventDeliveryOptionOneMatchType()
		 * @generated
		 */
		EEnum EVENT_DELIVERY_OPTION_ONE_MATCH_TYPE = eINSTANCE.getEventDeliveryOptionOneMatchType();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterOperatorType <em>KPI Metric Filter Operator Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterOperatorType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIMetricFilterOperatorType()
		 * @generated
		 */
		EEnum KPI_METRIC_FILTER_OPERATOR_TYPE = eINSTANCE.getKPIMetricFilterOperatorType();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.PeriodBasisType <em>Period Basis Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.PeriodBasisType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getPeriodBasisType()
		 * @generated
		 */
		EEnum PERIOD_BASIS_TYPE = eINSTANCE.getPeriodBasisType();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.RangeTypeType <em>Range Type Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.RangeTypeType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getRangeTypeType()
		 * @generated
		 */
		EEnum RANGE_TYPE_TYPE = eINSTANCE.getRangeTypeType();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.RepeatingPeriodTypeType <em>Repeating Period Type Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.RepeatingPeriodTypeType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getRepeatingPeriodTypeType()
		 * @generated
		 */
		EEnum REPEATING_PERIOD_TYPE_TYPE = eINSTANCE.getRepeatingPeriodTypeType();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.RollingPeriodTypeType <em>Rolling Period Type Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.RollingPeriodTypeType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getRollingPeriodTypeType()
		 * @generated
		 */
		EEnum ROLLING_PERIOD_TYPE_TYPE = eINSTANCE.getRollingPeriodTypeType();

		/**
		 * The meta object literal for the '{@link com.ibm.wbimonitor.xml.model.mm.VersionAggregationType <em>Version Aggregation Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.VersionAggregationType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getVersionAggregationType()
		 * @generated
		 */
		EEnum VERSION_AGGREGATION_TYPE = eINSTANCE.getVersionAggregationType();

		/**
		 * The meta object literal for the '<em>Aggregation Type Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.AggregationType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getAggregationTypeObject()
		 * @generated
		 */
		EDataType AGGREGATION_TYPE_OBJECT = eINSTANCE.getAggregationTypeObject();

		/**
		 * The meta object literal for the '<em>Event Delivery Option Multiple Matches Type Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionMultipleMatchesType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventDeliveryOptionMultipleMatchesTypeObject()
		 * @generated
		 */
		EDataType EVENT_DELIVERY_OPTION_MULTIPLE_MATCHES_TYPE_OBJECT = eINSTANCE.getEventDeliveryOptionMultipleMatchesTypeObject();

		/**
		 * The meta object literal for the '<em>Event Delivery Option No Matches Type Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionNoMatchesType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventDeliveryOptionNoMatchesTypeObject()
		 * @generated
		 */
		EDataType EVENT_DELIVERY_OPTION_NO_MATCHES_TYPE_OBJECT = eINSTANCE.getEventDeliveryOptionNoMatchesTypeObject();

		/**
		 * The meta object literal for the '<em>Event Delivery Option One Match Type Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionOneMatchType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getEventDeliveryOptionOneMatchTypeObject()
		 * @generated
		 */
		EDataType EVENT_DELIVERY_OPTION_ONE_MATCH_TYPE_OBJECT = eINSTANCE.getEventDeliveryOptionOneMatchTypeObject();

		/**
		 * The meta object literal for the '<em>KPI Metric Filter Operator Type Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterOperatorType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getKPIMetricFilterOperatorTypeObject()
		 * @generated
		 */
		EDataType KPI_METRIC_FILTER_OPERATOR_TYPE_OBJECT = eINSTANCE.getKPIMetricFilterOperatorTypeObject();

		/**
		 * The meta object literal for the '<em>Name Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getNameType()
		 * @generated
		 */
		EDataType NAME_TYPE = eINSTANCE.getNameType();

		/**
		 * The meta object literal for the '<em>Period Basis Type Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.PeriodBasisType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getPeriodBasisTypeObject()
		 * @generated
		 */
		EDataType PERIOD_BASIS_TYPE_OBJECT = eINSTANCE.getPeriodBasisTypeObject();

		/**
		 * The meta object literal for the '<em>Range Type Type Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.RangeTypeType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getRangeTypeTypeObject()
		 * @generated
		 */
		EDataType RANGE_TYPE_TYPE_OBJECT = eINSTANCE.getRangeTypeTypeObject();

		/**
		 * The meta object literal for the '<em>Repeating Period Type Type Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.RepeatingPeriodTypeType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getRepeatingPeriodTypeTypeObject()
		 * @generated
		 */
		EDataType REPEATING_PERIOD_TYPE_TYPE_OBJECT = eINSTANCE.getRepeatingPeriodTypeTypeObject();

		/**
		 * The meta object literal for the '<em>Rolling Period Type Type Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.RollingPeriodTypeType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getRollingPeriodTypeTypeObject()
		 * @generated
		 */
		EDataType ROLLING_PERIOD_TYPE_TYPE_OBJECT = eINSTANCE.getRollingPeriodTypeTypeObject();

		/**
		 * The meta object literal for the '<em>Shapes List Type</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.util.List
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getShapesListType()
		 * @generated
		 */
		EDataType SHAPES_LIST_TYPE = eINSTANCE.getShapesListType();

		/**
		 * The meta object literal for the '<em>Version Aggregation Type Object</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see com.ibm.wbimonitor.xml.model.mm.VersionAggregationType
		 * @see com.ibm.wbimonitor.xml.model.mm.impl.MmPackageImpl#getVersionAggregationTypeObject()
		 * @generated
		 */
		EDataType VERSION_AGGREGATION_TYPE_OBJECT = eINSTANCE.getVersionAggregationTypeObject();

	}

} //MmPackage
