/* IBM Confidential
 * OCO Source Materials
 * 5724-M24
 * (C) Copyright IBM Corporation 2007
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 */ 
/**
 * <copyright>
 * </copyright>
 *
 * $Id: MmPackageImpl.java,v 1.1 2006/06/27 15:10:40 crmiles Exp $
 */
package com.ibm.wbimonitor.xml.model.mm.impl;

import java.util.List;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;
import org.eclipse.emf.ecore.EValidator;
import org.eclipse.emf.ecore.impl.EPackageImpl;
import org.eclipse.emf.ecore.xml.type.XMLTypePackage;

import com.ibm.wbimonitor.xml.model.mm.ActionType;
import com.ibm.wbimonitor.xml.model.mm.ActionsType;
import com.ibm.wbimonitor.xml.model.mm.AggregationType;
import com.ibm.wbimonitor.xml.model.mm.AssignmentListSpecificationType;
import com.ibm.wbimonitor.xml.model.mm.AssignmentSpecificationType;
import com.ibm.wbimonitor.xml.model.mm.BaseMetricType;
import com.ibm.wbimonitor.xml.model.mm.ContextType;
import com.ibm.wbimonitor.xml.model.mm.CounterType;
import com.ibm.wbimonitor.xml.model.mm.CubeType;
import com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionFixedPeriodType;
import com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRepeatingPeriodType;
import com.ibm.wbimonitor.xml.model.mm.DateTimeDimensionRollingPeriodType;
import com.ibm.wbimonitor.xml.model.mm.DescribableElementType;
import com.ibm.wbimonitor.xml.model.mm.DimensionAttributeType;
import com.ibm.wbimonitor.xml.model.mm.DimensionType;
import com.ibm.wbimonitor.xml.model.mm.DimensionalModelNamedElementType;
import com.ibm.wbimonitor.xml.model.mm.DimensionalModelType;
import com.ibm.wbimonitor.xml.model.mm.DocumentRoot;
import com.ibm.wbimonitor.xml.model.mm.EndNamedElementType;
import com.ibm.wbimonitor.xml.model.mm.EndValueNamedElementType;
import com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionMultipleMatchesType;
import com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionNoMatchesType;
import com.ibm.wbimonitor.xml.model.mm.EventDeliveryOptionOneMatchType;
import com.ibm.wbimonitor.xml.model.mm.EventModelNamedElementType;
import com.ibm.wbimonitor.xml.model.mm.EventModelType;
import com.ibm.wbimonitor.xml.model.mm.EventPartType;
import com.ibm.wbimonitor.xml.model.mm.ExpressionSpecificationType;
import com.ibm.wbimonitor.xml.model.mm.HideShapesType;
import com.ibm.wbimonitor.xml.model.mm.ImportType;
import com.ibm.wbimonitor.xml.model.mm.InboundEventType;
import com.ibm.wbimonitor.xml.model.mm.KPIAggregatedDefinitionType;
import com.ibm.wbimonitor.xml.model.mm.KPICalculatedDefinitionType;
import com.ibm.wbimonitor.xml.model.mm.KPIContextType;
import com.ibm.wbimonitor.xml.model.mm.KPIDateTimeMetricFilterRefType;
import com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterOperatorType;
import com.ibm.wbimonitor.xml.model.mm.KPIMetricFilterRefType;
import com.ibm.wbimonitor.xml.model.mm.KPIModelNamedElementType;
import com.ibm.wbimonitor.xml.model.mm.KPIModelType;
import com.ibm.wbimonitor.xml.model.mm.KPIType;
import com.ibm.wbimonitor.xml.model.mm.MapType;
import com.ibm.wbimonitor.xml.model.mm.MeasureType;
import com.ibm.wbimonitor.xml.model.mm.MetricType;
import com.ibm.wbimonitor.xml.model.mm.MmFactory;
import com.ibm.wbimonitor.xml.model.mm.MmPackage;
import com.ibm.wbimonitor.xml.model.mm.MonitorDetailsModelNamedElementType;
import com.ibm.wbimonitor.xml.model.mm.MonitorDetailsModelType;
import com.ibm.wbimonitor.xml.model.mm.MonitorType;
import com.ibm.wbimonitor.xml.model.mm.MonitoringContextType;
import com.ibm.wbimonitor.xml.model.mm.NamedElementType;
import com.ibm.wbimonitor.xml.model.mm.OutboundEventType;
import com.ibm.wbimonitor.xml.model.mm.PeriodBasisType;
import com.ibm.wbimonitor.xml.model.mm.PositionType;
import com.ibm.wbimonitor.xml.model.mm.RangeType;
import com.ibm.wbimonitor.xml.model.mm.RangeTypeType;
import com.ibm.wbimonitor.xml.model.mm.ReferenceType;
import com.ibm.wbimonitor.xml.model.mm.RepeatingPeriodTypeType;
import com.ibm.wbimonitor.xml.model.mm.RollingPeriodTypeType;
import com.ibm.wbimonitor.xml.model.mm.SetColorType;
import com.ibm.wbimonitor.xml.model.mm.SetDiagramLinkType;
import com.ibm.wbimonitor.xml.model.mm.SetTextType;
import com.ibm.wbimonitor.xml.model.mm.ShapeSetRefType;
import com.ibm.wbimonitor.xml.model.mm.ShapeSetType;
import com.ibm.wbimonitor.xml.model.mm.ShapeSetsType;
import com.ibm.wbimonitor.xml.model.mm.StartNamedElementType;
import com.ibm.wbimonitor.xml.model.mm.StartValueNamedElementType;
import com.ibm.wbimonitor.xml.model.mm.StopwatchType;
import com.ibm.wbimonitor.xml.model.mm.SvgDocumentType;
import com.ibm.wbimonitor.xml.model.mm.TargetValueType;
import com.ibm.wbimonitor.xml.model.mm.TimeIntervalsType;
import com.ibm.wbimonitor.xml.model.mm.TriggerType;
import com.ibm.wbimonitor.xml.model.mm.ValueSpecificationType;
import com.ibm.wbimonitor.xml.model.mm.VersionAggregationType;
import com.ibm.wbimonitor.xml.model.mm.VisualModelNamedElementType;
import com.ibm.wbimonitor.xml.model.mm.VisualModelType;
import com.ibm.wbimonitor.xml.model.mm.VisualizationType;
import com.ibm.wbimonitor.xml.model.mm.XPathFunctionsType;
import com.ibm.wbimonitor.xml.model.mm.util.MmValidator;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class MmPackageImpl extends EPackageImpl implements MmPackage {
    public static final String COPYRIGHT = "(C) Copyright IBM Corporation 2007.";  //$NON-NLS-1$

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass actionsTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass actionTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass assignmentListSpecificationTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass assignmentSpecificationTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass baseMetricTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass contextTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass counterTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass cubeTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass dateTimeDimensionFixedPeriodTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass dateTimeDimensionRepeatingPeriodTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass dateTimeDimensionRollingPeriodTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass describableElementTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass dimensionalModelNamedElementTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass dimensionalModelTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass dimensionAttributeTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass dimensionTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass documentRootEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass endNamedElementTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass endValueNamedElementTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass eventModelNamedElementTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass eventModelTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass eventPartTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass expressionSpecificationTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass hideShapesTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass importTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass inboundEventTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass kpiAggregatedDefinitionTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass kpiCalculatedDefinitionTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass kpiContextTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass kpiDateTimeMetricFilterRefTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass kpiMetricFilterRefTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass kpiModelNamedElementTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass kpiModelTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass kpiTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass mapTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass measureTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass metricTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass monitorDetailsModelNamedElementTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass monitorDetailsModelTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass monitoringContextTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass monitorTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass namedElementTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass outboundEventTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass positionTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass rangeTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass referenceTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass setColorTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass setDiagramLinkTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass setTextTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass shapeSetRefTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass shapeSetsTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass shapeSetTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass startNamedElementTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass startValueNamedElementTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass stopwatchTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass svgDocumentTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass targetValueTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass timeIntervalsTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass triggerTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass valueSpecificationTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass visualizationTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass visualModelNamedElementTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass visualModelTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass xPathFunctionsTypeEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum aggregationTypeEEnum = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum eventDeliveryOptionMultipleMatchesTypeEEnum = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum eventDeliveryOptionNoMatchesTypeEEnum = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum eventDeliveryOptionOneMatchTypeEEnum = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum kpiMetricFilterOperatorTypeEEnum = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum periodBasisTypeEEnum = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum rangeTypeTypeEEnum = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum repeatingPeriodTypeTypeEEnum = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum rollingPeriodTypeTypeEEnum = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum versionAggregationTypeEEnum = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EDataType aggregationTypeObjectEDataType = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EDataType eventDeliveryOptionMultipleMatchesTypeObjectEDataType = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EDataType eventDeliveryOptionNoMatchesTypeObjectEDataType = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EDataType eventDeliveryOptionOneMatchTypeObjectEDataType = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EDataType kpiMetricFilterOperatorTypeObjectEDataType = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EDataType nameTypeEDataType = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EDataType periodBasisTypeObjectEDataType = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EDataType rangeTypeTypeObjectEDataType = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EDataType repeatingPeriodTypeTypeObjectEDataType = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EDataType rollingPeriodTypeTypeObjectEDataType = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EDataType shapesListTypeEDataType = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EDataType versionAggregationTypeObjectEDataType = null;

	/**
	 * Creates an instance of the model <b>Package</b>, registered with
	 * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
	 * package URI value.
	 * <p>Note: the correct way to create the package is via the static
	 * factory method {@link #init init()}, which also performs
	 * initialization of the package, or returns the registered package,
	 * if one already exists.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.emf.ecore.EPackage.Registry
	 * @see com.ibm.wbimonitor.xml.model.mm.MmPackage#eNS_URI
	 * @see #init()
	 * @generated
	 */
	private MmPackageImpl() {
		super(eNS_URI, MmFactory.eINSTANCE);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static boolean isInited = false;

	/**
	 * Creates, registers, and initializes the <b>Package</b> for this
	 * model, and for any others upon which it depends.  Simple
	 * dependencies are satisfied by calling this method on all
	 * dependent packages before doing anything else.  This method drives
	 * initialization for interdependent packages directly, in parallel
	 * with this package, itself.
	 * <p>Of this package and its interdependencies, all packages which
	 * have not yet been registered by their URI values are first created
	 * and registered.  The packages are then initialized in two steps:
	 * meta-model objects for all of the packages are created before any
	 * are initialized, since one package's meta-model objects may refer to
	 * those of another.
	 * <p>Invocation of this method will not affect any packages that have
	 * already been initialized.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #eNS_URI
	 * @see #createPackageContents()
	 * @see #initializePackageContents()
	 * @generated
	 */
	public static MmPackage init() {
		if (isInited) return (MmPackage)EPackage.Registry.INSTANCE.getEPackage(MmPackage.eNS_URI);

		// Obtain or create and register package
		MmPackageImpl theMmPackage = (MmPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(eNS_URI) instanceof MmPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(eNS_URI) : new MmPackageImpl());

		isInited = true;

		// Initialize simple dependencies
		XMLTypePackage.eINSTANCE.eClass();

		// Create package meta-data objects
		theMmPackage.createPackageContents();

		// Initialize created meta-data
		theMmPackage.initializePackageContents();

		// Register package validator
		EValidator.Registry.INSTANCE.put
			(theMmPackage, 
			 new EValidator.Descriptor() {
				 public EValidator getEValidator() {
					 return MmValidator.INSTANCE;
				 }
			 });

		// Mark meta-data to indicate it can't be changed
		theMmPackage.freeze();

		return theMmPackage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getActionsType() {
		return actionsTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getActionsType_Group() {
		return (EAttribute)actionsTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getActionsType_SetColor() {
		return (EReference)actionsTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getActionsType_SetText() {
		return (EReference)actionsTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getActionsType_HideShapes() {
		return (EReference)actionsTypeEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getActionsType_SetDiagramLink() {
		return (EReference)actionsTypeEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getActionType() {
		return actionTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getActionType_Condition() {
		return (EAttribute)actionTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getAssignmentListSpecificationType() {
		return assignmentListSpecificationTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getAssignmentListSpecificationType_Assignment() {
		return (EReference)assignmentListSpecificationTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getAssignmentSpecificationType() {
		return assignmentSpecificationTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getAssignmentSpecificationType_LeftValue() {
		return (EAttribute)assignmentSpecificationTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getAssignmentSpecificationType_RightValue() {
		return (EAttribute)assignmentSpecificationTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getBaseMetricType() {
		return baseMetricTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getBaseMetricType_IsSortable() {
		return (EAttribute)baseMetricTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getBaseMetricType_Type() {
		return (EAttribute)baseMetricTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getContextType() {
		return contextTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getContextType_Group() {
		return (EAttribute)contextTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getContextType_Trigger() {
		return (EReference)contextTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getContextType_InboundEvent() {
		return (EReference)contextTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getContextType_OutboundEvent() {
		return (EReference)contextTypeEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getContextType_EventSequenceIDPath() {
		return (EAttribute)contextTypeEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getCounterType() {
		return counterTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getCounterType_Group() {
		return (EAttribute)counterTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getCounterType_IncrementedWhen() {
		return (EReference)counterTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getCounterType_DecrementedWhen() {
		return (EReference)counterTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getCounterType_SetToZeroWhen() {
		return (EReference)counterTypeEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getCubeType() {
		return cubeTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getCubeType_Measure() {
		return (EReference)cubeTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getCubeType_Dimension() {
		return (EReference)cubeTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getCubeType_MonitoringContext() {
		return (EAttribute)cubeTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getDateTimeDimensionFixedPeriodType() {
		return dateTimeDimensionFixedPeriodTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getDateTimeDimensionFixedPeriodType_EndDate() {
		return (EAttribute)dateTimeDimensionFixedPeriodTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getDateTimeDimensionFixedPeriodType_StartDate() {
		return (EAttribute)dateTimeDimensionFixedPeriodTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getDateTimeDimensionFixedPeriodType_Timezone() {
		return (EAttribute)dateTimeDimensionFixedPeriodTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getDateTimeDimensionRepeatingPeriodType() {
		return dateTimeDimensionRepeatingPeriodTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getDateTimeDimensionRepeatingPeriodType_PeriodBasis() {
		return (EAttribute)dateTimeDimensionRepeatingPeriodTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getDateTimeDimensionRepeatingPeriodType_PeriodType() {
		return (EAttribute)dateTimeDimensionRepeatingPeriodTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getDateTimeDimensionRepeatingPeriodType_Timezone() {
		return (EAttribute)dateTimeDimensionRepeatingPeriodTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getDateTimeDimensionRollingPeriodType() {
		return dateTimeDimensionRollingPeriodTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getDateTimeDimensionRollingPeriodType_NumPeriods() {
		return (EAttribute)dateTimeDimensionRollingPeriodTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getDateTimeDimensionRollingPeriodType_PeriodType() {
		return (EAttribute)dateTimeDimensionRollingPeriodTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getDescribableElementType() {
		return describableElementTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getDescribableElementType_Description() {
		return (EAttribute)describableElementTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getDimensionalModelNamedElementType() {
		return dimensionalModelNamedElementTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getDimensionalModelType() {
		return dimensionalModelTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getDimensionalModelType_Cube() {
		return (EReference)dimensionalModelTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getDimensionAttributeType() {
		return dimensionAttributeTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getDimensionAttributeType_AttributeSource() {
		return (EAttribute)dimensionAttributeTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getDimensionAttributeType_Level() {
		return (EAttribute)dimensionAttributeTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getDimensionType() {
		return dimensionTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getDimensionType_Attribute() {
		return (EReference)dimensionTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getDocumentRoot() {
		return documentRootEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getDocumentRoot_Mixed() {
		return (EAttribute)documentRootEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getDocumentRoot_XMLNSPrefixMap() {
		return (EReference)documentRootEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getDocumentRoot_XSISchemaLocation() {
		return (EReference)documentRootEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getDocumentRoot_Monitor() {
		return (EReference)documentRootEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getEndNamedElementType() {
		return endNamedElementTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getEndValueNamedElementType() {
		return endValueNamedElementTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getEndValueNamedElementType_Value() {
		return (EAttribute)endValueNamedElementTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getEventModelNamedElementType() {
		return eventModelNamedElementTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getEventModelType() {
		return eventModelTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getEventModelType_Import() {
		return (EReference)eventModelTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getEventPartType() {
		return eventPartTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getEventPartType_Path() {
		return (EAttribute)eventPartTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getEventPartType_Type() {
		return (EAttribute)eventPartTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getExpressionSpecificationType() {
		return expressionSpecificationTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getExpressionSpecificationType_Expression() {
		return (EAttribute)expressionSpecificationTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getHideShapesType() {
		return hideShapesTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getHideShapesType_ShapeSet() {
		return (EReference)hideShapesTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getImportType() {
		return importTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getImportType_Location() {
		return (EAttribute)importTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getImportType_Namespace() {
		return (EAttribute)importTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getInboundEventType() {
		return inboundEventTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getInboundEventType_EventPart() {
		return (EReference)inboundEventTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getInboundEventType_CorrelationPredicate() {
		return (EReference)inboundEventTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getInboundEventType_Filter() {
		return (EReference)inboundEventTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getInboundEventType_EventSequenceIDPath() {
		return (EAttribute)inboundEventTypeEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getInboundEventType_ExtensionName() {
		return (EAttribute)inboundEventTypeEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getInboundEventType_MultipleCorrelationMatches() {
		return (EAttribute)inboundEventTypeEClass.getEStructuralFeatures().get(5);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getInboundEventType_NoCorrelationMatches() {
		return (EAttribute)inboundEventTypeEClass.getEStructuralFeatures().get(6);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getInboundEventType_OneCorrelationMatch() {
		return (EAttribute)inboundEventTypeEClass.getEStructuralFeatures().get(7);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getInboundEventType_RootElement() {
		return (EAttribute)inboundEventTypeEClass.getEStructuralFeatures().get(8);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getInboundEventType_TerminateContext() {
		return (EAttribute)inboundEventTypeEClass.getEStructuralFeatures().get(9);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getKPIAggregatedDefinitionType() {
		return kpiAggregatedDefinitionTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getKPIAggregatedDefinitionType_MonitoringContext() {
		return (EReference)kpiAggregatedDefinitionTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getKPIAggregatedDefinitionType_Metric() {
		return (EReference)kpiAggregatedDefinitionTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getKPIAggregatedDefinitionType_MetricFilter() {
		return (EReference)kpiAggregatedDefinitionTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getKPIAggregatedDefinitionType_DateTimeMetricFilter() {
		return (EReference)kpiAggregatedDefinitionTypeEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getKPIAggregatedDefinitionType_AggregationType() {
		return (EAttribute)kpiAggregatedDefinitionTypeEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getKPIAggregatedDefinitionType_VersionAggregation() {
		return (EAttribute)kpiAggregatedDefinitionTypeEClass.getEStructuralFeatures().get(5);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getKPICalculatedDefinitionType() {
		return kpiCalculatedDefinitionTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getKPICalculatedDefinitionType_KpiCalculation() {
		return (EReference)kpiCalculatedDefinitionTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getKPIContextType() {
		return kpiContextTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getKPIContextType_Group1() {
		return (EAttribute)kpiContextTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getKPIContextType_Kpi() {
		return (EReference)kpiContextTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getKPIDateTimeMetricFilterRefType() {
		return kpiDateTimeMetricFilterRefTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getKPIDateTimeMetricFilterRefType_RepeatingPeriod() {
		return (EReference)kpiDateTimeMetricFilterRefTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getKPIDateTimeMetricFilterRefType_RollingPeriod() {
		return (EReference)kpiDateTimeMetricFilterRefTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getKPIDateTimeMetricFilterRefType_FixedPeriod() {
		return (EReference)kpiDateTimeMetricFilterRefTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getKPIMetricFilterRefType() {
		return kpiMetricFilterRefTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getKPIMetricFilterRefType_Value() {
		return (EReference)kpiMetricFilterRefTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getKPIMetricFilterRefType_IsCaseSensitive() {
		return (EAttribute)kpiMetricFilterRefTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getKPIMetricFilterRefType_Operator() {
		return (EAttribute)kpiMetricFilterRefTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getKPIModelNamedElementType() {
		return kpiModelNamedElementTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getKPIModelType() {
		return kpiModelTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getKPIModelType_Group() {
		return (EAttribute)kpiModelTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getKPIModelType_KpiContext() {
		return (EReference)kpiModelTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getKPIType() {
		return kpiTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getKPIType_AggregatedDefinition() {
		return (EReference)kpiTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getKPIType_CalculatedDefinition() {
		return (EReference)kpiTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getKPIType_Target() {
		return (EReference)kpiTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getKPIType_Range() {
		return (EReference)kpiTypeEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getKPIType_RangeType() {
		return (EAttribute)kpiTypeEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getKPIType_Type() {
		return (EAttribute)kpiTypeEClass.getEStructuralFeatures().get(5);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getMapType() {
		return mapTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getMapType_Trigger() {
		return (EReference)mapTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getMapType_OutputValue() {
		return (EReference)mapTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getMeasureType() {
		return measureTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getMeasureType_AggregationType() {
		return (EAttribute)measureTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getMeasureType_Source() {
		return (EAttribute)measureTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getMeasureType_TrackingKey() {
		return (EAttribute)measureTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getMetricType() {
		return metricTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getMetricType_Map() {
		return (EReference)metricTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getMetricType_DefaultValue() {
		return (EReference)metricTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getMetricType_IsMultiByte() {
		return (EAttribute)metricTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getMetricType_IsPartOfKey() {
		return (EAttribute)metricTypeEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getMetricType_MaxStringLength() {
		return (EAttribute)metricTypeEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getMetricType_ValueRequired() {
		return (EAttribute)metricTypeEClass.getEStructuralFeatures().get(5);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getMonitorDetailsModelNamedElementType() {
		return monitorDetailsModelNamedElementTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getMonitorDetailsModelType() {
		return monitorDetailsModelTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getMonitorDetailsModelType_Group() {
		return (EAttribute)monitorDetailsModelTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getMonitorDetailsModelType_MonitoringContext() {
		return (EReference)monitorDetailsModelTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getMonitoringContextType() {
		return monitoringContextTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getMonitoringContextType_Group1() {
		return (EAttribute)monitoringContextTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getMonitoringContextType_Metric() {
		return (EReference)monitoringContextTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getMonitoringContextType_Counter() {
		return (EReference)monitoringContextTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getMonitoringContextType_Stopwatch() {
		return (EReference)monitoringContextTypeEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getMonitoringContextType_MonitoringContext() {
		return (EReference)monitoringContextTypeEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getMonitorType() {
		return monitorTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getMonitorType_XpathFunctions() {
		return (EReference)monitorTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getMonitorType_MonitorDetailsModel() {
		return (EReference)monitorTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getMonitorType_KpiModel() {
		return (EReference)monitorTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getMonitorType_DimensionalModel() {
		return (EReference)monitorTypeEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getMonitorType_VisualModel() {
		return (EReference)monitorTypeEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getMonitorType_EventModel() {
		return (EReference)monitorTypeEClass.getEStructuralFeatures().get(5);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getMonitorType_TargetNamespace() {
		return (EAttribute)monitorTypeEClass.getEStructuralFeatures().get(6);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getMonitorType_Timestamp() {
		return (EAttribute)monitorTypeEClass.getEStructuralFeatures().get(7);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getNamedElementType() {
		return namedElementTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getNamedElementType_DisplayName() {
		return (EAttribute)namedElementTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getNamedElementType_Id() {
		return (EAttribute)namedElementTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getOutboundEventType() {
		return outboundEventTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getOutboundEventType_EventPart() {
		return (EReference)outboundEventTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getOutboundEventType_Map() {
		return (EReference)outboundEventTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getOutboundEventType_Filter() {
		return (EReference)outboundEventTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getOutboundEventType_ExtensionName() {
		return (EAttribute)outboundEventTypeEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getOutboundEventType_RootElement() {
		return (EAttribute)outboundEventTypeEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getPositionType() {
		return positionTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getPositionType_X() {
		return (EAttribute)positionTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getPositionType_Y() {
		return (EAttribute)positionTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getRangeType() {
		return rangeTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getRangeType_StartValue() {
		return (EReference)rangeTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getRangeType_EndValue() {
		return (EReference)rangeTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getReferenceType() {
		return referenceTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getReferenceType_Ref() {
		return (EAttribute)referenceTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSetColorType() {
		return setColorTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSetColorType_ShapeSet() {
		return (EReference)setColorTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSetColorType_FillColor() {
		return (EAttribute)setColorTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSetColorType_OutlineColor() {
		return (EAttribute)setColorTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSetDiagramLinkType() {
		return setDiagramLinkTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSetDiagramLinkType_ShapeSet() {
		return (EReference)setDiagramLinkTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSetDiagramLinkType_TargetContext() {
		return (EAttribute)setDiagramLinkTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSetTextType() {
		return setTextTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSetTextType_ShapeSet() {
		return (EReference)setTextTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSetTextType_TextPosition() {
		return (EReference)setTextTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSetTextType_TextColor() {
		return (EAttribute)setTextTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getSetTextType_TextValue() {
		return (EAttribute)setTextTypeEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getShapeSetRefType() {
		return shapeSetRefTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getShapeSetRefType_Ref() {
		return (EAttribute)shapeSetRefTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getShapeSetsType() {
		return shapeSetsTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getShapeSetsType_ShapeSet() {
		return (EReference)shapeSetsTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getShapeSetType() {
		return shapeSetTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getShapeSetType_Shapes() {
		return (EAttribute)shapeSetTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getStartNamedElementType() {
		return startNamedElementTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getStartValueNamedElementType() {
		return startValueNamedElementTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getStartValueNamedElementType_Value() {
		return (EAttribute)startValueNamedElementTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getStopwatchType() {
		return stopwatchTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getStopwatchType_Group() {
		return (EAttribute)stopwatchTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getStopwatchType_StartedWhen() {
		return (EReference)stopwatchTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getStopwatchType_StoppedWhen() {
		return (EReference)stopwatchTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getStopwatchType_ResetWhen() {
		return (EReference)stopwatchTypeEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getStopwatchType_IsAccumulated() {
		return (EAttribute)stopwatchTypeEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getSvgDocumentType() {
		return svgDocumentTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getSvgDocumentType_Import() {
		return (EReference)svgDocumentTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTargetValueType() {
		return targetValueTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTargetValueType_Value() {
		return (EAttribute)targetValueTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTimeIntervalsType() {
		return timeIntervalsTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTimeIntervalsType_Days() {
		return (EAttribute)timeIntervalsTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTimeIntervalsType_Hours() {
		return (EAttribute)timeIntervalsTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTimeIntervalsType_Minutes() {
		return (EAttribute)timeIntervalsTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getTriggerType() {
		return triggerTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTriggerType_Group() {
		return (EAttribute)triggerTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTriggerType_OnTrigger() {
		return (EReference)triggerTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTriggerType_EvaluationTime() {
		return (EReference)triggerTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTriggerType_OnValueChange() {
		return (EReference)triggerTypeEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTriggerType_OnEvent() {
		return (EReference)triggerTypeEClass.getEStructuralFeatures().get(4);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getTriggerType_GatingCondition() {
		return (EReference)triggerTypeEClass.getEStructuralFeatures().get(5);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTriggerType_IsRepeatable() {
		return (EAttribute)triggerTypeEClass.getEStructuralFeatures().get(6);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getTriggerType_TerminateContext() {
		return (EAttribute)triggerTypeEClass.getEStructuralFeatures().get(7);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getValueSpecificationType() {
		return valueSpecificationTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getValueSpecificationType_SingleValue() {
		return (EReference)valueSpecificationTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getValueSpecificationType_Assignments() {
		return (EReference)valueSpecificationTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getVisualizationType() {
		return visualizationTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getVisualizationType_ShapeSets() {
		return (EReference)visualizationTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getVisualizationType_Actions() {
		return (EReference)visualizationTypeEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getVisualizationType_SvgDocument() {
		return (EReference)visualizationTypeEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getVisualizationType_Context() {
		return (EAttribute)visualizationTypeEClass.getEStructuralFeatures().get(3);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getVisualModelNamedElementType() {
		return visualModelNamedElementTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getVisualModelType() {
		return visualModelTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getVisualModelType_Visualization() {
		return (EReference)visualModelTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getXPathFunctionsType() {
		return xPathFunctionsTypeEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getXPathFunctionsType_Import() {
		return (EReference)xPathFunctionsTypeEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getAggregationType() {
		return aggregationTypeEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getEventDeliveryOptionMultipleMatchesType() {
		return eventDeliveryOptionMultipleMatchesTypeEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getEventDeliveryOptionNoMatchesType() {
		return eventDeliveryOptionNoMatchesTypeEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getEventDeliveryOptionOneMatchType() {
		return eventDeliveryOptionOneMatchTypeEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getKPIMetricFilterOperatorType() {
		return kpiMetricFilterOperatorTypeEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getPeriodBasisType() {
		return periodBasisTypeEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getRangeTypeType() {
		return rangeTypeTypeEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getRepeatingPeriodTypeType() {
		return repeatingPeriodTypeTypeEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getRollingPeriodTypeType() {
		return rollingPeriodTypeTypeEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getVersionAggregationType() {
		return versionAggregationTypeEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EDataType getAggregationTypeObject() {
		return aggregationTypeObjectEDataType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EDataType getEventDeliveryOptionMultipleMatchesTypeObject() {
		return eventDeliveryOptionMultipleMatchesTypeObjectEDataType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EDataType getEventDeliveryOptionNoMatchesTypeObject() {
		return eventDeliveryOptionNoMatchesTypeObjectEDataType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EDataType getEventDeliveryOptionOneMatchTypeObject() {
		return eventDeliveryOptionOneMatchTypeObjectEDataType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EDataType getKPIMetricFilterOperatorTypeObject() {
		return kpiMetricFilterOperatorTypeObjectEDataType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EDataType getNameType() {
		return nameTypeEDataType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EDataType getPeriodBasisTypeObject() {
		return periodBasisTypeObjectEDataType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EDataType getRangeTypeTypeObject() {
		return rangeTypeTypeObjectEDataType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EDataType getRepeatingPeriodTypeTypeObject() {
		return repeatingPeriodTypeTypeObjectEDataType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EDataType getRollingPeriodTypeTypeObject() {
		return rollingPeriodTypeTypeObjectEDataType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EDataType getShapesListType() {
		return shapesListTypeEDataType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EDataType getVersionAggregationTypeObject() {
		return versionAggregationTypeObjectEDataType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MmFactory getMmFactory() {
		return (MmFactory)getEFactoryInstance();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isCreated = false;

	/**
	 * Creates the meta-model objects for the package.  This method is
	 * guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void createPackageContents() {
		if (isCreated) return;
		isCreated = true;

		// Create classes and their features
		actionsTypeEClass = createEClass(ACTIONS_TYPE);
		createEAttribute(actionsTypeEClass, ACTIONS_TYPE__GROUP);
		createEReference(actionsTypeEClass, ACTIONS_TYPE__SET_COLOR);
		createEReference(actionsTypeEClass, ACTIONS_TYPE__SET_TEXT);
		createEReference(actionsTypeEClass, ACTIONS_TYPE__HIDE_SHAPES);
		createEReference(actionsTypeEClass, ACTIONS_TYPE__SET_DIAGRAM_LINK);

		actionTypeEClass = createEClass(ACTION_TYPE);
		createEAttribute(actionTypeEClass, ACTION_TYPE__CONDITION);

		assignmentListSpecificationTypeEClass = createEClass(ASSIGNMENT_LIST_SPECIFICATION_TYPE);
		createEReference(assignmentListSpecificationTypeEClass, ASSIGNMENT_LIST_SPECIFICATION_TYPE__ASSIGNMENT);

		assignmentSpecificationTypeEClass = createEClass(ASSIGNMENT_SPECIFICATION_TYPE);
		createEAttribute(assignmentSpecificationTypeEClass, ASSIGNMENT_SPECIFICATION_TYPE__LEFT_VALUE);
		createEAttribute(assignmentSpecificationTypeEClass, ASSIGNMENT_SPECIFICATION_TYPE__RIGHT_VALUE);

		baseMetricTypeEClass = createEClass(BASE_METRIC_TYPE);
		createEAttribute(baseMetricTypeEClass, BASE_METRIC_TYPE__IS_SORTABLE);
		createEAttribute(baseMetricTypeEClass, BASE_METRIC_TYPE__TYPE);

		contextTypeEClass = createEClass(CONTEXT_TYPE);
		createEAttribute(contextTypeEClass, CONTEXT_TYPE__GROUP);
		createEReference(contextTypeEClass, CONTEXT_TYPE__TRIGGER);
		createEReference(contextTypeEClass, CONTEXT_TYPE__INBOUND_EVENT);
		createEReference(contextTypeEClass, CONTEXT_TYPE__OUTBOUND_EVENT);
		createEAttribute(contextTypeEClass, CONTEXT_TYPE__EVENT_SEQUENCE_ID_PATH);

		counterTypeEClass = createEClass(COUNTER_TYPE);
		createEAttribute(counterTypeEClass, COUNTER_TYPE__GROUP);
		createEReference(counterTypeEClass, COUNTER_TYPE__INCREMENTED_WHEN);
		createEReference(counterTypeEClass, COUNTER_TYPE__DECREMENTED_WHEN);
		createEReference(counterTypeEClass, COUNTER_TYPE__SET_TO_ZERO_WHEN);

		cubeTypeEClass = createEClass(CUBE_TYPE);
		createEReference(cubeTypeEClass, CUBE_TYPE__MEASURE);
		createEReference(cubeTypeEClass, CUBE_TYPE__DIMENSION);
		createEAttribute(cubeTypeEClass, CUBE_TYPE__MONITORING_CONTEXT);

		dateTimeDimensionFixedPeriodTypeEClass = createEClass(DATE_TIME_DIMENSION_FIXED_PERIOD_TYPE);
		createEAttribute(dateTimeDimensionFixedPeriodTypeEClass, DATE_TIME_DIMENSION_FIXED_PERIOD_TYPE__END_DATE);
		createEAttribute(dateTimeDimensionFixedPeriodTypeEClass, DATE_TIME_DIMENSION_FIXED_PERIOD_TYPE__START_DATE);
		createEAttribute(dateTimeDimensionFixedPeriodTypeEClass, DATE_TIME_DIMENSION_FIXED_PERIOD_TYPE__TIMEZONE);

		dateTimeDimensionRepeatingPeriodTypeEClass = createEClass(DATE_TIME_DIMENSION_REPEATING_PERIOD_TYPE);
		createEAttribute(dateTimeDimensionRepeatingPeriodTypeEClass, DATE_TIME_DIMENSION_REPEATING_PERIOD_TYPE__PERIOD_BASIS);
		createEAttribute(dateTimeDimensionRepeatingPeriodTypeEClass, DATE_TIME_DIMENSION_REPEATING_PERIOD_TYPE__PERIOD_TYPE);
		createEAttribute(dateTimeDimensionRepeatingPeriodTypeEClass, DATE_TIME_DIMENSION_REPEATING_PERIOD_TYPE__TIMEZONE);

		dateTimeDimensionRollingPeriodTypeEClass = createEClass(DATE_TIME_DIMENSION_ROLLING_PERIOD_TYPE);
		createEAttribute(dateTimeDimensionRollingPeriodTypeEClass, DATE_TIME_DIMENSION_ROLLING_PERIOD_TYPE__NUM_PERIODS);
		createEAttribute(dateTimeDimensionRollingPeriodTypeEClass, DATE_TIME_DIMENSION_ROLLING_PERIOD_TYPE__PERIOD_TYPE);

		describableElementTypeEClass = createEClass(DESCRIBABLE_ELEMENT_TYPE);
		createEAttribute(describableElementTypeEClass, DESCRIBABLE_ELEMENT_TYPE__DESCRIPTION);

		dimensionalModelNamedElementTypeEClass = createEClass(DIMENSIONAL_MODEL_NAMED_ELEMENT_TYPE);

		dimensionalModelTypeEClass = createEClass(DIMENSIONAL_MODEL_TYPE);
		createEReference(dimensionalModelTypeEClass, DIMENSIONAL_MODEL_TYPE__CUBE);

		dimensionAttributeTypeEClass = createEClass(DIMENSION_ATTRIBUTE_TYPE);
		createEAttribute(dimensionAttributeTypeEClass, DIMENSION_ATTRIBUTE_TYPE__ATTRIBUTE_SOURCE);
		createEAttribute(dimensionAttributeTypeEClass, DIMENSION_ATTRIBUTE_TYPE__LEVEL);

		dimensionTypeEClass = createEClass(DIMENSION_TYPE);
		createEReference(dimensionTypeEClass, DIMENSION_TYPE__ATTRIBUTE);

		documentRootEClass = createEClass(DOCUMENT_ROOT);
		createEAttribute(documentRootEClass, DOCUMENT_ROOT__MIXED);
		createEReference(documentRootEClass, DOCUMENT_ROOT__XMLNS_PREFIX_MAP);
		createEReference(documentRootEClass, DOCUMENT_ROOT__XSI_SCHEMA_LOCATION);
		createEReference(documentRootEClass, DOCUMENT_ROOT__MONITOR);

		endNamedElementTypeEClass = createEClass(END_NAMED_ELEMENT_TYPE);

		endValueNamedElementTypeEClass = createEClass(END_VALUE_NAMED_ELEMENT_TYPE);
		createEAttribute(endValueNamedElementTypeEClass, END_VALUE_NAMED_ELEMENT_TYPE__VALUE);

		eventModelNamedElementTypeEClass = createEClass(EVENT_MODEL_NAMED_ELEMENT_TYPE);

		eventModelTypeEClass = createEClass(EVENT_MODEL_TYPE);
		createEReference(eventModelTypeEClass, EVENT_MODEL_TYPE__IMPORT);

		eventPartTypeEClass = createEClass(EVENT_PART_TYPE);
		createEAttribute(eventPartTypeEClass, EVENT_PART_TYPE__PATH);
		createEAttribute(eventPartTypeEClass, EVENT_PART_TYPE__TYPE);

		expressionSpecificationTypeEClass = createEClass(EXPRESSION_SPECIFICATION_TYPE);
		createEAttribute(expressionSpecificationTypeEClass, EXPRESSION_SPECIFICATION_TYPE__EXPRESSION);

		hideShapesTypeEClass = createEClass(HIDE_SHAPES_TYPE);
		createEReference(hideShapesTypeEClass, HIDE_SHAPES_TYPE__SHAPE_SET);

		importTypeEClass = createEClass(IMPORT_TYPE);
		createEAttribute(importTypeEClass, IMPORT_TYPE__LOCATION);
		createEAttribute(importTypeEClass, IMPORT_TYPE__NAMESPACE);

		inboundEventTypeEClass = createEClass(INBOUND_EVENT_TYPE);
		createEReference(inboundEventTypeEClass, INBOUND_EVENT_TYPE__EVENT_PART);
		createEReference(inboundEventTypeEClass, INBOUND_EVENT_TYPE__CORRELATION_PREDICATE);
		createEReference(inboundEventTypeEClass, INBOUND_EVENT_TYPE__FILTER);
		createEAttribute(inboundEventTypeEClass, INBOUND_EVENT_TYPE__EVENT_SEQUENCE_ID_PATH);
		createEAttribute(inboundEventTypeEClass, INBOUND_EVENT_TYPE__EXTENSION_NAME);
		createEAttribute(inboundEventTypeEClass, INBOUND_EVENT_TYPE__MULTIPLE_CORRELATION_MATCHES);
		createEAttribute(inboundEventTypeEClass, INBOUND_EVENT_TYPE__NO_CORRELATION_MATCHES);
		createEAttribute(inboundEventTypeEClass, INBOUND_EVENT_TYPE__ONE_CORRELATION_MATCH);
		createEAttribute(inboundEventTypeEClass, INBOUND_EVENT_TYPE__ROOT_ELEMENT);
		createEAttribute(inboundEventTypeEClass, INBOUND_EVENT_TYPE__TERMINATE_CONTEXT);

		kpiAggregatedDefinitionTypeEClass = createEClass(KPI_AGGREGATED_DEFINITION_TYPE);
		createEReference(kpiAggregatedDefinitionTypeEClass, KPI_AGGREGATED_DEFINITION_TYPE__MONITORING_CONTEXT);
		createEReference(kpiAggregatedDefinitionTypeEClass, KPI_AGGREGATED_DEFINITION_TYPE__METRIC);
		createEReference(kpiAggregatedDefinitionTypeEClass, KPI_AGGREGATED_DEFINITION_TYPE__METRIC_FILTER);
		createEReference(kpiAggregatedDefinitionTypeEClass, KPI_AGGREGATED_DEFINITION_TYPE__DATE_TIME_METRIC_FILTER);
		createEAttribute(kpiAggregatedDefinitionTypeEClass, KPI_AGGREGATED_DEFINITION_TYPE__AGGREGATION_TYPE);
		createEAttribute(kpiAggregatedDefinitionTypeEClass, KPI_AGGREGATED_DEFINITION_TYPE__VERSION_AGGREGATION);

		kpiCalculatedDefinitionTypeEClass = createEClass(KPI_CALCULATED_DEFINITION_TYPE);
		createEReference(kpiCalculatedDefinitionTypeEClass, KPI_CALCULATED_DEFINITION_TYPE__KPI_CALCULATION);

		kpiContextTypeEClass = createEClass(KPI_CONTEXT_TYPE);
		createEAttribute(kpiContextTypeEClass, KPI_CONTEXT_TYPE__GROUP1);
		createEReference(kpiContextTypeEClass, KPI_CONTEXT_TYPE__KPI);

		kpiDateTimeMetricFilterRefTypeEClass = createEClass(KPI_DATE_TIME_METRIC_FILTER_REF_TYPE);
		createEReference(kpiDateTimeMetricFilterRefTypeEClass, KPI_DATE_TIME_METRIC_FILTER_REF_TYPE__REPEATING_PERIOD);
		createEReference(kpiDateTimeMetricFilterRefTypeEClass, KPI_DATE_TIME_METRIC_FILTER_REF_TYPE__ROLLING_PERIOD);
		createEReference(kpiDateTimeMetricFilterRefTypeEClass, KPI_DATE_TIME_METRIC_FILTER_REF_TYPE__FIXED_PERIOD);

		kpiMetricFilterRefTypeEClass = createEClass(KPI_METRIC_FILTER_REF_TYPE);
		createEReference(kpiMetricFilterRefTypeEClass, KPI_METRIC_FILTER_REF_TYPE__VALUE);
		createEAttribute(kpiMetricFilterRefTypeEClass, KPI_METRIC_FILTER_REF_TYPE__IS_CASE_SENSITIVE);
		createEAttribute(kpiMetricFilterRefTypeEClass, KPI_METRIC_FILTER_REF_TYPE__OPERATOR);

		kpiModelNamedElementTypeEClass = createEClass(KPI_MODEL_NAMED_ELEMENT_TYPE);

		kpiModelTypeEClass = createEClass(KPI_MODEL_TYPE);
		createEAttribute(kpiModelTypeEClass, KPI_MODEL_TYPE__GROUP);
		createEReference(kpiModelTypeEClass, KPI_MODEL_TYPE__KPI_CONTEXT);

		kpiTypeEClass = createEClass(KPI_TYPE);
		createEReference(kpiTypeEClass, KPI_TYPE__AGGREGATED_DEFINITION);
		createEReference(kpiTypeEClass, KPI_TYPE__CALCULATED_DEFINITION);
		createEReference(kpiTypeEClass, KPI_TYPE__TARGET);
		createEReference(kpiTypeEClass, KPI_TYPE__RANGE);
		createEAttribute(kpiTypeEClass, KPI_TYPE__RANGE_TYPE);
		createEAttribute(kpiTypeEClass, KPI_TYPE__TYPE);

		mapTypeEClass = createEClass(MAP_TYPE);
		createEReference(mapTypeEClass, MAP_TYPE__TRIGGER);
		createEReference(mapTypeEClass, MAP_TYPE__OUTPUT_VALUE);

		measureTypeEClass = createEClass(MEASURE_TYPE);
		createEAttribute(measureTypeEClass, MEASURE_TYPE__AGGREGATION_TYPE);
		createEAttribute(measureTypeEClass, MEASURE_TYPE__SOURCE);
		createEAttribute(measureTypeEClass, MEASURE_TYPE__TRACKING_KEY);

		metricTypeEClass = createEClass(METRIC_TYPE);
		createEReference(metricTypeEClass, METRIC_TYPE__MAP);
		createEReference(metricTypeEClass, METRIC_TYPE__DEFAULT_VALUE);
		createEAttribute(metricTypeEClass, METRIC_TYPE__IS_MULTI_BYTE);
		createEAttribute(metricTypeEClass, METRIC_TYPE__IS_PART_OF_KEY);
		createEAttribute(metricTypeEClass, METRIC_TYPE__MAX_STRING_LENGTH);
		createEAttribute(metricTypeEClass, METRIC_TYPE__VALUE_REQUIRED);

		monitorDetailsModelNamedElementTypeEClass = createEClass(MONITOR_DETAILS_MODEL_NAMED_ELEMENT_TYPE);

		monitorDetailsModelTypeEClass = createEClass(MONITOR_DETAILS_MODEL_TYPE);
		createEAttribute(monitorDetailsModelTypeEClass, MONITOR_DETAILS_MODEL_TYPE__GROUP);
		createEReference(monitorDetailsModelTypeEClass, MONITOR_DETAILS_MODEL_TYPE__MONITORING_CONTEXT);

		monitoringContextTypeEClass = createEClass(MONITORING_CONTEXT_TYPE);
		createEAttribute(monitoringContextTypeEClass, MONITORING_CONTEXT_TYPE__GROUP1);
		createEReference(monitoringContextTypeEClass, MONITORING_CONTEXT_TYPE__METRIC);
		createEReference(monitoringContextTypeEClass, MONITORING_CONTEXT_TYPE__COUNTER);
		createEReference(monitoringContextTypeEClass, MONITORING_CONTEXT_TYPE__STOPWATCH);
		createEReference(monitoringContextTypeEClass, MONITORING_CONTEXT_TYPE__MONITORING_CONTEXT);

		monitorTypeEClass = createEClass(MONITOR_TYPE);
		createEReference(monitorTypeEClass, MONITOR_TYPE__XPATH_FUNCTIONS);
		createEReference(monitorTypeEClass, MONITOR_TYPE__MONITOR_DETAILS_MODEL);
		createEReference(monitorTypeEClass, MONITOR_TYPE__KPI_MODEL);
		createEReference(monitorTypeEClass, MONITOR_TYPE__DIMENSIONAL_MODEL);
		createEReference(monitorTypeEClass, MONITOR_TYPE__VISUAL_MODEL);
		createEReference(monitorTypeEClass, MONITOR_TYPE__EVENT_MODEL);
		createEAttribute(monitorTypeEClass, MONITOR_TYPE__TARGET_NAMESPACE);
		createEAttribute(monitorTypeEClass, MONITOR_TYPE__TIMESTAMP);

		namedElementTypeEClass = createEClass(NAMED_ELEMENT_TYPE);
		createEAttribute(namedElementTypeEClass, NAMED_ELEMENT_TYPE__DISPLAY_NAME);
		createEAttribute(namedElementTypeEClass, NAMED_ELEMENT_TYPE__ID);

		outboundEventTypeEClass = createEClass(OUTBOUND_EVENT_TYPE);
		createEReference(outboundEventTypeEClass, OUTBOUND_EVENT_TYPE__EVENT_PART);
		createEReference(outboundEventTypeEClass, OUTBOUND_EVENT_TYPE__MAP);
		createEReference(outboundEventTypeEClass, OUTBOUND_EVENT_TYPE__FILTER);
		createEAttribute(outboundEventTypeEClass, OUTBOUND_EVENT_TYPE__EXTENSION_NAME);
		createEAttribute(outboundEventTypeEClass, OUTBOUND_EVENT_TYPE__ROOT_ELEMENT);

		positionTypeEClass = createEClass(POSITION_TYPE);
		createEAttribute(positionTypeEClass, POSITION_TYPE__X);
		createEAttribute(positionTypeEClass, POSITION_TYPE__Y);

		rangeTypeEClass = createEClass(RANGE_TYPE);
		createEReference(rangeTypeEClass, RANGE_TYPE__START_VALUE);
		createEReference(rangeTypeEClass, RANGE_TYPE__END_VALUE);

		referenceTypeEClass = createEClass(REFERENCE_TYPE);
		createEAttribute(referenceTypeEClass, REFERENCE_TYPE__REF);

		setColorTypeEClass = createEClass(SET_COLOR_TYPE);
		createEReference(setColorTypeEClass, SET_COLOR_TYPE__SHAPE_SET);
		createEAttribute(setColorTypeEClass, SET_COLOR_TYPE__FILL_COLOR);
		createEAttribute(setColorTypeEClass, SET_COLOR_TYPE__OUTLINE_COLOR);

		setDiagramLinkTypeEClass = createEClass(SET_DIAGRAM_LINK_TYPE);
		createEReference(setDiagramLinkTypeEClass, SET_DIAGRAM_LINK_TYPE__SHAPE_SET);
		createEAttribute(setDiagramLinkTypeEClass, SET_DIAGRAM_LINK_TYPE__TARGET_CONTEXT);

		setTextTypeEClass = createEClass(SET_TEXT_TYPE);
		createEReference(setTextTypeEClass, SET_TEXT_TYPE__SHAPE_SET);
		createEReference(setTextTypeEClass, SET_TEXT_TYPE__TEXT_POSITION);
		createEAttribute(setTextTypeEClass, SET_TEXT_TYPE__TEXT_COLOR);
		createEAttribute(setTextTypeEClass, SET_TEXT_TYPE__TEXT_VALUE);

		shapeSetRefTypeEClass = createEClass(SHAPE_SET_REF_TYPE);
		createEAttribute(shapeSetRefTypeEClass, SHAPE_SET_REF_TYPE__REF);

		shapeSetsTypeEClass = createEClass(SHAPE_SETS_TYPE);
		createEReference(shapeSetsTypeEClass, SHAPE_SETS_TYPE__SHAPE_SET);

		shapeSetTypeEClass = createEClass(SHAPE_SET_TYPE);
		createEAttribute(shapeSetTypeEClass, SHAPE_SET_TYPE__SHAPES);

		startNamedElementTypeEClass = createEClass(START_NAMED_ELEMENT_TYPE);

		startValueNamedElementTypeEClass = createEClass(START_VALUE_NAMED_ELEMENT_TYPE);
		createEAttribute(startValueNamedElementTypeEClass, START_VALUE_NAMED_ELEMENT_TYPE__VALUE);

		stopwatchTypeEClass = createEClass(STOPWATCH_TYPE);
		createEAttribute(stopwatchTypeEClass, STOPWATCH_TYPE__GROUP);
		createEReference(stopwatchTypeEClass, STOPWATCH_TYPE__STARTED_WHEN);
		createEReference(stopwatchTypeEClass, STOPWATCH_TYPE__STOPPED_WHEN);
		createEReference(stopwatchTypeEClass, STOPWATCH_TYPE__RESET_WHEN);
		createEAttribute(stopwatchTypeEClass, STOPWATCH_TYPE__IS_ACCUMULATED);

		svgDocumentTypeEClass = createEClass(SVG_DOCUMENT_TYPE);
		createEReference(svgDocumentTypeEClass, SVG_DOCUMENT_TYPE__IMPORT);

		targetValueTypeEClass = createEClass(TARGET_VALUE_TYPE);
		createEAttribute(targetValueTypeEClass, TARGET_VALUE_TYPE__VALUE);

		timeIntervalsTypeEClass = createEClass(TIME_INTERVALS_TYPE);
		createEAttribute(timeIntervalsTypeEClass, TIME_INTERVALS_TYPE__DAYS);
		createEAttribute(timeIntervalsTypeEClass, TIME_INTERVALS_TYPE__HOURS);
		createEAttribute(timeIntervalsTypeEClass, TIME_INTERVALS_TYPE__MINUTES);

		triggerTypeEClass = createEClass(TRIGGER_TYPE);
		createEAttribute(triggerTypeEClass, TRIGGER_TYPE__GROUP);
		createEReference(triggerTypeEClass, TRIGGER_TYPE__ON_TRIGGER);
		createEReference(triggerTypeEClass, TRIGGER_TYPE__EVALUATION_TIME);
		createEReference(triggerTypeEClass, TRIGGER_TYPE__ON_VALUE_CHANGE);
		createEReference(triggerTypeEClass, TRIGGER_TYPE__ON_EVENT);
		createEReference(triggerTypeEClass, TRIGGER_TYPE__GATING_CONDITION);
		createEAttribute(triggerTypeEClass, TRIGGER_TYPE__IS_REPEATABLE);
		createEAttribute(triggerTypeEClass, TRIGGER_TYPE__TERMINATE_CONTEXT);

		valueSpecificationTypeEClass = createEClass(VALUE_SPECIFICATION_TYPE);
		createEReference(valueSpecificationTypeEClass, VALUE_SPECIFICATION_TYPE__SINGLE_VALUE);
		createEReference(valueSpecificationTypeEClass, VALUE_SPECIFICATION_TYPE__ASSIGNMENTS);

		visualizationTypeEClass = createEClass(VISUALIZATION_TYPE);
		createEReference(visualizationTypeEClass, VISUALIZATION_TYPE__SHAPE_SETS);
		createEReference(visualizationTypeEClass, VISUALIZATION_TYPE__ACTIONS);
		createEReference(visualizationTypeEClass, VISUALIZATION_TYPE__SVG_DOCUMENT);
		createEAttribute(visualizationTypeEClass, VISUALIZATION_TYPE__CONTEXT);

		visualModelNamedElementTypeEClass = createEClass(VISUAL_MODEL_NAMED_ELEMENT_TYPE);

		visualModelTypeEClass = createEClass(VISUAL_MODEL_TYPE);
		createEReference(visualModelTypeEClass, VISUAL_MODEL_TYPE__VISUALIZATION);

		xPathFunctionsTypeEClass = createEClass(XPATH_FUNCTIONS_TYPE);
		createEReference(xPathFunctionsTypeEClass, XPATH_FUNCTIONS_TYPE__IMPORT);

		// Create enums
		aggregationTypeEEnum = createEEnum(AGGREGATION_TYPE);
		eventDeliveryOptionMultipleMatchesTypeEEnum = createEEnum(EVENT_DELIVERY_OPTION_MULTIPLE_MATCHES_TYPE);
		eventDeliveryOptionNoMatchesTypeEEnum = createEEnum(EVENT_DELIVERY_OPTION_NO_MATCHES_TYPE);
		eventDeliveryOptionOneMatchTypeEEnum = createEEnum(EVENT_DELIVERY_OPTION_ONE_MATCH_TYPE);
		kpiMetricFilterOperatorTypeEEnum = createEEnum(KPI_METRIC_FILTER_OPERATOR_TYPE);
		periodBasisTypeEEnum = createEEnum(PERIOD_BASIS_TYPE);
		rangeTypeTypeEEnum = createEEnum(RANGE_TYPE_TYPE);
		repeatingPeriodTypeTypeEEnum = createEEnum(REPEATING_PERIOD_TYPE_TYPE);
		rollingPeriodTypeTypeEEnum = createEEnum(ROLLING_PERIOD_TYPE_TYPE);
		versionAggregationTypeEEnum = createEEnum(VERSION_AGGREGATION_TYPE);

		// Create data types
		aggregationTypeObjectEDataType = createEDataType(AGGREGATION_TYPE_OBJECT);
		eventDeliveryOptionMultipleMatchesTypeObjectEDataType = createEDataType(EVENT_DELIVERY_OPTION_MULTIPLE_MATCHES_TYPE_OBJECT);
		eventDeliveryOptionNoMatchesTypeObjectEDataType = createEDataType(EVENT_DELIVERY_OPTION_NO_MATCHES_TYPE_OBJECT);
		eventDeliveryOptionOneMatchTypeObjectEDataType = createEDataType(EVENT_DELIVERY_OPTION_ONE_MATCH_TYPE_OBJECT);
		kpiMetricFilterOperatorTypeObjectEDataType = createEDataType(KPI_METRIC_FILTER_OPERATOR_TYPE_OBJECT);
		nameTypeEDataType = createEDataType(NAME_TYPE);
		periodBasisTypeObjectEDataType = createEDataType(PERIOD_BASIS_TYPE_OBJECT);
		rangeTypeTypeObjectEDataType = createEDataType(RANGE_TYPE_TYPE_OBJECT);
		repeatingPeriodTypeTypeObjectEDataType = createEDataType(REPEATING_PERIOD_TYPE_TYPE_OBJECT);
		rollingPeriodTypeTypeObjectEDataType = createEDataType(ROLLING_PERIOD_TYPE_TYPE_OBJECT);
		shapesListTypeEDataType = createEDataType(SHAPES_LIST_TYPE);
		versionAggregationTypeObjectEDataType = createEDataType(VERSION_AGGREGATION_TYPE_OBJECT);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isInitialized = false;

	/**
	 * Complete the initialization of the package and its meta-model.  This
	 * method is guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void initializePackageContents() {
		if (isInitialized) return;
		isInitialized = true;

		// Initialize package
		setName(eNAME);
		setNsPrefix(eNS_PREFIX);
		setNsURI(eNS_URI);

		// Obtain other dependent packages
		XMLTypePackage theXMLTypePackage = (XMLTypePackage)EPackage.Registry.INSTANCE.getEPackage(XMLTypePackage.eNS_URI);

		// Add supertypes to classes
		baseMetricTypeEClass.getESuperTypes().add(this.getNamedElementType());
		contextTypeEClass.getESuperTypes().add(this.getNamedElementType());
		counterTypeEClass.getESuperTypes().add(this.getBaseMetricType());
		cubeTypeEClass.getESuperTypes().add(this.getNamedElementType());
		dimensionalModelNamedElementTypeEClass.getESuperTypes().add(this.getNamedElementType());
		dimensionalModelTypeEClass.getESuperTypes().add(this.getDimensionalModelNamedElementType());
		dimensionAttributeTypeEClass.getESuperTypes().add(this.getNamedElementType());
		dimensionTypeEClass.getESuperTypes().add(this.getNamedElementType());
		endNamedElementTypeEClass.getESuperTypes().add(this.getNamedElementType());
		endValueNamedElementTypeEClass.getESuperTypes().add(this.getEndNamedElementType());
		eventModelNamedElementTypeEClass.getESuperTypes().add(this.getNamedElementType());
		eventModelTypeEClass.getESuperTypes().add(this.getEventModelNamedElementType());
		eventPartTypeEClass.getESuperTypes().add(this.getNamedElementType());
		hideShapesTypeEClass.getESuperTypes().add(this.getActionType());
		inboundEventTypeEClass.getESuperTypes().add(this.getNamedElementType());
		kpiContextTypeEClass.getESuperTypes().add(this.getContextType());
		kpiDateTimeMetricFilterRefTypeEClass.getESuperTypes().add(this.getReferenceType());
		kpiMetricFilterRefTypeEClass.getESuperTypes().add(this.getReferenceType());
		kpiModelNamedElementTypeEClass.getESuperTypes().add(this.getNamedElementType());
		kpiModelTypeEClass.getESuperTypes().add(this.getKPIModelNamedElementType());
		kpiTypeEClass.getESuperTypes().add(this.getNamedElementType());
		mapTypeEClass.getESuperTypes().add(this.getDescribableElementType());
		measureTypeEClass.getESuperTypes().add(this.getNamedElementType());
		metricTypeEClass.getESuperTypes().add(this.getBaseMetricType());
		monitorDetailsModelNamedElementTypeEClass.getESuperTypes().add(this.getNamedElementType());
		monitorDetailsModelTypeEClass.getESuperTypes().add(this.getMonitorDetailsModelNamedElementType());
		monitoringContextTypeEClass.getESuperTypes().add(this.getContextType());
		monitorTypeEClass.getESuperTypes().add(this.getNamedElementType());
		namedElementTypeEClass.getESuperTypes().add(this.getDescribableElementType());
		outboundEventTypeEClass.getESuperTypes().add(this.getNamedElementType());
		rangeTypeEClass.getESuperTypes().add(this.getNamedElementType());
		setColorTypeEClass.getESuperTypes().add(this.getActionType());
		setDiagramLinkTypeEClass.getESuperTypes().add(this.getActionType());
		setTextTypeEClass.getESuperTypes().add(this.getActionType());
		shapeSetTypeEClass.getESuperTypes().add(this.getNamedElementType());
		startNamedElementTypeEClass.getESuperTypes().add(this.getNamedElementType());
		startValueNamedElementTypeEClass.getESuperTypes().add(this.getStartNamedElementType());
		stopwatchTypeEClass.getESuperTypes().add(this.getBaseMetricType());
		targetValueTypeEClass.getESuperTypes().add(this.getNamedElementType());
		triggerTypeEClass.getESuperTypes().add(this.getNamedElementType());
		visualModelNamedElementTypeEClass.getESuperTypes().add(this.getNamedElementType());
		visualModelTypeEClass.getESuperTypes().add(this.getVisualModelNamedElementType());

		// Initialize classes and features; add operations and parameters
		initEClass(actionsTypeEClass, ActionsType.class, "ActionsType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getActionsType_Group(), ecorePackage.getEFeatureMapEntry(), "group", null, 0, -1, ActionsType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getActionsType_SetColor(), this.getSetColorType(), null, "setColor", null, 0, -1, ActionsType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEReference(getActionsType_SetText(), this.getSetTextType(), null, "setText", null, 0, -1, ActionsType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEReference(getActionsType_HideShapes(), this.getHideShapesType(), null, "hideShapes", null, 0, -1, ActionsType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEReference(getActionsType_SetDiagramLink(), this.getSetDiagramLinkType(), null, "setDiagramLink", null, 0, -1, ActionsType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);

		initEClass(actionTypeEClass, ActionType.class, "ActionType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getActionType_Condition(), theXMLTypePackage.getString(), "condition", null, 0, 1, ActionType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(assignmentListSpecificationTypeEClass, AssignmentListSpecificationType.class, "AssignmentListSpecificationType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getAssignmentListSpecificationType_Assignment(), this.getAssignmentSpecificationType(), null, "assignment", null, 1, -1, AssignmentListSpecificationType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(assignmentSpecificationTypeEClass, AssignmentSpecificationType.class, "AssignmentSpecificationType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getAssignmentSpecificationType_LeftValue(), theXMLTypePackage.getString(), "leftValue", null, 1, 1, AssignmentSpecificationType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getAssignmentSpecificationType_RightValue(), theXMLTypePackage.getString(), "rightValue", null, 1, 1, AssignmentSpecificationType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(baseMetricTypeEClass, BaseMetricType.class, "BaseMetricType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getBaseMetricType_IsSortable(), theXMLTypePackage.getBoolean(), "isSortable", "false", 0, 1, BaseMetricType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getBaseMetricType_Type(), theXMLTypePackage.getQName(), "type", null, 1, 1, BaseMetricType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(contextTypeEClass, ContextType.class, "ContextType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getContextType_Group(), ecorePackage.getEFeatureMapEntry(), "group", null, 0, -1, ContextType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getContextType_Trigger(), this.getTriggerType(), null, "trigger", null, 0, -1, ContextType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEReference(getContextType_InboundEvent(), this.getInboundEventType(), null, "inboundEvent", null, 0, -1, ContextType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEReference(getContextType_OutboundEvent(), this.getOutboundEventType(), null, "outboundEvent", null, 0, -1, ContextType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEAttribute(getContextType_EventSequenceIDPath(), theXMLTypePackage.getString(), "eventSequenceIDPath", null, 0, 1, ContextType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(counterTypeEClass, CounterType.class, "CounterType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getCounterType_Group(), ecorePackage.getEFeatureMapEntry(), "group", null, 0, -1, CounterType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getCounterType_IncrementedWhen(), this.getReferenceType(), null, "incrementedWhen", null, 0, -1, CounterType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEReference(getCounterType_DecrementedWhen(), this.getReferenceType(), null, "decrementedWhen", null, 0, -1, CounterType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEReference(getCounterType_SetToZeroWhen(), this.getReferenceType(), null, "setToZeroWhen", null, 0, -1, CounterType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);

		initEClass(cubeTypeEClass, CubeType.class, "CubeType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getCubeType_Measure(), this.getMeasureType(), null, "measure", null, 0, -1, CubeType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getCubeType_Dimension(), this.getDimensionType(), null, "dimension", null, 0, -1, CubeType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getCubeType_MonitoringContext(), theXMLTypePackage.getString(), "monitoringContext", null, 1, 1, CubeType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(dateTimeDimensionFixedPeriodTypeEClass, DateTimeDimensionFixedPeriodType.class, "DateTimeDimensionFixedPeriodType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getDateTimeDimensionFixedPeriodType_EndDate(), theXMLTypePackage.getDateTime(), "endDate", null, 0, 1, DateTimeDimensionFixedPeriodType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getDateTimeDimensionFixedPeriodType_StartDate(), theXMLTypePackage.getDateTime(), "startDate", null, 0, 1, DateTimeDimensionFixedPeriodType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getDateTimeDimensionFixedPeriodType_Timezone(), theXMLTypePackage.getString(), "timezone", null, 1, 1, DateTimeDimensionFixedPeriodType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(dateTimeDimensionRepeatingPeriodTypeEClass, DateTimeDimensionRepeatingPeriodType.class, "DateTimeDimensionRepeatingPeriodType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getDateTimeDimensionRepeatingPeriodType_PeriodBasis(), this.getPeriodBasisType(), "periodBasis", "previousPeriod", 1, 1, DateTimeDimensionRepeatingPeriodType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getDateTimeDimensionRepeatingPeriodType_PeriodType(), this.getRepeatingPeriodTypeType(), "periodType", "daily", 1, 1, DateTimeDimensionRepeatingPeriodType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getDateTimeDimensionRepeatingPeriodType_Timezone(), theXMLTypePackage.getString(), "timezone", null, 1, 1, DateTimeDimensionRepeatingPeriodType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(dateTimeDimensionRollingPeriodTypeEClass, DateTimeDimensionRollingPeriodType.class, "DateTimeDimensionRollingPeriodType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getDateTimeDimensionRollingPeriodType_NumPeriods(), theXMLTypePackage.getPositiveInteger(), "numPeriods", null, 1, 1, DateTimeDimensionRollingPeriodType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getDateTimeDimensionRollingPeriodType_PeriodType(), this.getRollingPeriodTypeType(), "periodType", "minutes", 1, 1, DateTimeDimensionRollingPeriodType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(describableElementTypeEClass, DescribableElementType.class, "DescribableElementType", IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getDescribableElementType_Description(), theXMLTypePackage.getString(), "description", null, 0, 1, DescribableElementType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(dimensionalModelNamedElementTypeEClass, DimensionalModelNamedElementType.class, "DimensionalModelNamedElementType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(dimensionalModelTypeEClass, DimensionalModelType.class, "DimensionalModelType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getDimensionalModelType_Cube(), this.getCubeType(), null, "cube", null, 0, -1, DimensionalModelType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(dimensionAttributeTypeEClass, DimensionAttributeType.class, "DimensionAttributeType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getDimensionAttributeType_AttributeSource(), theXMLTypePackage.getString(), "attributeSource", null, 1, 1, DimensionAttributeType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getDimensionAttributeType_Level(), theXMLTypePackage.getPositiveInteger(), "level", null, 1, 1, DimensionAttributeType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(dimensionTypeEClass, DimensionType.class, "DimensionType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getDimensionType_Attribute(), this.getDimensionAttributeType(), null, "attribute", null, 1, -1, DimensionType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(documentRootEClass, DocumentRoot.class, "DocumentRoot", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getDocumentRoot_Mixed(), ecorePackage.getEFeatureMapEntry(), "mixed", null, 0, -1, null, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getDocumentRoot_XMLNSPrefixMap(), ecorePackage.getEStringToStringMapEntry(), null, "xMLNSPrefixMap", null, 0, -1, null, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getDocumentRoot_XSISchemaLocation(), ecorePackage.getEStringToStringMapEntry(), null, "xSISchemaLocation", null, 0, -1, null, IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getDocumentRoot_Monitor(), this.getMonitorType(), null, "monitor", null, 0, -2, null, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);

		initEClass(endNamedElementTypeEClass, EndNamedElementType.class, "EndNamedElementType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(endValueNamedElementTypeEClass, EndValueNamedElementType.class, "EndValueNamedElementType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getEndValueNamedElementType_Value(), theXMLTypePackage.getDecimal(), "value", null, 1, 1, EndValueNamedElementType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(eventModelNamedElementTypeEClass, EventModelNamedElementType.class, "EventModelNamedElementType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(eventModelTypeEClass, EventModelType.class, "EventModelType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getEventModelType_Import(), this.getImportType(), null, "import", null, 0, -1, EventModelType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(eventPartTypeEClass, EventPartType.class, "EventPartType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getEventPartType_Path(), theXMLTypePackage.getString(), "path", null, 1, 1, EventPartType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getEventPartType_Type(), theXMLTypePackage.getQName(), "type", null, 0, 1, EventPartType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(expressionSpecificationTypeEClass, ExpressionSpecificationType.class, "ExpressionSpecificationType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getExpressionSpecificationType_Expression(), theXMLTypePackage.getString(), "expression", null, 1, 1, ExpressionSpecificationType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(hideShapesTypeEClass, HideShapesType.class, "HideShapesType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getHideShapesType_ShapeSet(), this.getShapeSetRefType(), null, "shapeSet", null, 1, -1, HideShapesType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(importTypeEClass, ImportType.class, "ImportType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getImportType_Location(), theXMLTypePackage.getAnyURI(), "location", null, 0, 1, ImportType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getImportType_Namespace(), theXMLTypePackage.getAnyURI(), "namespace", null, 0, 1, ImportType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(inboundEventTypeEClass, InboundEventType.class, "InboundEventType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getInboundEventType_EventPart(), this.getEventPartType(), null, "eventPart", null, 0, -1, InboundEventType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getInboundEventType_CorrelationPredicate(), this.getExpressionSpecificationType(), null, "correlationPredicate", null, 0, 1, InboundEventType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getInboundEventType_Filter(), this.getExpressionSpecificationType(), null, "filter", null, 0, 1, InboundEventType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getInboundEventType_EventSequenceIDPath(), theXMLTypePackage.getString(), "eventSequenceIDPath", null, 0, 1, InboundEventType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getInboundEventType_ExtensionName(), theXMLTypePackage.getString(), "extensionName", null, 0, 1, InboundEventType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getInboundEventType_MultipleCorrelationMatches(), this.getEventDeliveryOptionMultipleMatchesType(), "multipleCorrelationMatches", "ignore", 0, 1, InboundEventType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getInboundEventType_NoCorrelationMatches(), this.getEventDeliveryOptionNoMatchesType(), "noCorrelationMatches", "ignore", 0, 1, InboundEventType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getInboundEventType_OneCorrelationMatch(), this.getEventDeliveryOptionOneMatchType(), "oneCorrelationMatch", "ignore", 0, 1, InboundEventType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getInboundEventType_RootElement(), theXMLTypePackage.getQName(), "rootElement", null, 1, 1, InboundEventType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getInboundEventType_TerminateContext(), theXMLTypePackage.getBoolean(), "terminateContext", "false", 0, 1, InboundEventType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(kpiAggregatedDefinitionTypeEClass, KPIAggregatedDefinitionType.class, "KPIAggregatedDefinitionType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getKPIAggregatedDefinitionType_MonitoringContext(), this.getReferenceType(), null, "monitoringContext", null, 1, 1, KPIAggregatedDefinitionType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getKPIAggregatedDefinitionType_Metric(), this.getReferenceType(), null, "metric", null, 1, 1, KPIAggregatedDefinitionType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getKPIAggregatedDefinitionType_MetricFilter(), this.getKPIMetricFilterRefType(), null, "metricFilter", null, 0, -1, KPIAggregatedDefinitionType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getKPIAggregatedDefinitionType_DateTimeMetricFilter(), this.getKPIDateTimeMetricFilterRefType(), null, "dateTimeMetricFilter", null, 0, 1, KPIAggregatedDefinitionType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getKPIAggregatedDefinitionType_AggregationType(), this.getAggregationType(), "aggregationType", "min", 1, 1, KPIAggregatedDefinitionType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getKPIAggregatedDefinitionType_VersionAggregation(), this.getVersionAggregationType(), "versionAggregation", "allVersions", 0, 1, KPIAggregatedDefinitionType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(kpiCalculatedDefinitionTypeEClass, KPICalculatedDefinitionType.class, "KPICalculatedDefinitionType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getKPICalculatedDefinitionType_KpiCalculation(), this.getExpressionSpecificationType(), null, "kpiCalculation", null, 1, 1, KPICalculatedDefinitionType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(kpiContextTypeEClass, KPIContextType.class, "KPIContextType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getKPIContextType_Group1(), ecorePackage.getEFeatureMapEntry(), "group1", null, 0, -1, KPIContextType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getKPIContextType_Kpi(), this.getKPIType(), null, "kpi", null, 0, -1, KPIContextType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);

		initEClass(kpiDateTimeMetricFilterRefTypeEClass, KPIDateTimeMetricFilterRefType.class, "KPIDateTimeMetricFilterRefType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getKPIDateTimeMetricFilterRefType_RepeatingPeriod(), this.getDateTimeDimensionRepeatingPeriodType(), null, "repeatingPeriod", null, 0, 1, KPIDateTimeMetricFilterRefType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getKPIDateTimeMetricFilterRefType_RollingPeriod(), this.getDateTimeDimensionRollingPeriodType(), null, "rollingPeriod", null, 0, 1, KPIDateTimeMetricFilterRefType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getKPIDateTimeMetricFilterRefType_FixedPeriod(), this.getDateTimeDimensionFixedPeriodType(), null, "fixedPeriod", null, 0, 1, KPIDateTimeMetricFilterRefType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(kpiMetricFilterRefTypeEClass, KPIMetricFilterRefType.class, "KPIMetricFilterRefType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getKPIMetricFilterRefType_Value(), this.getExpressionSpecificationType(), null, "value", null, 0, -1, KPIMetricFilterRefType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getKPIMetricFilterRefType_IsCaseSensitive(), theXMLTypePackage.getBoolean(), "isCaseSensitive", "false", 0, 1, KPIMetricFilterRefType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getKPIMetricFilterRefType_Operator(), this.getKPIMetricFilterOperatorType(), "operator", "equals", 1, 1, KPIMetricFilterRefType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(kpiModelNamedElementTypeEClass, KPIModelNamedElementType.class, "KPIModelNamedElementType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(kpiModelTypeEClass, KPIModelType.class, "KPIModelType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getKPIModelType_Group(), ecorePackage.getEFeatureMapEntry(), "group", null, 0, -1, KPIModelType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getKPIModelType_KpiContext(), this.getKPIContextType(), null, "kpiContext", null, 0, -1, KPIModelType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);

		initEClass(kpiTypeEClass, KPIType.class, "KPIType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getKPIType_AggregatedDefinition(), this.getKPIAggregatedDefinitionType(), null, "aggregatedDefinition", null, 0, 1, KPIType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getKPIType_CalculatedDefinition(), this.getKPICalculatedDefinitionType(), null, "calculatedDefinition", null, 0, 1, KPIType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getKPIType_Target(), this.getTargetValueType(), null, "target", null, 0, 1, KPIType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getKPIType_Range(), this.getRangeType(), null, "range", null, 0, -1, KPIType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getKPIType_RangeType(), this.getRangeTypeType(), "rangeType", "actualValue", 1, 1, KPIType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getKPIType_Type(), theXMLTypePackage.getQName(), "type", null, 1, 1, KPIType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(mapTypeEClass, MapType.class, "MapType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getMapType_Trigger(), this.getReferenceType(), null, "trigger", null, 0, 1, MapType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getMapType_OutputValue(), this.getValueSpecificationType(), null, "outputValue", null, 1, 1, MapType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(measureTypeEClass, MeasureType.class, "MeasureType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getMeasureType_AggregationType(), this.getAggregationType(), "aggregationType", "min", 1, 1, MeasureType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getMeasureType_Source(), theXMLTypePackage.getString(), "source", null, 1, 1, MeasureType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getMeasureType_TrackingKey(), theXMLTypePackage.getString(), "trackingKey", null, 0, 1, MeasureType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(metricTypeEClass, MetricType.class, "MetricType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getMetricType_Map(), this.getMapType(), null, "map", null, 0, -1, MetricType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getMetricType_DefaultValue(), this.getValueSpecificationType(), null, "defaultValue", null, 0, 1, MetricType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getMetricType_IsMultiByte(), theXMLTypePackage.getBoolean(), "isMultiByte", "false", 0, 1, MetricType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getMetricType_IsPartOfKey(), theXMLTypePackage.getBoolean(), "isPartOfKey", "false", 0, 1, MetricType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getMetricType_MaxStringLength(), theXMLTypePackage.getInteger(), "maxStringLength", "256", 0, 1, MetricType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getMetricType_ValueRequired(), theXMLTypePackage.getBoolean(), "valueRequired", "false", 0, 1, MetricType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(monitorDetailsModelNamedElementTypeEClass, MonitorDetailsModelNamedElementType.class, "MonitorDetailsModelNamedElementType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(monitorDetailsModelTypeEClass, MonitorDetailsModelType.class, "MonitorDetailsModelType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getMonitorDetailsModelType_Group(), ecorePackage.getEFeatureMapEntry(), "group", null, 0, -1, MonitorDetailsModelType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getMonitorDetailsModelType_MonitoringContext(), this.getMonitoringContextType(), null, "monitoringContext", null, 0, -1, MonitorDetailsModelType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);

		initEClass(monitoringContextTypeEClass, MonitoringContextType.class, "MonitoringContextType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getMonitoringContextType_Group1(), ecorePackage.getEFeatureMapEntry(), "group1", null, 0, -1, MonitoringContextType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getMonitoringContextType_Metric(), this.getMetricType(), null, "metric", null, 0, -1, MonitoringContextType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEReference(getMonitoringContextType_Counter(), this.getCounterType(), null, "counter", null, 0, -1, MonitoringContextType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEReference(getMonitoringContextType_Stopwatch(), this.getStopwatchType(), null, "stopwatch", null, 0, -1, MonitoringContextType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEReference(getMonitoringContextType_MonitoringContext(), this.getMonitoringContextType(), null, "monitoringContext", null, 0, -1, MonitoringContextType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);

		initEClass(monitorTypeEClass, MonitorType.class, "MonitorType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getMonitorType_XpathFunctions(), this.getXPathFunctionsType(), null, "xpathFunctions", null, 0, 1, MonitorType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getMonitorType_MonitorDetailsModel(), this.getMonitorDetailsModelType(), null, "monitorDetailsModel", null, 1, 1, MonitorType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getMonitorType_KpiModel(), this.getKPIModelType(), null, "kpiModel", null, 0, 1, MonitorType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getMonitorType_DimensionalModel(), this.getDimensionalModelType(), null, "dimensionalModel", null, 0, 1, MonitorType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getMonitorType_VisualModel(), this.getVisualModelType(), null, "visualModel", null, 0, 1, MonitorType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getMonitorType_EventModel(), this.getEventModelType(), null, "eventModel", null, 0, 1, MonitorType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getMonitorType_TargetNamespace(), theXMLTypePackage.getAnyURI(), "targetNamespace", null, 0, 1, MonitorType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getMonitorType_Timestamp(), theXMLTypePackage.getString(), "timestamp", null, 1, 1, MonitorType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(namedElementTypeEClass, NamedElementType.class, "NamedElementType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getNamedElementType_DisplayName(), this.getNameType(), "displayName", null, 0, 1, NamedElementType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getNamedElementType_Id(), theXMLTypePackage.getNCName(), "id", null, 1, 1, NamedElementType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(outboundEventTypeEClass, OutboundEventType.class, "OutboundEventType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getOutboundEventType_EventPart(), this.getEventPartType(), null, "eventPart", null, 0, -1, OutboundEventType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getOutboundEventType_Map(), this.getMapType(), null, "map", null, 1, -1, OutboundEventType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getOutboundEventType_Filter(), this.getExpressionSpecificationType(), null, "filter", null, 0, 1, OutboundEventType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getOutboundEventType_ExtensionName(), theXMLTypePackage.getString(), "extensionName", null, 0, 1, OutboundEventType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getOutboundEventType_RootElement(), theXMLTypePackage.getQName(), "rootElement", null, 1, 1, OutboundEventType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(positionTypeEClass, PositionType.class, "PositionType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getPositionType_X(), theXMLTypePackage.getInteger(), "x", null, 1, 1, PositionType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getPositionType_Y(), theXMLTypePackage.getInteger(), "y", null, 1, 1, PositionType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(rangeTypeEClass, RangeType.class, "RangeType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getRangeType_StartValue(), this.getStartValueNamedElementType(), null, "startValue", null, 1, 1, RangeType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getRangeType_EndValue(), this.getEndValueNamedElementType(), null, "endValue", null, 1, 1, RangeType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(referenceTypeEClass, ReferenceType.class, "ReferenceType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getReferenceType_Ref(), theXMLTypePackage.getString(), "ref", null, 1, 1, ReferenceType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(setColorTypeEClass, SetColorType.class, "SetColorType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getSetColorType_ShapeSet(), this.getShapeSetRefType(), null, "shapeSet", null, 1, -1, SetColorType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSetColorType_FillColor(), theXMLTypePackage.getString(), "fillColor", null, 0, 1, SetColorType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSetColorType_OutlineColor(), theXMLTypePackage.getString(), "outlineColor", null, 0, 1, SetColorType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(setDiagramLinkTypeEClass, SetDiagramLinkType.class, "SetDiagramLinkType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getSetDiagramLinkType_ShapeSet(), this.getShapeSetRefType(), null, "shapeSet", null, 1, -1, SetDiagramLinkType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSetDiagramLinkType_TargetContext(), theXMLTypePackage.getString(), "targetContext", null, 1, 1, SetDiagramLinkType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(setTextTypeEClass, SetTextType.class, "SetTextType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getSetTextType_ShapeSet(), this.getShapeSetRefType(), null, "shapeSet", null, 0, 1, SetTextType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getSetTextType_TextPosition(), this.getPositionType(), null, "textPosition", null, 0, 1, SetTextType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSetTextType_TextColor(), theXMLTypePackage.getString(), "textColor", null, 0, 1, SetTextType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getSetTextType_TextValue(), theXMLTypePackage.getString(), "textValue", null, 1, 1, SetTextType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(shapeSetRefTypeEClass, ShapeSetRefType.class, "ShapeSetRefType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getShapeSetRefType_Ref(), theXMLTypePackage.getString(), "ref", null, 1, 1, ShapeSetRefType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(shapeSetsTypeEClass, ShapeSetsType.class, "ShapeSetsType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getShapeSetsType_ShapeSet(), this.getShapeSetType(), null, "shapeSet", null, 0, -1, ShapeSetsType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(shapeSetTypeEClass, ShapeSetType.class, "ShapeSetType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getShapeSetType_Shapes(), this.getShapesListType(), "shapes", null, 1, 1, ShapeSetType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(startNamedElementTypeEClass, StartNamedElementType.class, "StartNamedElementType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(startValueNamedElementTypeEClass, StartValueNamedElementType.class, "StartValueNamedElementType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getStartValueNamedElementType_Value(), theXMLTypePackage.getDecimal(), "value", null, 1, 1, StartValueNamedElementType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(stopwatchTypeEClass, StopwatchType.class, "StopwatchType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getStopwatchType_Group(), ecorePackage.getEFeatureMapEntry(), "group", null, 0, -1, StopwatchType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getStopwatchType_StartedWhen(), this.getReferenceType(), null, "startedWhen", null, 0, -1, StopwatchType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEReference(getStopwatchType_StoppedWhen(), this.getReferenceType(), null, "stoppedWhen", null, 0, -1, StopwatchType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEReference(getStopwatchType_ResetWhen(), this.getReferenceType(), null, "resetWhen", null, 0, -1, StopwatchType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEAttribute(getStopwatchType_IsAccumulated(), theXMLTypePackage.getBoolean(), "isAccumulated", "false", 0, 1, StopwatchType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(svgDocumentTypeEClass, SvgDocumentType.class, "SvgDocumentType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getSvgDocumentType_Import(), this.getImportType(), null, "import", null, 0, 1, SvgDocumentType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(targetValueTypeEClass, TargetValueType.class, "TargetValueType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTargetValueType_Value(), theXMLTypePackage.getDecimal(), "value", null, 0, 1, TargetValueType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(timeIntervalsTypeEClass, TimeIntervalsType.class, "TimeIntervalsType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTimeIntervalsType_Days(), theXMLTypePackage.getNonNegativeInteger(), "days", "0", 0, 1, TimeIntervalsType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTimeIntervalsType_Hours(), theXMLTypePackage.getNonNegativeInteger(), "hours", "0", 0, 1, TimeIntervalsType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTimeIntervalsType_Minutes(), theXMLTypePackage.getNonNegativeInteger(), "minutes", "0", 0, 1, TimeIntervalsType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(triggerTypeEClass, TriggerType.class, "TriggerType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEAttribute(getTriggerType_Group(), ecorePackage.getEFeatureMapEntry(), "group", null, 0, -1, TriggerType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getTriggerType_OnTrigger(), this.getReferenceType(), null, "onTrigger", null, 0, -1, TriggerType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEReference(getTriggerType_EvaluationTime(), this.getTimeIntervalsType(), null, "evaluationTime", null, 0, -1, TriggerType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEReference(getTriggerType_OnValueChange(), this.getReferenceType(), null, "onValueChange", null, 0, -1, TriggerType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEReference(getTriggerType_OnEvent(), this.getReferenceType(), null, "onEvent", null, 0, -1, TriggerType.class, IS_TRANSIENT, IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, IS_DERIVED, IS_ORDERED);
		initEReference(getTriggerType_GatingCondition(), this.getExpressionSpecificationType(), null, "gatingCondition", null, 0, 1, TriggerType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTriggerType_IsRepeatable(), theXMLTypePackage.getBoolean(), "isRepeatable", "false", 0, 1, TriggerType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getTriggerType_TerminateContext(), theXMLTypePackage.getBoolean(), "terminateContext", "false", 0, 1, TriggerType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(valueSpecificationTypeEClass, ValueSpecificationType.class, "ValueSpecificationType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getValueSpecificationType_SingleValue(), this.getExpressionSpecificationType(), null, "singleValue", null, 0, 1, ValueSpecificationType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getValueSpecificationType_Assignments(), this.getAssignmentListSpecificationType(), null, "assignments", null, 0, 1, ValueSpecificationType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(visualizationTypeEClass, VisualizationType.class, "VisualizationType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getVisualizationType_ShapeSets(), this.getShapeSetsType(), null, "shapeSets", null, 0, 1, VisualizationType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getVisualizationType_Actions(), this.getActionsType(), null, "actions", null, 0, 1, VisualizationType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getVisualizationType_SvgDocument(), this.getSvgDocumentType(), null, "svgDocument", null, 1, 1, VisualizationType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getVisualizationType_Context(), theXMLTypePackage.getString(), "context", null, 1, 1, VisualizationType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, !IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(visualModelNamedElementTypeEClass, VisualModelNamedElementType.class, "VisualModelNamedElementType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);

		initEClass(visualModelTypeEClass, VisualModelType.class, "VisualModelType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getVisualModelType_Visualization(), this.getVisualizationType(), null, "visualization", null, 0, -1, VisualModelType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(xPathFunctionsTypeEClass, XPathFunctionsType.class, "XPathFunctionsType", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getXPathFunctionsType_Import(), this.getImportType(), null, "import", null, 0, -1, XPathFunctionsType.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		// Initialize enums and add enum literals
		initEEnum(aggregationTypeEEnum, AggregationType.class, "AggregationType");
		addEEnumLiteral(aggregationTypeEEnum, AggregationType.MIN_LITERAL);
		addEEnumLiteral(aggregationTypeEEnum, AggregationType.MAX_LITERAL);
		addEEnumLiteral(aggregationTypeEEnum, AggregationType.SUM_LITERAL);
		addEEnumLiteral(aggregationTypeEEnum, AggregationType.COUNT_LITERAL);
		addEEnumLiteral(aggregationTypeEEnum, AggregationType.AVG_LITERAL);

		initEEnum(eventDeliveryOptionMultipleMatchesTypeEEnum, EventDeliveryOptionMultipleMatchesType.class, "EventDeliveryOptionMultipleMatchesType");
		addEEnumLiteral(eventDeliveryOptionMultipleMatchesTypeEEnum, EventDeliveryOptionMultipleMatchesType.IGNORE_LITERAL);
		addEEnumLiteral(eventDeliveryOptionMultipleMatchesTypeEEnum, EventDeliveryOptionMultipleMatchesType.RAISE_EXCEPTION_LITERAL);
		addEEnumLiteral(eventDeliveryOptionMultipleMatchesTypeEEnum, EventDeliveryOptionMultipleMatchesType.DELIVER_TO_ANY_LITERAL);
		addEEnumLiteral(eventDeliveryOptionMultipleMatchesTypeEEnum, EventDeliveryOptionMultipleMatchesType.DELIVER_TO_ALL_LITERAL);

		initEEnum(eventDeliveryOptionNoMatchesTypeEEnum, EventDeliveryOptionNoMatchesType.class, "EventDeliveryOptionNoMatchesType");
		addEEnumLiteral(eventDeliveryOptionNoMatchesTypeEEnum, EventDeliveryOptionNoMatchesType.IGNORE_LITERAL);
		addEEnumLiteral(eventDeliveryOptionNoMatchesTypeEEnum, EventDeliveryOptionNoMatchesType.RAISE_EXCEPTION_LITERAL);
		addEEnumLiteral(eventDeliveryOptionNoMatchesTypeEEnum, EventDeliveryOptionNoMatchesType.CREATE_NEW_CONTEXT_LITERAL);
		addEEnumLiteral(eventDeliveryOptionNoMatchesTypeEEnum, EventDeliveryOptionNoMatchesType.RETRY_LITERAL);

		initEEnum(eventDeliveryOptionOneMatchTypeEEnum, EventDeliveryOptionOneMatchType.class, "EventDeliveryOptionOneMatchType");
		addEEnumLiteral(eventDeliveryOptionOneMatchTypeEEnum, EventDeliveryOptionOneMatchType.IGNORE_LITERAL);
		addEEnumLiteral(eventDeliveryOptionOneMatchTypeEEnum, EventDeliveryOptionOneMatchType.RAISE_EXCEPTION_LITERAL);
		addEEnumLiteral(eventDeliveryOptionOneMatchTypeEEnum, EventDeliveryOptionOneMatchType.DELIVER_EVENT_LITERAL);

		initEEnum(kpiMetricFilterOperatorTypeEEnum, KPIMetricFilterOperatorType.class, "KPIMetricFilterOperatorType");
		addEEnumLiteral(kpiMetricFilterOperatorTypeEEnum, KPIMetricFilterOperatorType.EQUALS_LITERAL);
		addEEnumLiteral(kpiMetricFilterOperatorTypeEEnum, KPIMetricFilterOperatorType.LESS_THAN_LITERAL);
		addEEnumLiteral(kpiMetricFilterOperatorTypeEEnum, KPIMetricFilterOperatorType.LESS_THAN_OR_EQUALS_LITERAL);
		addEEnumLiteral(kpiMetricFilterOperatorTypeEEnum, KPIMetricFilterOperatorType.GREATER_THAN_LITERAL);
		addEEnumLiteral(kpiMetricFilterOperatorTypeEEnum, KPIMetricFilterOperatorType.GREATER_THAN_OR_EQUALS_LITERAL);
		addEEnumLiteral(kpiMetricFilterOperatorTypeEEnum, KPIMetricFilterOperatorType.NOT_EQUALS_LITERAL);
		addEEnumLiteral(kpiMetricFilterOperatorTypeEEnum, KPIMetricFilterOperatorType.IN_LITERAL);
		addEEnumLiteral(kpiMetricFilterOperatorTypeEEnum, KPIMetricFilterOperatorType.NOT_IN_LITERAL);
		addEEnumLiteral(kpiMetricFilterOperatorTypeEEnum, KPIMetricFilterOperatorType.IS_NULL_LITERAL);
		addEEnumLiteral(kpiMetricFilterOperatorTypeEEnum, KPIMetricFilterOperatorType.IS_NOT_NULL_LITERAL);
		addEEnumLiteral(kpiMetricFilterOperatorTypeEEnum, KPIMetricFilterOperatorType.LIKE_LITERAL);
		addEEnumLiteral(kpiMetricFilterOperatorTypeEEnum, KPIMetricFilterOperatorType.IS_NOT_LIKE_LITERAL);

		initEEnum(periodBasisTypeEEnum, PeriodBasisType.class, "PeriodBasisType");
		addEEnumLiteral(periodBasisTypeEEnum, PeriodBasisType.PREVIOUS_PERIOD_LITERAL);
		addEEnumLiteral(periodBasisTypeEEnum, PeriodBasisType.PERIOD_IN_PROGRESS_LITERAL);

		initEEnum(rangeTypeTypeEEnum, RangeTypeType.class, "RangeTypeType");
		addEEnumLiteral(rangeTypeTypeEEnum, RangeTypeType.ACTUAL_VALUE_LITERAL);
		addEEnumLiteral(rangeTypeTypeEEnum, RangeTypeType.PERCENTAGE_LITERAL);

		initEEnum(repeatingPeriodTypeTypeEEnum, RepeatingPeriodTypeType.class, "RepeatingPeriodTypeType");
		addEEnumLiteral(repeatingPeriodTypeTypeEEnum, RepeatingPeriodTypeType.DAILY_LITERAL);
		addEEnumLiteral(repeatingPeriodTypeTypeEEnum, RepeatingPeriodTypeType.MONTHLY_LITERAL);
		addEEnumLiteral(repeatingPeriodTypeTypeEEnum, RepeatingPeriodTypeType.QUARTERLY_LITERAL);
		addEEnumLiteral(repeatingPeriodTypeTypeEEnum, RepeatingPeriodTypeType.YEARLY_LITERAL);

		initEEnum(rollingPeriodTypeTypeEEnum, RollingPeriodTypeType.class, "RollingPeriodTypeType");
		addEEnumLiteral(rollingPeriodTypeTypeEEnum, RollingPeriodTypeType.MINUTES_LITERAL);
		addEEnumLiteral(rollingPeriodTypeTypeEEnum, RollingPeriodTypeType.HOURS_LITERAL);
		addEEnumLiteral(rollingPeriodTypeTypeEEnum, RollingPeriodTypeType.DAYS_LITERAL);
		addEEnumLiteral(rollingPeriodTypeTypeEEnum, RollingPeriodTypeType.MONTHS_LITERAL);
		addEEnumLiteral(rollingPeriodTypeTypeEEnum, RollingPeriodTypeType.YEARS_LITERAL);

		initEEnum(versionAggregationTypeEEnum, VersionAggregationType.class, "VersionAggregationType");
		addEEnumLiteral(versionAggregationTypeEEnum, VersionAggregationType.SINGLE_VERSION_LITERAL);
		addEEnumLiteral(versionAggregationTypeEEnum, VersionAggregationType.ALL_VERSIONS_LITERAL);

		// Initialize data types
		initEDataType(aggregationTypeObjectEDataType, AggregationType.class, "AggregationTypeObject", IS_SERIALIZABLE, IS_GENERATED_INSTANCE_CLASS);
		initEDataType(eventDeliveryOptionMultipleMatchesTypeObjectEDataType, EventDeliveryOptionMultipleMatchesType.class, "EventDeliveryOptionMultipleMatchesTypeObject", IS_SERIALIZABLE, IS_GENERATED_INSTANCE_CLASS);
		initEDataType(eventDeliveryOptionNoMatchesTypeObjectEDataType, EventDeliveryOptionNoMatchesType.class, "EventDeliveryOptionNoMatchesTypeObject", IS_SERIALIZABLE, IS_GENERATED_INSTANCE_CLASS);
		initEDataType(eventDeliveryOptionOneMatchTypeObjectEDataType, EventDeliveryOptionOneMatchType.class, "EventDeliveryOptionOneMatchTypeObject", IS_SERIALIZABLE, IS_GENERATED_INSTANCE_CLASS);
		initEDataType(kpiMetricFilterOperatorTypeObjectEDataType, KPIMetricFilterOperatorType.class, "KPIMetricFilterOperatorTypeObject", IS_SERIALIZABLE, IS_GENERATED_INSTANCE_CLASS);
		initEDataType(nameTypeEDataType, String.class, "NameType", IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);
		initEDataType(periodBasisTypeObjectEDataType, PeriodBasisType.class, "PeriodBasisTypeObject", IS_SERIALIZABLE, IS_GENERATED_INSTANCE_CLASS);
		initEDataType(rangeTypeTypeObjectEDataType, RangeTypeType.class, "RangeTypeTypeObject", IS_SERIALIZABLE, IS_GENERATED_INSTANCE_CLASS);
		initEDataType(repeatingPeriodTypeTypeObjectEDataType, RepeatingPeriodTypeType.class, "RepeatingPeriodTypeTypeObject", IS_SERIALIZABLE, IS_GENERATED_INSTANCE_CLASS);
		initEDataType(rollingPeriodTypeTypeObjectEDataType, RollingPeriodTypeType.class, "RollingPeriodTypeTypeObject", IS_SERIALIZABLE, IS_GENERATED_INSTANCE_CLASS);
		initEDataType(shapesListTypeEDataType, List.class, "ShapesListType", IS_SERIALIZABLE, !IS_GENERATED_INSTANCE_CLASS);
		initEDataType(versionAggregationTypeObjectEDataType, VersionAggregationType.class, "VersionAggregationTypeObject", IS_SERIALIZABLE, IS_GENERATED_INSTANCE_CLASS);

		// Create resource
		createResource(eNS_URI);

		// Create annotations
		// http:///org/eclipse/emf/ecore/util/ExtendedMetaData
		createExtendedMetaDataAnnotations();
	}

	/**
	 * Initializes the annotations for <b>http:///org/eclipse/emf/ecore/util/ExtendedMetaData</b>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected void createExtendedMetaDataAnnotations() {
		String source = "http:///org/eclipse/emf/ecore/util/ExtendedMetaData";		
		addAnnotation
		  (actionsTypeEClass, 
		   source, 
		   new String[] {
			 "name", "ActionsType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getActionsType_Group(), 
		   source, 
		   new String[] {
			 "kind", "group",
			 "name", "group:0"
		   });		
		addAnnotation
		  (getActionsType_SetColor(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "setColor",
			 "group", "#group:0"
		   });		
		addAnnotation
		  (getActionsType_SetText(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "setText",
			 "group", "#group:0"
		   });		
		addAnnotation
		  (getActionsType_HideShapes(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "hideShapes",
			 "group", "#group:0"
		   });		
		addAnnotation
		  (getActionsType_SetDiagramLink(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "setDiagramLink",
			 "group", "#group:0"
		   });		
		addAnnotation
		  (actionTypeEClass, 
		   source, 
		   new String[] {
			 "name", "ActionType",
			 "kind", "empty"
		   });		
		addAnnotation
		  (getActionType_Condition(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "condition"
		   });		
		addAnnotation
		  (aggregationTypeEEnum, 
		   source, 
		   new String[] {
			 "name", "AggregationType"
		   });		
		addAnnotation
		  (aggregationTypeObjectEDataType, 
		   source, 
		   new String[] {
			 "name", "AggregationType:Object",
			 "baseType", "AggregationType"
		   });		
		addAnnotation
		  (assignmentListSpecificationTypeEClass, 
		   source, 
		   new String[] {
			 "name", "AssignmentListSpecificationType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getAssignmentListSpecificationType_Assignment(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "assignment"
		   });		
		addAnnotation
		  (assignmentSpecificationTypeEClass, 
		   source, 
		   new String[] {
			 "name", "AssignmentSpecificationType",
			 "kind", "empty"
		   });		
		addAnnotation
		  (getAssignmentSpecificationType_LeftValue(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "leftValue"
		   });		
		addAnnotation
		  (getAssignmentSpecificationType_RightValue(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "rightValue"
		   });		
		addAnnotation
		  (baseMetricTypeEClass, 
		   source, 
		   new String[] {
			 "name", "BaseMetricType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getBaseMetricType_IsSortable(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "isSortable"
		   });		
		addAnnotation
		  (getBaseMetricType_Type(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "type"
		   });		
		addAnnotation
		  (contextTypeEClass, 
		   source, 
		   new String[] {
			 "name", "ContextType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getContextType_Group(), 
		   source, 
		   new String[] {
			 "kind", "group",
			 "name", "group:3"
		   });		
		addAnnotation
		  (getContextType_Trigger(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "trigger",
			 "group", "#group:3"
		   });		
		addAnnotation
		  (getContextType_InboundEvent(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "inboundEvent",
			 "group", "#group:3"
		   });		
		addAnnotation
		  (getContextType_OutboundEvent(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "outboundEvent",
			 "group", "#group:3"
		   });		
		addAnnotation
		  (getContextType_EventSequenceIDPath(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "eventSequenceIDPath"
		   });		
		addAnnotation
		  (counterTypeEClass, 
		   source, 
		   new String[] {
			 "name", "CounterType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getCounterType_Group(), 
		   source, 
		   new String[] {
			 "kind", "group",
			 "name", "group:5"
		   });		
		addAnnotation
		  (getCounterType_IncrementedWhen(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "incrementedWhen",
			 "group", "#group:5"
		   });		
		addAnnotation
		  (getCounterType_DecrementedWhen(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "decrementedWhen",
			 "group", "#group:5"
		   });		
		addAnnotation
		  (getCounterType_SetToZeroWhen(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "setToZeroWhen",
			 "group", "#group:5"
		   });		
		addAnnotation
		  (cubeTypeEClass, 
		   source, 
		   new String[] {
			 "name", "CubeType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getCubeType_Measure(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "measure"
		   });		
		addAnnotation
		  (getCubeType_Dimension(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "dimension"
		   });		
		addAnnotation
		  (getCubeType_MonitoringContext(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "monitoringContext"
		   });		
		addAnnotation
		  (dateTimeDimensionFixedPeriodTypeEClass, 
		   source, 
		   new String[] {
			 "name", "DateTimeDimensionFixedPeriodType",
			 "kind", "empty"
		   });		
		addAnnotation
		  (getDateTimeDimensionFixedPeriodType_EndDate(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "endDate"
		   });		
		addAnnotation
		  (getDateTimeDimensionFixedPeriodType_StartDate(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "startDate"
		   });		
		addAnnotation
		  (getDateTimeDimensionFixedPeriodType_Timezone(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "timezone"
		   });		
		addAnnotation
		  (dateTimeDimensionRepeatingPeriodTypeEClass, 
		   source, 
		   new String[] {
			 "name", "DateTimeDimensionRepeatingPeriodType",
			 "kind", "empty"
		   });		
		addAnnotation
		  (getDateTimeDimensionRepeatingPeriodType_PeriodBasis(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "periodBasis"
		   });		
		addAnnotation
		  (getDateTimeDimensionRepeatingPeriodType_PeriodType(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "periodType"
		   });		
		addAnnotation
		  (getDateTimeDimensionRepeatingPeriodType_Timezone(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "timezone"
		   });		
		addAnnotation
		  (dateTimeDimensionRollingPeriodTypeEClass, 
		   source, 
		   new String[] {
			 "name", "DateTimeDimensionRollingPeriodType",
			 "kind", "empty"
		   });		
		addAnnotation
		  (getDateTimeDimensionRollingPeriodType_NumPeriods(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "numPeriods"
		   });		
		addAnnotation
		  (getDateTimeDimensionRollingPeriodType_PeriodType(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "periodType"
		   });		
		addAnnotation
		  (describableElementTypeEClass, 
		   source, 
		   new String[] {
			 "name", "DescribableElementType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getDescribableElementType_Description(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "description"
		   });		
		addAnnotation
		  (dimensionalModelNamedElementTypeEClass, 
		   source, 
		   new String[] {
			 "name", "DimensionalModelNamedElementType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (dimensionalModelTypeEClass, 
		   source, 
		   new String[] {
			 "name", "DimensionalModelType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getDimensionalModelType_Cube(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "cube"
		   });		
		addAnnotation
		  (dimensionAttributeTypeEClass, 
		   source, 
		   new String[] {
			 "name", "DimensionAttributeType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getDimensionAttributeType_AttributeSource(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "attributeSource"
		   });		
		addAnnotation
		  (getDimensionAttributeType_Level(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "level"
		   });		
		addAnnotation
		  (dimensionTypeEClass, 
		   source, 
		   new String[] {
			 "name", "DimensionType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getDimensionType_Attribute(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "attribute"
		   });		
		addAnnotation
		  (documentRootEClass, 
		   source, 
		   new String[] {
			 "name", "",
			 "kind", "mixed"
		   });		
		addAnnotation
		  (getDocumentRoot_Mixed(), 
		   source, 
		   new String[] {
			 "kind", "elementWildcard",
			 "name", ":mixed"
		   });		
		addAnnotation
		  (getDocumentRoot_XMLNSPrefixMap(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "xmlns:prefix"
		   });		
		addAnnotation
		  (getDocumentRoot_XSISchemaLocation(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "xsi:schemaLocation"
		   });		
		addAnnotation
		  (getDocumentRoot_Monitor(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "monitor",
			 "namespace", "##targetNamespace"
		   });		
		addAnnotation
		  (endNamedElementTypeEClass, 
		   source, 
		   new String[] {
			 "name", "EndNamedElementType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (endValueNamedElementTypeEClass, 
		   source, 
		   new String[] {
			 "name", "EndValueNamedElementType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getEndValueNamedElementType_Value(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "value"
		   });		
		addAnnotation
		  (eventDeliveryOptionMultipleMatchesTypeEEnum, 
		   source, 
		   new String[] {
			 "name", "EventDeliveryOptionMultipleMatchesType"
		   });		
		addAnnotation
		  (eventDeliveryOptionMultipleMatchesTypeObjectEDataType, 
		   source, 
		   new String[] {
			 "name", "EventDeliveryOptionMultipleMatchesType:Object",
			 "baseType", "EventDeliveryOptionMultipleMatchesType"
		   });		
		addAnnotation
		  (eventDeliveryOptionNoMatchesTypeEEnum, 
		   source, 
		   new String[] {
			 "name", "EventDeliveryOptionNoMatchesType"
		   });		
		addAnnotation
		  (eventDeliveryOptionNoMatchesTypeObjectEDataType, 
		   source, 
		   new String[] {
			 "name", "EventDeliveryOptionNoMatchesType:Object",
			 "baseType", "EventDeliveryOptionNoMatchesType"
		   });		
		addAnnotation
		  (eventDeliveryOptionOneMatchTypeEEnum, 
		   source, 
		   new String[] {
			 "name", "EventDeliveryOptionOneMatchType"
		   });		
		addAnnotation
		  (eventDeliveryOptionOneMatchTypeObjectEDataType, 
		   source, 
		   new String[] {
			 "name", "EventDeliveryOptionOneMatchType:Object",
			 "baseType", "EventDeliveryOptionOneMatchType"
		   });		
		addAnnotation
		  (eventModelNamedElementTypeEClass, 
		   source, 
		   new String[] {
			 "name", "EventModelNamedElementType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (eventModelTypeEClass, 
		   source, 
		   new String[] {
			 "name", "EventModelType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getEventModelType_Import(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "import"
		   });		
		addAnnotation
		  (eventPartTypeEClass, 
		   source, 
		   new String[] {
			 "name", "EventPartType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getEventPartType_Path(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "path"
		   });		
		addAnnotation
		  (getEventPartType_Type(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "type"
		   });		
		addAnnotation
		  (expressionSpecificationTypeEClass, 
		   source, 
		   new String[] {
			 "name", "ExpressionSpecificationType",
			 "kind", "empty"
		   });		
		addAnnotation
		  (getExpressionSpecificationType_Expression(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "expression"
		   });		
		addAnnotation
		  (hideShapesTypeEClass, 
		   source, 
		   new String[] {
			 "name", "HideShapesType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getHideShapesType_ShapeSet(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "shapeSet"
		   });		
		addAnnotation
		  (importTypeEClass, 
		   source, 
		   new String[] {
			 "name", "ImportType",
			 "kind", "empty"
		   });		
		addAnnotation
		  (getImportType_Location(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "location"
		   });		
		addAnnotation
		  (getImportType_Namespace(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "namespace"
		   });		
		addAnnotation
		  (inboundEventTypeEClass, 
		   source, 
		   new String[] {
			 "name", "InboundEventType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getInboundEventType_EventPart(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "eventPart"
		   });		
		addAnnotation
		  (getInboundEventType_CorrelationPredicate(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "correlationPredicate"
		   });		
		addAnnotation
		  (getInboundEventType_Filter(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "filter"
		   });		
		addAnnotation
		  (getInboundEventType_EventSequenceIDPath(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "eventSequenceIDPath"
		   });		
		addAnnotation
		  (getInboundEventType_ExtensionName(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "extensionName"
		   });		
		addAnnotation
		  (getInboundEventType_MultipleCorrelationMatches(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "multipleCorrelationMatches"
		   });		
		addAnnotation
		  (getInboundEventType_NoCorrelationMatches(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "noCorrelationMatches"
		   });		
		addAnnotation
		  (getInboundEventType_OneCorrelationMatch(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "oneCorrelationMatch"
		   });		
		addAnnotation
		  (getInboundEventType_RootElement(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "rootElement"
		   });		
		addAnnotation
		  (getInboundEventType_TerminateContext(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "terminateContext"
		   });		
		addAnnotation
		  (kpiAggregatedDefinitionTypeEClass, 
		   source, 
		   new String[] {
			 "name", "KPIAggregatedDefinitionType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getKPIAggregatedDefinitionType_MonitoringContext(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "monitoringContext"
		   });		
		addAnnotation
		  (getKPIAggregatedDefinitionType_Metric(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "metric"
		   });		
		addAnnotation
		  (getKPIAggregatedDefinitionType_MetricFilter(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "metricFilter"
		   });		
		addAnnotation
		  (getKPIAggregatedDefinitionType_DateTimeMetricFilter(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "dateTimeMetricFilter"
		   });		
		addAnnotation
		  (getKPIAggregatedDefinitionType_AggregationType(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "aggregationType"
		   });		
		addAnnotation
		  (getKPIAggregatedDefinitionType_VersionAggregation(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "versionAggregation"
		   });		
		addAnnotation
		  (kpiCalculatedDefinitionTypeEClass, 
		   source, 
		   new String[] {
			 "name", "KPICalculatedDefinitionType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getKPICalculatedDefinitionType_KpiCalculation(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "kpiCalculation"
		   });		
		addAnnotation
		  (kpiContextTypeEClass, 
		   source, 
		   new String[] {
			 "name", "KPIContextType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getKPIContextType_Group1(), 
		   source, 
		   new String[] {
			 "kind", "group",
			 "name", "group:8"
		   });		
		addAnnotation
		  (getKPIContextType_Kpi(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "kpi",
			 "group", "#group:8"
		   });		
		addAnnotation
		  (kpiDateTimeMetricFilterRefTypeEClass, 
		   source, 
		   new String[] {
			 "name", "KPIDateTimeMetricFilterRefType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getKPIDateTimeMetricFilterRefType_RepeatingPeriod(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "repeatingPeriod"
		   });		
		addAnnotation
		  (getKPIDateTimeMetricFilterRefType_RollingPeriod(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "rollingPeriod"
		   });		
		addAnnotation
		  (getKPIDateTimeMetricFilterRefType_FixedPeriod(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "fixedPeriod"
		   });		
		addAnnotation
		  (kpiMetricFilterOperatorTypeEEnum, 
		   source, 
		   new String[] {
			 "name", "KPIMetricFilterOperatorType"
		   });		
		addAnnotation
		  (kpiMetricFilterOperatorTypeObjectEDataType, 
		   source, 
		   new String[] {
			 "name", "KPIMetricFilterOperatorType:Object",
			 "baseType", "KPIMetricFilterOperatorType"
		   });		
		addAnnotation
		  (kpiMetricFilterRefTypeEClass, 
		   source, 
		   new String[] {
			 "name", "KPIMetricFilterRefType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getKPIMetricFilterRefType_Value(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "value"
		   });		
		addAnnotation
		  (getKPIMetricFilterRefType_IsCaseSensitive(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "isCaseSensitive"
		   });		
		addAnnotation
		  (getKPIMetricFilterRefType_Operator(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "operator"
		   });		
		addAnnotation
		  (kpiModelNamedElementTypeEClass, 
		   source, 
		   new String[] {
			 "name", "KPIModelNamedElementType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (kpiModelTypeEClass, 
		   source, 
		   new String[] {
			 "name", "KPIModelType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getKPIModelType_Group(), 
		   source, 
		   new String[] {
			 "kind", "group",
			 "name", "group:3"
		   });		
		addAnnotation
		  (getKPIModelType_KpiContext(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "kpiContext",
			 "group", "#group:3"
		   });		
		addAnnotation
		  (kpiTypeEClass, 
		   source, 
		   new String[] {
			 "name", "KPIType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getKPIType_AggregatedDefinition(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "aggregatedDefinition"
		   });		
		addAnnotation
		  (getKPIType_CalculatedDefinition(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "calculatedDefinition"
		   });		
		addAnnotation
		  (getKPIType_Target(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "target"
		   });		
		addAnnotation
		  (getKPIType_Range(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "range"
		   });		
		addAnnotation
		  (getKPIType_RangeType(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "rangeType"
		   });		
		addAnnotation
		  (getKPIType_Type(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "type"
		   });		
		addAnnotation
		  (mapTypeEClass, 
		   source, 
		   new String[] {
			 "name", "MapType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getMapType_Trigger(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "trigger"
		   });		
		addAnnotation
		  (getMapType_OutputValue(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "outputValue"
		   });		
		addAnnotation
		  (measureTypeEClass, 
		   source, 
		   new String[] {
			 "name", "MeasureType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getMeasureType_AggregationType(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "aggregationType"
		   });		
		addAnnotation
		  (getMeasureType_Source(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "source"
		   });		
		addAnnotation
		  (getMeasureType_TrackingKey(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "trackingKey"
		   });		
		addAnnotation
		  (metricTypeEClass, 
		   source, 
		   new String[] {
			 "name", "MetricType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getMetricType_Map(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "map"
		   });		
		addAnnotation
		  (getMetricType_DefaultValue(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "defaultValue"
		   });		
		addAnnotation
		  (getMetricType_IsMultiByte(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "isMultiByte"
		   });		
		addAnnotation
		  (getMetricType_IsPartOfKey(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "isPartOfKey"
		   });		
		addAnnotation
		  (getMetricType_MaxStringLength(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "maxStringLength"
		   });		
		addAnnotation
		  (getMetricType_ValueRequired(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "valueRequired"
		   });		
		addAnnotation
		  (monitorDetailsModelNamedElementTypeEClass, 
		   source, 
		   new String[] {
			 "name", "MonitorDetailsModelNamedElementType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (monitorDetailsModelTypeEClass, 
		   source, 
		   new String[] {
			 "name", "MonitorDetailsModelType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getMonitorDetailsModelType_Group(), 
		   source, 
		   new String[] {
			 "kind", "group",
			 "name", "group:3"
		   });		
		addAnnotation
		  (getMonitorDetailsModelType_MonitoringContext(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "monitoringContext",
			 "group", "#group:3"
		   });		
		addAnnotation
		  (monitoringContextTypeEClass, 
		   source, 
		   new String[] {
			 "name", "MonitoringContextType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getMonitoringContextType_Group1(), 
		   source, 
		   new String[] {
			 "kind", "group",
			 "name", "group:8"
		   });		
		addAnnotation
		  (getMonitoringContextType_Metric(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "metric",
			 "group", "#group:8"
		   });		
		addAnnotation
		  (getMonitoringContextType_Counter(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "counter",
			 "group", "#group:8"
		   });		
		addAnnotation
		  (getMonitoringContextType_Stopwatch(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "stopwatch",
			 "group", "#group:8"
		   });		
		addAnnotation
		  (getMonitoringContextType_MonitoringContext(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "monitoringContext",
			 "group", "#group:8"
		   });		
		addAnnotation
		  (monitorTypeEClass, 
		   source, 
		   new String[] {
			 "name", "MonitorType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getMonitorType_XpathFunctions(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "xpathFunctions"
		   });		
		addAnnotation
		  (getMonitorType_MonitorDetailsModel(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "monitorDetailsModel"
		   });		
		addAnnotation
		  (getMonitorType_KpiModel(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "kpiModel"
		   });		
		addAnnotation
		  (getMonitorType_DimensionalModel(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "dimensionalModel"
		   });		
		addAnnotation
		  (getMonitorType_VisualModel(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "visualModel"
		   });		
		addAnnotation
		  (getMonitorType_EventModel(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "eventModel"
		   });		
		addAnnotation
		  (getMonitorType_TargetNamespace(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "targetNamespace"
		   });		
		addAnnotation
		  (getMonitorType_Timestamp(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "timestamp"
		   });		
		addAnnotation
		  (namedElementTypeEClass, 
		   source, 
		   new String[] {
			 "name", "NamedElementType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getNamedElementType_DisplayName(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "displayName"
		   });		
		addAnnotation
		  (getNamedElementType_Id(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "id"
		   });		
		addAnnotation
		  (nameTypeEDataType, 
		   source, 
		   new String[] {
			 "name", "NameType",
			 "baseType", "http://www.eclipse.org/emf/2003/XMLType#string",
			 "maxLength", "256"
		   });		
		addAnnotation
		  (outboundEventTypeEClass, 
		   source, 
		   new String[] {
			 "name", "OutboundEventType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getOutboundEventType_EventPart(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "eventPart"
		   });		
		addAnnotation
		  (getOutboundEventType_Map(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "map"
		   });		
		addAnnotation
		  (getOutboundEventType_Filter(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "filter"
		   });		
		addAnnotation
		  (getOutboundEventType_ExtensionName(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "extensionName"
		   });		
		addAnnotation
		  (getOutboundEventType_RootElement(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "rootElement"
		   });		
		addAnnotation
		  (periodBasisTypeEEnum, 
		   source, 
		   new String[] {
			 "name", "PeriodBasisType"
		   });		
		addAnnotation
		  (periodBasisTypeObjectEDataType, 
		   source, 
		   new String[] {
			 "name", "PeriodBasisType:Object",
			 "baseType", "PeriodBasisType"
		   });		
		addAnnotation
		  (positionTypeEClass, 
		   source, 
		   new String[] {
			 "name", "PositionType",
			 "kind", "empty"
		   });		
		addAnnotation
		  (getPositionType_X(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "x"
		   });		
		addAnnotation
		  (getPositionType_Y(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "y"
		   });		
		addAnnotation
		  (rangeTypeEClass, 
		   source, 
		   new String[] {
			 "name", "RangeType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getRangeType_StartValue(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "startValue"
		   });		
		addAnnotation
		  (getRangeType_EndValue(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "endValue"
		   });		
		addAnnotation
		  (rangeTypeTypeEEnum, 
		   source, 
		   new String[] {
			 "name", "RangeTypeType"
		   });		
		addAnnotation
		  (rangeTypeTypeObjectEDataType, 
		   source, 
		   new String[] {
			 "name", "RangeTypeType:Object",
			 "baseType", "RangeTypeType"
		   });		
		addAnnotation
		  (referenceTypeEClass, 
		   source, 
		   new String[] {
			 "name", "ReferenceType",
			 "kind", "empty"
		   });		
		addAnnotation
		  (getReferenceType_Ref(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "ref"
		   });		
		addAnnotation
		  (repeatingPeriodTypeTypeEEnum, 
		   source, 
		   new String[] {
			 "name", "RepeatingPeriodTypeType"
		   });		
		addAnnotation
		  (repeatingPeriodTypeTypeObjectEDataType, 
		   source, 
		   new String[] {
			 "name", "RepeatingPeriodTypeType:Object",
			 "baseType", "RepeatingPeriodTypeType"
		   });		
		addAnnotation
		  (rollingPeriodTypeTypeEEnum, 
		   source, 
		   new String[] {
			 "name", "RollingPeriodTypeType"
		   });		
		addAnnotation
		  (rollingPeriodTypeTypeObjectEDataType, 
		   source, 
		   new String[] {
			 "name", "RollingPeriodTypeType:Object",
			 "baseType", "RollingPeriodTypeType"
		   });		
		addAnnotation
		  (setColorTypeEClass, 
		   source, 
		   new String[] {
			 "name", "SetColorType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getSetColorType_ShapeSet(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "shapeSet"
		   });		
		addAnnotation
		  (getSetColorType_FillColor(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "fillColor"
		   });		
		addAnnotation
		  (getSetColorType_OutlineColor(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "outlineColor"
		   });		
		addAnnotation
		  (setDiagramLinkTypeEClass, 
		   source, 
		   new String[] {
			 "name", "SetDiagramLinkType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getSetDiagramLinkType_ShapeSet(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "shapeSet"
		   });		
		addAnnotation
		  (getSetDiagramLinkType_TargetContext(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "targetContext"
		   });		
		addAnnotation
		  (setTextTypeEClass, 
		   source, 
		   new String[] {
			 "name", "SetTextType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getSetTextType_ShapeSet(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "shapeSet"
		   });		
		addAnnotation
		  (getSetTextType_TextPosition(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "textPosition"
		   });		
		addAnnotation
		  (getSetTextType_TextColor(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "textColor"
		   });		
		addAnnotation
		  (getSetTextType_TextValue(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "textValue"
		   });		
		addAnnotation
		  (shapeSetRefTypeEClass, 
		   source, 
		   new String[] {
			 "name", "ShapeSetRefType",
			 "kind", "empty"
		   });		
		addAnnotation
		  (getShapeSetRefType_Ref(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "ref"
		   });		
		addAnnotation
		  (shapeSetsTypeEClass, 
		   source, 
		   new String[] {
			 "name", "ShapeSetsType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getShapeSetsType_ShapeSet(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "shapeSet"
		   });		
		addAnnotation
		  (shapeSetTypeEClass, 
		   source, 
		   new String[] {
			 "name", "ShapeSetType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getShapeSetType_Shapes(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "shapes"
		   });		
		addAnnotation
		  (shapesListTypeEDataType, 
		   source, 
		   new String[] {
			 "name", "ShapesListType",
			 "baseType", "http://www.eclipse.org/emf/2003/XMLType#NMTOKENS",
			 "minLength", "1"
		   });		
		addAnnotation
		  (startNamedElementTypeEClass, 
		   source, 
		   new String[] {
			 "name", "StartNamedElementType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (startValueNamedElementTypeEClass, 
		   source, 
		   new String[] {
			 "name", "StartValueNamedElementType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getStartValueNamedElementType_Value(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "value"
		   });		
		addAnnotation
		  (stopwatchTypeEClass, 
		   source, 
		   new String[] {
			 "name", "StopwatchType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getStopwatchType_Group(), 
		   source, 
		   new String[] {
			 "kind", "group",
			 "name", "group:5"
		   });		
		addAnnotation
		  (getStopwatchType_StartedWhen(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "startedWhen",
			 "group", "#group:5"
		   });		
		addAnnotation
		  (getStopwatchType_StoppedWhen(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "stoppedWhen",
			 "group", "#group:5"
		   });		
		addAnnotation
		  (getStopwatchType_ResetWhen(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "resetWhen",
			 "group", "#group:5"
		   });		
		addAnnotation
		  (getStopwatchType_IsAccumulated(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "isAccumulated"
		   });		
		addAnnotation
		  (svgDocumentTypeEClass, 
		   source, 
		   new String[] {
			 "name", "SvgDocumentType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getSvgDocumentType_Import(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "import"
		   });		
		addAnnotation
		  (targetValueTypeEClass, 
		   source, 
		   new String[] {
			 "name", "TargetValueType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getTargetValueType_Value(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "value"
		   });		
		addAnnotation
		  (timeIntervalsTypeEClass, 
		   source, 
		   new String[] {
			 "name", "TimeIntervalsType",
			 "kind", "empty"
		   });		
		addAnnotation
		  (getTimeIntervalsType_Days(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "days"
		   });		
		addAnnotation
		  (getTimeIntervalsType_Hours(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "hours"
		   });		
		addAnnotation
		  (getTimeIntervalsType_Minutes(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "minutes"
		   });		
		addAnnotation
		  (triggerTypeEClass, 
		   source, 
		   new String[] {
			 "name", "TriggerType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getTriggerType_Group(), 
		   source, 
		   new String[] {
			 "kind", "group",
			 "name", "group:3"
		   });		
		addAnnotation
		  (getTriggerType_OnTrigger(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "onTrigger",
			 "group", "#group:3"
		   });		
		addAnnotation
		  (getTriggerType_EvaluationTime(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "evaluationTime",
			 "group", "#group:3"
		   });		
		addAnnotation
		  (getTriggerType_OnValueChange(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "onValueChange",
			 "group", "#group:3"
		   });		
		addAnnotation
		  (getTriggerType_OnEvent(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "onEvent",
			 "group", "#group:3"
		   });		
		addAnnotation
		  (getTriggerType_GatingCondition(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "gatingCondition"
		   });		
		addAnnotation
		  (getTriggerType_IsRepeatable(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "isRepeatable"
		   });		
		addAnnotation
		  (getTriggerType_TerminateContext(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "terminateContext"
		   });		
		addAnnotation
		  (valueSpecificationTypeEClass, 
		   source, 
		   new String[] {
			 "name", "ValueSpecificationType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getValueSpecificationType_SingleValue(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "singleValue"
		   });		
		addAnnotation
		  (getValueSpecificationType_Assignments(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "assignments"
		   });		
		addAnnotation
		  (versionAggregationTypeEEnum, 
		   source, 
		   new String[] {
			 "name", "VersionAggregationType"
		   });		
		addAnnotation
		  (versionAggregationTypeObjectEDataType, 
		   source, 
		   new String[] {
			 "name", "VersionAggregationType:Object",
			 "baseType", "VersionAggregationType"
		   });		
		addAnnotation
		  (visualizationTypeEClass, 
		   source, 
		   new String[] {
			 "name", "VisualizationType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getVisualizationType_ShapeSets(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "shapeSets"
		   });		
		addAnnotation
		  (getVisualizationType_Actions(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "actions"
		   });		
		addAnnotation
		  (getVisualizationType_SvgDocument(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "svgDocument"
		   });		
		addAnnotation
		  (getVisualizationType_Context(), 
		   source, 
		   new String[] {
			 "kind", "attribute",
			 "name", "context"
		   });		
		addAnnotation
		  (visualModelNamedElementTypeEClass, 
		   source, 
		   new String[] {
			 "name", "VisualModelNamedElementType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (visualModelTypeEClass, 
		   source, 
		   new String[] {
			 "name", "VisualModelType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getVisualModelType_Visualization(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "visualization"
		   });		
		addAnnotation
		  (xPathFunctionsTypeEClass, 
		   source, 
		   new String[] {
			 "name", "XPathFunctionsType",
			 "kind", "elementOnly"
		   });		
		addAnnotation
		  (getXPathFunctionsType_Import(), 
		   source, 
		   new String[] {
			 "kind", "element",
			 "name", "import"
		   });
	}

} //MmPackageImpl
